--
-- Author: LiYang
-- Date: 2015-07-07 10:58:40
-- 建筑底部效果(光环)

local buildBottomView = class("buildBottomView", cc.load("mvc").ViewBase)

function buildBottomView:ctor( actorModel )
	-- cc.bind(self, "stateMachine")
	self.buildModel = actorModel;
	--创建层级
	self.effectLayer_0 = cc.Node:create();
	self:addChild(self.effectLayer_0, 0);

	self.effectLayer_1 = cc.Node:create();
	self:addChild(self.effectLayer_1, 1);

	self.effectLayer_2 = cc.Node:create();
	self:addChild(self.effectLayer_2, 2);

	self.effectLayer_3 = cc.Node:create();
	self:addChild(self.effectLayer_3, 3);

	--效果对象
	-- self:setActorShowView();
	self.ScopeView = self.buildModel.drawInfo:getBuildBottomView();
	self.ScopeView:removeFromParent();
	--添加到显示界面
	self.effectLayer_0:addChild(self.ScopeView);
	self.ScopeView:setPosition(cc.p(self.buildModel.drawInfo:getBuildBottomPos()));
	print(self.ScopeView,self.ScopeView:getDescription(),self.buildModel.drawInfo:getBuildBottomPos())
	--得到占地面积表现图层
	self.TMXLayer_Cell = self.ScopeView:getLayer("area");
    self.TMXLayer_Cell_Red = self.ScopeView:getLayer("area_red");
    self.TMXLayer_Cell_Red:setVisible(false);
    self.TMXLayer_Cell_Green = self.ScopeView:getLayer("area_green");
    self.TMXLayer_Cell_Green:setVisible(false)
    --得到警戒范围图层
    self.TMXLayer_Protect = self.ScopeView:getLayer("protect");
    self.TMXLayer_Protect:setVisible(false);
    --遮罩成
    local TMXLayer_Shade = self.ScopeView:getLayer("shade");
    TMXLayer_Shade:setVisible(false);
end


--[[显示占地面积效果
	state 0 表示红色 1 表示绿色 2 表示本色
]]
function buildBottomView:ShowEffectAreaScope( state )
	if state == "red" then
		self.TMXLayer_Cell_Red:setVisible(true);
		self.TMXLayer_Cell_Green:setVisible(false);
		self.TMXLayer_Cell:setVisible(false);
	elseif state == "green" then
		self.TMXLayer_Cell_Red:setVisible(false);
		self.TMXLayer_Cell_Green:setVisible(true);
		self.TMXLayer_Cell:setVisible(false);
	else
		self.TMXLayer_Cell_Red:setVisible(false);
		self.TMXLayer_Cell_Green:setVisible(false);
		self.TMXLayer_Cell:setVisible(true);
	end
end

--[[显示警戒范围
	isshow 是否显示
]]
function buildBottomView:ShowProtectScope( isshow )
	self.TMXLayer_Protect:setVisible(isshow);
end


return buildBottomView;
