--
-- Author: LiYang
-- Date: 2015-07-07 10:58:40
-- 建筑表现基类

local buildView_Base = class("buildView_Base", cc.load("mvc").ViewBase)



function buildView_Base:ctor(  )
	--创建层级
	self.effectLayer_0 = cc.Node:create();
	self:addChild(self.effectLayer_0, 0);

	self.effectLayer_1 = cc.Node:create();
	self:addChild(self.effectLayer_1, 1);

	self.effectLayer_2 = cc.Node:create();
	self:addChild(self.effectLayer_2, 2);

	self.effectLayer_3 = cc.Node:create();
	self:addChild(self.effectLayer_3, 3);

	--效果对象
	-- self:setActorShowView();
	-- self.Map_x = self.actorModel.Map_x;
	-- self.Map_y = self.actorModel.Map_y;
	self.ListenerFun = {};

	self.colorEffectValuse = cc.c3b(255, 255, 255);
end

--添加显示对象
function buildView_Base:addShowObject( object , layer )
	if layer == 0 then
		self.effectLayer_0:addChild(object)
	elseif layer == 1 then
		self.effectLayer_1:addChild(object)
	elseif layer == 2 then
		self.effectLayer_2:addChild(object)
	else
		self.effectLayer_3:addChild(object)
	end
end


--清空所有效果
function buildView_Base:releaseAllObject(  )
	self.effectLayer_0:removeAllChildren();
	self.effectLayer_1:removeAllChildren();
	self.effectLayer_2:removeAllChildren();
	self.effectLayer_3:removeAllChildren();
end

-- --[[播放动画
-- 	id 播放的ID
-- 	speed 播放的速度
-- 	isloop 是否循环播放
-- 	finishcallback 完成回调
-- ]]
-- function buildView_Base:playAnimationByID( id ,speed ,isloop)
-- 	if id == "idle" then
-- 		self:playAnimation_Idle();
-- 	elseif id == "injured" then--播放受损动画
-- 		self:playAnimation_Injured();
-- 	elseif id == "die" then--播放死亡动画
-- 		self:playAnimationDie();
-- 	end
-- end

--[[设置播放动作的类型
	idle--空闲
	-- shanbi = {}, --空闲
	-- behit = {},--被击
	attack,--攻击
	move,--移动
	die,--死亡
]]
function buildView_Base:setPlayAnimationType( aniType )
	print("执行 setPlayAnimationType：",aniType)
	self.currentDisplayActionType = aniType;
end

--[[设置播放动作的方向

]]
function buildView_Base:setPlayAnimationDis( dis )
	self.currentDisplayDis = dis;
end

--执行move动作
function buildView_Base:exexuteMoveAction( x , y ,time)
	self:playAnimationMoveEffect( x , y ,time)
end

--设置颜色值效果
function buildView_Base:setColorEffect( color )
	print("buildView_Base:setColorEffect",self.effectLayer_1:getChildrenCount());
	local nodelist = self.effectLayer_1:getChildren();
	for k,v in pairs(nodelist) do
		v:setCascadeColorEnabled(true);
		v:setColor(color);
	end
	--颜色效果值
	self.colorEffectValuse = color;
end

function buildView_Base:setCurrentColorEffect( object )
	object:setCascadeColorEnabled(true);
	object:setColor(self.colorEffectValuse);
end

--设置角色是否镜像
function buildView_Base:setActorFlippedX( isfix )
	if isfix then
		self.effectLayer_1:setScaleX(-1);
	else
		self.effectLayer_1:setScaleX(1);
	end
end


--[[设置角色动作监听
	id 动作类型
	callfun 回调函数
]]
function buildView_Base:setAnimationListen( id ,callfun )
	self.ListenerFun[id] = callfun;
	print("setAnimationListen",self.ListenerFun[id],id)
end

function buildView_Base:releaseActorArmatureRes( armature )
	
end

return buildView_Base;
