--
-- Author: LiYang
-- Date: 2015-07-20 11:09:43
-- 公共

local basetemplate = require("app.build.buildView_Base.lua")

local build_Common = class("build_Common" ,basetemplate)

function build_Common:ctor(  )
	build_Common.super.ctor(self)
end

--[[设置建筑数据
	target 目标数据
]]
function build_Common:setData( target )
	self.buildModel = target;

	--活动模型资源
	self.ResConfig =  ManagerHeroRes:getBuildArmature(  self.buildModel.attribute_templateid );
	self.currentDisplayActionType = "idle";
	local animationInfo = getAnimateCfgByID( self:getAnimateID( self.currentDisplayActionType , 1 ) )


	self.cell_x = self.buildModel.cell_x;
	self.cell_y = self.buildModel.cell_y;
	local effectView = self.buildModel.drawInfo:getBuildEffectView();
	effectView:removeFromParent();
	local e_x,e_y = self.buildModel.drawInfo:getBuildEffectPos();
	effectView:setPosition(cc.p(e_x,e_y));
	self.modelView = EffectManager:CreateArmature_1( {
			name = animationInfo.id,--效果名称
			x = 0,
			y = 0,
			zorder = self.cell_x + self.cell_y,
			isfinishdestroy = false,--是否完成销毁
			view = effectView;
		} );
	--添加到显示界面
	self:addShowObject( self.modelView , 1 );
	-- self.modelView:setPosition(cc.p());
	-- print("build_Common",self.modelView:getPosition())
end

function build_Common:getAnimateID( animation , dir )
	return self.ResConfig.actionlist[animation][dir];
end

--播放动画
function build_Common:playAnimation(  )
	
	--得到动画信息
	local animationInfo = getAnimateCfgByID( self:getAnimateID( self.currentDisplayActionType , 1 ) )
	--判断当前是否在执行此动画
	if self.currentDisplayModel == animationInfo then
		return;
	end
	self.currentDisplayModel = animationInfo;
	if (not self.modelView) or (not self.currentDisplayModel ) or self.currentDisplayModel.path ~= animationInfo.path then
		print("加载新的动画:",self,self.currentDisplayDis,self.currentDisplayModel.path)
		-- if self.modelView then
		-- 	self.modelView:removeFromParent();
		-- 	self.modelView = nil;
		-- end
		-- self.modelView = EffectManager::CreateArmature_1( {
		-- 	name = animationInfo.id,--效果名称
		-- 	x = 0,
		-- 	y = 0,
		-- 	zorder = self.cell_x + self.cell_y,
		-- 	isfinishdestroy = false,--是否完成销毁
		-- } );
		-- -- self.idleview.mark = tostring(k);
		-- --添加到显示界面
		-- self:addShowObject( self.modelView , 1 );
		-- self.modelView:setPosition(cc.p(self.buildModel.drawInfo:getBuildEffectPos()));
	end
	print("更新建筑播放动画:",animationInfo.act_id);
	self.modelView:playAnimationByID( animationInfo.act_id ,nil ,-1,self.currentDisplayActionType);
	self.modelView:setCallback( handler(self, self.setAnimationListenlogic) );--设置监听逻辑

end

--[[模型动作回调参数
]]
function build_Common:setAnimationListenlogic( listenerType, mark, armatureName,movementType ,object , movementID)
	if listenerType == "AnimationEvent" then
		if movementType == ccs.MovementEventType.complete then
			print("setAnimationListenlogic",listenerType,armatureName,movementType ,object,movementID,mark)
			if mark == "die" then
				--隐藏角色
				print("===============> ",armatureName)
				self:setVisible(false);
			end

			--执行回调函数
			if self.ListenerFun[mark] then
				self.ListenerFun[mark](listenerType,armatureName,movementType ,object);
			end
			-- local animationInfo = getEffectConfigById( self.ResConfig.idle )
			-- self.idleview:playAnimationByID( animationInfo.armaturename ,nil ,-1);
		end
	elseif listenerType == "FrameEvent" then
		--帧事件监听
	end
end

return build_Common;