--
-- Author: LiYang
-- Date: 2015-07-20 16:54:51
-- 效果配置文件


function getEffectConfigById( id )
	return EffectConfig[id];
end

--[[
	des 描述
	armature 效果
	layer 层级
	zorder 
	isfinishdestroy 完成是否销毁
	x 相对位置
	y
]]
EffectConfig = {
	---------------------------------------------------角色动作效果--------------------------------------------------------------
	["zj_f_entrance"] = { des = "张角入场" ,armature = "herores/zhangjiao/f_zj_e.ExportJson", armaturename = "entrance",res = {"herores/zhangjiao/f_zj_e.ExportJson","herores/zhangjiao/zj_1001.ExportJson"}},
	["zj_f_idle"] = { des = "张角" ,armature = "herores/zhangjiao/f_zj_i.ExportJson", armaturename = "idle",res = {"herores/zhangjiao/f_zj_i.ExportJson"}},
	["zj_f_beiji"] = { des = "张角被击" ,armature = "herores/zhangjiao/f_zj_i.ExportJson", armaturename = "beiji",res = {"herores/zhangjiao/f_zj_i.ExportJson"}},
	["zj_f_shanbi"] = { des = "张角闪避" ,armature = "herores/zhangjiao/f_zj_i.ExportJson", armaturename = "shanbi",res = {"herores/zhangjiao/f_zj_i.ExportJson"}},
	["zj_f_die"] = { des = "张角死亡" ,armature = "herores/zhangjiao/f_zj_i.ExportJson", armaturename = "die",res = {"herores/zhangjiao/f_zj_i.ExportJson"}},
	["zj_f_skill_1"] = { des = "张角技能1" ,armature = "herores/zhangjiao/f_zj_s_0.ExportJson", armaturename = "skill_1",res = {"herores/zhangjiao/f_zj_s_0.ExportJson"}},
	["zj_f_skill_2"] = { des = "张角技能2" ,armature = "herores/zhangjiao/f_zj_s_1.ExportJson", armaturename = "skill_2",res = {"herores/zhangjiao/f_zj_s_1.ExportJson"}},

	
	---------------------------------------------------一些装饰效果--------------------------------------------------------------
	["10000"] = { des = "张角单击闪电" ,armature = "animation/skilleffect/zb_se_0.ExportJson", armaturename = "one",layer = 0 , zorder = 0,isfinishdestroy = true, x = 0, y = 0},
	
	---------------------------------------------------打击效果-------------------------------------------------------------
	["30001"] = { des = "打击效果1" ,armature = "animation/skilleffect/bloweffect_1.ExportJson", armaturename = "Animation1",layer = 0 , zorder = 0,isfinishdestroy = true, x = 0, y = 0},
	----------------------------------------------------buf效果-------------------------------------------------------
	["20001"] = { des = "吕蒙战意提升" ,armature = "animation/skilleffect/bufeffect_1.ExportJson", armaturename = "Animation1",layer = 0 , zorder = 0,isfinishdestroy = false, x = 0, y = 0},
	["20002"] = { des = "眩晕" ,armature = "animation/skilleffect/bufeffect_2.ExportJson", armaturename = "Animation1",layer = 0 , zorder = 0,isfinishdestroy = false, x = 0, y = 0},

	["guanghuang_1"] = { des = "光环 白" ,armature = "herores/common/guanghuan_white.ExportJson", armaturename = "Animation1",layer = 1 , zorder = 0,isfinishdestroy = false, x = 0, y = 0},
	["guanghuang_2"] = { des = "光环 白" ,armature = "herores/common/guanghuan_white.ExportJson", armaturename = "Animation1",layer = 1 , zorder = 0,isfinishdestroy = false, x = 0, y = 0},
	["guanghuang_3"] = { des = "光环 蓝" ,armature = "herores/common/guanghuan_blue.ExportJson", armaturename = "Animation1",layer = 1 , zorder = 0,isfinishdestroy = false, x = 0, y = 0},
	["guanghuang_4"] = { des = "光环 紫" ,armature = "herores/common/guanghuan_purple.ExportJson", armaturename = "Animation1",layer = 1 , zorder = 0,isfinishdestroy = false, x = 0, y = 0},
	["guanghuang_5"] = { des = "光环 橙" ,armature = "herores/common/guanghuan_orange.ExportJson", armaturename = "Animation1",layer = 1 , zorder = 0,isfinishdestroy = false, x = 0, y = 0},

	--------------一些buf效果------------
	["b_1001"] = { des = "眩晕" ,armature = "herores/xiahouyuan/f_tsc_s_1_2.ExportJson", armaturename = "Animation1",layer = 1 , zorder = 0,isfinishdestroy = true, x = 0, y = 0},
}
