--
-- Author: LiYang
-- Date: 2015-07-07 10:58:40
-- buf添加效果

local Effect_BufAdd = class("Effect_BufAdd", cc.Node)

function Effect_BufAdd:ctor(  )

    self.buffNode = cc.CSLoader:createNode("ui_instance/battlefield/bufaddeffect.csb");
    self.desNode = self.buffNode:getChildByName("actionnode"):getChildByName("des");

    self:addChild(self.buffNode);

    --添加到显示界面
    dispatchGlobaleEvent( "battleshowlayer" ,"event_addshowobject" ,{self,1 ,nil})
end

--[[
    info = nil,
    delaytime = 0,
    x = 0,
    y = 0,
    zorder = 0,
]]
function Effect_BufAdd:setData( params)
    self.showInfo = params.info;
    print("numericalBufEffect_add",self.showInfo.des,self.showInfo.color,params.delaytime)
    self.desNode:setTextColor(getBuffEffectColor(self.showInfo.color));
    self.desNode:setString(self.showInfo.des);
    
    self.buffNode:setPosition(cc.p(params.x ,params.y));

    self:setLocalZOrder(params.zorder);

    if params.delaytime and params.delaytime > 0 then
        self.buffNode:setVisible(false);
        local delay_1 = cc.DelayTime:create(params.delaytime);
        local callfun = cc.CallFunc:create(function (  )
            self:excecutEffect();
        end)
        self:runAction(cc.Sequence:create(delay_1,callfun));
    else
        self:excecutEffect();
    end
    
end

function Effect_BufAdd:excecutEffect(  )
    --执行动作
    local action = cc.CSLoader:createTimeline("ui_instance/battlefield/bufaddeffect.csb")
    self.buffNode:runAction(action)
    action:gotoFrameAndPlay(0,false);

     local function onFrameEvent(frame)
        if nil == frame then
            return
        end
        local str = frame:getEvent()
        if str == "Finish" then
            self:removeFromParent();
        end
    end
    action:setFrameEventCallFunc(onFrameEvent)
    self.buffNode:setVisible(true);
end


--设置完成回调函数
function Effect_BufAdd:setFinishCallback( callfun )
    self.FinishCallback = callfun;
end


return Effect_BufAdd;
