--
-- Author: LiYang
-- Date: 2015-07-22 14:49:32
-- 曹操技能效果1(近战攻击)普通攻击

local skilleffect_cc_1 = class("skilleffect_cc_1")

function skilleffect_cc_1:ctor()
	-- body
end

--[[设置技能数据
	parame = {
		name --技能名称
		release --释放者
		releaseCamp --释放者阵营
		aimCamp --目标阵营
		aimData -- 目标
		hurtData --目标伤害数据
	}
]]
function skilleffect_cc_1:setData( parame )
	self.Release = parame.release;
	-- self.ReleaseCamp = parame.releaseCamp;
	-- self.AimCamp = parame.aimCamp;
	self.AimData = parame.aimData;
	self.HurtData = parame.hurtData;
	self:analysisData();
	self:CreateMoveAcion();
end

--解析数据
function skilleffect_cc_1:analysisData(  )
	--攻击的目标
	local  aiminfo = Data_Battle_Msg:analysisAttackAimProtagonistFirst(self.AimData);
	local aimCamp = Data_Battle_Msg:ConvertCampData( aiminfo.aimcamp );
	self.FirstAim = control_Combat:getActorByPos( aiminfo.aimpos , aimCamp);
	self.ReleasePos_x = self.Release.cell_x;
	self.ReleasePos_y = self.Release.cell_y;
	
	--判断进攻方向
	local attackDis = self.Release:pointToDir( cc.p(self.FirstAim.cell_x,self.FirstAim.cell_y) );

	--改变方向
	self.Release:changeDirection( attackDis );
end

--创建攻击动作
function skilleffect_cc_1:CreateAttackEffect(  )
	-- local actor = control_Combat:getActorByPos(self.Release.);
	
	--重置施法者z位置
	-- self.Release:setActorLocalZOrder( self.FirstAim.Map_x + self.FirstAim.Map_y + 3 )
	
	--执行攻击动作
	self.Release:doEvent("event_attack",{Callback = handler(self, self.setAttackEffectListen)});

end

--创建打击效果
function skilleffect_cc_1:CreateAttackBlowEffect(  )
	--解析目标数据
	--解析目标计数
	-- local aimlist ,aimcount = Data_Battle_Msg:analysisAttackAimProtagonist( self.AimData )
	-- self.EffectCount = aimcount;
	-- for i,v in ipairs(aimlist) do
	-- 	--解析目标
	-- 	local aimCamp = Data_Battle_Msg:ConvertCampData( v.aimcamp );
	-- 	local aim = control_Combat:getActorByPos( v.aimpos , aimCamp);
	-- 	if aim then
	-- 		--得到坐标位置
	-- 		--得到坐标位置
	-- 		local x ,y= Data_Battle.mapData:getMapToWorldTransform( aim.Map_x ,aim.Map_y );
	-- 		local effect = EffectManager:CreateArmature( {
	-- 			name = "animation/skilleffect/zj_se_0.ExportJson",--效果名称
	-- 			x = x,
	-- 			y = y,
	-- 			zorder = aim.Map_x + aim.Map_y,
	-- 			isfinishdestroy = true,--是否完成销毁
	-- 		} );
	-- 		--设置标示
	-- 		effect.mark = v.aimpos;
	-- 		--添加到显示界面
	-- 		dispatchGlobaleEvent( "battleshowlayer" ,"event_addshowobject" ,{effect,1 ,nil})
	-- 		effect:playAnimationByID( "one" ,nil ,-1);
	-- 		effect:setCallback(handler(self, self.setHurtCreateListen));

	-- 	else
	-- 		print("施法：" , "目标为nil")
	-- 	end
	-- end 
end

--创建伤害效果
function skilleffect_cc_1:CreateHurtEffect(  )
	-- self.FirstAim:doEvent("event_behit");
	--震动
	dispatchGlobaleEvent( "battleDisplay" ,"shake" ,{0.2});
	EffectManager:CreatePiece_Shake_1( 0.2 );
end

--创建伤害逻辑
function skilleffect_cc_1:CreateHurtLogic( pos )
	print("CreateHurtLogic",pos)
	Data_Battle_Msg:analysisSkillHurtDataExecuteLogic( self.HurtData , pos ,self.Release);
end

--执行完成逻辑
function skilleffect_cc_1:executeFinishLogic(  )
	self.Release:doEvent("event_attack_over");

	if self.FinishCallback then
		self.FinishCallback();
	end
end

--设置完成回调函数
function skilleffect_cc_1:setFinishCallback( callfun )
	self.FinishCallback = callfun;
end

---------------------------------------------------


--攻击效果回调监听
function skilleffect_cc_1:setAttackEffectListen( listenerType,armatureName,movementType ,object )
	print(listenerType,armatureName,movementType ,object)
	if listenerType == "AnimationEvent" then
		if movementType == ccs.MovementEventType.complete then
			self:executeFinishLogic(  );
		end
	elseif listenerType == "FrameEvent" then
		--帧事件监听
		if movementType == "hurt_" then
			self:CreateHurtEffect(  );
			self:CreateHurtLogic();
		end
	end
end

return skilleffect_cc_1;
