--
-- Author: LiYang
-- Date: 2015-07-22 14:49:32
-- 曹操技能效果1(近战攻击)普通攻击

local skilleffect_infighting_common = class("skilleffect_infighting_common")

function skilleffect_infighting_common:ctor()
	-- body
end

--[[设置技能数据
	parame = {
		name --技能名称
		release --释放者
		aimData -- 目标
		hurtData --目标伤害数据
	}
]]
function skilleffect_infighting_common:setData( parame )
	self.skillID = parame.skillID;
	self.Release = parame.release;
	-- self.ReleaseCamp = parame.releaseCamp;
	-- self.AimCamp = parame.aimCamp;
	self.AimData = parame.aimData;
	self.HurtData = parame.hurtData;
	self:analysisData();
	self:CreateAttackEffect();
end

--解析数据
function skilleffect_infighting_common:analysisData(  )
	--攻击的目标
	local  aiminfo = Data_Battle_Msg:analysisAttackAimProtagonistFirst(self.AimData);
	self.FirstAim = control_Combat:getActorByGuid( aiminfo.aimGuid);
	self.ReleasePos_x,self.ReleasePos_y = self.Release:getCellPos(  );
	self.endPos_x,self.endPos_y = self.FirstAim:getCellPos(  );
	local dir = cc.pSub(cc.p(self.endPos_x,self.endPos_y),cc.p(self.ReleasePos_x,self.ReleasePos_y));
	--判断进攻方向
	local attackDis = self.Release:pointToDir( dir );

	--改变方向
	self.Release:changeDirection( attackDis );
end

--创建攻击动作
function skilleffect_infighting_common:CreateAttackEffect(  )
	-- local actor = control_Combat:getActorByPos(self.Release.);
	
	--重置施法者z位置
	-- self.Release:setActorLocalZOrder( self.FirstAim.Map_x + self.FirstAim.Map_y + 3 )
	
	--执行攻击动作
	--判断角色是否是攻击状态

	self:CreateHurtLogic();
	if self.Release:getState() == "state_attack" then
		
		if self.FinishCallback then
			self.FinishCallback();
		end
	else
		self.Release:doEvent("event_attack",{Callback = handler(self, self.setAttackEffectListen)});
	end
	if self.skillID == 1000003 then
		AudioManager.playSoundByKey("yc_attack")
	else
		AudioManager.playSoundByKey("jz_attack")
	end
	
	
end

--创建打击效果
function skilleffect_infighting_common:CreateAttackBlowEffect(  )
	
end

--创建伤害效果
function skilleffect_infighting_common:CreateHurtEffect(  )
	-- self.FirstAim:doEvent("event_behit");
	--震动
	dispatchGlobaleEvent( "battleDisplay" ,"shake" ,{0.2});
	EffectManager:CreatePiece_Shake_1( 0.2 );
end

--创建伤害逻辑
function skilleffect_infighting_common:CreateHurtLogic( pos )
	print("CreateHurtLogic",pos)
	Data_Battle_Msg:analysisSkillHurtDataExecuteLogic( self.HurtData , pos ,self.Release);
	
end

--执行完成逻辑
function skilleffect_infighting_common:executeFinishLogic(  )
	print("攻击动画执行完成")
	-- self:CreateHurtLogic();
	self.Release:doEvent("event_idle");
	if self.FinishCallback then
		self.FinishCallback();
	end
	
end

--设置完成回调函数
function skilleffect_infighting_common:setFinishCallback( callfun )
	self.FinishCallback = callfun;
end

---------------------------------------------------


--攻击效果回调监听
function skilleffect_infighting_common:setAttackEffectListen( listenerType,armatureName,movementType ,object )
	print("skilleffect_infighting_common",listenerType,armatureName,movementType ,object)
	if listenerType == "AnimationEvent" then
		if movementType == ccs.MovementEventType.complete then
			self:executeFinishLogic(  );
		end
	elseif listenerType == "FrameEvent" then
		--帧事件监听
		if movementType == "hurt_" then
			self:CreateHurtEffect(  );
			self:CreateHurtLogic();
		end
	end
end

return skilleffect_infighting_common;
