--
-- Author: LiYang
-- Date: 2015-07-22 14:49:32
-- 周泰技能效果3(复活)

local skilleffect_zt_3 = class("skilleffect_zt_3")

function skilleffect_zt_3:ctor()
	-- body
end

--[[设置技能数据
	parame = {
		name --技能名称
		release --释放者
		releaseCamp --释放者阵营
		aimCamp --目标阵营
		aimData -- 目标
		hurtData --目标伤害数据
	}
]]
function skilleffect_zt_3:setData( parame )
	self.Release = parame.release;
	self.ReleaseCamp = parame.releaseCamp;
	self.AimCamp = parame.aimCamp;
	self.AimData = parame.aimData;
	self.HurtData = parame.hurtData;
	self:CreateAttackEffect(  );
end


--创建攻击动作
function skilleffect_zt_3:CreateAttackEffect(  )
	--张角执行技能动作2
	self.Release:doEvent("event_relive");
	self.scheduleClose = GLOBAL_SCHEDULER:scheduleScriptFunc(
            handler(self, self.executeFinishLogic),
            0.5, false
       )
end


--创建伤害效果
function skilleffect_zt_3:CreateHurtEffect( pos )
	
	-- self.FirstAim:doEvent("event_behit");
end

--创建伤害逻辑
function skilleffect_zt_3:CreateHurtLogic( pos )
	Data_Battle_Msg:analysisBufHurtDataExecuteLogic( self.HurtData , pos ,self.Release);
end

--执行完成逻辑
function skilleffect_zt_3:executeFinishLogic(  )
	GLOBAL_SCHEDULER:unscheduleScriptEntry(self.scheduleClose);
	self:CreateHurtLogic( nil );
	if self.FinishCallback then
		self.FinishCallback();
	end
end

--设置完成回调函数
function skilleffect_zt_3:setFinishCallback( callfun )
	self.FinishCallback = callfun;
end

return skilleffect_zt_3;
