--
-- Author: Li Yang
-- Date: 2016-01-09 17:24:08
--

local AStarQueue = class("AStarQueue")

function AStarQueue:ctor()
	self.m_nBegin = 0;
	self.m_nEnd = 0;
	self.m_queue = {};
end

function AStarQueue:pop()
	if self.m_nBegin < self.m_nEnd then
		self.m_nBegin = self.m_nBegin + 1;
		return self.m_queue[self.m_nBegin];
	end
	return nil;
end

function AStarQueue:push( params )
	self.m_nEnd = self.m_nEnd + 1;
	self.m_queue[self.m_nEnd] = params;

end

function AStarQueue:reset(  )
	self.m_nBegin = 0;
	self.m_nEnd = 0;
	self.m_queue = {};
end

return AStarQueue;