--
-- Author: lipeng
-- Date: 2015-08-05 17:01:14
-- 鹿芦禄谩
condition_cfg = {
	"直接加入","验证加入","拒绝加入",
}
function condition_show( index )
	-- body
	return condition_cfg[index];
end

local model_guild = class("model_guild")

-- 公会名称就是key，取消id
function model_guild:ctor()
	
	self._name = "" --公会名称
	self._resource = 0 --公告
	self._condition = 1 --加入条件
	self._memberCurNum = 0 -- 成员数量
	self._memberMaxNum = 0 -- 最大成员数量
	self._gold = 0		-- 钱数量
	self._fuBossNum = 0 --副会长数量
	--成员列表
	self.memberinfo = {
		-- 	{post = 公会官职, id = 成员id, head_id = 头像id, name = "昵称",level = 等级,sex = 性别,towerlv = 塔防等级,},
		-- 	{post = 公会官职, id = 成员id, head_id = 头像id, name = "昵称",level = 等级,sex = 性别,towerlv = 塔防等级,},
	}
	--请求列表
	self.apply = {
		-- 	{ id = 申请人id, head_id = 头像id, name = "昵称",level = 等级,sex = 性别,towerlv = 塔防等级,},
		-- 	{ id = 申请人id, head_id = 头像id, name = "昵称",level = 等级,sex = 性别,towerlv = 塔防等级,},
	}

	--庇护所列表
	self.manorlist = {
		-- [1] = {level = 等级, isset = 是否放置,  gold = 金钱库存, place = 放置地名, place_lv = 地块等级},		--
		-- [2] = {level = 等级, isset = 是否放置,  gold = 金钱库存, place = 放置地名, place_lv = 地块等级},		--
		-- {
		-- 	int 等级
		-- 	int 是否放置
		-- 	int x坐标
		-- 	int y坐标
		-- 	int 当前的库存
		-- 	string 所在地名	
		-- }
	}

	-- 所有的公会列表
	self.guild_all_list = {
		-- { name = "", place = 占领地名, condition = 条件, },
	}
end

function model_guild:get_all_gold()
	local all_gold = 0;
	for i,v in ipairs(self.manorlist) do
		all_gold = all_gold+v.gold;
	end
	return all_gold;
end
-- 
function model_guild:set_all_guild( guild_all_list )
	self.guild_all_list = guild_all_list;
end

-- 
function model_guild:Get_all_guild( )
	return self.guild_all_list;
end
--
function model_guild:agree_apply( id )
	-- body
	
	for i,v in ipairs(self.apply) do
		if id==v.id then
			local member_info = {}
			member_info.id = v.id;
			member_info.head_id = v.head_id;
			member_info.name = v.name;
			member_info.level = v.level;
			member_info.sex = v.sex;
			member_info.towerlv = v.towerlv;
			member_info.post = Guild_Member;

			self:AddMember( member_info );

			table.remove(self.apply, i);

			-- print_tab(self.memberinfo)
			-- print_tab(self.apply)
			return;
		end
	end
	
end
--
function model_guild:refuse_apply( id )
	-- body
	for i,v in ipairs(self.apply) do
		if id==v.id then
			table.remove(self.apply, i);
			return;
		end
	end
end

function model_guild:setLv( lv )
	self._lv = lv
end

function model_guild:getLv()
	return self._lv
end

function model_guild:setname( name )
	self._name = name
end

function model_guild:getname()
	return self._name
end

function model_guild:getGUID()
	return self._name
end

function model_guild:isHaveGuid(  )
	if string.len(self._name) > 0 then
		return true;
	end
	return false;
end

function model_guild:setCurGold( gold )
	self._gold = gold
end

function model_guild:GetCurGold()
	return self._gold
end

function model_guild:setresource( resource )
	self._resource = resource
end

function model_guild:getresource()
	return self._resource
end

function model_guild:setcondition( condition )
	self._condition = condition
end

function model_guild:getcondition()
	return self._condition
end

function model_guild:setmemberCurNum( memberCurNum )
	self._memberCurNum = memberCurNum
end

function model_guild:GetmemberCurNum()
	return #self.memberinfo
end

function model_guild:setmemberMaxNum( memberMaxNum )
	self._memberMaxNum = memberMaxNum
end

function model_guild:GetmemberMaxNum()
	return self._memberMaxNum
end

function model_guild:SetfuBossNum(fuBossNum)
	self._fuBossNum = fuBossNum;
end

function model_guild:GetfuBossNum()
	return self._fuBossNum;
end

function model_guild:Setmanorlist(manorlist)
	self.manorlist = manorlist;
end

function model_guild:Getmanorlist()
	return self.manorlist;
end

function model_guild:Getmanornum()
	return #self.manorlist;
end

function model_guild:Setapply(apply)
	self.apply = apply;
end

function model_guild:Getapply()
	return self.apply;
end

function model_guild:Getapplynum()
	return #self.apply;
end

function model_guild:Setmemberinfo(memberinfo)
	self.memberinfo = memberinfo;
end

function model_guild:Getmemberinfo()
	-- print_tab(self.memberinfo)
	return self.memberinfo;
end

-- 修改庇护所等级 
function model_guild:changemanorlv( index, level )
	-- body
	if self.manorlist[index] then
		self.manorlist[index].level = level;
	end
end

-- 得到庇护所等级 
function model_guild:getmanorlv( index )
	-- body
	if self.manorlist[index] then
		return self.manorlist[index].level;
	end
	return nil
end

-- 添加成员 {id = "{XXXXXXX-XXXXXXX-XXXXXXX-XXXX}", name = "麓贸卤拢陆隆",},
function model_guild:AddMember( infotab )
	-- body
	for i,v in ipairs(self.memberinfo) do
		if v.id == infotab.id then
			-- 已经有此成员了
			return;
		end
	end
	table.insert(self.memberinfo, infotab);
end

-- 删除成员GUID
function model_guild:DeleteMember( id )
	-- body
	for i,v in ipairs(self.memberinfo) do
		if v.id == id then
			table.remove(self.memberinfo, i);
			return;
		end
	end
end

-- 添加庇护所 {key = 12, towerlevel = 1,},
function model_guild:addmanorinfo( index, infotab )
	-- body
	self.manorlist[index] = infotab;
end


-- 添加申请列表 {id = "{XXXXXXX-XXXXXXX-XXXXXXX-XXXX}", name = "麓贸卤拢陆隆",},
function model_guild:Addapply( infotab )
	-- body
	for k,v in pairs(self.apply) do
		if v.id == infotab.id then
			return;
		end
	end
	table.insert(self.apply, infotab);
end

--删除申请列表
function model_guild:Deleteapply( id )
	-- body
	for i,v in ipairs(self.apply) do
		if v.id == id then
			table.remove(self.apply, i);
			return;
		end
	end
end

--改变官职 玩家id,官职
function model_guild:changePost( id, post )
	-- body
	-- print_tab(self.memberinfo)
	for i,v in ipairs(self.memberinfo) do
		if v.id == id then
			v.post = post;
			return
		end
	end
end

--更新庇护所使用状态信息
function model_guild:updateManorlistByIndex( key ,state ,pos )
	if self.manorlist[key] then
		self.manorlist[key].isset = state;
		self.manorlist[key].place = pos;
	end
end


return model_guild
