--
-- Author: liyang
-- Date: 2016-01-09 17:24:08
--[[地图数据保存
	1.暂时以省份为缓存的基本单位
]]

local mapData_Cache = class("mapData_Cache")


function mapData_Cache:ctor()
	self.MapFilePath = EQUIPMENT_RES_PATH.."maptile/";
	--地图缓存数据
	self.MapCacheData = {
		[132] = {
			["lat"]=29.563505,
			["lon"]=106.583611,
			["city"]="重庆",
			["path"] = self.MapFilePath.."132/",--缓存路径
			-- city = "",--城市133 
		},
	}

	
end

--[[
	CityCode 城市编号
	return 返回的是对应城市编号的缓存数据
]]
function mapData_Cache:getSavePath( CityCode )
	if not self.MapCacheData[CityCode] then
		--创建缓存以玩家当前经纬度创建
		print("创建初始缓存")
		self.MapCacheData[CityCode] = {};
		self.MapCacheData[CityCode].lon = MAIN_PLAYER.baseAttr._LoctionInfo.Longitude;
		self.MapCacheData[CityCode].lat = MAIN_PLAYER.baseAttr._LoctionInfo.Latitude;
		self.MapCacheData[CityCode].city = MAIN_PLAYER.baseAttr._LoctionInfo.City;
		self.MapCacheData[CityCode].path = self.MapFilePath..CityCode.."/";
		--创建文件夹
	    if not cc.FileUtils:getInstance():isFileExist(self.MapCacheData[CityCode].path) then
	        cc.FileUtils:getInstance():createDirectory(self.MapCacheData[CityCode].path)
	    end
	    --保存缓存数据
	    self:SaveCacheData();
	end
	self.MapCacheData[CityCode].path = self.MapFilePath..CityCode.."/";
    --创建文件夹
    if not cc.FileUtils:getInstance():isFileExist(self.MapCacheData[CityCode].path) then
        cc.FileUtils:getInstance():createDirectory(self.MapCacheData[CityCode].path)
    end
    return self.MapCacheData[CityCode];
end

function mapData_Cache:SaveCacheData(  )
	local savestring = serialize(self.MapCacheData)
	cc.UserDefault:getInstance():setStringForKey("mapcachedata", savestring);
end

function mapData_Cache:ReadCacheData(  )
	local datastr = cc.UserDefault:getInstance():getStringForKey("mapcachedata");
	self.MapCacheData = unserialize(datastr);
	print("ReadCacheData",self.MapCacheData)
	if not self.MapCacheData then
		print("lllllllllllllllll")
		self.MapCacheData = {};
	end
	--读取地图缓存数据
	-- for k,v in pairs(self.MapCacheData) do
	-- 	if v then
	-- 		print(k,v.city)
	-- 	end
	-- end
end


return mapData_Cache;