--
-- Author: zang qing
-- Date: 2016-01-13 10:02:19
-- 玩家数据

local model_player = class("model_player")

-- 基础属性
local playerBaseAttrClass = import(".model_playerBaseAttr")

-- 队伍管理
local teamManagerClass = import(".team.model_TeamMgr")

-- 公会
local guildClass = import(".guild.model_guild")
-- 签到数据管理
local qiandaoManagerClass = import(".model_qiandaoManager")
-- boss数据管理
local bossManagerClass = import(".model_bossManager")
-- 抽卡数据管理
local drawcardManagerClass = import(".model_drawcardManager")
-- 事件数据管理
local notifyManagerClass = import(".model_notifyManager")
-- 排行榜数据管理
local rankManagerClass = import(".model_RankingManager")
-- 地图数据管理
local mapManagerClass = import(".map.model_mapManager")
-- 塔防管理
local towerManagerClass = import(".model_towerManager")
-- 聊天管理
local chatManagerClass = import(".model_chatinfo")
-- 兵种管理
local solderManagerClass = import(".model_solderMgr")
-- 好友管理
local friendManagerClass = import(".friend.model_FriendMgr")

-- 打开界面的开关

function model_player:ctor()
	self.is_open = false;
	self.baseAttr = playerBaseAttrClass.new()
	self.towerManager = towerManagerClass.new()
	-- self.heroManager = heroManagerClass.new()
	-- self.goodsManager = goodsManagerClass.new()
	-- self.missionManager = missionManagerClass:new()
	-- self.marketManager = marketManagerClass.new()
	-- self.equipManager = equipManagerClass.new()
	-- self.helperManager = helperManagerClass.new()
	-- self.friendsManager = friendsManagerClass.new()
	-- self.mailManager = mailManagerClass.new()
	-- self.fuliManager = fuliManagerClass.new()
	-- self.VIPManager = VIPManagerClass.new()
	-- self.JJCManager = JJCManagerClass.new()
	self.guild = guildClass.new();
	self.friendMgr = friendManagerClass.new();
	-- self.teamManager = teamManagerClass.new()
	-- self.qiandaoManager = qiandaoManagerClass.new()
	-- self.bossManager = bossManagerClass.new()
	-- self.drawcardManager = drawcardManagerClass.new()
	-- self.notifyManager = notifyManagerClass.new()
	-- self.rankManager = rankManagerClass.new();
	self.mapManager = mapManagerClass.new();
	self.chatManager = chatManagerClass.new();
	self.solderManager = solderManagerClass.new();

	self.currentState = "LOGIN";
end
function model_player:setis_open(open)
	self.is_open = open;
end

function model_player:getis_open()
	return self.is_open;
end

function model_player:getPlayerCurrentState(  )
	return self.currentState;
end

function model_player:getBaseAttr()
	return self.baseAttr
end

function model_player:gettowerManager()
	return self.towerManager
end

function model_player:getsolderManager()
	return self.solderManager
end

function model_player:getHeroManager()
	return self.heroManager
end

function model_player:getGoodsManager()
	return self.goodsManager
end

function model_player:getEquipManager()
	return self.equipManager
end

function model_player:getGuild()
	return self.guild
end

function model_player:getfriendMgr()
	return self.friendMgr
end

function model_player:getTeamManager()
	return self.teamManager
end

--得到地图管理类
function model_player:getMapManager(  )
	return self.mapManager;
end
--得到聊天管理类
function model_player:getchatManager()
	return self.chatManager;
end
-- --是否允许穿戴装备
-- function model_player:isAllowWearEquip( equip )
-- 	return equip:getLv() <= self.baseAttr:getLv() + 10
-- end

-- --获取各个装备类型战力最大的装备, 除开已经穿戴的
-- function model_player:getMaxPowerEquipsWithoutEquip()
-- 	local re = {}

-- 	local bhm = self:getTeamManager():getCurSelTeam():getBattleHeroManager()
-- 	local equipList = self:getEquipManager():cloneEquipDataToList()
-- 	for i=1, #equipList do
-- 		local equip = equipList[i]
-- 		local equipType = equip:getType()
-- 		--如果允许穿戴当前装备
-- 		if self:isAllowWearEquip(equip) then
-- 			--如果没有穿戴当前装备
-- 			if bhm:getPosIdxWithEquip(equip:getGUID()) == nil then
-- 				--如果装备类型还没有被记录
-- 				if re[equipType] == nil then
-- 					--则记录装备
-- 					re[equipType] = equip
-- 				else
-- 					--如果记录的装备战斗力 小于 当前装备战斗力
-- 					if re[equipType]:getZhanDouLi() < equip:getZhanDouLi() then
-- 						--则更新装备
-- 						re[equipType] = equip
-- 					end
-- 				end
-- 			end
-- 		end
		
-- 	end
	
-- 	return re
-- end

return model_player
