--
-- Author: lipeng
-- Date: 2015-07-01 13:58:16
-- 玩家基本属性

local model_solderMgr = class("model_solderMgr")

-- 立即完成造兵消耗元宝数量
FINISH_NOW = 5;

function model_solderMgr:ctor()

	self._begintime = 0;

	self._solder = {
		-- {
		-- 		int	士兵id
		-- 		int	士兵数量
		-- }
		-- [1] = {1,10},
		-- [2] = {2,10},
	}

	self.make_solder = {
		-- [index] = {
		-- 		int	士兵id                  1					2					1
		--		int	数量 					2					3					4
		-- 		int	需要的制造秒数
		-- }
	} --名字

	self:_registGlobalEventListeners()
end
-- 得到造兵的队列数
function model_solderMgr:get_makesolderlineNum(  )
	-- body
	return #self.make_solder;
end
-- 得到造兵的队列最后一个的兵种id
function model_solderMgr:get_makelineendID(  )
	-- body
	return self.make_solder[#self.make_solder][1];
end

-- 得到造兵的队列x个的兵种ID
function model_solderMgr:get_make_info(index)
	-- body
	return self.make_solder[index];
end

-- 设置造兵的队列x个的兵种ID
function model_solderMgr:set_make_info(index, make_info)
	-- body
	self.make_solder[index] = make_info;
end

-- 根据位置得到索引起始结束位置
function model_solderMgr:get_solderindex( index )
	-- body
	local _begin = 0;
	local _end = 0;
	if index <= #self.make_solder then
		for i,v in ipairs(self.make_solder) do
			_begin = _end + 1;
			_end = _end + v[2];
			if i==index then
				return _begin, _end;
			end
		end
	end
	return _begin, _end; 
end
-- 得到当前士兵数量
function model_solderMgr:get_AllsolderNum()
	-- body
	local num = 0;
	-- print_tab(self._solder);
	for i,v in ipairs(self._solder) do
		num = num + v[2];
	end
	return num;
end

-- 得到对应id的士兵数量
function model_solderMgr:get_solderNum( solder_id )
	-- body
	for k,v in pairs(self._solder) do
		if v[1] == solder_id then
			return v[2];
		end
	end
	return 0;
	-- if self._solder[solder_id] then
	-- 	return self._solder[solder_id][2];
	-- else
	-- 	return 0;
	-- end
end

function model_solderMgr:set_solderNum( solder_id ,num)
	for k,v in pairs(self._solder) do
		if v[1] == solder_id then
			v[2] = v[2] + num;
			if v[2] < 0 then
				v[2] = 0;
			end
		end
	end
	-- if self._solder[solder_id] then
	-- 	self._solder[solder_id][2] = self._solder[solder_id][2] + num;
	-- 	if self._solder[solder_id][2] < 0 then
	-- 		self._solder[solder_id][2] = 0;
	-- 	end
	-- end
end

function model_solderMgr:get_Alltime(  )
	local alltime = 0;
	for i,v in ipairs(self.make_solder) do
		alltime = alltime + v[3]+GetSoldierSetup(v[1]).time*(v[2]-1);
	end
	return alltime;
end

function model_solderMgr:get_begintime(  )
	return self._begintime;
end

function model_solderMgr:set_begintime(_time)
	self._begintime = _time;
end

function model_solderMgr:get_solder(  )
	return self._solder;
end

function model_solderMgr:insert_solder(soldertable)

	self._solder = soldertable

	-- print_tab(self._solder)
end

function model_solderMgr:get_make_solder(  )
	return self.make_solder;
end

function model_solderMgr:get_make_solder_byindex(index)
	return self.make_solder;
end

function model_solderMgr:insert_make_solder(maketable)
	print("=====建造队列的士兵")
	
	self.make_solder = maketable;

	-- print_tab(self.make_solder)
end

--注册全局事件监听器
function model_solderMgr:_registGlobalEventListeners()
	self._globalEventListeners = {}
	local configs = {
		-- {modelName = "netMsg", eventName = tostring(MSG_MS2C_ROLE_UPDATA_GOLD), callBack=handler(self, self.insert_solder)},
		
		-- {modelName = "netMsg", eventName = tostring(MSG_MS2C_ROLE_UPDATA_YUANBAO), callBack=handler(self, self.insert_make_solder)},
	}
	self._globalEventListeners = createGlobalEventListenerWithConfig(configs)
end


return model_solderMgr

