--
-- Author: li Yang
-- Date: 2014-04-18 13:49:38
-- 图块信息


-- 服务器响应图块缩略数据
Msg_Logic[MSG_S2C_AREA_GET_INDEX] = function ( tcp , msg )
	-- 数量
	local Num = msg:ReadIntData()
	printLog("网路日志","--------收到图块缩略消息:"..Num)
	print(MAP_DATA.TileDrawInfo.draw_Center.x,MAP_DATA.TileDrawInfo.draw_Center.y,MAP_DATA.TileDrawInfo.vectorType)
	for i=1,Num do
		local x = msg:ReadIntData();
		local y = msg:ReadIntData();
		local playerNumber = msg:ReadIntData();
		local occupyname = msg:ReadString();
		local isact = msg:ReadIntData();--(0 非战斗 1 战斗)
		-- dispatchGlobaleEvent( "ui_map_info_layer" ,"updateName", occupyname);
		local data = MAP_DATA.TileDrawInfo:getPieceByTilePos( x , y  );
		print("		","x:"..x..",y:"..y..",playerNumber:"..playerNumber..",name:"..occupyname..",plotstate:"..isact)
		if data then
			data.currentstate = GetTileStateByPlayerNum( playerNumber );
			data.occupyname = occupyname;
			data.actstate = isact;
			data.PlayerNum = playerNumber;
		else
			print("找不到图块数据")
		end
	end
	--刷新显示
	dispatchGlobaleEvent( "controler_mapPage_map_Title_layer" ,"updateshow",{ poschange = true , statechange = true});
	
end


-- 服务器响应图块具体数据
Msg_Logic[MSG_S2C_AREA_GET_INFO] = function ( tcp , msg )
	printLog("网路日志","--------收到图块信息消息")
	MAP_DATA.lookatTileData.guildGuid = "";
	local x = msg:ReadIntData()
	local y = msg:ReadIntData()
	
	local occupyname = msg:ReadString();--被占领地的名称
	-- local occupylevel = msg:ReadIntData();--被占领者等级
	local renqi = msg:ReadIntData();--今天地块的人气
	local Num = msg:ReadIntData()--玩家数量
	if MAIN_PLAYER.baseAttr._refreshPlayerPos then

		
		MAIN_PLAYER.baseAttr._playerTileData.pos_x = x;
		MAIN_PLAYER.baseAttr._playerTileData.pos_y = y;
		MAIN_PLAYER.baseAttr._playerTileData.guildGuid = occupyname;
		MAIN_PLAYER.baseAttr._playerTileData.PlayerNum = Num;
		MAIN_PLAYER.baseAttr._playerTileData.currentstate = GetTileStateByPlayerNum( Num );
		if string.len(occupyname) <= 0 then
			MAIN_PLAYER.baseAttr._refreshPlayerPos = false
		end
		dispatchGlobaleEvent("controler_mainPage_ui_btn_bottonm", "updateOneselfpos")
		return;
	end

	MAP_DATA.lookatTileData.pos_x = x;
	MAP_DATA.lookatTileData.pos_y = y;
	
	MAP_DATA.lookatTileData.guildGuid = occupyname;
	-- MAP_DATA.lookatTileData.guildLevel = occupylevel;
	MAP_DATA.lookatTileData.PlayerNum = Num;
	MAP_DATA.lookatTileData.currentstate = GetTileStateByPlayerNum( Num );
	MAP_DATA.lookatTileData.JiaCheng = GetTileStateByPlayerNum( renqi );
	MAP_DATA.lookatTileData.playerList = {};
	print("		",x,y,MAP_DATA.lookatTileData.guildGuid)
	for i=1,Num do
		local data = {};
		data.guid = msg:ReadString();
		data.name = msg:ReadString();
		data.headguid = msg:ReadString();
		data.guildname = msg:ReadString();
		data.level = msg:ReadIntData();
		
		data.towerlevel = msg:ReadIntData();
		-- print(data.guid,data.name,data.level,data.towerlevel)
		data.isfriend = 0;
		data.isfaction = 0;
		MAP_DATA.lookatTileData.playerList[i] = data;
		print("   ",i,data.guid,data.name,data.guildname)
	end
	-- local guidnum = msg:ReadIntData()--公会玩家数量
	-- print(guidnum)
	if string.len(occupyname) <= 0 then
		print("====>")
		MAP_DATA.lookatTileData.guildPlayerNum = 0;
		MAP_DATA.lookatTileData.guildPlayerList = {};
		dispatchGlobaleEvent("mapInfoSystem", "click")
	end
end

--地块公会玩家
Msg_Logic[MSG_S2C_AREA_GET_INFO_2] = function ( tcp , msg )
	printLog("网路日志","--------收到图块信息消息 MSG_S2C_AREA_GET_INFO_2 = ")
	if MAIN_PLAYER.baseAttr._refreshPlayerPos then
		MAIN_PLAYER.baseAttr._refreshPlayerPos = false;
		return;
	end
	local guidnum = msg:ReadIntData()--公会玩家数量
	MAP_DATA.lookatTileData.guildPlayerNum = guidnum;
	MAP_DATA.lookatTileData.guildPlayerList = {};
	for i=1,guidnum do
		local data = {};
		data.guid = msg:ReadString();
		data.name = msg:ReadString();
		data.headguid = msg:ReadString();
		data.guildname = msg:ReadString();
		data.level = msg:ReadIntData();
		data.towerlevel = msg:ReadIntData();
		-- print(data.guid,data.name,data.level,data.towerlevel)
		data.isfriend = 0;
		data.isfaction = 0;
		MAP_DATA.lookatTileData.guildPlayerList[i] = data;
		print("   ",i,data.guid,data.name,data.guildname,data.headguid)
	end
	--创建显示
	dispatchGlobaleEvent("mapInfoSystem", "click")
end

--通知某个地块进入战斗状态
Msg_Logic[MSG_S2C_AREA_FightState] = function ( tcp , msg )
	local plot_x = msg:ReadIntData();
	local plot_y = msg:ReadIntData();
	local plot_state = msg:ReadIntData();
	local data = MAP_DATA.TileDrawInfo:getPieceByTilePos( plot_x , plot_y  );
	if data then
		data.actstate = plot_state;
		dispatchGlobaleEvent( "controler_mapPage_map_Title_layer" ,"update_act_state",data);
	end
	print("网路日志","收到地块状态改变消息",plot_x,plot_y,plot_state)
	
end

--更新地块状态消息
Msg_Logic[MSG_S2C_AREA_UpdateGuild] = function ( tcp , msg )
	local plot_x = msg:ReadIntData();
	local plot_y = msg:ReadIntData();
	local occupyname = msg:ReadString();
	
	if MAIN_PLAYER.baseAttr._playerTileData.pos_x == plot_x and MAIN_PLAYER.baseAttr._playerTileData.pos_y == plot_y then
		MAIN_PLAYER.baseAttr._playerTileData.guildGuid = occupyname;
	end
	print("网路日志","收到地块状态改变消息 MSG_S2C_AREA_UpdateGuild",plot_x,plot_y,occupyname)
	local data = MAP_DATA.TileDrawInfo:getPieceByTilePos( plot_x , plot_y  );
	if data then
		data.occupyname = occupyname;
		dispatchGlobaleEvent( "controler_mapPage_map_Title_layer" ,"update_act_state",data);
	end
end



--服务器回应地图被占领消息
-- Msg_Logic[MSG_S2C_AREA_SEIZE] = function ( tcp , msg )
-- 	printLog("网路日志","--------收到地图被占领消息")
-- 	local result = msg:ReadIntData();
-- 	if result == -1 then
-- 		UIManager:CreatePrompt_Bar( {
-- 			content = "未在此地不能占领",
-- 		} )
-- 		return;
-- 	end
-- 	if result ~= 0 then
-- 		UIManager:CreatePrompt_Bar( {
-- 			content = "占领失败！等级必须大于对方",
-- 		} )
-- 		return;
-- 	end
-- 	local x = msg:ReadIntData()
-- 	local y = msg:ReadIntData()
-- 	local data = MAP_DATA.TileDrawInfo:getPieceByTilePos( x , y  );
-- 	data.occupyname = MAIN_PLAYER.baseAttr._name;
-- 	MAP_DATA.lookatTileData.guildGuid = MAIN_PLAYER.baseAttr._name;
-- 	MAP_DATA.lookatTileData.guildLevel = MAIN_PLAYER.baseAttr._lv;
-- 	dispatchGlobaleEvent("controler_ui_map_info_guild", "update");
-- 	dispatchGlobaleEvent( "controler_mapPage_map_Title_layer" ,"updateshow",{ poschange = true , statechange = true});
-- end