--
-- Author: 臧卿
-- Date: 2016-06-11 09:07:31
-- 好友消息片

--------------------------好友数据------------------------------

Msg_Logic[MSG_S2C_Friend_GetFriend] = function ( tcp, msg )
	--好友数量
	
	local amount = msg:ReadIntData()
	printLog("网路日志",
		"[得到好友数据] 消息(MSG_S2C_Friend_GetFriend), 结果: %d 个", amount
		
	)
	local friend_list = {}
	
	for i=1,amount do
		local friend_info = {};
		friend_info.id = msg:ReadString();
		friend_info.name = msg:ReadString();
		friend_info.head_id = msg:ReadString();
		friend_info.sex = msg:ReadIntData();
		friend_info.level = msg:ReadIntData();
		friend_info.tower_level = msg:ReadIntData();
		friend_info.red_sign = msg:ReadIntData();

		table.insert(friend_list, friend_info);

		if friend_info.red_sign == 1 then
			GAME_MODEL:getTipManager():setTipState( "char_friend", 1 );
			GAME_MODEL:getTipManager():setTipState( "char_news", 1 );
		end
	end

	if 0 < amount then
		-- 好友数据更新
		print_tab(friend_list);
		MAIN_PLAYER:getfriendMgr():setfriendList(friend_list);

		dispatchGlobaleEvent("ui_chatlist_layer", "showfriend_list")
		dispatchGlobaleEvent("controler_ui_friend_list", "updateViewShow")

	end
end

Msg_Logic[MSG_S2C_Friend_AddFriend] = function ( tcp, msg )
	--好友数量
	local msgData = {}

	-- 创建结果
	msgData.result = msg:ReadIntData()

	printLog("网路日志",
		"[添加好友] 消息(MSG_S2C_Friend_AddFriend), 结果: %d", 
		msgData.result
	)
	
	if ICFR_Add_Succed == msgData.result then
		local friend_info = {};
		friend_info.id = msg:ReadString();
		friend_info.name = msg:ReadString();
		friend_info.head_id = msg:ReadString();
		friend_info.sex = msg:ReadIntData();
		friend_info.level = msg:ReadIntData();
		friend_info.tower_level = msg:ReadIntData();

		MAIN_PLAYER:getfriendMgr():Addfriend(friend_info);

		dispatchGlobaleEvent("controler_ui_friend_list", "updateViewShow")
		local res_str = "已将 "..friend_info.name.." 添加为好友"
		UIManager:CreatePrompt_Bar( {
			content = res_str,
		} )
	else
		UIManager:CreatePrompt_Bar( {
			content = getErrorDescribe( msgData.result ),
		} )
	end
end


Msg_Logic[MSG_S2C_Friend_DelFriend] = function ( tcp, msg )
	--好友数量
	local msgData = {}

	-- 创建结果
	msgData.result = msg:ReadIntData()

	printLog("网路日志",
		"[删除好友] 消息(MSG_S2C_Friend_DelFriend), 结果: %d", 
		msgData.result
	)
	
	if ICP_Succeed == msgData.result then
		local friend_id = msg:ReadString();
		
		MAIN_PLAYER:getfriendMgr():Deletefriend(friend_id);

		dispatchGlobaleEvent("controler_ui_friend_list", "updateViewShow")
	end
end


Msg_Logic[MSG_S2C_GUILD_Get_Mail] = function ( tcp, msg )
	--得到邮件
	local msgData = {}

	-- 创建结果
	msgData.result = msg:ReadIntData()

	printLog("网路日志",
		"[得到邮件] 消息(MSG_S2C_GUILD_Get_Mail), 结果: %d", 
		msgData.result
	)
	
	if ICP_Succeed == msgData.result then
		msgData.mail_num = msg:ReadIntData();
			printLog("[邮件数量] , 结果: %d", 
			msgData.mail_num
		);
		MAIN_PLAYER:getchatManager():clearchatMaillist();
		for i=1,msgData.mail_num do
			local mail_info = {}
			mail_info.name = msg:ReadString();
			mail_info.head_id = msg:ReadString();
			mail_info.sex = msg:ReadIntData();
			mail_info.content = msg:ReadString();
			mail_info.fight_id = msg:ReadString();
			mail_info.objname = msg:ReadString();
			print(mail_info.name)
			MAIN_PLAYER:getchatManager():insertmailinfo(mail_info.name, mail_info.head_id, mail_info.content,chat_channel_friend,mail_info.sex, mail_info.fight_id, mail_info.objname);
		end
		
		dispatchGlobaleEvent( "ui_chatlist_layer","refreshlist");
		--dispatchGlobaleEvent("controler_ui_friend_list", "updateViewShow")
	end
end