--
-- Author: Li Yang
-- Date: 2014-01-15 15:35:06
-- 登陆Ms 消息片

-- 服务器回应基本身份验证结果
Msg_Logic[MSG_S2C_SYS_LOGIN_RESULT] = function ( tcp , msg )
	--关闭登陆超时验证
	tcp:CloseMsgTimeOutCheck( );
	local result = msg:ReadIntData()
	printInfo("网路日志 %s", "收到MS账号验证结果:"..result)
	if result == eLET_LoginNoError then
		-- 发送请求基本数据
		-- tcp:SendMessage(MSG_C2MS_GET_BASE_DATA )
		-- APP:toScene(SCENE_ID_GAMEWORLD)
		print("登录成功=======================");
		-- 发送坐标信息
		-- local xpos = 1, ypos = 1;
		-- local sendtoMsg = {xpos,ypos};

		-- tcp:SendMessage(MSG_C2S_SYS_GET_BASE_INFO, sendtoMsg)

		-- 判定是否是重连开启状态
		if Data_Login.ResumeConnect then
			--关闭重连界面
			dispatchGlobaleEvent( "resumeconnect", "succes" )
		else
			print("发送MSG_C2S_GET_ROLEINFO========"..MSG_C2S_GET_ROLEINFO);
			tcp:SendMessage(MSG_C2S_GET_ROLEINFO, {});
		end
		
	else
		-- 连接游戏服务器失败
		Data_Login.Logic_Operation = 1;
		-- 开启点击事件
		GLOBAL_TOUCH_CONTROL:TounchContrlScheduler(-10,GLOBAL_TOUCH_CONTROL.CONTROL_TYPE_FOREVER);
		--关闭连接等待接口
		dispatchGlobaleEvent( "prompt" ,"wait_close" ,{markType = "loginwait"})
		if eLET_VersionErr == result then
			-- 创建错误提示
			UIManager:CreatePrompt_Operate( {
				mark = "banbentis",
		        title = "提示",
		        content = "检查到游戏版本错误，请重启游戏?",
		        listenButton = function ( result )
					if result == 1 then
						--todo
					end
				end
			} )
		else
			UIManager:CreatePrompt_Bar( {
				content = getErrorDescribe( result ),
			} )
		end
		--断开游戏服务器
		print("断开游戏服务器=======================");
		tcp:Disconnect( );
	end
end


---- 服务器回应基本身份验证结果
Msg_Logic[MSG_S2C_ROLE_BASE_INFO] = function ( tcp , msg )

	print("服务器回应基本身份验证结果=======================");
	local guid = msg:ReadString()
	local nickName = msg:ReadString()--昵称
	print(guid)
	MAIN_PLAYER:getBaseAttr():setGUID( Data_Login.userID );
	if ""==nickName then
		-- 昵称为空,进入角色起名界面
		local nickName = "输入昵称"
		tcp:SendMessage(MSG_C2S_ROLE_CREATE, {nickName,});
	else
		-- 给model_playerBaseAttr添加玩家数据,昵称和头像ID
		print("nickName:",nickName)
		local sexint = msg:ReadIntData()--性别
		print("sexint:",sexint)
		local headId = msg:ReadString()--头像ID
		print(headId)
		local rolelv = msg:ReadIntData()--玩家等级
		local exp = msg:ReadIntData()--经验
		local gold = msg:ReadIntData()--金钱
		local yuanbao = msg:ReadIntData()--元宝
		local guild_name = msg:ReadString()--军团名称
		local post = msg:ReadIntData()--公会官职
		local towerLv = msg:ReadIntData()--塔防等级
		local area_key = msg:ReadString()--塔防所在地
		
		print("昵称："..nickName.."头像ID："..headId.."经验："..exp.."金钱："..gold.."元宝："..yuanbao.."塔防等级："..towerLv.."军团名称："..guild_name.."公会官职："..post)
		
		-- 玩家设置读取
		local set_num = msg:ReadIntData();
		local set_tab = {};
		for i=1,set_num do
			local set_name = msg:ReadString();
			local set_value = msg:ReadIntData();
			set_tab[set_name] = set_value;
		end

		MAIN_PLAYER:getBaseAttr():setGameset(set_tab);
		-- 初始化声音，音效
		if 0==set_tab.effect then
			AudioManager.AMSOUND = 0;
		end
		if 0==set_tab.music then
			AudioManager.AMMUSIC = 0;
			AudioEngine.stopMusic(true)
		end
		-- 初始化玩家属性
		MAIN_PLAYER:getBaseAttr():setName(nickName);
		MAIN_PLAYER:getBaseAttr():setSex(sexint);
		MAIN_PLAYER:getBaseAttr():setHeadID(headId);
		MAIN_PLAYER:getBaseAttr():setLv(rolelv);
		MAIN_PLAYER:getBaseAttr():setExp(exp);
		MAIN_PLAYER:getBaseAttr():setGold(gold);
		MAIN_PLAYER:getBaseAttr():setYuanBao(yuanbao);
		MAIN_PLAYER:getBaseAttr():setPost(post);
		-- 军团
		MAIN_PLAYER:getGuild():setname(guild_name);
		-- 初始化塔防属性
		MAIN_PLAYER:gettowerManager():setLv(towerLv);

		MAIN_PLAYER:getBaseAttr():setHeadGUid(headId);
		
		APP:toScene(SCENE_ID_GAMEWORLD)
	end
	gameTcp:SendMessage(MSG_C2S_TOWER_GetInfo,{})
	gameTcp:SendMessage(MSG_C2S_GUILD_GetRefuge_list,{})
	gameTcp:SendMessage(MSG_C2S_SOLDIER_Get,{})
	gameTcp:SendMessage(MSG_C2S_Friend_GetFriend, {});
	GlobalDataUpdate:startCheck(  );--启动数据更新
	GlobalDataUpdate:SetGameUpData( GlobalDataUpdate.CONST_UPDATA_TYPE_HEARTBEAT );--添加心跳包检测
end

---- 服务器回应创建角色结果
Msg_Logic[MSG_S2C_ROLE_CHANGE_NAME_RE] = function ( tcp , msg )

	print("服务器回应创建角色结果=========MSG_GW2C_ROLE_CREATE_RE==============");
	local create_re = msg:ReadIntData()--创建角色结果
	
	if ICP_Succeed == create_re then
		-- 创建成功
		-- 给model_playerBaseAttr添加玩家数据,昵称和头像ID
		local nickName = msg:ReadString()--昵称

		local sex = msg:ReadIntData()--性别

		-- 初始化玩家属性
		MAIN_PLAYER:getBaseAttr():setName(nickName);
		MAIN_PLAYER:getBaseAttr():setSex(sex);

		print("昵称："..nickName.."性别："..sex)

		dispatchGlobaleEvent( "ui_bronpage_layer" ,"close");--修改成功关闭窗口
		-- dispatchGlobaleEvent( "controler_mainPage_ui_right_top" ,"updateViewShowName");
		dispatchGlobaleEvent( "controler_mainPage_ui_info_top" ,"updateViewShowExp");
		-- APP:toScene(SCENE_ID_GAMEWORLD)
	else
		UIManager:CreatePrompt_Bar( {
			content = getErrorDescribe( create_re ),
		} )
	end
end


-- --通知改名结果
-- Msg_Logic[MSG_MS2C_CHANGE_NAME_REPLY] = function (tcp , msg )
	
-- end


-- Msg_Logic[MSG_MS2C_INIT_RETURN] = function (tcp , msg )
-- 	printInfo("网路日志 %s","初始化游戏数据完成")
-- 	--重置数据
-- 	-- if UIManager.ResetGameData.ConnectRun then
-- 	-- 	UIManager.ResetGameData:ResultShow( UIManager.ResetGameData.CONNECT_SUCCEED);
-- 	-- 	return;
-- 	-- end
-- 	-- --一些初始数据
-- 	-- SetGameUpData( CONST_UPDATA_TYPE_HELPER );--助阵数据更新逻辑
-- 	--心跳包发送计时
-- 	GlobalDataUpdate:startCheck(  );--启动数据更新
-- 	GlobalDataUpdate:SetGameUpData( GlobalDataUpdate.CONST_UPDATA_TYPE_HEARTBEAT );--添加心跳包检测
-- 	--设置进度数据
-- 	dispatchGlobaleEvent( "models_loadres" ,"update_logic_schedule",{50});--数据请求完成
-- 	-- -- SceneManager:ToScene(SceneManager.IDs.gameMain)
-- 	-- --开启点击事件
-- 	-- TounchContrlScheduler(0,1);
-- 	-- -- 开启游戏数据更新
-- 	-- GameUpDataScheduler()
-- 	--关闭提示界面
-- 	dispatchGlobaleEvent( "prompt" ,"wait_close" ,{markType = "loginwait"})
	
-- end

-- -- 收到创建角色结果
-- Msg_Logic[MSG_MS2C_CREATE_ROLE_REPLY] = function (tcp , msg )
-- 	local result = msg:ReadIntData()
-- 	printInfo("网路日志 %s","收到创建角色结果："..result)

-- 	if result == eRI_Success then
-- 		--更新玩家名称
-- 		MAIN_PLAYER:getBaseAttr():setName(InviHeroName)
-- 		--进入加载界面
-- 		APP:toScene(SCENE_ID_GAMEWORLD_RES_LOADING);
-- 		--发送请求数据消息
-- 		-- Msg_Logic.requestData();
-- 		-- printInfo("网路日志","请求英雄列表消息："..MSG_C2MS_GET_BACKPACK);
-- 		-- tcp:SendMessage(MSG_C2MS_GET_BACKPACK)
-- 		--进入加载界面
-- 		-- SceneManager:ToScene(SceneManager.IDs.loadScene);
-- 		--开场剧情引导结束
-- 		-- NewbieGuideManager:FinishStepLogic( "openStory" ,4);
-- 	else
-- 		-- 开启点击事件
-- 		GLOBAL_TOUCH_CONTROL:TounchContrlScheduler(-10,GLOBAL_TOUCH_CONTROL.CONTROL_TYPE_FOREVER);
-- 		UIManager:CreatePrompt_Bar( {
-- 			content = getErrorDescribe( result ),
-- 		} )
-- 	end
-- 	-- TounchContrlScheduler(0 , 1);
-- end

-- -- 得到随机昵称结果
-- Msg_Logic[MSG_MS2C_RANDOM_NAME_REPLY] = function (tcp , msg )
-- 	-- if display.getRunningScene().NameView then
-- 	-- 	display.getRunningScene().NameView.names = {}
-- 	-- end
	
-- 	local count = msg:ReadIntData()
-- 	printInfo("网路日志 %s","返回请求的随机名字"..count)
-- 	local namelist = {};
-- 	for i=1,count do
-- 		local name = msg:ReadString()
-- 		namelist[i] = name;
-- 	end
-- 	dispatchGlobaleEvent( "models_inithero" ,"updatename",{namelist});
	
-- end


-- -- 收到服务器基本配置
-- Msg_Logic[MSG_MS2C_GET_MSGAMECTRL_DATA] = function (tcp , msg )
	
-- end

-- -- -- 收到随机昵称资料
-- -- Msg_Logic[MSG_C2MS_ROLE_GET_RANDOM_NAME] = function ( tcp, msg )
-- -- 	local count = msg:ReadIntData()
-- -- 	logPrint("网路日志","收到随机昵称数量:"..count)
-- -- 	for i=1,count do
-- -- 		local count = msg:ReadString()
-- -- 	end
-- -- end


-- --心跳包
Msg_Logic[MSG_S2C_ROLE_RePing] = function ( tcp , msg )
	printInfo("网路日志 收到心跳包")
	HeartBeatLogic = 0;
end

