--
-- Author: 张科智
-- Date: 2014-06-05
-- 游戏活动配置



function GetCampaign( campaign_group_id )
	if GET_CONFIG_CHECK and nil == CampaignGroupList[campaign_group_id] then
		print_log(debug.traceback());
		print_log("Not found campaign group("..campaign_group_id..")");
	end
	return CampaignGroupList[campaign_group_id];
end

function GetCampaignLevel( campaign_id )
	if GET_CONFIG_CHECK and nil == CampaignList[campaign_id] then
		print_log(debug.traceback());
		print_log("Not found campaign("..campaign_id..")");
	end
	return CampaignList[campaign_id];
end

function GetBossCampaignLevel( boss_campaign_id )
	if GET_CONFIG_CHECK and nil == BossCampaignList[boss_campaign_id] then
		print_log(debug.traceback());
		print_log("Not found boss_campaign("..boss_campaign_id..")");
	end
	return BossCampaignList[boss_campaign_id];
end

--活动设置
CampaignGroupList = 
{
	-- [1] = 
	-- {
	-- 	id = 1,
	-- 	name = "狩猎之谷",
	-- 	--活动类型
	-- 	htype = 2,
	-- 	limit_lv = 20,
	-- 	open_time = 
	-- 	{
	-- 		week_day = {1, 2, 4, 6, },
	-- 		begin_time = {0,},
	-- 		duration = 60 * 60 * 24,
	-- 	},
	-- 	campaigns = {101, 102, 103,},
	-- },

	-- [2] = 
	-- {
	-- 	id = 2,
	-- 	name = "试炼之地",
	-- 	--活动类型
	-- 	htype = 2,
	-- 	limit_lv = 20,
	-- 	open_time = 
	-- 	{
	-- 		week_day = {1, 3, 5, 7,},
	-- 		begin_time = {1,},
	-- 		duration = 60 * 60 * 22,
	-- 	},
	-- 	campaigns = {111, 112, 113,},
	-- },


	[601] = 
	{
		id = 601,
		name = "酣战虎牢",
		--活动类型
		htype = 4,
		limit_lv = 0,
		open_time = 
		{
			week_day = {1, 2, 3, 4, 5, 6, 7,},
			begin_time = {12,},
			duration = 60 * 60 * 9,
		},
		boss_campaigns = {601,},
	},

	-- [102] = 
	-- {
	-- 	id = 102,
	-- 	name = "蜀汉卧龙",
	-- 	--活动类型
	-- 	htype = 5,
	-- 	limit_lv = 0,
	-- 	open_time = 
	-- 	{
	-- 		week_day = {1, 2, 4, 6,},
	-- 		begin_time = {12,},
	-- 		duration = 60 * 60 * 6,
	-- 	},
	-- 	boss_campaigns = {3005,},
	-- },

	-- [103] = 
	-- {
	-- 	id = 103,
	-- 	name = "魏武坚壁",
	-- 	--活动类型
	-- 	htype = 6,
	-- 	limit_lv = 0,
	-- 	open_time = 
	-- 	{
	-- 		week_day = {1, 3, 5, 7,},
	-- 		begin_time = {18,},
	-- 		duration = 60 * 60 * 6,
	-- 	},
	-- 	boss_campaigns = {3006,},
	-- },

	-- [104] = 
	-- {
	-- 	id = 104,
	-- 	name = "吴越贤佐",
	-- 	--活动类型
	-- 	htype = 7,
	-- 	limit_lv = 0,
	-- 	open_time = 
	-- 	{
	-- 		week_day = {1, 2, 4, 6,},
	-- 		begin_time = {18,},
	-- 		duration = 60 * 60 * 6,
	-- 	},
	-- 	boss_campaigns = {3007,},
	-- },

};

function CampaignGroup_Gethtype( id )
	-- body
	return CampaignGroupList[id].htype;
end
--普通活动关卡配置
CampaignList = 
{

	-- [101] = 
	-- {
	-- 	name="狩猎之谷-普通",
	-- 	play_num = 2,
	-- 	buy_num = 2,
	-- 	energy = 5,
	-- 	Quality = 1,
	-- 	price = 20,
	-- 	get_level = function ()
	-- 		return get_instancing_level("31001");
	-- 	end
	-- },

	-- [102] = 
	-- {
	-- 	name="狩猎之谷-精英",
	-- 	play_num = 2,
	-- 	buy_num = 2,
	-- 	energy = 10,
	-- 	Quality = 2,
	-- 	price = 50,
	-- 	get_level = function ()
	-- 		return get_instancing_level("31101");
	-- 	end
	-- },

	-- [103] = 
	-- {
	-- 	name="狩猎之谷-困难",
	-- 	play_num = 2,
	-- 	buy_num = 2,
	-- 	energy = 15,
	-- 	Quality = 3,
	-- 	price = 100,
	-- 	get_level = function ()
	-- 		return get_instancing_level("31201");
	-- 	end
	-- },
	-- [111] = 
	-- {
	-- 	name="试炼之地-普通",
	-- 	play_num = 2,
	-- 	buy_num = 2,
	-- 	energy = 5,
	-- 	Quality = 1,
	-- 	price = 20,
	-- 	get_level = function ()
	-- 		return get_instancing_level(RandomSelect("32001", "32002", "32003"));
	-- 	end
	-- },

	-- [112] = 
	-- {
	-- 	name="试炼之地-精英",
	-- 	play_num = 2,
	-- 	buy_num = 2,
	-- 	energy = 10,
	-- 	Quality = 2,
	-- 	price = 50,
	-- 	get_level = function ()
	-- 		return get_instancing_level(RandomSelect("32101", "32102", "32103"));
	-- 	end
	-- },

	-- [113] = 
	-- {
	-- 	name="试炼之地-困难",
	-- 	play_num = 2,
	-- 	buy_num = 2,
	-- 	energy = 15,
	-- 	Quality = 3,
	-- 	price = 100,
	-- 	get_level = function ()
	-- 		return get_instancing_level(RandomSelect("32201", "32202", "32203"));
	-- 	end
	-- },


};

--最小获奖伤害
Minimum_Winning_Damage = 200 * 500;

--世界BOSS活动关卡配置
BossCampaignList = 
{
	[601] = 
	{
		name = "酣战虎牢",
		--每个等级（索引）对应的关卡配置
		level = 
		{
			60101, 60102, 60103, 60104, 60105, 60106, 60107, 60108, 60109, 60110,
		},
		--BOSS开放秒数（剩余的时间是查看排名）
		play_sec = 60 * 10,
		--BOSS复活秒数
		relive_sec = 60 * 5,
		--BOSS复活次数
		relive_times = 9999,

		--清除攻击CD的元宝价格
		clear_atk_cd_price = 20,
		--助威奖励
		support_reward = 
		{
			--第一种方式
			{
				expend_gold = 50000,
				prize_yuanbao = 20,
				effect = 0.01,
			},
			--第二种方式
			{
				expend_gold = 100000,
				prize_yuanbao = 50,
				effect = 0.02,
			},
			--第三种方式
			{
				expend_gold = 200000,
				prize_yuanbao = 100,
				effect = 0.04,
			},
		},
		--排名奖励配置
		rank_reward = 
		{
			--击杀、前三奖励
			{
				win_item_id = 81005,
				lose_item_id = 81006,
				num = 10,
			},
			--前十
			{
				win_item_id = 81005,
				lose_item_id = 81006,
				num = 8,
			},
			--前十~~~前30%
			{
				win_item_id = 81005,
				lose_item_id = 81006,
				num = 6,
			},
			--前30%~~~60%
			{
				win_item_id = 81005,
				lose_item_id = 81006,
				num = 5,
			},
			--前60%~~~90%
			{
				win_item_id = 81005,
				lose_item_id = 81006,
				num = 3,
			},
			--剩余参与者
			{
				win_item_id = 81005,
				lose_item_id = 81006,
				num = 1,
			},
		},
	},


	-- [3005] = 
	-- {
	-- 	name = "蜀汉卧龙",
	-- 	--每个等级（索引）对应的关卡配置
	-- 	level =
	-- 	{
	-- 		"30501","30502","30503","30504","30505",
	-- 		"30506","30507","30508","30509","30510", 
	-- 	},
	-- 	--BOSS开放秒数（剩余的时间是查看排名）
	-- 	play_sec = 60 * 10,
	-- 	--BOSS复活秒数
	-- 	relive_sec = 60 * 5,
	-- 	--BOSS复活次数
	-- 	relive_times = 24,
		
	-- 	--清除攻击CD的元宝价格
	-- 	clear_atk_cd_price = 20,
	-- 	--助威奖励
	-- 	support_reward = 
	-- 	{
	-- 		--第一种方式
	-- 		{
	-- 			expend_gold = 8888,
	-- 			prize_yuanbao = 10,
	-- 			effect = 0.01,
	-- 		},
	-- 		--第二种方式
	-- 		{
	-- 			expend_gold = 18888,
	-- 			prize_yuanbao = 25,
	-- 			effect = 0.02,
	-- 		},
	-- 		--第三种方式
	-- 		{
	-- 			expend_gold = 36888,
	-- 			prize_yuanbao = 50,
	-- 			effect = 0.04,
	-- 		},
	-- 	},
	-- 	--排名奖励配置
	-- 	rank_reward = 
	-- 	{
	-- 		--击杀、前三奖励
	-- 		{
	-- 			win_item_id = 40007,
	-- 			lose_item_id = 40003,
	-- 			num = 10,
	-- 		},
	-- 		--前十
	-- 		{
	-- 			win_item_id = 40007,
	-- 			lose_item_id = 40003,
	-- 			num = 8,
	-- 		},
	-- 		--前十~~~前30%
	-- 		{
	-- 			win_item_id = 40007,
	-- 			lose_item_id = 40003,
	-- 			num = 6,
	-- 		},
	-- 		--前30%~~~60%
	-- 		{
	-- 			win_item_id = 40007,
	-- 			lose_item_id = 40003,
	-- 			num = 5,
	-- 		},
	-- 		--前60%~~~90%
	-- 		{
	-- 			win_item_id = 40007,
	-- 			lose_item_id = 40003,
	-- 			num = 3,
	-- 		},
	-- 		--剩余参与者
	-- 		{
	-- 			win_item_id = 40007,
	-- 			lose_item_id = 40003,
	-- 			num = 1,
	-- 		},
	-- 	},
	-- },

	-- [3006] = 
	-- {
	-- 	name = "魏武坚壁",
	-- 	--每个等级（索引）对应的关卡配置
	-- 	level =
	-- 	{
	-- 		"30601","30602","30603","30604","30605",
	-- 		"30606","30607","30608","30609","30610",
 
	-- 	},
	-- 	--BOSS开放秒数（剩余的时间是查看排名）
	-- 	play_sec = 60 * 10,
	-- 	--BOSS复活秒数
	-- 	relive_sec = 60 * 5,
	-- 	--BOSS复活次数
	-- 	relive_times = 24,
		
	-- 	--清除攻击CD的元宝价格
	-- 	clear_atk_cd_price = 20,
	-- 	--助威奖励
	-- 	support_reward = 
	-- 	{
	-- 		--第一种方式
	-- 		{
	-- 			expend_gold = 8888,
	-- 			prize_yuanbao = 10,
	-- 			effect = 0.01,
	-- 		},
	-- 		--第二种方式
	-- 		{
	-- 			expend_gold = 18888,
	-- 			prize_yuanbao = 25,
	-- 			effect = 0.02,
	-- 		},
	-- 		--第三种方式
	-- 		{
	-- 			expend_gold = 36888,
	-- 			prize_yuanbao = 50,
	-- 			effect = 0.04,
	-- 		},
	-- 	},
	-- 	--排名奖励配置
	-- 	rank_reward = 
	-- 	{
	-- 		--击杀、前三奖励
	-- 		{
	-- 			win_item_id = 40006,
	-- 			lose_item_id = 40002,
	-- 			num = 10,
	-- 		},
	-- 		--前十
	-- 		{
	-- 			win_item_id = 40006,
	-- 			lose_item_id = 40002,
	-- 			num = 8,
	-- 		},
	-- 		--前十~~~前30%
	-- 		{
	-- 			win_item_id = 40006,
	-- 			lose_item_id = 40002,
	-- 			num = 6,
	-- 		},
	-- 		--前30%~~~60%
	-- 		{
	-- 			win_item_id = 40006,
	-- 			lose_item_id = 40002,
	-- 			num = 5,
	-- 		},
	-- 		--前60%~~~90%
	-- 		{
	-- 			win_item_id = 40006,
	-- 			lose_item_id = 40002,
	-- 			num = 3,
	-- 		},
	-- 		--剩余参与者
	-- 		{
	-- 			win_item_id = 40006,
	-- 			lose_item_id = 40002,
	-- 			num = 1,
	-- 		},
	-- 	},
	-- },


	-- [3007] = 
	-- {
	-- 	name = "吴越贤佐",
	-- 	--每个等级（索引）对应的关卡配置
	-- 	level =
	-- 	{
	-- 		"30701","30702","30703","30704","30705",
	-- 		"30706","30707","30708","30709","30710",
	-- 	},
	-- 	--BOSS开放秒数（剩余的时间是查看排名）
	-- 	play_sec = 60 * 10,
	-- 	--BOSS复活秒数
	-- 	relive_sec = 60 * 5,
	-- 	--BOSS复活次数
	-- 	relive_times = 24,
		
	-- 	--清除攻击CD的元宝价格
	-- 	clear_atk_cd_price = 20,
	-- 	--助威奖励
	-- 	support_reward = 
	-- 	{
	-- 		--第一种方式
	-- 		{
	-- 			expend_gold = 8888,
	-- 			prize_yuanbao = 10,
	-- 			effect = 0.01,
	-- 		},
	-- 		--第二种方式
	-- 		{
	-- 			expend_gold = 18888,
	-- 			prize_yuanbao = 25,
	-- 			effect = 0.02,
	-- 		},
	-- 		--第三种方式
	-- 		{
	-- 			expend_gold = 36888,
	-- 			prize_yuanbao = 50,
	-- 			effect = 0.04,
	-- 		},
	-- 	},
	-- 	--排名奖励配置
	-- 	rank_reward = 
	-- 	{
	-- 		--击杀、前三奖励
	-- 		{
	-- 			win_item_id = 40005,
	-- 			lose_item_id = 40001,
	-- 			num = 10,
	-- 		},
	-- 		--前十
	-- 		{
	-- 			win_item_id = 40005,
	-- 			lose_item_id = 40001,
	-- 			num = 8,
	-- 		},
	-- 		--前十~~~前30%
	-- 		{
	-- 			win_item_id = 40005,
	-- 			lose_item_id = 40001,
	-- 			num = 6,
	-- 		},
	-- 		--前30%~~~60%
	-- 		{
	-- 			win_item_id = 40005,
	-- 			lose_item_id = 40001,
	-- 			num = 5,
	-- 		},
	-- 		--前60%~~~90%
	-- 		{
	-- 			win_item_id = 40005,
	-- 			lose_item_id = 40001,
	-- 			num = 3,
	-- 		},
	-- 		--剩余参与者
	-- 		{
	-- 			win_item_id = 40005,
	-- 			lose_item_id = 40001,
	-- 			num = 1,
	-- 		},
	-- 	},
	-- },

};

-- boss/活动描述
BossDetails = {
	-- [1] = {
	-- 	desc = "通关狩猎之谷获得经验卡牌",
	-- },
	-- [2] = {
	-- 	desc = "通关试炼之地获得将魂",
	-- },
	-- [3] = {
	-- 	desc = "通关可获得甄姬、吕蒙、姜维、田丰蓝色碎片",
	-- },
	-- [4] = {
	-- 	desc = "通关可获得典韦、郭嘉、曹丕、甘宁蓝色碎片",
	-- },
	-- [101] = {
	-- 	title = "群雄武神",
	-- 	info = "神鬼再临 戟画方天",
	-- 	desc = "战胜可获得高级装备",
	-- },
	-- [102] = {
	-- 	title = "蜀汉谋相",
	-- 	info = "千古智相 妖神之巅",
	-- 	desc = "战胜可获得高级装备",
	-- },
	-- [103] = {
	-- 	title = "魏武坚壁",
	-- 	info = "千军刚魂 险御山川",
	-- 	desc = "战胜可获得高级装备",
	-- },
	-- [104] = {
	-- 	title = "吴越贤佐",
	-- 	info = "雄略滔滔 国士无双",
	-- 	desc = "战胜可获得高级装备",
	-- },
}

huodongConfig = {
	{
		res = "huodong3.png",
		goto = function ()
			-- body
			print("MSG_C2MS_GETBUJI_EVERYDAY")
			gameTcp:SendMessage(MSG_C2MS_GETBUJI_EVERYDAY)
			UIManager.gameMain.center.mainPage.buji = false
		end,
		notify = function ()
			-- body
			return UIManager.gameMain.center.mainPage.buji
		end
	},
	{
		res = "huodong1.png",
		goto = function ()
			-- body
			g_vip_jump = true
			UIManager.gameMain.center:showUI("商店")
		end,
	},
	{
		res = "huodong2.png",
		goto = function ()
			-- body
			g_vip_jump = true
			UIManager.gameMain.center:showUI("商店")
		end,
	},
}
