--
-- Author: zkz
-- Date: 
-- 爵位配置




--得到玩家获得的pvp奖励
function GetPvpReward(player)
	local player_lv = player:GetLevel();
	for i, reward_cfg in ipairs(PvpRewardCfg) do
		if player_lv <= reward_cfg.max_lv then
			return reward_cfg.drop_fun(player);
		end
	end
	print_log(debug.traceback());
end

--得到玩家获得的竞技场奖励
function GetAranaReward(player)
	local player_lv = player:GetLevel();
	for i, reward_cfg in ipairs(AranaRewardCfg) do
		if player_lv <= reward_cfg.max_lv then
			return reward_cfg.drop_fun(player);
		end
	end
	print_log(debug.traceback());
end

--得到玩家获得的地图战奖励
function GetMapReward(player)
	local player_lv = player:GetLevel();
	for i, reward_cfg in ipairs(MapRewardCfg) do
		if player_lv <= reward_cfg.max_lv then
			return reward_cfg.drop_fun(player);
		end
	end
	print_log(debug.traceback());
end


--得到玩家获得的pvp奖励
function GetPvpReward(player)
	local player_lv = player:GetLevel();
	for i, reward_cfg in ipairs(PvpRewardCfg) do
		if player_lv <= reward_cfg.max_lv then
			return reward_cfg.drop_fun(player);
		end
	end
	print_log(debug.traceback());
end




--Pvp 奇遇奖励配置
PvpRewardCfg = 
{
	--全等级玩家
	[1] = 
	{
		--最大玩家等级
		max_lv = 999,
		--掉落设置
		drop_fun = function(player)
			local re = {};
			local rv = math.random();
			if 0.1 > rv then
				table.insert(re,
					{
						obj_type = eDT_Gold,--银两
						obj_id = 0,
						obj_lv = 0,
						obj_num = math.random(10) * 10000,
					}
				);
			elseif 0.2 > rv then
				table.insert(re,
					{
						obj_type = eDT_Item,--铜钥匙
						obj_id = 81011,
						obj_lv = 0,
						obj_num = 1,
					}
				);
			elseif 0.3 > rv then
				table.insert(re,
					{
						obj_type = eDT_Item,--银钥匙
						obj_id = 81012,
						obj_lv = 0,
						obj_num = 1,
					}
				);
			elseif 0.35 > rv then
				table.insert(re,
					{
						obj_type = eDT_Item,--金钥匙
						obj_id = 81013,
						obj_lv = 0,
						obj_num = 1,
					}
				);
			elseif 0.45 > rv then
				table.insert(re,
					{
						obj_type = eDT_Item,--觉醒丹
						obj_id = 90001,
						obj_lv = 0,
						obj_num = math.random(10),
					}
				);
			elseif 0.55 > rv then
				table.insert(re,
					{
						obj_type = eDT_Item,--强化石
						obj_id = 90002,
						obj_lv = 0,
						obj_num = math.random(10),
					}
				);
			elseif 0.65 > rv then
				table.insert(re,
					{
						obj_type = eDT_Item,--升阶石
						obj_id = 90003,
						obj_lv = 0,
						obj_num = math.random(5),
					}
				);
			elseif 0.75 > rv then
				table.insert(re,
					{
						obj_type = eDT_Item,--强攻号角
						obj_id = 10005,
						obj_lv = 0,
						obj_num = math.random(3),
					}
				);
			elseif 0.85 > rv then
				table.insert(re,
					{
						obj_type = eDT_YuanBao,--元宝
						obj_id = 0,
						obj_lv = 0,
						obj_num = RandomSelect(10, 10, 20, 20, 30),
					}
				);
			elseif 0.92 > rv then
				table.insert(re,
					{
						obj_type = eDT_CardPiece,--副将碎片
						obj_id = Cards_8[math.random(#Cards_8)],
						obj_lv = 0,
						obj_num = 1,
					}
				);
			elseif 0.97 > rv then
				table.insert(re,
					{
						obj_type = eDT_CardPiece,--名将碎片
						obj_id = Cards_10_10_11[math.random(#Cards_10_10_11)],
						obj_lv = 0,
						obj_num = 1,
					}
				);
			elseif 1 > rv then
				table.insert(re,
					{
						obj_type = eDT_EquipPiece,--神器碎片
						obj_id = RandomSelect(110011, 110012, 110013, 110014, 
							130011, 130012, 130013, 130014, 
							140011, 140012, 140013, 140014, 
							150011, 150012, 150013, 150014, 
							160011, 160012, 160013, 160014),
						obj_lv = 0,
						obj_num = 1,
					}
				);
			end

			return re;
		end
	},
};

--JJC奖励配置
AranaRewardCfg = 
{
	--全等级玩家
	[1] = 
	{
		--最大玩家等级
		max_lv = 999,
		--掉落设置
		drop_fun = function(player)
			local re = 
			{
				--[[
				{
					obj_type = eDT_CardPiece,
					obj_id = RandomSelect(100004, 100005),
					obj_lv = 0,
					obj_num = 1,
				}
				]]
			};
			local rv = math.random();
			if 0.6 > rv then
				table.insert(re,
					{
						obj_type = eDT_Item,--绿书
						obj_id = 10001,
						obj_lv = 0,
						obj_num = 1,
					}
				);
			elseif 0.9 > rv then
				table.insert(re,
					{
						obj_type = eDT_Item,--蓝书
						obj_id = 10002,
						obj_lv = 0,
						obj_num = 1,
					}
				);
			elseif 1 > rv then
				table.insert(re,
					{
						obj_type = eDT_Item,--紫书
						obj_id = 10003,
						obj_lv = 0,
						obj_num = 1,
					}
				);
			end

			return re;
		end
	},
};


--军团奖励配置
MapRewardCfg = 
{
	--全等级玩家
	[1] = 
	{
		--最大玩家等级
		max_lv = 999,
		--掉落设置
		drop_fun = function(player)
			local re = 
			{
				{
					obj_type = eDT_Item,--职业材料
					obj_id = RandomSelect(90011, 90021, 90031, 90041),
					obj_lv = 0,
					obj_num = RandomSelect(1, 1, 1, 2),
				}
			};

			return re;
		end
	},
};
