--
-- Author: 
-- Date: 
-- 图块配置


--得到一个关卡配置
function GetTileCfg(city_id)
	if GET_CONFIG_CHECK and nil == TileConfig[city_id] then
		-- print_log("Not found city("..city_id..") of config");
		-- print_log(debug.traceback());
	end
	return TileConfig[city_id];
end

--通过玩家数量得到地图块状态
function GetTileStateByPlayerNum( num )
	local sum = #TileConfig;
	for i=sum,1,-1 do
		if num >= TileConfig[i].scope then
			return i;
		end
	end
end


TileConfig = 
{
	[1] = { name = "无玩家", level = 0, expup = 1, scope = 0 , image = "icon/mappiece/map_piece_0.png"},
	[2] = { name = "少量", level = 1, expup = 1.2, scope = 1 ,image = "icon/mappiece/map_piece_1.png"},
	[3] = { name = "中量", level = 2, expup = 1.5, scope = 10 ,image = "icon/mappiece/map_piece_2.png"},
	[4] = { name = "大量", level = 3, expup = 2, scope = 50, image = "icon/mappiece/map_piece_3.png"},
	[5] = { name = "大量", level = 4, expup = 2, scope = 100, image = "icon/mappiece/map_piece_4.png"},
};








