--
-- Author: 
-- Date: 
-- 战役配置


--得到一个战役关卡配置
function GetWarlevel(level_id)
	if GET_CONFIG_CHECK and nil == WarConfig[level_id] then
		print_log("Not found level("..level_id..") of war");
		print_log(debug.traceback());
	end
	return WarConfig[level_id];
end



--得到副本大关配置
function GetCombatCfg(combat_id)
	if GET_CONFIG_CHECK and nil == CombatCfg[combat_id] then
		print_log("Not found combat("..combat_id..")");
		print_log(debug.traceback());
	end
	return CombatCfg[combat_id];
end








--副本关卡结构
WarConfig = 
{
[1] = { Key = 1, name = "Lv1 汉末黄巾乱", player_lv = 1, exp = 10, gold = 1000, hook_combat = { combat_id = 101, }, boss_combat = { combat_id = 104, pass_rewards_id = 200001, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 160014, obj_lv = 0, obj_num = 1, }, }, }, },
[2] = { Key = 2, name = "Lv2 命陨他乡外", player_lv = 2, exp = 20, gold = 1050, hook_combat = { combat_id = 201, }, boss_combat = { combat_id = 204, pass_rewards_id = 200002, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 160013, obj_lv = 0, obj_num = 1, }, }, }, },
[3] = { Key = 3, name = "Lv3 虎穴战张角", player_lv = 3, exp = 30, gold = 1100, hook_combat = { combat_id = 301, }, boss_combat = { combat_id = 304, pass_rewards_id = 200003, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 160012, obj_lv = 0, obj_num = 1, }, }, }, },
[4] = { Key = 4, name = "Lv4 桃园三结义", player_lv = 4, exp = 40, gold = 1150, hook_combat = { combat_id = 401, }, boss_combat = { combat_id = 404, pass_rewards_id = 200004, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 160014, obj_lv = 0, obj_num = 1, }, }, }, },
[5] = { Key = 5, name = "Lv5 翼德鞭督邮", player_lv = 5, exp = 50, gold = 1200, hook_combat = { combat_id = 501, }, boss_combat = { combat_id = 504, pass_rewards_id = 200005, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 160013, obj_lv = 0, obj_num = 1, }, }, }, },
[6] = { Key = 6, name = "Lv6 何进起兵来", player_lv = 6, exp = 60, gold = 1250, hook_combat = { combat_id = 601, }, boss_combat = { combat_id = 604, pass_rewards_id = 200006, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 160012, obj_lv = 0, obj_num = 1, }, }, }, },
[7] = { Key = 7, name = "Lv7 汜水斩鲍忠", player_lv = 7, exp = 98, gold = 1300, hook_combat = { combat_id = 701, }, boss_combat = { combat_id = 704, pass_rewards_id = 200007, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 160011, obj_lv = 0, obj_num = 1, }, }, }, },
[8] = { Key = 8, name = "Lv8 再进斩祖茂", player_lv = 8, exp = 128, gold = 1350, hook_combat = { combat_id = 801, }, boss_combat = { combat_id = 804, pass_rewards_id = 200008, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 150014, obj_lv = 0, obj_num = 1, }, }, }, },
[9] = { Key = 9, name = "Lv9 狂刀斩潘凤", player_lv = 9, exp = 162, gold = 1400, hook_combat = { combat_id = 901, }, boss_combat = { combat_id = 904, pass_rewards_id = 200009, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 150013, obj_lv = 0, obj_num = 1, }, }, }, },
[10] = { Key = 10, name = "Lv10 三进斩俞涉", player_lv = 10, exp = 200, gold = 1450, hook_combat = { combat_id = 1001, }, boss_combat = { combat_id = 1004, pass_rewards_id = 200010, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 150012, obj_lv = 0, obj_num = 1, }, }, }, },
[11] = { Key = 11, name = "Lv11 温酒斩华雄", player_lv = 11, exp = 242, gold = 1500, hook_combat = { combat_id = 1101, }, boss_combat = { combat_id = 1104, pass_rewards_id = 200011, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 150014, obj_lv = 0, obj_num = 1, }, }, }, },
[12] = { Key = 12, name = "Lv12 画戟斩穆顺", player_lv = 12, exp = 288, gold = 1550, hook_combat = { combat_id = 1201, }, boss_combat = { combat_id = 1204, pass_rewards_id = 200012, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 150013, obj_lv = 0, obj_num = 1, }, }, }, },
[13] = { Key = 13, name = "Lv13 怒斩武安国", player_lv = 13, exp = 338, gold = 1600, hook_combat = { combat_id = 1301, }, boss_combat = { combat_id = 1304, pass_rewards_id = 200013, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 150012, obj_lv = 0, obj_num = 1, }, }, }, },
[14] = { Key = 14, name = "Lv14 三英战吕布", player_lv = 14, exp = 392, gold = 1650, hook_combat = { combat_id = 1401, }, boss_combat = { combat_id = 1404, pass_rewards_id = 200014, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 150011, obj_lv = 0, obj_num = 1, }, }, }, },
[15] = { Key = 15, name = "Lv15 烈焰焚金阙", player_lv = 15, exp = 450, gold = 1700, hook_combat = { combat_id = 1501, }, boss_combat = { combat_id = 1504, pass_rewards_id = 200015, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 140014, obj_lv = 0, obj_num = 1, }, }, }, },
[16] = { Key = 16, name = "Lv16 江东举玉玺", player_lv = 16, exp = 512, gold = 1750, hook_combat = { combat_id = 1601, }, boss_combat = { combat_id = 1604, pass_rewards_id = 200016, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 140013, obj_lv = 0, obj_num = 1, }, }, }, },
[17] = { Key = 17, name = "Lv17 磐河战公孙", player_lv = 17, exp = 578, gold = 1800, hook_combat = { combat_id = 1701, }, boss_combat = { combat_id = 1704, pass_rewards_id = 200017, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 140012, obj_lv = 0, obj_num = 1, }, }, }, },
[18] = { Key = 18, name = "Lv18 大闹凤仪亭", player_lv = 18, exp = 648, gold = 1850, hook_combat = { combat_id = 1801, }, boss_combat = { combat_id = 1804, pass_rewards_id = 200018, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 140014, obj_lv = 0, obj_num = 1, }, }, }, },
[19] = { Key = 19, name = "Lv19 司徒合献计", player_lv = 19, exp = 722, gold = 1900, hook_combat = { combat_id = 1901, }, boss_combat = { combat_id = 1904, pass_rewards_id = 200019, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 140013, obj_lv = 0, obj_num = 1, }, }, }, },
[20] = { Key = 20, name = "Lv20 杀神除暴董", player_lv = 20, exp = 800, gold = 1950, hook_combat = { combat_id = 2001, }, boss_combat = { combat_id = 2004, pass_rewards_id = 200020, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 140012, obj_lv = 0, obj_num = 1, }, }, }, },
[21] = { Key = 21, name = "Lv21 毒士计策反", player_lv = 21, exp = 882, gold = 2000, hook_combat = { combat_id = 2101, }, boss_combat = { combat_id = 2104, pass_rewards_id = 200021, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 140011, obj_lv = 0, obj_num = 1, }, }, }, },
[22] = { Key = 22, name = "Lv22 败吕围长安", player_lv = 22, exp = 968, gold = 2050, hook_combat = { combat_id = 2201, }, boss_combat = { combat_id = 2204, pass_rewards_id = 200022, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 130014, obj_lv = 0, obj_num = 1, }, }, }, },
[23] = { Key = 23, name = "Lv23 西凉引兵来", player_lv = 23, exp = 1058, gold = 2100, hook_combat = { combat_id = 2301, }, boss_combat = { combat_id = 2304, pass_rewards_id = 200023, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 130013, obj_lv = 0, obj_num = 1, }, }, }, },
[24] = { Key = 24, name = "Lv24 亲讨陶新主", player_lv = 24, exp = 1152, gold = 2150, hook_combat = { combat_id = 2401, }, boss_combat = { combat_id = 2404, pass_rewards_id = 200024, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 130012, obj_lv = 0, obj_num = 1, }, }, }, },
[25] = { Key = 25, name = "Lv25 北海救孔融", player_lv = 25, exp = 1250, gold = 2200, hook_combat = { combat_id = 2501, }, boss_combat = { combat_id = 2504, pass_rewards_id = 200025, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 130014, obj_lv = 0, obj_num = 1, }, }, }, },
[26] = { Key = 26, name = "Lv26 三让徐州城", player_lv = 26, exp = 1352, gold = 2250, hook_combat = { combat_id = 2601, }, boss_combat = { combat_id = 2604, pass_rewards_id = 200026, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 130013, obj_lv = 0, obj_num = 1, }, }, }, },
[27] = { Key = 27, name = "Lv27 万箭穿心过", player_lv = 27, exp = 1458, gold = 2300, hook_combat = { combat_id = 2701, }, boss_combat = { combat_id = 2704, pass_rewards_id = 200027, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 130012, obj_lv = 0, obj_num = 1, }, }, }, },
[28] = { Key = 28, name = "Lv28 天子归京都", player_lv = 28, exp = 1568, gold = 2350, hook_combat = { combat_id = 2801, }, boss_combat = { combat_id = 2804, pass_rewards_id = 200028, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 130011, obj_lv = 0, obj_num = 1, }, }, }, },
[29] = { Key = 29, name = "Lv29 兵溃如山倒", player_lv = 29, exp = 1682, gold = 2400, hook_combat = { combat_id = 2901, }, boss_combat = { combat_id = 2904, pass_rewards_id = 200029, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 110014, obj_lv = 0, obj_num = 1, }, }, }, },
[30] = { Key = 30, name = "Lv30 截兵战百回", player_lv = 30, exp = 1800, gold = 2450, hook_combat = { combat_id = 3001, }, boss_combat = { combat_id = 3004, pass_rewards_id = 200030, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 110013, obj_lv = 0, obj_num = 1, }, }, }, },
[31] = { Key = 31, name = "Lv31 闻教投明主", player_lv = 31, exp = 1922, gold = 2500, hook_combat = { combat_id = 3101, }, boss_combat = { combat_id = 3104, pass_rewards_id = 200031, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 110012, obj_lv = 0, obj_num = 1, }, }, }, },
[32] = { Key = 32, name = "Lv32 携令扫袁术", player_lv = 32, exp = 2048, gold = 2550, hook_combat = { combat_id = 3201, }, boss_combat = { combat_id = 3204, pass_rewards_id = 200032, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 110014, obj_lv = 0, obj_num = 1, }, }, }, },
[33] = { Key = 33, name = "Lv33 趁乱袭徐州", player_lv = 33, exp = 2178, gold = 2600, hook_combat = { combat_id = 3301, }, boss_combat = { combat_id = 3304, pass_rewards_id = 200033, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 110013, obj_lv = 0, obj_num = 1, }, }, }, },
[34] = { Key = 34, name = "Lv34 集结攻寿春", player_lv = 34, exp = 2312, gold = 2650, hook_combat = { combat_id = 3401, }, boss_combat = { combat_id = 3404, pass_rewards_id = 200034, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 110012, obj_lv = 0, obj_num = 1, }, }, }, },
[35] = { Key = 35, name = "Lv35 京城讨逆贼", player_lv = 35, exp = 2450, gold = 2700, hook_combat = { combat_id = 3501, }, boss_combat = { combat_id = 3504, pass_rewards_id = 200035, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 110011, obj_lv = 0, obj_num = 1, }, }, }, },
[36] = { Key = 36, name = "Lv36 光耀锦马超", player_lv = 36, exp = 2592, gold = 2750, hook_combat = { combat_id = 3601, }, boss_combat = { combat_id = 3604, pass_rewards_id = 200036, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 160014, obj_lv = 0, obj_num = 1, }, }, }, },
[37] = { Key = 37, name = "Lv37 死守长安城", player_lv = 37, exp = 2738, gold = 2800, hook_combat = { combat_id = 3701, }, boss_combat = { combat_id = 3704, pass_rewards_id = 200037, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 160013, obj_lv = 0, obj_num = 1, }, }, }, },
[38] = { Key = 38, name = "Lv38 粮尽憾退兵", player_lv = 38, exp = 2888, gold = 2850, hook_combat = { combat_id = 3801, }, boss_combat = { combat_id = 3804, pass_rewards_id = 200038, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 160012, obj_lv = 0, obj_num = 1, }, }, }, },
[39] = { Key = 39, name = "Lv39 叛贼追韩遂", player_lv = 39, exp = 3042, gold = 2900, hook_combat = { combat_id = 3901, }, boss_combat = { combat_id = 3904, pass_rewards_id = 200039, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 160014, obj_lv = 0, obj_num = 1, }, }, }, },
[40] = { Key = 40, name = "Lv40 死战退敌军", player_lv = 40, exp = 3200, gold = 2950, hook_combat = { combat_id = 4001, }, boss_combat = { combat_id = 4004, pass_rewards_id = 200040, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 160013, obj_lv = 0, obj_num = 1, }, }, }, },
[41] = { Key = 41, name = "Lv41 玄德投许都", player_lv = 41, exp = 3362, gold = 3000, hook_combat = { combat_id = 4101, }, boss_combat = { combat_id = 4104, pass_rewards_id = 200041, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 160012, obj_lv = 0, obj_num = 1, }, }, }, },
[42] = { Key = 42, name = "Lv42 内应取徐州", player_lv = 42, exp = 3528, gold = 3050, hook_combat = { combat_id = 4201, }, boss_combat = { combat_id = 4204, pass_rewards_id = 200042, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 160011, obj_lv = 0, obj_num = 1, }, }, }, },
[43] = { Key = 43, name = "Lv43 红颜再祸水", player_lv = 43, exp = 3698, gold = 3100, hook_combat = { combat_id = 4301, }, boss_combat = { combat_id = 4304, pass_rewards_id = 200043, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 150014, obj_lv = 0, obj_num = 1, }, }, }, },
[44] = { Key = 44, name = "Lv44 水淹下邳城", player_lv = 44, exp = 3872, gold = 3150, hook_combat = { combat_id = 4401, }, boss_combat = { combat_id = 4404, pass_rewards_id = 200044, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 150013, obj_lv = 0, obj_num = 1, }, }, }, },
[45] = { Key = 45, name = "Lv45 自恃其勇武", player_lv = 45, exp = 4050, gold = 3200, hook_combat = { combat_id = 4501, }, boss_combat = { combat_id = 4504, pass_rewards_id = 200045, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 150012, obj_lv = 0, obj_num = 1, }, }, }, },
[46] = { Key = 46, name = "Lv46 白门楼殒命", player_lv = 46, exp = 4232, gold = 3250, hook_combat = { combat_id = 4601, }, boss_combat = { combat_id = 4604, pass_rewards_id = 200046, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 150014, obj_lv = 0, obj_num = 1, }, }, }, },
[47] = { Key = 47, name = "Lv47 计伏曹阿瞒", player_lv = 47, exp = 4418, gold = 3300, hook_combat = { combat_id = 4701, }, boss_combat = { combat_id = 4704, pass_rewards_id = 200047, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 150013, obj_lv = 0, obj_num = 1, }, }, }, },
[48] = { Key = 48, name = "Lv48 诈死马陵山", player_lv = 48, exp = 4608, gold = 3350, hook_combat = { combat_id = 4801, }, boss_combat = { combat_id = 4804, pass_rewards_id = 200048, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 150012, obj_lv = 0, obj_num = 1, }, }, }, },
[49] = { Key = 49, name = "Lv49 如虎添作翼", player_lv = 49, exp = 4802, gold = 3400, hook_combat = { combat_id = 4901, }, boss_combat = { combat_id = 4904, pass_rewards_id = 200049, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 150011, obj_lv = 0, obj_num = 1, }, }, }, },
[50] = { Key = 50, name = "Lv50 归甲复兖州", player_lv = 50, exp = 5000, gold = 3450, hook_combat = { combat_id = 5001, }, boss_combat = { combat_id = 5004, pass_rewards_id = 200050, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 140014, obj_lv = 0, obj_num = 1, }, }, }, },
[51] = { Key = 51, name = "Lv51 班师回许昌", player_lv = 51, exp = 5202, gold = 3500, hook_combat = { combat_id = 5101, }, boss_combat = { combat_id = 5104, pass_rewards_id = 200051, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 140013, obj_lv = 0, obj_num = 1, }, }, }, },
[52] = { Key = 52, name = "Lv52 煮酒论英雄", player_lv = 52, exp = 5408, gold = 3550, hook_combat = { combat_id = 5201, }, boss_combat = { combat_id = 5204, pass_rewards_id = 200052, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 140012, obj_lv = 0, obj_num = 1, }, }, }, },
[53] = { Key = 53, name = "Lv53 秘书召天下", player_lv = 53, exp = 5618, gold = 3600, hook_combat = { combat_id = 5301, }, boss_combat = { combat_id = 5304, pass_rewards_id = 200053, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 140014, obj_lv = 0, obj_num = 1, }, }, }, },
[54] = { Key = 54, name = "Lv54 讨曹起檄文", player_lv = 54, exp = 5832, gold = 3650, hook_combat = { combat_id = 5401, }, boss_combat = { combat_id = 5404, pass_rewards_id = 200054, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 140013, obj_lv = 0, obj_num = 1, }, }, }, },
[55] = { Key = 55, name = "Lv55 从计叹归降", player_lv = 55, exp = 6050, gold = 3700, hook_combat = { combat_id = 5501, }, boss_combat = { combat_id = 5504, pass_rewards_id = 200055, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 140012, obj_lv = 0, obj_num = 1, }, }, }, },
[56] = { Key = 56, name = "Lv56 欲立新帝君", player_lv = 56, exp = 6272, gold = 3750, hook_combat = { combat_id = 5601, }, boss_combat = { combat_id = 5604, pass_rewards_id = 200056, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 140011, obj_lv = 0, obj_num = 1, }, }, }, },
[57] = { Key = 57, name = "Lv57 走马投河北", player_lv = 57, exp = 6498, gold = 3800, hook_combat = { combat_id = 5701, }, boss_combat = { combat_id = 5704, pass_rewards_id = 200057, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 130014, obj_lv = 0, obj_num = 1, }, }, }, },
[58] = { Key = 58, name = "Lv58 挥师夺徐州", player_lv = 58, exp = 6728, gold = 3850, hook_combat = { combat_id = 5801, }, boss_combat = { combat_id = 5804, pass_rewards_id = 200058, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 130013, obj_lv = 0, obj_num = 1, }, }, }, },
[59] = { Key = 59, name = "Lv59 激出下邳城", player_lv = 59, exp = 6962, gold = 3900, hook_combat = { combat_id = 5901, }, boss_combat = { combat_id = 5904, pass_rewards_id = 200059, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 130012, obj_lv = 0, obj_num = 1, }, }, }, },
[60] = { Key = 60, name = "Lv60 围上土坡山", player_lv = 60, exp = 7200, gold = 3950, hook_combat = { combat_id = 6001, }, boss_combat = { combat_id = 6004, pass_rewards_id = 200060, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 130014, obj_lv = 0, obj_num = 1, }, }, }, },
[61] = { Key = 61, name = "Lv61 秣马去匆匆", player_lv = 61, exp = 7442, gold = 4000, hook_combat = { combat_id = 6101, }, boss_combat = { combat_id = 6104, pass_rewards_id = 200061, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 130013, obj_lv = 0, obj_num = 1, }, }, }, },
[62] = { Key = 62, name = "Lv62 关公约三事", player_lv = 62, exp = 7688, gold = 4050, hook_combat = { combat_id = 6201, }, boss_combat = { combat_id = 6204, pass_rewards_id = 200062, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 130012, obj_lv = 0, obj_num = 1, }, }, }, },
[63] = { Key = 63, name = "Lv63 合军攻白马", player_lv = 63, exp = 7938, gold = 4100, hook_combat = { combat_id = 6301, }, boss_combat = { combat_id = 6304, pass_rewards_id = 200063, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 130011, obj_lv = 0, obj_num = 1, }, }, }, },
[64] = { Key = 64, name = "Lv64 数战败徐晃", player_lv = 64, exp = 8192, gold = 4150, hook_combat = { combat_id = 6401, }, boss_combat = { combat_id = 6404, pass_rewards_id = 200064, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 110014, obj_lv = 0, obj_num = 1, }, }, }, },
[65] = { Key = 65, name = "Lv65 红刹斩颜文", player_lv = 65, exp = 8450, gold = 4200, hook_combat = { combat_id = 6501, }, boss_combat = { combat_id = 6504, pass_rewards_id = 200065, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 110013, obj_lv = 0, obj_num = 1, }, }, }, },
[66] = { Key = 66, name = "Lv66 武圣震天威", player_lv = 66, exp = 8712, gold = 4250, hook_combat = { combat_id = 6601, }, boss_combat = { combat_id = 6604, pass_rewards_id = 200066, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 110012, obj_lv = 0, obj_num = 1, }, }, }, },
[67] = { Key = 67, name = "Lv67 混战乱曹军", player_lv = 67, exp = 8978, gold = 4300, hook_combat = { combat_id = 6701, }, boss_combat = { combat_id = 6704, pass_rewards_id = 200067, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 110014, obj_lv = 0, obj_num = 1, }, }, }, },
[68] = { Key = 68, name = "Lv68 亦作刀下魂", player_lv = 68, exp = 9248, gold = 4350, hook_combat = { combat_id = 6801, }, boss_combat = { combat_id = 6804, pass_rewards_id = 200068, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 110013, obj_lv = 0, obj_num = 1, }, }, }, },
[69] = { Key = 69, name = "Lv69 封金挂印去", player_lv = 69, exp = 9522, gold = 4400, hook_combat = { combat_id = 6901, }, boss_combat = { combat_id = 6904, pass_rewards_id = 200069, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 110012, obj_lv = 0, obj_num = 1, }, }, }, },
[70] = { Key = 70, name = "Lv70 义展东岭山", player_lv = 70, exp = 9800, gold = 4450, hook_combat = { combat_id = 7001, }, boss_combat = { combat_id = 7004, pass_rewards_id = 200070, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 110011, obj_lv = 0, obj_num = 1, }, }, }, },
[71] = { Key = 71, name = "Lv71 神行洛阳城", player_lv = 71, exp = 10082, gold = 4500, hook_combat = { combat_id = 7101, }, boss_combat = { combat_id = 7104, pass_rewards_id = 200071, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 160014, obj_lv = 0, obj_num = 1, }, }, }, },
[72] = { Key = 72, name = "Lv72 汜水关之战", player_lv = 72, exp = 10368, gold = 4550, hook_combat = { combat_id = 7201, }, boss_combat = { combat_id = 7204, pass_rewards_id = 200072, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 160013, obj_lv = 0, obj_num = 1, }, }, }, },
[73] = { Key = 73, name = "Lv73 荥阳破贼计", player_lv = 73, exp = 10658, gold = 4600, hook_combat = { combat_id = 7301, }, boss_combat = { combat_id = 7304, pass_rewards_id = 200073, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 160012, obj_lv = 0, obj_num = 1, }, }, }, },
[74] = { Key = 74, name = "Lv74 释疑斩蔡阳", player_lv = 74, exp = 10952, gold = 4650, hook_combat = { combat_id = 7401, }, boss_combat = { combat_id = 7404, pass_rewards_id = 200074, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 160014, obj_lv = 0, obj_num = 1, }, }, }, },
[75] = { Key = 75, name = "Lv75 龙据卧牛山", player_lv = 75, exp = 11250, gold = 4700, hook_combat = { combat_id = 7501, }, boss_combat = { combat_id = 7504, pass_rewards_id = 200075, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 160013, obj_lv = 0, obj_num = 1, }, }, }, },
[76] = { Key = 76, name = "Lv76 蜀汉初长成", player_lv = 76, exp = 11552, gold = 4750, hook_combat = { combat_id = 7601, }, boss_combat = { combat_id = 7604, pass_rewards_id = 200076, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 160012, obj_lv = 0, obj_num = 1, }, }, }, },
[77] = { Key = 77, name = "Lv77 许客刺孙策", player_lv = 77, exp = 11858, gold = 4800, hook_combat = { combat_id = 7701, }, boss_combat = { combat_id = 7704, pass_rewards_id = 200077, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 160011, obj_lv = 0, obj_num = 1, }, }, }, },
[78] = { Key = 78, name = "Lv78 鹤氅携藜杖", player_lv = 78, exp = 12168, gold = 4850, hook_combat = { combat_id = 7801, }, boss_combat = { combat_id = 7804, pass_rewards_id = 200078, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 150014, obj_lv = 0, obj_num = 1, }, }, }, },
[79] = { Key = 79, name = "Lv79 命舛陨霸王", player_lv = 79, exp = 12482, gold = 4900, hook_combat = { combat_id = 7901, }, boss_combat = { combat_id = 7904, pass_rewards_id = 200079, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 150013, obj_lv = 0, obj_num = 1, }, }, }, },
[80] = { Key = 80, name = "Lv80 起兵各进发", player_lv = 80, exp = 12800, gold = 4950, hook_combat = { combat_id = 8001, }, boss_combat = { combat_id = 8004, pass_rewards_id = 200080, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 150012, obj_lv = 0, obj_num = 1, }, }, }, },
[81] = { Key = 81, name = "Lv81 何以分胜负", player_lv = 81, exp = 13122, gold = 5000, hook_combat = { combat_id = 8101, }, boss_combat = { combat_id = 8104, pass_rewards_id = 200081, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 150014, obj_lv = 0, obj_num = 1, }, }, }, },
[82] = { Key = 82, name = "Lv82 仓亭暗进攻", player_lv = 82, exp = 13448, gold = 5050, hook_combat = { combat_id = 8201, }, boss_combat = { combat_id = 8204, pass_rewards_id = 200082, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 150013, obj_lv = 0, obj_num = 1, }, }, }, },
[83] = { Key = 83, name = "Lv83 截粮焚辎重", player_lv = 83, exp = 13778, gold = 5100, hook_combat = { combat_id = 8301, }, boss_combat = { combat_id = 8304, pass_rewards_id = 200083, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 150012, obj_lv = 0, obj_num = 1, }, }, }, },
[84] = { Key = 84, name = "Lv84 陷计攻曹营", player_lv = 84, exp = 14112, gold = 5150, hook_combat = { combat_id = 8401, }, boss_combat = { combat_id = 8404, pass_rewards_id = 200084, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 150011, obj_lv = 0, obj_num = 1, }, }, }, },
[85] = { Key = 85, name = "Lv85 擒缚投明君", player_lv = 85, exp = 14450, gold = 5200, hook_combat = { combat_id = 8501, }, boss_combat = { combat_id = 8504, pass_rewards_id = 200085, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 140014, obj_lv = 0, obj_num = 1, }, }, }, },
[86] = { Key = 86, name = "Lv86 数路忽劫寨", player_lv = 86, exp = 14792, gold = 5250, hook_combat = { combat_id = 8601, }, boss_combat = { combat_id = 8604, pass_rewards_id = 200086, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 140013, obj_lv = 0, obj_num = 1, }, }, }, },
[87] = { Key = 87, name = "Lv87 虚张只声势", player_lv = 87, exp = 15138, gold = 5300, hook_combat = { combat_id = 8701, }, boss_combat = { combat_id = 8704, pass_rewards_id = 200087, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 140012, obj_lv = 0, obj_num = 1, }, }, }, },
[88] = { Key = 88, name = "Lv88 八路齐出营", player_lv = 88, exp = 15488, gold = 5350, hook_combat = { combat_id = 8801, }, boss_combat = { combat_id = 8804, pass_rewards_id = 200088, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 140014, obj_lv = 0, obj_num = 1, }, }, }, },
[89] = { Key = 89, name = "Lv89 领军冲战阵", player_lv = 89, exp = 15842, gold = 5400, hook_combat = { combat_id = 8901, }, boss_combat = { combat_id = 8904, pass_rewards_id = 200089, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 140013, obj_lv = 0, obj_num = 1, }, }, }, },
[90] = { Key = 90, name = "Lv90 官渡败袁绍", player_lv = 90, exp = 16200, gold = 5450, hook_combat = { combat_id = 9001, }, boss_combat = { combat_id = 9004, pass_rewards_id = 200090, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 140012, obj_lv = 0, obj_num = 1, }, }, }, },
[91] = { Key = 91, name = "Lv91 迎娶甄洛神", player_lv = 91, exp = 16562, gold = 5500, hook_combat = { combat_id = 9101, }, boss_combat = { combat_id = 9104, pass_rewards_id = 200091, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 140011, obj_lv = 0, obj_num = 1, }, }, }, },
[92] = { Key = 92, name = "Lv92 领兵追袁谭", player_lv = 92, exp = 16928, gold = 5550, hook_combat = { combat_id = 9201, }, boss_combat = { combat_id = 9204, pass_rewards_id = 200092, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 130014, obj_lv = 0, obj_num = 1, }, }, }, },
[93] = { Key = 93, name = "Lv93 两军相混战", player_lv = 93, exp = 17298, gold = 5600, hook_combat = { combat_id = 9301, }, boss_combat = { combat_id = 9304, pass_rewards_id = 200093, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 130013, obj_lv = 0, obj_num = 1, }, }, }, },
[94] = { Key = 94, name = "Lv94 攻打并州城", player_lv = 94, exp = 17672, gold = 5650, hook_combat = { combat_id = 9401, }, boss_combat = { combat_id = 9404, pass_rewards_id = 200094, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 130012, obj_lv = 0, obj_num = 1, }, }, }, },
[95] = { Key = 95, name = "Lv95 奔袭取乌桓", player_lv = 95, exp = 18050, gold = 5700, hook_combat = { combat_id = 9501, }, boss_combat = { combat_id = 9504, pass_rewards_id = 200095, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 130014, obj_lv = 0, obj_num = 1, }, }, }, },
[96] = { Key = 96, name = "Lv96 万骑望山下", player_lv = 96, exp = 18432, gold = 5750, hook_combat = { combat_id = 9601, }, boss_combat = { combat_id = 9604, pass_rewards_id = 200096, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 130013, obj_lv = 0, obj_num = 1, }, }, }, },
[97] = { Key = 97, name = "Lv97 遗计定辽东", player_lv = 97, exp = 18818, gold = 5800, hook_combat = { combat_id = 9701, }, boss_combat = { combat_id = 9704, pass_rewards_id = 200097, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 130012, obj_lv = 0, obj_num = 1, }, }, }, },
[98] = { Key = 98, name = "Lv98 的卢跃檀溪", player_lv = 98, exp = 19208, gold = 5850, hook_combat = { combat_id = 9801, }, boss_combat = { combat_id = 9804, pass_rewards_id = 200098, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 130011, obj_lv = 0, obj_num = 1, }, }, }, },
[99] = { Key = 99, name = "Lv99 差将取荆襄", player_lv = 99, exp = 19602, gold = 5900, hook_combat = { combat_id = 9901, }, boss_combat = { combat_id = 9904, pass_rewards_id = 200099, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 110014, obj_lv = 0, obj_num = 1, }, }, }, },
[100] = { Key = 100, name = "Lv100 汉营初画策", player_lv = 100, exp = 20000, gold = 5950, hook_combat = { combat_id = 10001, }, boss_combat = { combat_id = 10004, pass_rewards_id = 200100, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 110013, obj_lv = 0, obj_num = 1, }, }, }, },
[101] = { Key = 101, name = "Lv101 三虎困曹军", player_lv = 101, exp = 20402, gold = 6000, hook_combat = { combat_id = 10101, }, boss_combat = { combat_id = 10104, pass_rewards_id = 200101, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 110012, obj_lv = 0, obj_num = 1, }, }, }, },
[102] = { Key = 102, name = "Lv102 八门金锁阵", player_lv = 102, exp = 20808, gold = 6050, hook_combat = { combat_id = 10201, }, boss_combat = { combat_id = 10204, pass_rewards_id = 200102, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 110014, obj_lv = 0, obj_num = 1, }, }, }, },
[103] = { Key = 103, name = "Lv103 奇策据樊城", player_lv = 103, exp = 21218, gold = 6100, hook_combat = { combat_id = 10301, }, boss_combat = { combat_id = 10304, pass_rewards_id = 200103, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 110013, obj_lv = 0, obj_num = 1, }, }, }, },
[104] = { Key = 104, name = "Lv104 召子拟欺书", player_lv = 104, exp = 21632, gold = 6150, hook_combat = { combat_id = 10401, }, boss_combat = { combat_id = 10404, pass_rewards_id = 200104, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 110012, obj_lv = 0, obj_num = 1, }, }, }, },
[105] = { Key = 105, name = "Lv105 徐母恨儿痴", player_lv = 105, exp = 22050, gold = 6200, hook_combat = { combat_id = 10501, }, boss_combat = { combat_id = 10504, pass_rewards_id = 200105, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 110011, obj_lv = 0, obj_num = 1, }, }, }, },
[106] = { Key = 106, name = "Lv106 漳水作玄武", player_lv = 106, exp = 22472, gold = 6250, hook_combat = { combat_id = 10601, }, boss_combat = { combat_id = 10604, pass_rewards_id = 200106, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 160014, obj_lv = 0, obj_num = 1, }, }, }, },
[107] = { Key = 107, name = "Lv107 南征训三军", player_lv = 107, exp = 22898, gold = 6300, hook_combat = { combat_id = 10701, }, boss_combat = { combat_id = 10704, pass_rewards_id = 200107, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 160013, obj_lv = 0, obj_num = 1, }, }, }, },
[108] = { Key = 108, name = "Lv108 水镜见玄德", player_lv = 108, exp = 23328, gold = 6350, hook_combat = { combat_id = 10801, }, boss_combat = { combat_id = 10804, pass_rewards_id = 200108, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 160012, obj_lv = 0, obj_num = 1, }, }, }, },
[109] = { Key = 109, name = "Lv109 一见诸葛亮", player_lv = 109, exp = 23762, gold = 6400, hook_combat = { combat_id = 10901, }, boss_combat = { combat_id = 10904, pass_rewards_id = 200109, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 160014, obj_lv = 0, obj_num = 1, }, }, }, },
[110] = { Key = 110, name = "Lv110 二待隆冬时", player_lv = 110, exp = 24200, gold = 6450, hook_combat = { combat_id = 11001, }, boss_combat = { combat_id = 11004, pass_rewards_id = 200110, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 160013, obj_lv = 0, obj_num = 1, }, }, }, },
[111] = { Key = 111, name = "Lv111 三请卧龙岗", player_lv = 111, exp = 24642, gold = 6500, hook_combat = { combat_id = 11101, }, boss_combat = { combat_id = 11104, pass_rewards_id = 200111, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 160012, obj_lv = 0, obj_num = 1, }, }, }, },
[112] = { Key = 112, name = "Lv112 大梦谁先觉", player_lv = 112, exp = 25088, gold = 6550, hook_combat = { combat_id = 11201, }, boss_combat = { combat_id = 11204, pass_rewards_id = 200112, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 160011, obj_lv = 0, obj_num = 1, }, }, }, },
[113] = { Key = 113, name = "Lv113 把臂总言欢", player_lv = 113, exp = 25538, gold = 6600, hook_combat = { combat_id = 11301, }, boss_combat = { combat_id = 11304, pass_rewards_id = 200113, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 150014, obj_lv = 0, obj_num = 1, }, }, }, },
[114] = { Key = 114, name = "Lv114 隆中君臣对", player_lv = 114, exp = 25992, gold = 6650, hook_combat = { combat_id = 11401, }, boss_combat = { combat_id = 11404, pass_rewards_id = 200114, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 150013, obj_lv = 0, obj_num = 1, }, }, }, },
[115] = { Key = 115, name = "Lv115 决策分天下", player_lv = 115, exp = 26450, gold = 6700, hook_combat = { combat_id = 11501, }, boss_combat = { combat_id = 11504, pass_rewards_id = 200115, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 150012, obj_lv = 0, obj_num = 1, }, }, }, },
[116] = { Key = 116, name = "Lv116 我有雄志心", player_lv = 116, exp = 26912, gold = 6750, hook_combat = { combat_id = 11601, }, boss_combat = { combat_id = 11604, pass_rewards_id = 200116, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 150014, obj_lv = 0, obj_num = 1, }, }, }, },
[117] = { Key = 117, name = "Lv117 安能折丈夫", player_lv = 117, exp = 27378, gold = 6800, hook_combat = { combat_id = 11701, }, boss_combat = { combat_id = 11704, pass_rewards_id = 200117, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 150013, obj_lv = 0, obj_num = 1, }, }, }, },
[118] = { Key = 118, name = "Lv118 恭请下新野", player_lv = 118, exp = 27848, gold = 6850, hook_combat = { combat_id = 11801, }, boss_combat = { combat_id = 11804, pass_rewards_id = 200118, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 150012, obj_lv = 0, obj_num = 1, }, }, }, },
[119] = { Key = 119, name = "Lv119 操兵聚新野", player_lv = 119, exp = 28322, gold = 6900, hook_combat = { combat_id = 11901, }, boss_combat = { combat_id = 11904, pass_rewards_id = 200119, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 150011, obj_lv = 0, obj_num = 1, }, }, }, },
[120] = { Key = 120, name = "Lv120 诡火焚安林", player_lv = 120, exp = 28800, gold = 6950, hook_combat = { combat_id = 12001, }, boss_combat = { combat_id = 12004, pass_rewards_id = 200120, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 140014, obj_lv = 0, obj_num = 1, }, }, }, },
[121] = { Key = 121, name = "Lv121 愚夫献九郡", player_lv = 121, exp = 29282, gold = 7000, hook_combat = { combat_id = 12101, }, boss_combat = { combat_id = 12104, pass_rewards_id = 200121, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 140013, obj_lv = 0, obj_num = 1, }, }, }, },
[122] = { Key = 122, name = "Lv122 三千铁铸甲", player_lv = 122, exp = 29768, gold = 7050, hook_combat = { combat_id = 12201, }, boss_combat = { combat_id = 12204, pass_rewards_id = 200122, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 140012, obj_lv = 0, obj_num = 1, }, }, }, },
[123] = { Key = 123, name = "Lv123 新野焰摩天", player_lv = 123, exp = 30258, gold = 7100, hook_combat = { combat_id = 12301, }, boss_combat = { combat_id = 12304, pass_rewards_id = 200123, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 140014, obj_lv = 0, obj_num = 1, }, }, }, },
[124] = { Key = 124, name = "Lv124 白河怒涛下", player_lv = 124, exp = 30752, gold = 7150, hook_combat = { combat_id = 12401, }, boss_combat = { combat_id = 12404, pass_rewards_id = 200124, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 140013, obj_lv = 0, obj_num = 1, }, }, }, },
[125] = { Key = 125, name = "Lv125 万夫避襄阳", player_lv = 125, exp = 31250, gold = 7200, hook_combat = { combat_id = 12501, }, boss_combat = { combat_id = 12504, pass_rewards_id = 200125, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 140012, obj_lv = 0, obj_num = 1, }, }, }, },
[126] = { Key = 126, name = "Lv126 安家取江陵", player_lv = 126, exp = 31752, gold = 7250, hook_combat = { combat_id = 12601, }, boss_combat = { combat_id = 12604, pass_rewards_id = 200126, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 140011, obj_lv = 0, obj_num = 1, }, }, }, },
[127] = { Key = 127, name = "Lv127 仁至何弃民", player_lv = 127, exp = 32258, gold = 7300, hook_combat = { combat_id = 12701, }, boss_combat = { combat_id = 12704, pass_rewards_id = 200127, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 130014, obj_lv = 0, obj_num = 1, }, }, }, },
[128] = { Key = 128, name = "Lv128 两栖兵逼近", player_lv = 128, exp = 32768, gold = 7350, hook_combat = { combat_id = 12801, }, boss_combat = { combat_id = 12804, pass_rewards_id = 200128, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 130013, obj_lv = 0, obj_num = 1, }, }, }, },
[129] = { Key = 129, name = "Lv129 青釭救阿斗", player_lv = 129, exp = 33282, gold = 7400, hook_combat = { combat_id = 12901, }, boss_combat = { combat_id = 12904, pass_rewards_id = 200129, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 130012, obj_lv = 0, obj_num = 1, }, }, }, },
[130] = { Key = 130, name = "Lv130 征马困龙飞", player_lv = 130, exp = 33800, gold = 7450, hook_combat = { combat_id = 13001, }, boss_combat = { combat_id = 13004, pass_rewards_id = 200130, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 130014, obj_lv = 0, obj_num = 1, }, }, }, },
[131] = { Key = 131, name = "Lv131 子龙总信义", player_lv = 131, exp = 34322, gold = 7500, hook_combat = { combat_id = 13101, }, boss_combat = { combat_id = 13104, pass_rewards_id = 200131, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 130013, obj_lv = 0, obj_num = 1, }, }, }, },
[132] = { Key = 132, name = "Lv132 恶伫长板桥", player_lv = 132, exp = 34848, gold = 7550, hook_combat = { combat_id = 13201, }, boss_combat = { combat_id = 13204, pass_rewards_id = 200132, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 130012, obj_lv = 0, obj_num = 1, }, }, }, },
[133] = { Key = 133, name = "Lv133 孰为釜中鱼", player_lv = 133, exp = 35378, gold = 7600, hook_combat = { combat_id = 13301, }, boss_combat = { combat_id = 13304, pass_rewards_id = 200133, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 130011, obj_lv = 0, obj_num = 1, }, }, }, },
[134] = { Key = 134, name = "Lv134 巧舌战群儒", player_lv = 134, exp = 35912, gold = 7650, hook_combat = { combat_id = 13401, }, boss_combat = { combat_id = 13404, pass_rewards_id = 200134, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 110014, obj_lv = 0, obj_num = 1, }, }, }, },
[135] = { Key = 135, name = "Lv135 阔论盖张昭", player_lv = 135, exp = 36450, gold = 7700, hook_combat = { combat_id = 13501, }, boss_combat = { combat_id = 13504, pass_rewards_id = 200135, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 110013, obj_lv = 0, obj_num = 1, }, }, }, },
[136] = { Key = 136, name = "Lv136 智谋激周郎", player_lv = 136, exp = 36992, gold = 7750, hook_combat = { combat_id = 13601, }, boss_combat = { combat_id = 13604, pass_rewards_id = 200136, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 110012, obj_lv = 0, obj_num = 1, }, }, }, },
[137] = { Key = 137, name = "Lv137 寻计赴鸿门", player_lv = 137, exp = 37538, gold = 7800, hook_combat = { combat_id = 13701, }, boss_combat = { combat_id = 13704, pass_rewards_id = 200137, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 110014, obj_lv = 0, obj_num = 1, }, }, }, },
[138] = { Key = 138, name = "Lv138 三江截曹寨", player_lv = 138, exp = 38088, gold = 7850, hook_combat = { combat_id = 13801, }, boss_combat = { combat_id = 13804, pass_rewards_id = 200138, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 110013, obj_lv = 0, obj_num = 1, }, }, }, },
[139] = { Key = 139, name = "Lv139 盗书群英会", player_lv = 139, exp = 38642, gold = 7900, hook_combat = { combat_id = 13901, }, boss_combat = { combat_id = 13904, pass_rewards_id = 200139, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 110012, obj_lv = 0, obj_num = 1, }, }, }, },
[140] = { Key = 140, name = "Lv140 洞察反间计", player_lv = 140, exp = 39200, gold = 7950, hook_combat = { combat_id = 14001, }, boss_combat = { combat_id = 14004, pass_rewards_id = 200140, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 110011, obj_lv = 0, obj_num = 1, }, }, }, },
[141] = { Key = 141, name = "Lv141 公瑾欲加罪", player_lv = 141, exp = 39762, gold = 8000, hook_combat = { combat_id = 14101, }, boss_combat = { combat_id = 14104, pass_rewards_id = 200141, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 160014, obj_lv = 0, obj_num = 1, }, }, }, },
[142] = { Key = 142, name = "Lv142 赶造十万箭", player_lv = 142, exp = 40328, gold = 8050, hook_combat = { combat_id = 14201, }, boss_combat = { combat_id = 14204, pass_rewards_id = 200142, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 160013, obj_lv = 0, obj_num = 1, }, }, }, },
[143] = { Key = 143, name = "Lv143 成竹在胸中", player_lv = 143, exp = 40898, gold = 8100, hook_combat = { combat_id = 14301, }, boss_combat = { combat_id = 14304, pass_rewards_id = 200143, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 160012, obj_lv = 0, obj_num = 1, }, }, }, },
[144] = { Key = 144, name = "Lv144 大雾将成事", player_lv = 144, exp = 41472, gold = 8150, hook_combat = { combat_id = 14401, }, boss_combat = { combat_id = 14404, pass_rewards_id = 200144, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 160014, obj_lv = 0, obj_num = 1, }, }, }, },
[145] = { Key = 145, name = "Lv145 奇智坏阴谋", player_lv = 145, exp = 42050, gold = 8200, hook_combat = { combat_id = 14501, }, boss_combat = { combat_id = 14504, pass_rewards_id = 200145, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 160013, obj_lv = 0, obj_num = 1, }, }, }, },
[146] = { Key = 146, name = "Lv146 草船十万箭", player_lv = 146, exp = 42632, gold = 8250, hook_combat = { combat_id = 14601, }, boss_combat = { combat_id = 14604, pass_rewards_id = 200146, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 160012, obj_lv = 0, obj_num = 1, }, }, }, },
[147] = { Key = 147, name = "Lv147 甘受皮肉苦", player_lv = 147, exp = 43218, gold = 8300, hook_combat = { combat_id = 14701, }, boss_combat = { combat_id = 14704, pass_rewards_id = 200147, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 160011, obj_lv = 0, obj_num = 1, }, }, }, },
[148] = { Key = 148, name = "Lv148 勇献诈降书", player_lv = 148, exp = 43808, gold = 8350, hook_combat = { combat_id = 14801, }, boss_combat = { combat_id = 14804, pass_rewards_id = 200148, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 150014, obj_lv = 0, obj_num = 1, }, }, }, },
[149] = { Key = 149, name = "Lv149 密告受刑事", player_lv = 149, exp = 44402, gold = 8400, hook_combat = { combat_id = 14901, }, boss_combat = { combat_id = 14904, pass_rewards_id = 200149, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 150013, obj_lv = 0, obj_num = 1, }, }, }, },
[150] = { Key = 150, name = "Lv150 再往探虚实", player_lv = 150, exp = 45000, gold = 8450, hook_combat = { combat_id = 15001, }, boss_combat = { combat_id = 15004, pass_rewards_id = 200150, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 150012, obj_lv = 0, obj_num = 1, }, }, }, },
[151] = { Key = 151, name = "Lv151 士元落曹营", player_lv = 151, exp = 45602, gold = 8500, hook_combat = { combat_id = 15101, }, boss_combat = { combat_id = 15104, pass_rewards_id = 200151, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 150014, obj_lv = 0, obj_num = 1, }, }, }, },
[152] = { Key = 152, name = "Lv152 凤雏锁连环", player_lv = 152, exp = 46208, gold = 8550, hook_combat = { combat_id = 15201, }, boss_combat = { combat_id = 15204, pass_rewards_id = 200152, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 150013, obj_lv = 0, obj_num = 1, }, }, }, },
[153] = { Key = 153, name = "Lv153 醉吟短歌行", player_lv = 153, exp = 46818, gold = 8600, hook_combat = { combat_id = 15301, }, boss_combat = { combat_id = 15304, pass_rewards_id = 200153, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 150012, obj_lv = 0, obj_num = 1, }, }, }, },
[154] = { Key = 154, name = "Lv154 祭风七星坛", player_lv = 154, exp = 47432, gold = 8650, hook_combat = { combat_id = 15401, }, boss_combat = { combat_id = 15404, pass_rewards_id = 200154, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 150011, obj_lv = 0, obj_num = 1, }, }, }, },
[155] = { Key = 155, name = "Lv155 早知周郎心", player_lv = 155, exp = 48050, gold = 8700, hook_combat = { combat_id = 15501, }, boss_combat = { combat_id = 15504, pass_rewards_id = 200155, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 140014, obj_lv = 0, obj_num = 1, }, }, }, },
[156] = { Key = 156, name = "Lv156 引火锁排舟", player_lv = 156, exp = 48672, gold = 8750, hook_combat = { combat_id = 15601, }, boss_combat = { combat_id = 15604, pass_rewards_id = 200156, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 140013, obj_lv = 0, obj_num = 1, }, }, }, },
[157] = { Key = 157, name = "Lv157 烈火照云海", player_lv = 157, exp = 49298, gold = 8800, hook_combat = { combat_id = 15701, }, boss_combat = { combat_id = 15704, pass_rewards_id = 200157, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 140012, obj_lv = 0, obj_num = 1, }, }, }, },
[158] = { Key = 158, name = "Lv158 惊恐如裂胆", player_lv = 158, exp = 49928, gold = 8850, hook_combat = { combat_id = 15801, }, boss_combat = { combat_id = 15804, pass_rewards_id = 200158, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 140014, obj_lv = 0, obj_num = 1, }, }, }, },
[159] = { Key = 159, name = "Lv159 赴死救曹主", player_lv = 159, exp = 50562, gold = 8900, hook_combat = { combat_id = 15901, }, boss_combat = { combat_id = 15904, pass_rewards_id = 200159, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 140013, obj_lv = 0, obj_num = 1, }, }, }, },
[160] = { Key = 160, name = "Lv160 赤壁败而逃", player_lv = 160, exp = 51200, gold = 8950, hook_combat = { combat_id = 16001, }, boss_combat = { combat_id = 16004, pass_rewards_id = 200160, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 140012, obj_lv = 0, obj_num = 1, }, }, }, },
[161] = { Key = 161, name = "Lv161 岸地无寻觅", player_lv = 161, exp = 51842, gold = 9000, hook_combat = { combat_id = 16101, }, boss_combat = { combat_id = 16104, pass_rewards_id = 200161, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 140011, obj_lv = 0, obj_num = 1, }, }, }, },
[162] = { Key = 162, name = "Lv162 落荒惊四散", player_lv = 162, exp = 52488, gold = 9050, hook_combat = { combat_id = 16201, }, boss_combat = { combat_id = 16204, pass_rewards_id = 200162, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 130014, obj_lv = 0, obj_num = 1, }, }, }, },
[163] = { Key = 163, name = "Lv163 灰头盖土脸", player_lv = 163, exp = 53138, gold = 9100, hook_combat = { combat_id = 16301, }, boss_combat = { combat_id = 16304, pass_rewards_id = 200163, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 130013, obj_lv = 0, obj_num = 1, }, }, }, },
[164] = { Key = 164, name = "Lv164 乌林截阿瞒", player_lv = 164, exp = 53792, gold = 9150, hook_combat = { combat_id = 16401, }, boss_combat = { combat_id = 16404, pass_rewards_id = 200164, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 130012, obj_lv = 0, obj_num = 1, }, }, }, },
[165] = { Key = 165, name = "Lv165 孔明岂无算", player_lv = 165, exp = 54450, gold = 9200, hook_combat = { combat_id = 16501, }, boss_combat = { combat_id = 16504, pass_rewards_id = 200165, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 130014, obj_lv = 0, obj_num = 1, }, }, }, },
[166] = { Key = 166, name = "Lv166 截路北彝陵", player_lv = 166, exp = 55112, gold = 9250, hook_combat = { combat_id = 16601, }, boss_combat = { combat_id = 16604, pass_rewards_id = 200166, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 130013, obj_lv = 0, obj_num = 1, }, }, }, },
[167] = { Key = 167, name = "Lv167 义释华容道", player_lv = 167, exp = 55778, gold = 9300, hook_combat = { combat_id = 16701, }, boss_combat = { combat_id = 16704, pass_rewards_id = 200167, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 130012, obj_lv = 0, obj_num = 1, }, }, }, },
[168] = { Key = 168, name = "Lv168 诸葛许南郡", player_lv = 168, exp = 56448, gold = 9350, hook_combat = { combat_id = 16801, }, boss_combat = { combat_id = 16804, pass_rewards_id = 200168, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 130011, obj_lv = 0, obj_num = 1, }, }, }, },
[169] = { Key = 169, name = "Lv169 吴越渡汉江", player_lv = 169, exp = 57122, gold = 9400, hook_combat = { combat_id = 16901, }, boss_combat = { combat_id = 16904, pass_rewards_id = 200169, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 110014, obj_lv = 0, obj_num = 1, }, }, }, },
[170] = { Key = 170, name = "Lv170 兵出救彝陵", player_lv = 170, exp = 57800, gold = 9450, hook_combat = { combat_id = 17001, }, boss_combat = { combat_id = 17004, pass_rewards_id = 200170, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 110013, obj_lv = 0, obj_num = 1, }, }, }, },
[171] = { Key = 171, name = "Lv171 瓮中捉周郎", player_lv = 171, exp = 58482, gold = 9500, hook_combat = { combat_id = 17101, }, boss_combat = { combat_id = 17104, pass_rewards_id = 200171, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 110012, obj_lv = 0, obj_num = 1, }, }, }, },
[172] = { Key = 172, name = "Lv172 湘西取零陵", player_lv = 172, exp = 59168, gold = 9550, hook_combat = { combat_id = 17201, }, boss_combat = { combat_id = 17204, pass_rewards_id = 200172, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 110014, obj_lv = 0, obj_num = 1, }, }, }, },
[173] = { Key = 173, name = "Lv173 轻军夺桂阳", player_lv = 173, exp = 59858, gold = 9600, hook_combat = { combat_id = 17301, }, boss_combat = { combat_id = 17304, pass_rewards_id = 200173, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 110013, obj_lv = 0, obj_num = 1, }, }, }, },
[174] = { Key = 174, name = "Lv174 使君降武陵", player_lv = 174, exp = 60552, gold = 9650, hook_combat = { combat_id = 17401, }, boss_combat = { combat_id = 17404, pass_rewards_id = 200174, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 110012, obj_lv = 0, obj_num = 1, }, }, }, },
[175] = { Key = 175, name = "Lv175 相惜战长沙", player_lv = 175, exp = 61250, gold = 9700, hook_combat = { combat_id = 17501, }, boss_combat = { combat_id = 17504, pass_rewards_id = 200175, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 110011, obj_lv = 0, obj_num = 1, }, }, }, },
[176] = { Key = 176, name = "Lv176 战书下江东", player_lv = 176, exp = 61952, gold = 9750, hook_combat = { combat_id = 17601, }, boss_combat = { combat_id = 17604, pass_rewards_id = 200176, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 160014, obj_lv = 0, obj_num = 1, }, }, }, },
[177] = { Key = 177, name = "Lv177 前策生内变", player_lv = 177, exp = 62658, gold = 9800, hook_combat = { combat_id = 17701, }, boss_combat = { combat_id = 17704, pass_rewards_id = 200177, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 160013, obj_lv = 0, obj_num = 1, }, }, }, },
[178] = { Key = 178, name = "Lv178 三计定姻缘", player_lv = 178, exp = 63368, gold = 9850, hook_combat = { combat_id = 17801, }, boss_combat = { combat_id = 17804, pass_rewards_id = 200178, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 160012, obj_lv = 0, obj_num = 1, }, }, }, },
[179] = { Key = 179, name = "Lv179 风光甘露寺", player_lv = 179, exp = 64082, gold = 9900, hook_combat = { combat_id = 17901, }, boss_combat = { combat_id = 17904, pass_rewards_id = 200179, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 160014, obj_lv = 0, obj_num = 1, }, }, }, },
[180] = { Key = 180, name = "Lv180 剑侍惊新郎", player_lv = 180, exp = 64800, gold = 9950, hook_combat = { combat_id = 18001, }, boss_combat = { combat_id = 18004, pass_rewards_id = 200180, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 160013, obj_lv = 0, obj_num = 1, }, }, }, },
[181] = { Key = 181, name = "Lv181 一气周公瑾", player_lv = 181, exp = 65522, gold = 10000, hook_combat = { combat_id = 18101, }, boss_combat = { combat_id = 18104, pass_rewards_id = 200181, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 160012, obj_lv = 0, obj_num = 1, }, }, }, },
[182] = { Key = 182, name = "Lv182 缚死难诛奸", player_lv = 182, exp = 66248, gold = 10050, hook_combat = { combat_id = 18201, }, boss_combat = { combat_id = 18204, pass_rewards_id = 200182, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 160011, obj_lv = 0, obj_num = 1, }, }, }, },
[183] = { Key = 183, name = "Lv183 八部下长安", player_lv = 183, exp = 66978, gold = 10100, hook_combat = { combat_id = 18301, }, boss_combat = { combat_id = 18304, pass_rewards_id = 200183, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 150014, obj_lv = 0, obj_num = 1, }, }, }, },
[184] = { Key = 184, name = "Lv184 挥师援潼关", player_lv = 184, exp = 67712, gold = 10150, hook_combat = { combat_id = 18401, }, boss_combat = { combat_id = 18404, pass_rewards_id = 200184, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 150013, obj_lv = 0, obj_num = 1, }, }, }, },
[185] = { Key = 185, name = "Lv185 阵前战曹将", player_lv = 185, exp = 68450, gold = 10200, hook_combat = { combat_id = 18501, }, boss_combat = { combat_id = 18504, pass_rewards_id = 200185, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 150012, obj_lv = 0, obj_num = 1, }, }, }, },
[186] = { Key = 186, name = "Lv186 赶马救吾君", player_lv = 186, exp = 69192, gold = 10250, hook_combat = { combat_id = 18601, }, boss_combat = { combat_id = 18604, pass_rewards_id = 200186, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 150014, obj_lv = 0, obj_num = 1, }, }, }, },
[187] = { Key = 187, name = "Lv187 轻舟单护主", player_lv = 187, exp = 69938, gold = 10300, hook_combat = { combat_id = 18701, }, boss_combat = { combat_id = 18704, pass_rewards_id = 200187, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 150013, obj_lv = 0, obj_num = 1, }, }, }, },
[188] = { Key = 188, name = "Lv188 再气周公瑾", player_lv = 188, exp = 70688, gold = 10350, hook_combat = { combat_id = 18801, }, boss_combat = { combat_id = 18804, pass_rewards_id = 200188, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 150012, obj_lv = 0, obj_num = 1, }, }, }, },
[189] = { Key = 189, name = "Lv189 建安十五春", player_lv = 189, exp = 71442, gold = 10400, hook_combat = { combat_id = 18901, }, boss_combat = { combat_id = 18904, pass_rewards_id = 200189, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 150011, obj_lv = 0, obj_num = 1, }, }, }, },
[190] = { Key = 190, name = "Lv190 大宴铜雀台", player_lv = 190, exp = 72200, gold = 10450, hook_combat = { combat_id = 19001, }, boss_combat = { combat_id = 19004, pass_rewards_id = 200190, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 140014, obj_lv = 0, obj_num = 1, }, }, }, },
[191] = { Key = 191, name = "Lv191 邺城会文武", player_lv = 191, exp = 72962, gold = 10500, hook_combat = { combat_id = 19101, }, boss_combat = { combat_id = 19104, pass_rewards_id = 200191, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 140013, obj_lv = 0, obj_num = 1, }, }, }, },
[192] = { Key = 192, name = "Lv192 妙对计荆州", player_lv = 192, exp = 73728, gold = 10550, hook_combat = { combat_id = 19201, }, boss_combat = { combat_id = 19204, pass_rewards_id = 200192, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 140012, obj_lv = 0, obj_num = 1, }, }, }, },
[193] = { Key = 193, name = "Lv193 截江救阿斗", player_lv = 193, exp = 74498, gold = 10600, hook_combat = { combat_id = 19301, }, boss_combat = { combat_id = 19304, pass_rewards_id = 200193, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 140014, obj_lv = 0, obj_num = 1, }, }, }, },
[194] = { Key = 194, name = "Lv194 三气周公瑾", player_lv = 194, exp = 75272, gold = 10650, hook_combat = { combat_id = 19401, }, boss_combat = { combat_id = 19404, pass_rewards_id = 200194, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 140013, obj_lv = 0, obj_num = 1, }, }, }, },
[195] = { Key = 195, name = "Lv195 泾下江南去", player_lv = 195, exp = 76050, gold = 10700, hook_combat = { combat_id = 19501, }, boss_combat = { combat_id = 19504, pass_rewards_id = 200195, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 140012, obj_lv = 0, obj_num = 1, }, }, }, },
[196] = { Key = 196, name = "Lv196 教兵兴入关", player_lv = 196, exp = 76832, gold = 10750, hook_combat = { combat_id = 19601, }, boss_combat = { combat_id = 19604, pass_rewards_id = 200196, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 140011, obj_lv = 0, obj_num = 1, }, }, }, },
[197] = { Key = 197, name = "Lv197 父仇告将军", player_lv = 197, exp = 77618, gold = 10800, hook_combat = { combat_id = 19701, }, boss_combat = { combat_id = 19704, pass_rewards_id = 200197, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 130014, obj_lv = 0, obj_num = 1, }, }, }, },
[198] = { Key = 198, name = "Lv198 智计夺长安", player_lv = 198, exp = 78408, gold = 10850, hook_combat = { combat_id = 19801, }, boss_combat = { combat_id = 19804, pass_rewards_id = 200198, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 130013, obj_lv = 0, obj_num = 1, }, }, }, },
[199] = { Key = 199, name = "Lv199 阿瞒败潼关", player_lv = 199, exp = 79202, gold = 10900, hook_combat = { combat_id = 19901, }, boss_combat = { combat_id = 19904, pass_rewards_id = 200199, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 130012, obj_lv = 0, obj_num = 1, }, }, }, },
[200] = { Key = 200, name = "Lv200 马超雪恨来", player_lv = 200, exp = 80000, gold = 10950, hook_combat = { combat_id = 20001, }, boss_combat = { combat_id = 20004, pass_rewards_id = 200200, Rewards = { { obj_type = eDT_EquipPiece, obj_id = 130014, obj_lv = 0, obj_num = 1, }, }, }, },


};





-- 关卡数据
-------------------------------------------------------------------------------------------------------------------------------
CombatCfg = {
	--剧本
	----------------------------------------------------------
[101]={Key = 101, Name = "汉末黄巾乱1", Icon = 0, sceneID = 0, MonsterCfgID = 101, first_drop_id = 0, drop_id = 100101, },
[104]={Key = 104, Name = "汉末黄巾乱4", Icon = 0, sceneID = 0, MonsterCfgID = 104, first_drop_id = 0, drop_id = 100104, },
[201]={Key = 201, Name = "命陨他乡外1", Icon = 0, sceneID = 0, MonsterCfgID = 201, first_drop_id = 0, drop_id = 100201, },
[204]={Key = 204, Name = "命陨他乡外4", Icon = 0, sceneID = 0, MonsterCfgID = 204, first_drop_id = 0, drop_id = 100204, },
[301]={Key = 301, Name = "虎穴战张角1", Icon = 0, sceneID = 0, MonsterCfgID = 301, first_drop_id = 0, drop_id = 100301, },
[304]={Key = 304, Name = "虎穴战张角4", Icon = 0, sceneID = 0, MonsterCfgID = 304, first_drop_id = 0, drop_id = 100304, },
[401]={Key = 401, Name = "桃园三结义1", Icon = 0, sceneID = 0, MonsterCfgID = 401, first_drop_id = 0, drop_id = 100401, },
[404]={Key = 404, Name = "桃园三结义4", Icon = 0, sceneID = 0, MonsterCfgID = 404, first_drop_id = 0, drop_id = 100404, },
[501]={Key = 501, Name = "翼德鞭督邮1", Icon = 0, sceneID = 0, MonsterCfgID = 501, first_drop_id = 0, drop_id = 100501, },
[504]={Key = 504, Name = "翼德鞭督邮4", Icon = 0, sceneID = 0, MonsterCfgID = 504, first_drop_id = 0, drop_id = 100504, },
[601]={Key = 601, Name = "何进起兵来1", Icon = 0, sceneID = 0, MonsterCfgID = 601, first_drop_id = 0, drop_id = 100601, },
[604]={Key = 604, Name = "何进起兵来4", Icon = 0, sceneID = 0, MonsterCfgID = 604, first_drop_id = 0, drop_id = 100604, },
[701]={Key = 701, Name = "汜水斩鲍忠1", Icon = 0, sceneID = 0, MonsterCfgID = 701, first_drop_id = 0, drop_id = 100701, },
[704]={Key = 704, Name = "汜水斩鲍忠4", Icon = 0, sceneID = 0, MonsterCfgID = 704, first_drop_id = 0, drop_id = 100704, },
[801]={Key = 801, Name = "再进斩祖茂1", Icon = 0, sceneID = 0, MonsterCfgID = 801, first_drop_id = 0, drop_id = 100801, },
[804]={Key = 804, Name = "再进斩祖茂4", Icon = 0, sceneID = 0, MonsterCfgID = 804, first_drop_id = 0, drop_id = 100804, },
[901]={Key = 901, Name = "狂刀斩潘凤1", Icon = 0, sceneID = 0, MonsterCfgID = 901, first_drop_id = 0, drop_id = 100901, },
[904]={Key = 904, Name = "狂刀斩潘凤4", Icon = 0, sceneID = 0, MonsterCfgID = 904, first_drop_id = 0, drop_id = 100904, },
[1001]={Key = 1001, Name = "三进斩俞涉1", Icon = 0, sceneID = 0, MonsterCfgID = 1001, first_drop_id = 0, drop_id = 101001, },
[1004]={Key = 1004, Name = "三进斩俞涉4", Icon = 0, sceneID = 0, MonsterCfgID = 1004, first_drop_id = 0, drop_id = 101004, },
[1101]={Key = 1101, Name = "温酒斩华雄1", Icon = 0, sceneID = 0, MonsterCfgID = 1101, first_drop_id = 0, drop_id = 101101, },
[1104]={Key = 1104, Name = "温酒斩华雄4", Icon = 0, sceneID = 0, MonsterCfgID = 1104, first_drop_id = 0, drop_id = 101104, },
[1201]={Key = 1201, Name = "画戟斩穆顺1", Icon = 0, sceneID = 0, MonsterCfgID = 1201, first_drop_id = 0, drop_id = 101201, },
[1204]={Key = 1204, Name = "画戟斩穆顺4", Icon = 0, sceneID = 0, MonsterCfgID = 1204, first_drop_id = 0, drop_id = 101204, },
[1301]={Key = 1301, Name = "怒斩武安国1", Icon = 0, sceneID = 0, MonsterCfgID = 1301, first_drop_id = 0, drop_id = 101301, },
[1304]={Key = 1304, Name = "怒斩武安国4", Icon = 0, sceneID = 0, MonsterCfgID = 1304, first_drop_id = 0, drop_id = 101304, },
[1401]={Key = 1401, Name = "三英战吕布1", Icon = 0, sceneID = 0, MonsterCfgID = 1401, first_drop_id = 0, drop_id = 101401, },
[1404]={Key = 1404, Name = "三英战吕布4", Icon = 0, sceneID = 0, MonsterCfgID = 1404, first_drop_id = 0, drop_id = 101404, },
[1501]={Key = 1501, Name = "烈焰焚金阙1", Icon = 0, sceneID = 0, MonsterCfgID = 1501, first_drop_id = 0, drop_id = 101501, },
[1504]={Key = 1504, Name = "烈焰焚金阙4", Icon = 0, sceneID = 0, MonsterCfgID = 1504, first_drop_id = 0, drop_id = 101504, },
[1601]={Key = 1601, Name = "江东举玉玺1", Icon = 0, sceneID = 0, MonsterCfgID = 1601, first_drop_id = 0, drop_id = 101601, },
[1604]={Key = 1604, Name = "江东举玉玺4", Icon = 0, sceneID = 0, MonsterCfgID = 1604, first_drop_id = 0, drop_id = 101604, },
[1701]={Key = 1701, Name = "磐河战公孙1", Icon = 0, sceneID = 0, MonsterCfgID = 1701, first_drop_id = 0, drop_id = 101701, },
[1704]={Key = 1704, Name = "磐河战公孙4", Icon = 0, sceneID = 0, MonsterCfgID = 1704, first_drop_id = 0, drop_id = 101704, },
[1801]={Key = 1801, Name = "大闹凤仪亭1", Icon = 0, sceneID = 0, MonsterCfgID = 1801, first_drop_id = 0, drop_id = 101801, },
[1804]={Key = 1804, Name = "大闹凤仪亭4", Icon = 0, sceneID = 0, MonsterCfgID = 1804, first_drop_id = 0, drop_id = 101804, },
[1901]={Key = 1901, Name = "司徒合献计1", Icon = 0, sceneID = 0, MonsterCfgID = 1901, first_drop_id = 0, drop_id = 101901, },
[1904]={Key = 1904, Name = "司徒合献计4", Icon = 0, sceneID = 0, MonsterCfgID = 1904, first_drop_id = 0, drop_id = 101904, },
[2001]={Key = 2001, Name = "杀神除暴董1", Icon = 0, sceneID = 0, MonsterCfgID = 2001, first_drop_id = 0, drop_id = 102001, },
[2004]={Key = 2004, Name = "杀神除暴董4", Icon = 0, sceneID = 0, MonsterCfgID = 2004, first_drop_id = 0, drop_id = 102004, },
[2101]={Key = 2101, Name = "毒士计策反1", Icon = 0, sceneID = 0, MonsterCfgID = 2101, first_drop_id = 0, drop_id = 102101, },
[2104]={Key = 2104, Name = "毒士计策反4", Icon = 0, sceneID = 0, MonsterCfgID = 2104, first_drop_id = 0, drop_id = 102104, },
[2201]={Key = 2201, Name = "败吕围长安1", Icon = 0, sceneID = 0, MonsterCfgID = 2201, first_drop_id = 0, drop_id = 102201, },
[2204]={Key = 2204, Name = "败吕围长安4", Icon = 0, sceneID = 0, MonsterCfgID = 2204, first_drop_id = 0, drop_id = 102204, },
[2301]={Key = 2301, Name = "西凉引兵来1", Icon = 0, sceneID = 0, MonsterCfgID = 2301, first_drop_id = 0, drop_id = 102301, },
[2304]={Key = 2304, Name = "西凉引兵来4", Icon = 0, sceneID = 0, MonsterCfgID = 2304, first_drop_id = 0, drop_id = 102304, },
[2401]={Key = 2401, Name = "亲讨陶新主1", Icon = 0, sceneID = 0, MonsterCfgID = 2401, first_drop_id = 0, drop_id = 102401, },
[2404]={Key = 2404, Name = "亲讨陶新主4", Icon = 0, sceneID = 0, MonsterCfgID = 2404, first_drop_id = 0, drop_id = 102404, },
[2501]={Key = 2501, Name = "北海救孔融1", Icon = 0, sceneID = 0, MonsterCfgID = 2501, first_drop_id = 0, drop_id = 102501, },
[2504]={Key = 2504, Name = "北海救孔融4", Icon = 0, sceneID = 0, MonsterCfgID = 2504, first_drop_id = 0, drop_id = 102504, },
[2601]={Key = 2601, Name = "三让徐州城1", Icon = 0, sceneID = 0, MonsterCfgID = 2601, first_drop_id = 0, drop_id = 102601, },
[2604]={Key = 2604, Name = "三让徐州城4", Icon = 0, sceneID = 0, MonsterCfgID = 2604, first_drop_id = 0, drop_id = 102604, },
[2701]={Key = 2701, Name = "万箭穿心过1", Icon = 0, sceneID = 0, MonsterCfgID = 2701, first_drop_id = 0, drop_id = 102701, },
[2704]={Key = 2704, Name = "万箭穿心过4", Icon = 0, sceneID = 0, MonsterCfgID = 2704, first_drop_id = 0, drop_id = 102704, },
[2801]={Key = 2801, Name = "天子归京都1", Icon = 0, sceneID = 0, MonsterCfgID = 2801, first_drop_id = 0, drop_id = 102801, },
[2804]={Key = 2804, Name = "天子归京都4", Icon = 0, sceneID = 0, MonsterCfgID = 2804, first_drop_id = 0, drop_id = 102804, },
[2901]={Key = 2901, Name = "兵溃如山倒1", Icon = 0, sceneID = 0, MonsterCfgID = 2901, first_drop_id = 0, drop_id = 102901, },
[2904]={Key = 2904, Name = "兵溃如山倒4", Icon = 0, sceneID = 0, MonsterCfgID = 2904, first_drop_id = 0, drop_id = 102904, },
[3001]={Key = 3001, Name = "截兵战百回1", Icon = 0, sceneID = 0, MonsterCfgID = 3001, first_drop_id = 0, drop_id = 103001, },
[3004]={Key = 3004, Name = "截兵战百回4", Icon = 0, sceneID = 0, MonsterCfgID = 3004, first_drop_id = 0, drop_id = 103004, },
[3101]={Key = 3101, Name = "闻教投明主1", Icon = 0, sceneID = 0, MonsterCfgID = 3101, first_drop_id = 0, drop_id = 103101, },
[3104]={Key = 3104, Name = "闻教投明主4", Icon = 0, sceneID = 0, MonsterCfgID = 3104, first_drop_id = 0, drop_id = 103104, },
[3201]={Key = 3201, Name = "携令扫袁术1", Icon = 0, sceneID = 0, MonsterCfgID = 3201, first_drop_id = 0, drop_id = 103201, },
[3204]={Key = 3204, Name = "携令扫袁术4", Icon = 0, sceneID = 0, MonsterCfgID = 3204, first_drop_id = 0, drop_id = 103204, },
[3301]={Key = 3301, Name = "趁乱袭徐州1", Icon = 0, sceneID = 0, MonsterCfgID = 3301, first_drop_id = 0, drop_id = 103301, },
[3304]={Key = 3304, Name = "趁乱袭徐州4", Icon = 0, sceneID = 0, MonsterCfgID = 3304, first_drop_id = 0, drop_id = 103304, },
[3401]={Key = 3401, Name = "集结攻寿春1", Icon = 0, sceneID = 0, MonsterCfgID = 3401, first_drop_id = 0, drop_id = 103401, },
[3404]={Key = 3404, Name = "集结攻寿春4", Icon = 0, sceneID = 0, MonsterCfgID = 3404, first_drop_id = 0, drop_id = 103404, },
[3501]={Key = 3501, Name = "京城讨逆贼1", Icon = 0, sceneID = 0, MonsterCfgID = 3501, first_drop_id = 0, drop_id = 103501, },
[3504]={Key = 3504, Name = "京城讨逆贼4", Icon = 0, sceneID = 0, MonsterCfgID = 3504, first_drop_id = 0, drop_id = 103504, },
[3601]={Key = 3601, Name = "光耀锦马超1", Icon = 0, sceneID = 0, MonsterCfgID = 3601, first_drop_id = 0, drop_id = 103601, },
[3604]={Key = 3604, Name = "光耀锦马超4", Icon = 0, sceneID = 0, MonsterCfgID = 3604, first_drop_id = 0, drop_id = 103604, },
[3701]={Key = 3701, Name = "死守长安城1", Icon = 0, sceneID = 0, MonsterCfgID = 3701, first_drop_id = 0, drop_id = 103701, },
[3704]={Key = 3704, Name = "死守长安城4", Icon = 0, sceneID = 0, MonsterCfgID = 3704, first_drop_id = 0, drop_id = 103704, },
[3801]={Key = 3801, Name = "粮尽憾退兵1", Icon = 0, sceneID = 0, MonsterCfgID = 3801, first_drop_id = 0, drop_id = 103801, },
[3804]={Key = 3804, Name = "粮尽憾退兵4", Icon = 0, sceneID = 0, MonsterCfgID = 3804, first_drop_id = 0, drop_id = 103804, },
[3901]={Key = 3901, Name = "叛贼追韩遂1", Icon = 0, sceneID = 0, MonsterCfgID = 3901, first_drop_id = 0, drop_id = 103901, },
[3904]={Key = 3904, Name = "叛贼追韩遂4", Icon = 0, sceneID = 0, MonsterCfgID = 3904, first_drop_id = 0, drop_id = 103904, },
[4001]={Key = 4001, Name = "死战退敌军1", Icon = 0, sceneID = 0, MonsterCfgID = 4001, first_drop_id = 0, drop_id = 104001, },
[4004]={Key = 4004, Name = "死战退敌军4", Icon = 0, sceneID = 0, MonsterCfgID = 4004, first_drop_id = 0, drop_id = 104004, },
[4101]={Key = 4101, Name = "玄德投许都1", Icon = 0, sceneID = 0, MonsterCfgID = 4101, first_drop_id = 0, drop_id = 104101, },
[4104]={Key = 4104, Name = "玄德投许都4", Icon = 0, sceneID = 0, MonsterCfgID = 4104, first_drop_id = 0, drop_id = 104104, },
[4201]={Key = 4201, Name = "内应取徐州1", Icon = 0, sceneID = 0, MonsterCfgID = 4201, first_drop_id = 0, drop_id = 104201, },
[4204]={Key = 4204, Name = "内应取徐州4", Icon = 0, sceneID = 0, MonsterCfgID = 4204, first_drop_id = 0, drop_id = 104204, },
[4301]={Key = 4301, Name = "红颜再祸水1", Icon = 0, sceneID = 0, MonsterCfgID = 4301, first_drop_id = 0, drop_id = 104301, },
[4304]={Key = 4304, Name = "红颜再祸水4", Icon = 0, sceneID = 0, MonsterCfgID = 4304, first_drop_id = 0, drop_id = 104304, },
[4401]={Key = 4401, Name = "水淹下邳城1", Icon = 0, sceneID = 0, MonsterCfgID = 4401, first_drop_id = 0, drop_id = 104401, },
[4404]={Key = 4404, Name = "水淹下邳城4", Icon = 0, sceneID = 0, MonsterCfgID = 4404, first_drop_id = 0, drop_id = 104404, },
[4501]={Key = 4501, Name = "自恃其勇武1", Icon = 0, sceneID = 0, MonsterCfgID = 4501, first_drop_id = 0, drop_id = 104501, },
[4504]={Key = 4504, Name = "自恃其勇武4", Icon = 0, sceneID = 0, MonsterCfgID = 4504, first_drop_id = 0, drop_id = 104504, },
[4601]={Key = 4601, Name = "白门楼殒命1", Icon = 0, sceneID = 0, MonsterCfgID = 4601, first_drop_id = 0, drop_id = 104601, },
[4604]={Key = 4604, Name = "白门楼殒命4", Icon = 0, sceneID = 0, MonsterCfgID = 4604, first_drop_id = 0, drop_id = 104604, },
[4701]={Key = 4701, Name = "计伏曹阿瞒1", Icon = 0, sceneID = 0, MonsterCfgID = 4701, first_drop_id = 0, drop_id = 104701, },
[4704]={Key = 4704, Name = "计伏曹阿瞒4", Icon = 0, sceneID = 0, MonsterCfgID = 4704, first_drop_id = 0, drop_id = 104704, },
[4801]={Key = 4801, Name = "诈死马陵山1", Icon = 0, sceneID = 0, MonsterCfgID = 4801, first_drop_id = 0, drop_id = 104801, },
[4804]={Key = 4804, Name = "诈死马陵山4", Icon = 0, sceneID = 0, MonsterCfgID = 4804, first_drop_id = 0, drop_id = 104804, },
[4901]={Key = 4901, Name = "如虎添作翼1", Icon = 0, sceneID = 0, MonsterCfgID = 4901, first_drop_id = 0, drop_id = 104901, },
[4904]={Key = 4904, Name = "如虎添作翼4", Icon = 0, sceneID = 0, MonsterCfgID = 4904, first_drop_id = 0, drop_id = 104904, },
[5001]={Key = 5001, Name = "归甲复兖州1", Icon = 0, sceneID = 0, MonsterCfgID = 5001, first_drop_id = 0, drop_id = 105001, },
[5004]={Key = 5004, Name = "归甲复兖州4", Icon = 0, sceneID = 0, MonsterCfgID = 5004, first_drop_id = 0, drop_id = 105004, },
[5101]={Key = 5101, Name = "班师回许昌1", Icon = 0, sceneID = 0, MonsterCfgID = 5101, first_drop_id = 0, drop_id = 105101, },
[5104]={Key = 5104, Name = "班师回许昌4", Icon = 0, sceneID = 0, MonsterCfgID = 5104, first_drop_id = 0, drop_id = 105104, },
[5201]={Key = 5201, Name = "煮酒论英雄1", Icon = 0, sceneID = 0, MonsterCfgID = 5201, first_drop_id = 0, drop_id = 105201, },
[5204]={Key = 5204, Name = "煮酒论英雄4", Icon = 0, sceneID = 0, MonsterCfgID = 5204, first_drop_id = 0, drop_id = 105204, },
[5301]={Key = 5301, Name = "秘书召天下1", Icon = 0, sceneID = 0, MonsterCfgID = 5301, first_drop_id = 0, drop_id = 105301, },
[5304]={Key = 5304, Name = "秘书召天下4", Icon = 0, sceneID = 0, MonsterCfgID = 5304, first_drop_id = 0, drop_id = 105304, },
[5401]={Key = 5401, Name = "讨曹起檄文1", Icon = 0, sceneID = 0, MonsterCfgID = 5401, first_drop_id = 0, drop_id = 105401, },
[5404]={Key = 5404, Name = "讨曹起檄文4", Icon = 0, sceneID = 0, MonsterCfgID = 5404, first_drop_id = 0, drop_id = 105404, },
[5501]={Key = 5501, Name = "从计叹归降1", Icon = 0, sceneID = 0, MonsterCfgID = 5501, first_drop_id = 0, drop_id = 105501, },
[5504]={Key = 5504, Name = "从计叹归降4", Icon = 0, sceneID = 0, MonsterCfgID = 5504, first_drop_id = 0, drop_id = 105504, },
[5601]={Key = 5601, Name = "欲立新帝君1", Icon = 0, sceneID = 0, MonsterCfgID = 5601, first_drop_id = 0, drop_id = 105601, },
[5604]={Key = 5604, Name = "欲立新帝君4", Icon = 0, sceneID = 0, MonsterCfgID = 5604, first_drop_id = 0, drop_id = 105604, },
[5701]={Key = 5701, Name = "走马投河北1", Icon = 0, sceneID = 0, MonsterCfgID = 5701, first_drop_id = 0, drop_id = 105701, },
[5704]={Key = 5704, Name = "走马投河北4", Icon = 0, sceneID = 0, MonsterCfgID = 5704, first_drop_id = 0, drop_id = 105704, },
[5801]={Key = 5801, Name = "挥师夺徐州1", Icon = 0, sceneID = 0, MonsterCfgID = 5801, first_drop_id = 0, drop_id = 105801, },
[5804]={Key = 5804, Name = "挥师夺徐州4", Icon = 0, sceneID = 0, MonsterCfgID = 5804, first_drop_id = 0, drop_id = 105804, },
[5901]={Key = 5901, Name = "激出下邳城1", Icon = 0, sceneID = 0, MonsterCfgID = 5901, first_drop_id = 0, drop_id = 105901, },
[5904]={Key = 5904, Name = "激出下邳城4", Icon = 0, sceneID = 0, MonsterCfgID = 5904, first_drop_id = 0, drop_id = 105904, },
[6001]={Key = 6001, Name = "围上土坡山1", Icon = 0, sceneID = 0, MonsterCfgID = 6001, first_drop_id = 0, drop_id = 106001, },
[6004]={Key = 6004, Name = "围上土坡山4", Icon = 0, sceneID = 0, MonsterCfgID = 6004, first_drop_id = 0, drop_id = 106004, },
[6101]={Key = 6101, Name = "秣马去匆匆1", Icon = 0, sceneID = 0, MonsterCfgID = 6101, first_drop_id = 0, drop_id = 106101, },
[6104]={Key = 6104, Name = "秣马去匆匆4", Icon = 0, sceneID = 0, MonsterCfgID = 6104, first_drop_id = 0, drop_id = 106104, },
[6201]={Key = 6201, Name = "关公约三事1", Icon = 0, sceneID = 0, MonsterCfgID = 6201, first_drop_id = 0, drop_id = 106201, },
[6204]={Key = 6204, Name = "关公约三事4", Icon = 0, sceneID = 0, MonsterCfgID = 6204, first_drop_id = 0, drop_id = 106204, },
[6301]={Key = 6301, Name = "合军攻白马1", Icon = 0, sceneID = 0, MonsterCfgID = 6301, first_drop_id = 0, drop_id = 106301, },
[6304]={Key = 6304, Name = "合军攻白马4", Icon = 0, sceneID = 0, MonsterCfgID = 6304, first_drop_id = 0, drop_id = 106304, },
[6401]={Key = 6401, Name = "数战败徐晃1", Icon = 0, sceneID = 0, MonsterCfgID = 6401, first_drop_id = 0, drop_id = 106401, },
[6404]={Key = 6404, Name = "数战败徐晃4", Icon = 0, sceneID = 0, MonsterCfgID = 6404, first_drop_id = 0, drop_id = 106404, },
[6501]={Key = 6501, Name = "红刹斩颜文1", Icon = 0, sceneID = 0, MonsterCfgID = 6501, first_drop_id = 0, drop_id = 106501, },
[6504]={Key = 6504, Name = "红刹斩颜文4", Icon = 0, sceneID = 0, MonsterCfgID = 6504, first_drop_id = 0, drop_id = 106504, },
[6601]={Key = 6601, Name = "武圣震天威1", Icon = 0, sceneID = 0, MonsterCfgID = 6601, first_drop_id = 0, drop_id = 106601, },
[6604]={Key = 6604, Name = "武圣震天威4", Icon = 0, sceneID = 0, MonsterCfgID = 6604, first_drop_id = 0, drop_id = 106604, },
[6701]={Key = 6701, Name = "混战乱曹军1", Icon = 0, sceneID = 0, MonsterCfgID = 6701, first_drop_id = 0, drop_id = 106701, },
[6704]={Key = 6704, Name = "混战乱曹军4", Icon = 0, sceneID = 0, MonsterCfgID = 6704, first_drop_id = 0, drop_id = 106704, },
[6801]={Key = 6801, Name = "亦作刀下魂1", Icon = 0, sceneID = 0, MonsterCfgID = 6801, first_drop_id = 0, drop_id = 106801, },
[6804]={Key = 6804, Name = "亦作刀下魂4", Icon = 0, sceneID = 0, MonsterCfgID = 6804, first_drop_id = 0, drop_id = 106804, },
[6901]={Key = 6901, Name = "封金挂印去1", Icon = 0, sceneID = 0, MonsterCfgID = 6901, first_drop_id = 0, drop_id = 106901, },
[6904]={Key = 6904, Name = "封金挂印去4", Icon = 0, sceneID = 0, MonsterCfgID = 6904, first_drop_id = 0, drop_id = 106904, },
[7001]={Key = 7001, Name = "义展东岭山1", Icon = 0, sceneID = 0, MonsterCfgID = 7001, first_drop_id = 0, drop_id = 107001, },
[7004]={Key = 7004, Name = "义展东岭山4", Icon = 0, sceneID = 0, MonsterCfgID = 7004, first_drop_id = 0, drop_id = 107004, },
[7101]={Key = 7101, Name = "神行洛阳城1", Icon = 0, sceneID = 0, MonsterCfgID = 7101, first_drop_id = 0, drop_id = 107101, },
[7104]={Key = 7104, Name = "神行洛阳城4", Icon = 0, sceneID = 0, MonsterCfgID = 7104, first_drop_id = 0, drop_id = 107104, },
[7201]={Key = 7201, Name = "汜水关之战1", Icon = 0, sceneID = 0, MonsterCfgID = 7201, first_drop_id = 0, drop_id = 107201, },
[7204]={Key = 7204, Name = "汜水关之战4", Icon = 0, sceneID = 0, MonsterCfgID = 7204, first_drop_id = 0, drop_id = 107204, },
[7301]={Key = 7301, Name = "荥阳破贼计1", Icon = 0, sceneID = 0, MonsterCfgID = 7301, first_drop_id = 0, drop_id = 107301, },
[7304]={Key = 7304, Name = "荥阳破贼计4", Icon = 0, sceneID = 0, MonsterCfgID = 7304, first_drop_id = 0, drop_id = 107304, },
[7401]={Key = 7401, Name = "释疑斩蔡阳1", Icon = 0, sceneID = 0, MonsterCfgID = 7401, first_drop_id = 0, drop_id = 107401, },
[7404]={Key = 7404, Name = "释疑斩蔡阳4", Icon = 0, sceneID = 0, MonsterCfgID = 7404, first_drop_id = 0, drop_id = 107404, },
[7501]={Key = 7501, Name = "龙据卧牛山1", Icon = 0, sceneID = 0, MonsterCfgID = 7501, first_drop_id = 0, drop_id = 107501, },
[7504]={Key = 7504, Name = "龙据卧牛山4", Icon = 0, sceneID = 0, MonsterCfgID = 7504, first_drop_id = 0, drop_id = 107504, },
[7601]={Key = 7601, Name = "蜀汉初长成1", Icon = 0, sceneID = 0, MonsterCfgID = 7601, first_drop_id = 0, drop_id = 107601, },
[7604]={Key = 7604, Name = "蜀汉初长成4", Icon = 0, sceneID = 0, MonsterCfgID = 7604, first_drop_id = 0, drop_id = 107604, },
[7701]={Key = 7701, Name = "许客刺孙策1", Icon = 0, sceneID = 0, MonsterCfgID = 7701, first_drop_id = 0, drop_id = 107701, },
[7704]={Key = 7704, Name = "许客刺孙策4", Icon = 0, sceneID = 0, MonsterCfgID = 7704, first_drop_id = 0, drop_id = 107704, },
[7801]={Key = 7801, Name = "鹤氅携藜杖1", Icon = 0, sceneID = 0, MonsterCfgID = 7801, first_drop_id = 0, drop_id = 107801, },
[7804]={Key = 7804, Name = "鹤氅携藜杖4", Icon = 0, sceneID = 0, MonsterCfgID = 7804, first_drop_id = 0, drop_id = 107804, },
[7901]={Key = 7901, Name = "命舛陨霸王1", Icon = 0, sceneID = 0, MonsterCfgID = 7901, first_drop_id = 0, drop_id = 107901, },
[7904]={Key = 7904, Name = "命舛陨霸王4", Icon = 0, sceneID = 0, MonsterCfgID = 7904, first_drop_id = 0, drop_id = 107904, },
[8001]={Key = 8001, Name = "起兵各进发1", Icon = 0, sceneID = 0, MonsterCfgID = 8001, first_drop_id = 0, drop_id = 108001, },
[8004]={Key = 8004, Name = "起兵各进发4", Icon = 0, sceneID = 0, MonsterCfgID = 8004, first_drop_id = 0, drop_id = 108004, },
[8101]={Key = 8101, Name = "何以分胜负1", Icon = 0, sceneID = 0, MonsterCfgID = 8101, first_drop_id = 0, drop_id = 108101, },
[8104]={Key = 8104, Name = "何以分胜负4", Icon = 0, sceneID = 0, MonsterCfgID = 8104, first_drop_id = 0, drop_id = 108104, },
[8201]={Key = 8201, Name = "仓亭暗进攻1", Icon = 0, sceneID = 0, MonsterCfgID = 8201, first_drop_id = 0, drop_id = 108201, },
[8204]={Key = 8204, Name = "仓亭暗进攻4", Icon = 0, sceneID = 0, MonsterCfgID = 8204, first_drop_id = 0, drop_id = 108204, },
[8301]={Key = 8301, Name = "截粮焚辎重1", Icon = 0, sceneID = 0, MonsterCfgID = 8301, first_drop_id = 0, drop_id = 108301, },
[8304]={Key = 8304, Name = "截粮焚辎重4", Icon = 0, sceneID = 0, MonsterCfgID = 8304, first_drop_id = 0, drop_id = 108304, },
[8401]={Key = 8401, Name = "陷计攻曹营1", Icon = 0, sceneID = 0, MonsterCfgID = 8401, first_drop_id = 0, drop_id = 108401, },
[8404]={Key = 8404, Name = "陷计攻曹营4", Icon = 0, sceneID = 0, MonsterCfgID = 8404, first_drop_id = 0, drop_id = 108404, },
[8501]={Key = 8501, Name = "擒缚投明君1", Icon = 0, sceneID = 0, MonsterCfgID = 8501, first_drop_id = 0, drop_id = 108501, },
[8504]={Key = 8504, Name = "擒缚投明君4", Icon = 0, sceneID = 0, MonsterCfgID = 8504, first_drop_id = 0, drop_id = 108504, },
[8601]={Key = 8601, Name = "数路忽劫寨1", Icon = 0, sceneID = 0, MonsterCfgID = 8601, first_drop_id = 0, drop_id = 108601, },
[8604]={Key = 8604, Name = "数路忽劫寨4", Icon = 0, sceneID = 0, MonsterCfgID = 8604, first_drop_id = 0, drop_id = 108604, },
[8701]={Key = 8701, Name = "虚张只声势1", Icon = 0, sceneID = 0, MonsterCfgID = 8701, first_drop_id = 0, drop_id = 108701, },
[8704]={Key = 8704, Name = "虚张只声势4", Icon = 0, sceneID = 0, MonsterCfgID = 8704, first_drop_id = 0, drop_id = 108704, },
[8801]={Key = 8801, Name = "八路齐出营1", Icon = 0, sceneID = 0, MonsterCfgID = 8801, first_drop_id = 0, drop_id = 108801, },
[8804]={Key = 8804, Name = "八路齐出营4", Icon = 0, sceneID = 0, MonsterCfgID = 8804, first_drop_id = 0, drop_id = 108804, },
[8901]={Key = 8901, Name = "领军冲战阵1", Icon = 0, sceneID = 0, MonsterCfgID = 8901, first_drop_id = 0, drop_id = 108901, },
[8904]={Key = 8904, Name = "领军冲战阵4", Icon = 0, sceneID = 0, MonsterCfgID = 8904, first_drop_id = 0, drop_id = 108904, },
[9001]={Key = 9001, Name = "官渡败袁绍1", Icon = 0, sceneID = 0, MonsterCfgID = 9001, first_drop_id = 0, drop_id = 109001, },
[9004]={Key = 9004, Name = "官渡败袁绍4", Icon = 0, sceneID = 0, MonsterCfgID = 9004, first_drop_id = 0, drop_id = 109004, },
[9101]={Key = 9101, Name = "迎娶甄洛神1", Icon = 0, sceneID = 0, MonsterCfgID = 9101, first_drop_id = 0, drop_id = 109101, },
[9104]={Key = 9104, Name = "迎娶甄洛神4", Icon = 0, sceneID = 0, MonsterCfgID = 9104, first_drop_id = 0, drop_id = 109104, },
[9201]={Key = 9201, Name = "领兵追袁谭1", Icon = 0, sceneID = 0, MonsterCfgID = 9201, first_drop_id = 0, drop_id = 109201, },
[9204]={Key = 9204, Name = "领兵追袁谭4", Icon = 0, sceneID = 0, MonsterCfgID = 9204, first_drop_id = 0, drop_id = 109204, },
[9301]={Key = 9301, Name = "两军相混战1", Icon = 0, sceneID = 0, MonsterCfgID = 9301, first_drop_id = 0, drop_id = 109301, },
[9304]={Key = 9304, Name = "两军相混战4", Icon = 0, sceneID = 0, MonsterCfgID = 9304, first_drop_id = 0, drop_id = 109304, },
[9401]={Key = 9401, Name = "攻打并州城1", Icon = 0, sceneID = 0, MonsterCfgID = 9401, first_drop_id = 0, drop_id = 109401, },
[9404]={Key = 9404, Name = "攻打并州城4", Icon = 0, sceneID = 0, MonsterCfgID = 9404, first_drop_id = 0, drop_id = 109404, },
[9501]={Key = 9501, Name = "奔袭取乌桓1", Icon = 0, sceneID = 0, MonsterCfgID = 9501, first_drop_id = 0, drop_id = 109501, },
[9504]={Key = 9504, Name = "奔袭取乌桓4", Icon = 0, sceneID = 0, MonsterCfgID = 9504, first_drop_id = 0, drop_id = 109504, },
[9601]={Key = 9601, Name = "万骑望山下1", Icon = 0, sceneID = 0, MonsterCfgID = 9601, first_drop_id = 0, drop_id = 109601, },
[9604]={Key = 9604, Name = "万骑望山下4", Icon = 0, sceneID = 0, MonsterCfgID = 9604, first_drop_id = 0, drop_id = 109604, },
[9701]={Key = 9701, Name = "遗计定辽东1", Icon = 0, sceneID = 0, MonsterCfgID = 9701, first_drop_id = 0, drop_id = 109701, },
[9704]={Key = 9704, Name = "遗计定辽东4", Icon = 0, sceneID = 0, MonsterCfgID = 9704, first_drop_id = 0, drop_id = 109704, },
[9801]={Key = 9801, Name = "的卢跃檀溪1", Icon = 0, sceneID = 0, MonsterCfgID = 9801, first_drop_id = 0, drop_id = 109801, },
[9804]={Key = 9804, Name = "的卢跃檀溪4", Icon = 0, sceneID = 0, MonsterCfgID = 9804, first_drop_id = 0, drop_id = 109804, },
[9901]={Key = 9901, Name = "差将取荆襄1", Icon = 0, sceneID = 0, MonsterCfgID = 9901, first_drop_id = 0, drop_id = 109901, },
[9904]={Key = 9904, Name = "差将取荆襄4", Icon = 0, sceneID = 0, MonsterCfgID = 9904, first_drop_id = 0, drop_id = 109904, },
[10001]={Key = 10001, Name = "汉营初画策1", Icon = 0, sceneID = 0, MonsterCfgID = 10001, first_drop_id = 0, drop_id = 110001, },
[10004]={Key = 10004, Name = "汉营初画策4", Icon = 0, sceneID = 0, MonsterCfgID = 10004, first_drop_id = 0, drop_id = 110004, },
[10101]={Key = 10101, Name = "三虎困曹军1", Icon = 0, sceneID = 0, MonsterCfgID = 10101, first_drop_id = 0, drop_id = 110101, },
[10104]={Key = 10104, Name = "三虎困曹军4", Icon = 0, sceneID = 0, MonsterCfgID = 10104, first_drop_id = 0, drop_id = 110104, },
[10201]={Key = 10201, Name = "八门金锁阵1", Icon = 0, sceneID = 0, MonsterCfgID = 10201, first_drop_id = 0, drop_id = 110201, },
[10204]={Key = 10204, Name = "八门金锁阵4", Icon = 0, sceneID = 0, MonsterCfgID = 10204, first_drop_id = 0, drop_id = 110204, },
[10301]={Key = 10301, Name = "奇策据樊城1", Icon = 0, sceneID = 0, MonsterCfgID = 10301, first_drop_id = 0, drop_id = 110301, },
[10304]={Key = 10304, Name = "奇策据樊城4", Icon = 0, sceneID = 0, MonsterCfgID = 10304, first_drop_id = 0, drop_id = 110304, },
[10401]={Key = 10401, Name = "召子拟欺书1", Icon = 0, sceneID = 0, MonsterCfgID = 10401, first_drop_id = 0, drop_id = 110401, },
[10404]={Key = 10404, Name = "召子拟欺书4", Icon = 0, sceneID = 0, MonsterCfgID = 10404, first_drop_id = 0, drop_id = 110404, },
[10501]={Key = 10501, Name = "徐母恨儿痴1", Icon = 0, sceneID = 0, MonsterCfgID = 10501, first_drop_id = 0, drop_id = 110501, },
[10504]={Key = 10504, Name = "徐母恨儿痴4", Icon = 0, sceneID = 0, MonsterCfgID = 10504, first_drop_id = 0, drop_id = 110504, },
[10601]={Key = 10601, Name = "漳水作玄武1", Icon = 0, sceneID = 0, MonsterCfgID = 10601, first_drop_id = 0, drop_id = 110601, },
[10604]={Key = 10604, Name = "漳水作玄武4", Icon = 0, sceneID = 0, MonsterCfgID = 10604, first_drop_id = 0, drop_id = 110604, },
[10701]={Key = 10701, Name = "南征训三军1", Icon = 0, sceneID = 0, MonsterCfgID = 10701, first_drop_id = 0, drop_id = 110701, },
[10704]={Key = 10704, Name = "南征训三军4", Icon = 0, sceneID = 0, MonsterCfgID = 10704, first_drop_id = 0, drop_id = 110704, },
[10801]={Key = 10801, Name = "水镜见玄德1", Icon = 0, sceneID = 0, MonsterCfgID = 10801, first_drop_id = 0, drop_id = 110801, },
[10804]={Key = 10804, Name = "水镜见玄德4", Icon = 0, sceneID = 0, MonsterCfgID = 10804, first_drop_id = 0, drop_id = 110804, },
[10901]={Key = 10901, Name = "一见诸葛亮1", Icon = 0, sceneID = 0, MonsterCfgID = 10901, first_drop_id = 0, drop_id = 110901, },
[10904]={Key = 10904, Name = "一见诸葛亮4", Icon = 0, sceneID = 0, MonsterCfgID = 10904, first_drop_id = 0, drop_id = 110904, },
[11001]={Key = 11001, Name = "二待隆冬时1", Icon = 0, sceneID = 0, MonsterCfgID = 11001, first_drop_id = 0, drop_id = 111001, },
[11004]={Key = 11004, Name = "二待隆冬时4", Icon = 0, sceneID = 0, MonsterCfgID = 11004, first_drop_id = 0, drop_id = 111004, },
[11101]={Key = 11101, Name = "三请卧龙岗1", Icon = 0, sceneID = 0, MonsterCfgID = 11101, first_drop_id = 0, drop_id = 111101, },
[11104]={Key = 11104, Name = "三请卧龙岗4", Icon = 0, sceneID = 0, MonsterCfgID = 11104, first_drop_id = 0, drop_id = 111104, },
[11201]={Key = 11201, Name = "大梦谁先觉1", Icon = 0, sceneID = 0, MonsterCfgID = 11201, first_drop_id = 0, drop_id = 111201, },
[11204]={Key = 11204, Name = "大梦谁先觉4", Icon = 0, sceneID = 0, MonsterCfgID = 11204, first_drop_id = 0, drop_id = 111204, },
[11301]={Key = 11301, Name = "把臂总言欢1", Icon = 0, sceneID = 0, MonsterCfgID = 11301, first_drop_id = 0, drop_id = 111301, },
[11304]={Key = 11304, Name = "把臂总言欢4", Icon = 0, sceneID = 0, MonsterCfgID = 11304, first_drop_id = 0, drop_id = 111304, },
[11401]={Key = 11401, Name = "隆中君臣对1", Icon = 0, sceneID = 0, MonsterCfgID = 11401, first_drop_id = 0, drop_id = 111401, },
[11404]={Key = 11404, Name = "隆中君臣对4", Icon = 0, sceneID = 0, MonsterCfgID = 11404, first_drop_id = 0, drop_id = 111404, },
[11501]={Key = 11501, Name = "决策分天下1", Icon = 0, sceneID = 0, MonsterCfgID = 11501, first_drop_id = 0, drop_id = 111501, },
[11504]={Key = 11504, Name = "决策分天下4", Icon = 0, sceneID = 0, MonsterCfgID = 11504, first_drop_id = 0, drop_id = 111504, },
[11601]={Key = 11601, Name = "我有雄志心1", Icon = 0, sceneID = 0, MonsterCfgID = 11601, first_drop_id = 0, drop_id = 111601, },
[11604]={Key = 11604, Name = "我有雄志心4", Icon = 0, sceneID = 0, MonsterCfgID = 11604, first_drop_id = 0, drop_id = 111604, },
[11701]={Key = 11701, Name = "安能折丈夫1", Icon = 0, sceneID = 0, MonsterCfgID = 11701, first_drop_id = 0, drop_id = 111701, },
[11704]={Key = 11704, Name = "安能折丈夫4", Icon = 0, sceneID = 0, MonsterCfgID = 11704, first_drop_id = 0, drop_id = 111704, },
[11801]={Key = 11801, Name = "恭请下新野1", Icon = 0, sceneID = 0, MonsterCfgID = 11801, first_drop_id = 0, drop_id = 111801, },
[11804]={Key = 11804, Name = "恭请下新野4", Icon = 0, sceneID = 0, MonsterCfgID = 11804, first_drop_id = 0, drop_id = 111804, },
[11901]={Key = 11901, Name = "操兵聚新野1", Icon = 0, sceneID = 0, MonsterCfgID = 11901, first_drop_id = 0, drop_id = 111901, },
[11904]={Key = 11904, Name = "操兵聚新野4", Icon = 0, sceneID = 0, MonsterCfgID = 11904, first_drop_id = 0, drop_id = 111904, },
[12001]={Key = 12001, Name = "诡火焚安林1", Icon = 0, sceneID = 0, MonsterCfgID = 12001, first_drop_id = 0, drop_id = 112001, },
[12004]={Key = 12004, Name = "诡火焚安林4", Icon = 0, sceneID = 0, MonsterCfgID = 12004, first_drop_id = 0, drop_id = 112004, },
[12101]={Key = 12101, Name = "愚夫献九郡1", Icon = 0, sceneID = 0, MonsterCfgID = 12101, first_drop_id = 0, drop_id = 112101, },
[12104]={Key = 12104, Name = "愚夫献九郡4", Icon = 0, sceneID = 0, MonsterCfgID = 12104, first_drop_id = 0, drop_id = 112104, },
[12201]={Key = 12201, Name = "三千铁铸甲1", Icon = 0, sceneID = 0, MonsterCfgID = 12201, first_drop_id = 0, drop_id = 112201, },
[12204]={Key = 12204, Name = "三千铁铸甲4", Icon = 0, sceneID = 0, MonsterCfgID = 12204, first_drop_id = 0, drop_id = 112204, },
[12301]={Key = 12301, Name = "新野焰摩天1", Icon = 0, sceneID = 0, MonsterCfgID = 12301, first_drop_id = 0, drop_id = 112301, },
[12304]={Key = 12304, Name = "新野焰摩天4", Icon = 0, sceneID = 0, MonsterCfgID = 12304, first_drop_id = 0, drop_id = 112304, },
[12401]={Key = 12401, Name = "白河怒涛下1", Icon = 0, sceneID = 0, MonsterCfgID = 12401, first_drop_id = 0, drop_id = 112401, },
[12404]={Key = 12404, Name = "白河怒涛下4", Icon = 0, sceneID = 0, MonsterCfgID = 12404, first_drop_id = 0, drop_id = 112404, },
[12501]={Key = 12501, Name = "万夫避襄阳1", Icon = 0, sceneID = 0, MonsterCfgID = 12501, first_drop_id = 0, drop_id = 112501, },
[12504]={Key = 12504, Name = "万夫避襄阳4", Icon = 0, sceneID = 0, MonsterCfgID = 12504, first_drop_id = 0, drop_id = 112504, },
[12601]={Key = 12601, Name = "安家取江陵1", Icon = 0, sceneID = 0, MonsterCfgID = 12601, first_drop_id = 0, drop_id = 112601, },
[12604]={Key = 12604, Name = "安家取江陵4", Icon = 0, sceneID = 0, MonsterCfgID = 12604, first_drop_id = 0, drop_id = 112604, },
[12701]={Key = 12701, Name = "仁至何弃民1", Icon = 0, sceneID = 0, MonsterCfgID = 12701, first_drop_id = 0, drop_id = 112701, },
[12704]={Key = 12704, Name = "仁至何弃民4", Icon = 0, sceneID = 0, MonsterCfgID = 12704, first_drop_id = 0, drop_id = 112704, },
[12801]={Key = 12801, Name = "两栖兵逼近1", Icon = 0, sceneID = 0, MonsterCfgID = 12801, first_drop_id = 0, drop_id = 112801, },
[12804]={Key = 12804, Name = "两栖兵逼近4", Icon = 0, sceneID = 0, MonsterCfgID = 12804, first_drop_id = 0, drop_id = 112804, },
[12901]={Key = 12901, Name = "青釭救阿斗1", Icon = 0, sceneID = 0, MonsterCfgID = 12901, first_drop_id = 0, drop_id = 112901, },
[12904]={Key = 12904, Name = "青釭救阿斗4", Icon = 0, sceneID = 0, MonsterCfgID = 12904, first_drop_id = 0, drop_id = 112904, },
[13001]={Key = 13001, Name = "征马困龙飞1", Icon = 0, sceneID = 0, MonsterCfgID = 13001, first_drop_id = 0, drop_id = 113001, },
[13004]={Key = 13004, Name = "征马困龙飞4", Icon = 0, sceneID = 0, MonsterCfgID = 13004, first_drop_id = 0, drop_id = 113004, },
[13101]={Key = 13101, Name = "子龙总信义1", Icon = 0, sceneID = 0, MonsterCfgID = 13101, first_drop_id = 0, drop_id = 113101, },
[13104]={Key = 13104, Name = "子龙总信义4", Icon = 0, sceneID = 0, MonsterCfgID = 13104, first_drop_id = 0, drop_id = 113104, },
[13201]={Key = 13201, Name = "恶伫长板桥1", Icon = 0, sceneID = 0, MonsterCfgID = 13201, first_drop_id = 0, drop_id = 113201, },
[13204]={Key = 13204, Name = "恶伫长板桥4", Icon = 0, sceneID = 0, MonsterCfgID = 13204, first_drop_id = 0, drop_id = 113204, },
[13301]={Key = 13301, Name = "孰为釜中鱼1", Icon = 0, sceneID = 0, MonsterCfgID = 13301, first_drop_id = 0, drop_id = 113301, },
[13304]={Key = 13304, Name = "孰为釜中鱼4", Icon = 0, sceneID = 0, MonsterCfgID = 13304, first_drop_id = 0, drop_id = 113304, },
[13401]={Key = 13401, Name = "巧舌战群儒1", Icon = 0, sceneID = 0, MonsterCfgID = 13401, first_drop_id = 0, drop_id = 113401, },
[13404]={Key = 13404, Name = "巧舌战群儒4", Icon = 0, sceneID = 0, MonsterCfgID = 13404, first_drop_id = 0, drop_id = 113404, },
[13501]={Key = 13501, Name = "阔论盖张昭1", Icon = 0, sceneID = 0, MonsterCfgID = 13501, first_drop_id = 0, drop_id = 113501, },
[13504]={Key = 13504, Name = "阔论盖张昭4", Icon = 0, sceneID = 0, MonsterCfgID = 13504, first_drop_id = 0, drop_id = 113504, },
[13601]={Key = 13601, Name = "智谋激周郎1", Icon = 0, sceneID = 0, MonsterCfgID = 13601, first_drop_id = 0, drop_id = 113601, },
[13604]={Key = 13604, Name = "智谋激周郎4", Icon = 0, sceneID = 0, MonsterCfgID = 13604, first_drop_id = 0, drop_id = 113604, },
[13701]={Key = 13701, Name = "寻计赴鸿门1", Icon = 0, sceneID = 0, MonsterCfgID = 13701, first_drop_id = 0, drop_id = 113701, },
[13704]={Key = 13704, Name = "寻计赴鸿门4", Icon = 0, sceneID = 0, MonsterCfgID = 13704, first_drop_id = 0, drop_id = 113704, },
[13801]={Key = 13801, Name = "三江截曹寨1", Icon = 0, sceneID = 0, MonsterCfgID = 13801, first_drop_id = 0, drop_id = 113801, },
[13804]={Key = 13804, Name = "三江截曹寨4", Icon = 0, sceneID = 0, MonsterCfgID = 13804, first_drop_id = 0, drop_id = 113804, },
[13901]={Key = 13901, Name = "盗书群英会1", Icon = 0, sceneID = 0, MonsterCfgID = 13901, first_drop_id = 0, drop_id = 113901, },
[13904]={Key = 13904, Name = "盗书群英会4", Icon = 0, sceneID = 0, MonsterCfgID = 13904, first_drop_id = 0, drop_id = 113904, },
[14001]={Key = 14001, Name = "洞察反间计1", Icon = 0, sceneID = 0, MonsterCfgID = 14001, first_drop_id = 0, drop_id = 114001, },
[14004]={Key = 14004, Name = "洞察反间计4", Icon = 0, sceneID = 0, MonsterCfgID = 14004, first_drop_id = 0, drop_id = 114004, },
[14101]={Key = 14101, Name = "公瑾欲加罪1", Icon = 0, sceneID = 0, MonsterCfgID = 14101, first_drop_id = 0, drop_id = 114101, },
[14104]={Key = 14104, Name = "公瑾欲加罪4", Icon = 0, sceneID = 0, MonsterCfgID = 14104, first_drop_id = 0, drop_id = 114104, },
[14201]={Key = 14201, Name = "赶造十万箭1", Icon = 0, sceneID = 0, MonsterCfgID = 14201, first_drop_id = 0, drop_id = 114201, },
[14204]={Key = 14204, Name = "赶造十万箭4", Icon = 0, sceneID = 0, MonsterCfgID = 14204, first_drop_id = 0, drop_id = 114204, },
[14301]={Key = 14301, Name = "成竹在胸中1", Icon = 0, sceneID = 0, MonsterCfgID = 14301, first_drop_id = 0, drop_id = 114301, },
[14304]={Key = 14304, Name = "成竹在胸中4", Icon = 0, sceneID = 0, MonsterCfgID = 14304, first_drop_id = 0, drop_id = 114304, },
[14401]={Key = 14401, Name = "大雾将成事1", Icon = 0, sceneID = 0, MonsterCfgID = 14401, first_drop_id = 0, drop_id = 114401, },
[14404]={Key = 14404, Name = "大雾将成事4", Icon = 0, sceneID = 0, MonsterCfgID = 14404, first_drop_id = 0, drop_id = 114404, },
[14501]={Key = 14501, Name = "奇智坏阴谋1", Icon = 0, sceneID = 0, MonsterCfgID = 14501, first_drop_id = 0, drop_id = 114501, },
[14504]={Key = 14504, Name = "奇智坏阴谋4", Icon = 0, sceneID = 0, MonsterCfgID = 14504, first_drop_id = 0, drop_id = 114504, },
[14601]={Key = 14601, Name = "草船十万箭1", Icon = 0, sceneID = 0, MonsterCfgID = 14601, first_drop_id = 0, drop_id = 114601, },
[14604]={Key = 14604, Name = "草船十万箭4", Icon = 0, sceneID = 0, MonsterCfgID = 14604, first_drop_id = 0, drop_id = 114604, },
[14701]={Key = 14701, Name = "甘受皮肉苦1", Icon = 0, sceneID = 0, MonsterCfgID = 14701, first_drop_id = 0, drop_id = 114701, },
[14704]={Key = 14704, Name = "甘受皮肉苦4", Icon = 0, sceneID = 0, MonsterCfgID = 14704, first_drop_id = 0, drop_id = 114704, },
[14801]={Key = 14801, Name = "勇献诈降书1", Icon = 0, sceneID = 0, MonsterCfgID = 14801, first_drop_id = 0, drop_id = 114801, },
[14804]={Key = 14804, Name = "勇献诈降书4", Icon = 0, sceneID = 0, MonsterCfgID = 14804, first_drop_id = 0, drop_id = 114804, },
[14901]={Key = 14901, Name = "密告受刑事1", Icon = 0, sceneID = 0, MonsterCfgID = 14901, first_drop_id = 0, drop_id = 114901, },
[14904]={Key = 14904, Name = "密告受刑事4", Icon = 0, sceneID = 0, MonsterCfgID = 14904, first_drop_id = 0, drop_id = 114904, },
[15001]={Key = 15001, Name = "再往探虚实1", Icon = 0, sceneID = 0, MonsterCfgID = 15001, first_drop_id = 0, drop_id = 115001, },
[15004]={Key = 15004, Name = "再往探虚实4", Icon = 0, sceneID = 0, MonsterCfgID = 15004, first_drop_id = 0, drop_id = 115004, },
[15101]={Key = 15101, Name = "士元落曹营1", Icon = 0, sceneID = 0, MonsterCfgID = 15101, first_drop_id = 0, drop_id = 115101, },
[15104]={Key = 15104, Name = "士元落曹营4", Icon = 0, sceneID = 0, MonsterCfgID = 15104, first_drop_id = 0, drop_id = 115104, },
[15201]={Key = 15201, Name = "凤雏锁连环1", Icon = 0, sceneID = 0, MonsterCfgID = 15201, first_drop_id = 0, drop_id = 115201, },
[15204]={Key = 15204, Name = "凤雏锁连环4", Icon = 0, sceneID = 0, MonsterCfgID = 15204, first_drop_id = 0, drop_id = 115204, },
[15301]={Key = 15301, Name = "醉吟短歌行1", Icon = 0, sceneID = 0, MonsterCfgID = 15301, first_drop_id = 0, drop_id = 115301, },
[15304]={Key = 15304, Name = "醉吟短歌行4", Icon = 0, sceneID = 0, MonsterCfgID = 15304, first_drop_id = 0, drop_id = 115304, },
[15401]={Key = 15401, Name = "祭风七星坛1", Icon = 0, sceneID = 0, MonsterCfgID = 15401, first_drop_id = 0, drop_id = 115401, },
[15404]={Key = 15404, Name = "祭风七星坛4", Icon = 0, sceneID = 0, MonsterCfgID = 15404, first_drop_id = 0, drop_id = 115404, },
[15501]={Key = 15501, Name = "早知周郎心1", Icon = 0, sceneID = 0, MonsterCfgID = 15501, first_drop_id = 0, drop_id = 115501, },
[15504]={Key = 15504, Name = "早知周郎心4", Icon = 0, sceneID = 0, MonsterCfgID = 15504, first_drop_id = 0, drop_id = 115504, },
[15601]={Key = 15601, Name = "引火锁排舟1", Icon = 0, sceneID = 0, MonsterCfgID = 15601, first_drop_id = 0, drop_id = 115601, },
[15604]={Key = 15604, Name = "引火锁排舟4", Icon = 0, sceneID = 0, MonsterCfgID = 15604, first_drop_id = 0, drop_id = 115604, },
[15701]={Key = 15701, Name = "烈火照云海1", Icon = 0, sceneID = 0, MonsterCfgID = 15701, first_drop_id = 0, drop_id = 115701, },
[15704]={Key = 15704, Name = "烈火照云海4", Icon = 0, sceneID = 0, MonsterCfgID = 15704, first_drop_id = 0, drop_id = 115704, },
[15801]={Key = 15801, Name = "惊恐如裂胆1", Icon = 0, sceneID = 0, MonsterCfgID = 15801, first_drop_id = 0, drop_id = 115801, },
[15804]={Key = 15804, Name = "惊恐如裂胆4", Icon = 0, sceneID = 0, MonsterCfgID = 15804, first_drop_id = 0, drop_id = 115804, },
[15901]={Key = 15901, Name = "赴死救曹主1", Icon = 0, sceneID = 0, MonsterCfgID = 15901, first_drop_id = 0, drop_id = 115901, },
[15904]={Key = 15904, Name = "赴死救曹主4", Icon = 0, sceneID = 0, MonsterCfgID = 15904, first_drop_id = 0, drop_id = 115904, },
[16001]={Key = 16001, Name = "赤壁败而逃1", Icon = 0, sceneID = 0, MonsterCfgID = 16001, first_drop_id = 0, drop_id = 116001, },
[16004]={Key = 16004, Name = "赤壁败而逃4", Icon = 0, sceneID = 0, MonsterCfgID = 16004, first_drop_id = 0, drop_id = 116004, },
[16101]={Key = 16101, Name = "岸地无寻觅1", Icon = 0, sceneID = 0, MonsterCfgID = 16101, first_drop_id = 0, drop_id = 116101, },
[16104]={Key = 16104, Name = "岸地无寻觅4", Icon = 0, sceneID = 0, MonsterCfgID = 16104, first_drop_id = 0, drop_id = 116104, },
[16201]={Key = 16201, Name = "落荒惊四散1", Icon = 0, sceneID = 0, MonsterCfgID = 16201, first_drop_id = 0, drop_id = 116201, },
[16204]={Key = 16204, Name = "落荒惊四散4", Icon = 0, sceneID = 0, MonsterCfgID = 16204, first_drop_id = 0, drop_id = 116204, },
[16301]={Key = 16301, Name = "灰头盖土脸1", Icon = 0, sceneID = 0, MonsterCfgID = 16301, first_drop_id = 0, drop_id = 116301, },
[16304]={Key = 16304, Name = "灰头盖土脸4", Icon = 0, sceneID = 0, MonsterCfgID = 16304, first_drop_id = 0, drop_id = 116304, },
[16401]={Key = 16401, Name = "乌林截阿瞒1", Icon = 0, sceneID = 0, MonsterCfgID = 16401, first_drop_id = 0, drop_id = 116401, },
[16404]={Key = 16404, Name = "乌林截阿瞒4", Icon = 0, sceneID = 0, MonsterCfgID = 16404, first_drop_id = 0, drop_id = 116404, },
[16501]={Key = 16501, Name = "孔明岂无算1", Icon = 0, sceneID = 0, MonsterCfgID = 16501, first_drop_id = 0, drop_id = 116501, },
[16504]={Key = 16504, Name = "孔明岂无算4", Icon = 0, sceneID = 0, MonsterCfgID = 16504, first_drop_id = 0, drop_id = 116504, },
[16601]={Key = 16601, Name = "截路北彝陵1", Icon = 0, sceneID = 0, MonsterCfgID = 16601, first_drop_id = 0, drop_id = 116601, },
[16604]={Key = 16604, Name = "截路北彝陵4", Icon = 0, sceneID = 0, MonsterCfgID = 16604, first_drop_id = 0, drop_id = 116604, },
[16701]={Key = 16701, Name = "义释华容道1", Icon = 0, sceneID = 0, MonsterCfgID = 16701, first_drop_id = 0, drop_id = 116701, },
[16704]={Key = 16704, Name = "义释华容道4", Icon = 0, sceneID = 0, MonsterCfgID = 16704, first_drop_id = 0, drop_id = 116704, },
[16801]={Key = 16801, Name = "诸葛许南郡1", Icon = 0, sceneID = 0, MonsterCfgID = 16801, first_drop_id = 0, drop_id = 116801, },
[16804]={Key = 16804, Name = "诸葛许南郡4", Icon = 0, sceneID = 0, MonsterCfgID = 16804, first_drop_id = 0, drop_id = 116804, },
[16901]={Key = 16901, Name = "吴越渡汉江1", Icon = 0, sceneID = 0, MonsterCfgID = 16901, first_drop_id = 0, drop_id = 116901, },
[16904]={Key = 16904, Name = "吴越渡汉江4", Icon = 0, sceneID = 0, MonsterCfgID = 16904, first_drop_id = 0, drop_id = 116904, },
[17001]={Key = 17001, Name = "兵出救彝陵1", Icon = 0, sceneID = 0, MonsterCfgID = 17001, first_drop_id = 0, drop_id = 117001, },
[17004]={Key = 17004, Name = "兵出救彝陵4", Icon = 0, sceneID = 0, MonsterCfgID = 17004, first_drop_id = 0, drop_id = 117004, },
[17101]={Key = 17101, Name = "瓮中捉周郎1", Icon = 0, sceneID = 0, MonsterCfgID = 17101, first_drop_id = 0, drop_id = 117101, },
[17104]={Key = 17104, Name = "瓮中捉周郎4", Icon = 0, sceneID = 0, MonsterCfgID = 17104, first_drop_id = 0, drop_id = 117104, },
[17201]={Key = 17201, Name = "湘西取零陵1", Icon = 0, sceneID = 0, MonsterCfgID = 17201, first_drop_id = 0, drop_id = 117201, },
[17204]={Key = 17204, Name = "湘西取零陵4", Icon = 0, sceneID = 0, MonsterCfgID = 17204, first_drop_id = 0, drop_id = 117204, },
[17301]={Key = 17301, Name = "轻军夺桂阳1", Icon = 0, sceneID = 0, MonsterCfgID = 17301, first_drop_id = 0, drop_id = 117301, },
[17304]={Key = 17304, Name = "轻军夺桂阳4", Icon = 0, sceneID = 0, MonsterCfgID = 17304, first_drop_id = 0, drop_id = 117304, },
[17401]={Key = 17401, Name = "使君降武陵1", Icon = 0, sceneID = 0, MonsterCfgID = 17401, first_drop_id = 0, drop_id = 117401, },
[17404]={Key = 17404, Name = "使君降武陵4", Icon = 0, sceneID = 0, MonsterCfgID = 17404, first_drop_id = 0, drop_id = 117404, },
[17501]={Key = 17501, Name = "相惜战长沙1", Icon = 0, sceneID = 0, MonsterCfgID = 17501, first_drop_id = 0, drop_id = 117501, },
[17504]={Key = 17504, Name = "相惜战长沙4", Icon = 0, sceneID = 0, MonsterCfgID = 17504, first_drop_id = 0, drop_id = 117504, },
[17601]={Key = 17601, Name = "战书下江东1", Icon = 0, sceneID = 0, MonsterCfgID = 17601, first_drop_id = 0, drop_id = 117601, },
[17604]={Key = 17604, Name = "战书下江东4", Icon = 0, sceneID = 0, MonsterCfgID = 17604, first_drop_id = 0, drop_id = 117604, },
[17701]={Key = 17701, Name = "前策生内变1", Icon = 0, sceneID = 0, MonsterCfgID = 17701, first_drop_id = 0, drop_id = 117701, },
[17704]={Key = 17704, Name = "前策生内变4", Icon = 0, sceneID = 0, MonsterCfgID = 17704, first_drop_id = 0, drop_id = 117704, },
[17801]={Key = 17801, Name = "三计定姻缘1", Icon = 0, sceneID = 0, MonsterCfgID = 17801, first_drop_id = 0, drop_id = 117801, },
[17804]={Key = 17804, Name = "三计定姻缘4", Icon = 0, sceneID = 0, MonsterCfgID = 17804, first_drop_id = 0, drop_id = 117804, },
[17901]={Key = 17901, Name = "风光甘露寺1", Icon = 0, sceneID = 0, MonsterCfgID = 17901, first_drop_id = 0, drop_id = 117901, },
[17904]={Key = 17904, Name = "风光甘露寺4", Icon = 0, sceneID = 0, MonsterCfgID = 17904, first_drop_id = 0, drop_id = 117904, },
[18001]={Key = 18001, Name = "剑侍惊新郎1", Icon = 0, sceneID = 0, MonsterCfgID = 18001, first_drop_id = 0, drop_id = 118001, },
[18004]={Key = 18004, Name = "剑侍惊新郎4", Icon = 0, sceneID = 0, MonsterCfgID = 18004, first_drop_id = 0, drop_id = 118004, },
[18101]={Key = 18101, Name = "一气周公瑾1", Icon = 0, sceneID = 0, MonsterCfgID = 18101, first_drop_id = 0, drop_id = 118101, },
[18104]={Key = 18104, Name = "一气周公瑾4", Icon = 0, sceneID = 0, MonsterCfgID = 18104, first_drop_id = 0, drop_id = 118104, },
[18201]={Key = 18201, Name = "缚死难诛奸1", Icon = 0, sceneID = 0, MonsterCfgID = 18201, first_drop_id = 0, drop_id = 118201, },
[18204]={Key = 18204, Name = "缚死难诛奸4", Icon = 0, sceneID = 0, MonsterCfgID = 18204, first_drop_id = 0, drop_id = 118204, },
[18301]={Key = 18301, Name = "八部下长安1", Icon = 0, sceneID = 0, MonsterCfgID = 18301, first_drop_id = 0, drop_id = 118301, },
[18304]={Key = 18304, Name = "八部下长安4", Icon = 0, sceneID = 0, MonsterCfgID = 18304, first_drop_id = 0, drop_id = 118304, },
[18401]={Key = 18401, Name = "挥师援潼关1", Icon = 0, sceneID = 0, MonsterCfgID = 18401, first_drop_id = 0, drop_id = 118401, },
[18404]={Key = 18404, Name = "挥师援潼关4", Icon = 0, sceneID = 0, MonsterCfgID = 18404, first_drop_id = 0, drop_id = 118404, },
[18501]={Key = 18501, Name = "阵前战曹将1", Icon = 0, sceneID = 0, MonsterCfgID = 18501, first_drop_id = 0, drop_id = 118501, },
[18504]={Key = 18504, Name = "阵前战曹将4", Icon = 0, sceneID = 0, MonsterCfgID = 18504, first_drop_id = 0, drop_id = 118504, },
[18601]={Key = 18601, Name = "赶马救吾君1", Icon = 0, sceneID = 0, MonsterCfgID = 18601, first_drop_id = 0, drop_id = 118601, },
[18604]={Key = 18604, Name = "赶马救吾君4", Icon = 0, sceneID = 0, MonsterCfgID = 18604, first_drop_id = 0, drop_id = 118604, },
[18701]={Key = 18701, Name = "轻舟单护主1", Icon = 0, sceneID = 0, MonsterCfgID = 18701, first_drop_id = 0, drop_id = 118701, },
[18704]={Key = 18704, Name = "轻舟单护主4", Icon = 0, sceneID = 0, MonsterCfgID = 18704, first_drop_id = 0, drop_id = 118704, },
[18801]={Key = 18801, Name = "再气周公瑾1", Icon = 0, sceneID = 0, MonsterCfgID = 18801, first_drop_id = 0, drop_id = 118801, },
[18804]={Key = 18804, Name = "再气周公瑾4", Icon = 0, sceneID = 0, MonsterCfgID = 18804, first_drop_id = 0, drop_id = 118804, },
[18901]={Key = 18901, Name = "建安十五春1", Icon = 0, sceneID = 0, MonsterCfgID = 18901, first_drop_id = 0, drop_id = 118901, },
[18904]={Key = 18904, Name = "建安十五春4", Icon = 0, sceneID = 0, MonsterCfgID = 18904, first_drop_id = 0, drop_id = 118904, },
[19001]={Key = 19001, Name = "大宴铜雀台1", Icon = 0, sceneID = 0, MonsterCfgID = 19001, first_drop_id = 0, drop_id = 119001, },
[19004]={Key = 19004, Name = "大宴铜雀台4", Icon = 0, sceneID = 0, MonsterCfgID = 19004, first_drop_id = 0, drop_id = 119004, },
[19101]={Key = 19101, Name = "邺城会文武1", Icon = 0, sceneID = 0, MonsterCfgID = 19101, first_drop_id = 0, drop_id = 119101, },
[19104]={Key = 19104, Name = "邺城会文武4", Icon = 0, sceneID = 0, MonsterCfgID = 19104, first_drop_id = 0, drop_id = 119104, },
[19201]={Key = 19201, Name = "妙对计荆州1", Icon = 0, sceneID = 0, MonsterCfgID = 19201, first_drop_id = 0, drop_id = 119201, },
[19204]={Key = 19204, Name = "妙对计荆州4", Icon = 0, sceneID = 0, MonsterCfgID = 19204, first_drop_id = 0, drop_id = 119204, },
[19301]={Key = 19301, Name = "截江救阿斗1", Icon = 0, sceneID = 0, MonsterCfgID = 19301, first_drop_id = 0, drop_id = 119301, },
[19304]={Key = 19304, Name = "截江救阿斗4", Icon = 0, sceneID = 0, MonsterCfgID = 19304, first_drop_id = 0, drop_id = 119304, },
[19401]={Key = 19401, Name = "三气周公瑾1", Icon = 0, sceneID = 0, MonsterCfgID = 19401, first_drop_id = 0, drop_id = 119401, },
[19404]={Key = 19404, Name = "三气周公瑾4", Icon = 0, sceneID = 0, MonsterCfgID = 19404, first_drop_id = 0, drop_id = 119404, },
[19501]={Key = 19501, Name = "泾下江南去1", Icon = 0, sceneID = 0, MonsterCfgID = 19501, first_drop_id = 0, drop_id = 119501, },
[19504]={Key = 19504, Name = "泾下江南去4", Icon = 0, sceneID = 0, MonsterCfgID = 19504, first_drop_id = 0, drop_id = 119504, },
[19601]={Key = 19601, Name = "教兵兴入关1", Icon = 0, sceneID = 0, MonsterCfgID = 19601, first_drop_id = 0, drop_id = 119601, },
[19604]={Key = 19604, Name = "教兵兴入关4", Icon = 0, sceneID = 0, MonsterCfgID = 19604, first_drop_id = 0, drop_id = 119604, },
[19701]={Key = 19701, Name = "父仇告将军1", Icon = 0, sceneID = 0, MonsterCfgID = 19701, first_drop_id = 0, drop_id = 119701, },
[19704]={Key = 19704, Name = "父仇告将军4", Icon = 0, sceneID = 0, MonsterCfgID = 19704, first_drop_id = 0, drop_id = 119704, },
[19801]={Key = 19801, Name = "智计夺长安1", Icon = 0, sceneID = 0, MonsterCfgID = 19801, first_drop_id = 0, drop_id = 119801, },
[19804]={Key = 19804, Name = "智计夺长安4", Icon = 0, sceneID = 0, MonsterCfgID = 19804, first_drop_id = 0, drop_id = 119804, },
[19901]={Key = 19901, Name = "阿瞒败潼关1", Icon = 0, sceneID = 0, MonsterCfgID = 19901, first_drop_id = 0, drop_id = 119901, },
[19904]={Key = 19904, Name = "阿瞒败潼关4", Icon = 0, sceneID = 0, MonsterCfgID = 19904, first_drop_id = 0, drop_id = 119904, },
[20001]={Key = 20001, Name = "马超雪恨来1", Icon = 0, sceneID = 0, MonsterCfgID = 20001, first_drop_id = 0, drop_id = 120001, },
[20004]={Key = 20004, Name = "马超雪恨来4", Icon = 0, sceneID = 0, MonsterCfgID = 20004, first_drop_id = 0, drop_id = 120004, },

	--活动
	----------------------------------------------------------
[60101]={Key = 60101, Name = "酣战虎牢", Icon = 0, sceneID = 4, MonsterCfgID = 60101, first_drop_id = 0, drop_id = 0, },
[60102]={Key = 60102, Name = "酣战虎牢", Icon = 0, sceneID = 4, MonsterCfgID = 60102, first_drop_id = 0, drop_id = 0, },
[60103]={Key = 60103, Name = "酣战虎牢", Icon = 0, sceneID = 4, MonsterCfgID = 60103, first_drop_id = 0, drop_id = 0, },
[60104]={Key = 60104, Name = "酣战虎牢", Icon = 0, sceneID = 4, MonsterCfgID = 60104, first_drop_id = 0, drop_id = 0, },
[60105]={Key = 60105, Name = "酣战虎牢", Icon = 0, sceneID = 4, MonsterCfgID = 60105, first_drop_id = 0, drop_id = 0, },
[60106]={Key = 60106, Name = "酣战虎牢", Icon = 0, sceneID = 4, MonsterCfgID = 60106, first_drop_id = 0, drop_id = 0, },
[60107]={Key = 60107, Name = "酣战虎牢", Icon = 0, sceneID = 4, MonsterCfgID = 60107, first_drop_id = 0, drop_id = 0, },
[60108]={Key = 60108, Name = "酣战虎牢", Icon = 0, sceneID = 4, MonsterCfgID = 60108, first_drop_id = 0, drop_id = 0, },
[60109]={Key = 60109, Name = "酣战虎牢", Icon = 0, sceneID = 4, MonsterCfgID = 60109, first_drop_id = 0, drop_id = 0, },
[60110]={Key = 60110, Name = "酣战虎牢", Icon = 0, sceneID = 4, MonsterCfgID = 60110, first_drop_id = 0, drop_id = 0, },


};



--配置处理
if GET_CONFIG_CHECK then
	local level_error = false;
	for k, level in pairs(WarConfig) do
		if nil == GetCombatCfg(level.hook_combat.combat_id) then
			print_log("can't find the hook_combat.combat_id["..level.hook_combat.combat_id.."] with level["..k.."]");
			level_error = true;
		end
		if nil == GetCombatCfg(level.boss_combat.combat_id) then
			print_log("can't find the boss_combat.combat_id["..level.boss_combat.combat_id.."] with level["..k.."]");
			level_error = true;
		end
	end
	if level_error then
		print_face("war config error!!!");
		assert(false);
	end
end








