--! 登陆消息片
--!--------------------------------------------------------------------------------------
-- C++导出




--! 角色
--!--------------------------------------------------------------------------------------
--[[ 
*
*	
*
*
]]
MSG_C2S_GET_ROLEINFO				= _make_msg(SEGMENT_C2S, TILE_ROLE, 0);

--[[ 修改名字
*
*
*   string	角色名字
*	int		性别
*
]]
MSG_C2S_ROLE_CHANGE_NAME			= _make_msg();

--[[
*
*
*
]]
MSG_C2S_Ping						= _make_msg();

--[[ 修改游戏设置
*
*
*   string	设置类型
*	int		设置的状态值 
*
]]
MSG_C2S_ROLE_Change_Set				= _make_msg();

--[[ 上传头像
*
*	int 数据长度（字节数）
*	二进制数据
*
]]
MSG_C2S_UploadHead					= _make_msg();

--[[ 请求头像数据
*
*	string	head_id
*
]]
MSG_C2S_GetHead					= _make_msg();

--! 聊天
--!--------------------------------------------------------------------------------------
--[[ 发送聊天内容
*
*	int 	聊天频道
*	string 	聊天内容
*	string 	接受对象的昵称
*
*
]]
MSG_C2S_SEND_CHAT					= _make_msg(SEGMENT_C2S, TILE_CHAT, 0);





--! 地块消息
--!--------------------------------------------------------------------------------------
--[[ 玩家进入地块
*
*	int x坐标
*	int y坐标
*	string 地理信息
*
]]
MSG_C2S_AREA_ENTER					= _make_msg(SEGMENT_C2S, TILE_AREA, 0);


--[[ 请求地块缩略信息
*
*	
* int x
* int y
* int x方向长度
* int y方向长度
*
]]
MSG_C2S_AREA_GET_INDEX				= _make_msg();


--[[ 请求地块详细信息
*
*	int x坐标
*	int y坐标
*
]]
MSG_C2S_AREA_GET_INFO				= _make_msg();






--! 士兵消息
--!--------------------------------------------------------------------------------------
--[[ 玩家请求士兵信息
*
]]
MSG_C2S_SOLDIER_Get					= _make_msg(SEGMENT_C2S, TILE_SOLDIER, 0);


--[[ 玩家请求造兵士兵
*
*	int 士兵ID
*
]]
MSG_C2S_SOLDIER_Make				= _make_msg();

--[[ 立即完成造兵
*
*	
*
]]
MSG_C2S_SOLDIER_Finish				= _make_msg();

--[[ 玩家取消
*
*	int 起始位置索引
*	int 结束位置索引	
*
]]
MSG_C2S_SOLDIER_Cancel				= _make_msg();




--! 塔防消息
--!--------------------------------------------------------------------------------------
--[[ 请求塔防数据
*
]]
MSG_C2S_TOWER_GetInfo				= _make_msg(SEGMENT_C2S, TILE_TOWER, 0);


--[[ 玩家请求升级塔防
*
*	
*
]]
MSG_C2S_TOWER_Levelup				= _make_msg();

--[[ 玩家立即收获金币
*
*	
*
]]
MSG_C2S_TOWER_GetGold				= _make_msg();



--! 军团消息
--!--------------------------------------------------------------------------------------
--[[ 玩家请求军团列表    完
*
]]
MSG_C2S_GUILD_GetList					= _make_msg(SEGMENT_C2S, TILE_GUILDS, 0);

--[[ 玩家创建军团		完
*
*	string 	军团名称
]]
MSG_C2S_GUILD_Create					= _make_msg();

--[[ 得到军团相关信息		完
*
*	
]]
MSG_C2S_GUILD_Info						= _make_msg();

--[[ 请求庇护所列表			完
*
*	
]]
MSG_C2S_GUILD_GetRefuge_list			= _make_msg();

--[[ 玩家搜索军团			完
*
*	string 	军团名称
]]
MSG_C2S_GUILD_Search					= _make_msg();

--[[ 玩家申请加入军团		完
*
*	CGUID 	军团ID
]]
MSG_C2S_GUILD_ApplyJoinGuild			= _make_msg();

--[[ 玩家退出军团			完
*
*	
]]
MSG_C2S_GUILD_QuitGuild					= _make_msg();

--[[ 得到成员列表			完
*	
]]
MSG_C2S_GUILD_MemberList				= _make_msg();


--[[ 解散军团				完
*
*	
]]
MSG_C2S_GUILD_DismissGuild				= _make_msg();

--[[ 同意申请				完
*	CGUID 	玩家ID
*	
]]
MSG_C2S_GUILD_AgreeJoin					= _make_msg();

--[[ 拒绝申请				完
*	CGUID 	玩家ID
*	
]]
MSG_C2S_GUILD_RejectJoin				= _make_msg();

--[[ 改变官职				完
*	CGUID 	玩家ID
*	int 	官职
*	
]]
MSG_C2S_GUILD_ChangePosition			= _make_msg();

--[[ 踢出军团				完
*	CGUID 	玩家ID
*	
]]
MSG_C2S_GUILD_Kick						= _make_msg();

--[[ 请求申请列表				
*	
*	
]]
MSG_C2S_GET_GUILD_APPLY					= _make_msg();

--[[ 更新公会数据				
*	
*	
]]
MSG_C2S_UPDATE_GUILD_INFO				= _make_msg();

--[[ 添加庇护所				
*	
*	
]]
MSG_C2S_GUILD_ADD_Shelter				= _make_msg();

--[[ 庇护所升级				
*	int 	庇护所编号
*	
]]
MSG_C2S_GUILD_Shelter_lvup				= _make_msg();

--[[ 修改公会收人选项				
*	int 	对应选项的id 1.可以加入；2.不准加入
*	
]]
MSG_C2S_GUILD_Set_State					= _make_msg();


--! 地图操作
--!--------------------------------------------------------------------------------------
--[[ 得到地块的建筑信息
*
*	int 	地块x坐标
*	int 	地块y坐标
*
]]
MSG_C2S_FIELD_GetData					= _make_msg(SEGMENT_C2S, TILE_FIELD, 0);

--[[ 放庇护所（占领）
*
*	string	公会key
*	int 	地块x坐标
*	int 	地块y坐标
*	int 	放置点x坐标
*	int 	放置点y坐标
*	int 	庇护所索引
*
]]
MSG_C2S_FIELD_LayShelter				= _make_msg();

--[[ 移动庇护所
*
*	string	公会key
*	int 	地块x坐标
*	int 	地块y坐标
*	int 	放置点x坐标
*	int 	放置点y坐标
*
]]
MSG_C2S_FIELD_MoveShelter				= _make_msg();

--[[ 取庇护所
*
*	string	公会key
*	int 	地块x坐标
*	int 	地块y坐标
*
]]
MSG_C2S_FIELD_TakeShelter				= _make_msg();


--[[ 放塔
*
*	string	公会key
*	int 	地块x坐标
*	int 	地块y坐标
*	int 	放置点x坐标
*	int 	放置点y坐标
*
]]
MSG_C2S_FIELD_LayTower					= _make_msg();


--[[ 移塔
*
*	int 	地块x坐标
*	int 	地块y坐标
*	int 	放置点x坐标
*	int 	放置点y坐标
*
]]
MSG_C2S_FIELD_MoveTower					= _make_msg();


--[[ 取塔
*
*	int 	地块x坐标
*	int 	地块y坐标
*
]]
MSG_C2S_FIELD_TakeTower					= _make_msg();





--! 战斗消息
--!--------------------------------------------------------------------------------------
--[[ 开始刷怪
*
*	int	是否用元宝（0=不用 1=用）
*
]]
MSG_C2S_FIGHT_Hunting					= _make_msg(SEGMENT_C2S, TILE_FIGHT, 0);


--[[ 开始掠夺
*
*
*
]]
MSG_C2S_FIGHT_Rob						= _make_msg();


--[[ 开始攻城
*
*
*
]]
MSG_C2S_FIGHT_AttackBegin				= _make_msg();


--[[ 参与攻城
*
*
*
]]
MSG_C2S_FIGHT_JoinAttack				= _make_msg();


--[[ 往战斗中添加士兵
*
*	int 	士兵模版ID
*	int 	放置点x坐标
*	int 	放置点y坐标
*
]]
MSG_C2S_FIGHT_PushSoldier				= _make_msg();

--[[ 退出战斗
*
*
]]
MSG_C2S_FIGHT_Quit						= _make_msg();

--[[ 战斗回放
*
*	string	战斗KEY
*
]]
MSG_C2S_FIGHT_Replay					= _make_msg();


--! 好友操作
--!--------------------------------------------------------------------------------------
--[[ 得到好友列表
*
*
]]
MSG_C2S_Friend_GetFriend				= _make_msg(SEGMENT_C2S, TILE_FRIEND, 0);

--!--------------------------------------------------------------------------------------
--[[ 添加好友
*
*	string 	玩家key
*
]]
MSG_C2S_Friend_AddFriend				= _make_msg();

--!--------------------------------------------------------------------------------------
--[[ 删除好友
*
*	string 	玩家key
*
]]
MSG_C2S_Friend_DelFriend				= _make_msg();

--[[ 请求邮件数据				
*	string 	玩家key
*	
*	
]]
MSG_C2S_GUILD_Get_Mail					= _make_msg();









