--
-- Author: zkz
-- Date: 2014-03-24 10:17:34
-- VIP配置

msg_check = {};
--0~10属于C++保留ID
last_msg_type = 10;

function _make_msg(segment, tile, num)
	local msg_type;
	if nil == segment then
		msg_type = last_msg_type + 1;
	elseif tile and num then
		msg_type = MsgTypeMake(segment, tile, num);
	else
		error("_make_msg()，消息参数有空值！"..debug.traceback());
	end


	if nil == msg_check[msg_type] then
		last_msg_type = msg_type;
		msg_check[msg_type] = true;
		return msg_type;
	end
	error("消息类型重复("..segment..","..tile..","..num..") "..debug.traceback());	
end

--****************************************************************************************
--消息片定义
--****************************************************************************************

--角色消息
TILE_ROLE			= _make_msg();

--聊天消息
TILE_CHAT			= _make_msg();

--地块消息
TILE_AREA			= _make_msg();

--士兵消息
TILE_SOLDIER		= _make_msg();

--塔防消息
TILE_TOWER			= _make_msg();

--军团消息
TILE_GUILDS			= _make_msg();

--封地操作
TILE_FIELD			= _make_msg();

--战斗消息
TILE_FIGHT			= _make_msg();

--好友消息
TILE_FRIEND			= _make_msg();