


--登陆消息片
----------------------------------------------------------------------------------------
-- C++导出





--
----------------------------------------------------------------------------------------
--[[ 服务器发送角色基本信息
*
*	string 	昵称(昵称为空则说明角色未建立,需要进入创建角色界面.)
*	int 	头像ID
*	int 	当前等级
*	int 	当前经验
*	int 	金钱
*	int 	元宝
*	string 	军团名称
*
*	int 	塔防等级
*	int 	塔防攻击点数
*	int 	塔防hp点数
*	string 	"area_x_y"
*	int 	是否有聊天提示
*
*
]]
MSG_S2C_ROLE_BASE_INFO							= _make_msg(SEGMENT_S2C, TILE_ROLE, 0);


--[[ 服务器回应创建角色结果
*
*	int		信息提示码
*	如果创建成功，则发送以下
*	string 	昵称(昵称为空则说明角色未建立,需要进入创建角色界面.)
*	int		性别
*
]]
MSG_S2C_ROLE_CHANGE_NAME_RE							= _make_msg();


--[[ 服务器通知经验（等级）改变
*
*	int 	当前等级
*	int 	当前经验
*
]]
MSG_S2C_ROLE_EXP_CHANGE							= _make_msg();

--[[ 服务器通知金币改变
*
*	int 	新的金币数
*
]]
MSG_S2C_ROLE_GOLD_CHANGE						= _make_msg();

--[[ 服务器通知元宝改变
*
*	int 	新的元宝数
*
]]
MSG_S2C_ROLE_YB_CHANGE						= _make_msg();

--[[ 服务器回复Ping
*
*	int 	新的元宝数
*
]]
MSG_S2C_ROLE_RePing							= _make_msg();

--[[ 修改游戏设置
*
*	int		结果 
*   string	设置类型
*	int		设置的状态值 
*
]]
MSG_S2C_ROLE_Change_Set						= _make_msg();

--[[ 更新头像KEY值（上传成功）
*
*	string	head_key
*
]]
MSG_S2C_ROLE_UpdateHeadKey							= _make_msg();

--[[ 发送头像数据
*
*	string	head_key
*	int 	数据长度（字节数）
*	二进制数据
*
]]
MSG_S2C_ROLE_HeadData							= _make_msg();

--! 聊天
--!--------------------------------------------------------------------------------------
--[[ 发送聊天内容
*
*	int 	聊天频道
*	string 	聊天内容
*	string 	发起聊天的玩家昵称
*	string 	战报内容，没有就是空字符串
*
]]
MSG_S2C_SEND_CHAT								= _make_msg(SEGMENT_S2C, TILE_CHAT, 0);


--! 地块消息
--!--------------------------------------------------------------------------------------
--[[得到地块缩略信息
	int		数量
	int		x
	int		y
	int		在线玩家数量
	string	占领公会KEY
	int		战争状态（1=战斗 0=非战斗）
]]
MSG_S2C_AREA_GET_INDEX			= _make_msg(SEGMENT_S2C, TILE_AREA, 0);

--[[得到地块详细信息
	int		x
	int		y
	string	占领公会KEY
	int		在线玩家数量
	{
		string	guid
		string	name
		int		等级
		int		塔防等级
	}
]]
MSG_S2C_AREA_GET_INFO			= _make_msg();

--[[得到地块详细信息
	int		本地门派成员数量
	{
		
	}
]]
MSG_S2C_AREA_GET_INFO_2			= _make_msg();



--[[ 通知某个地块的战斗状态
*
*	int		x
*	int		y
*	int		战争状态（1=战斗 0=非战斗）
*
]]
MSG_S2C_AREA_FightState			= _make_msg();

--[[ 通知某个地块的占领状态更新
*
*	string	name
*
]]
MSG_S2C_AREA_UpdateGuild = _make_msg();



--! 士兵消息
--!--------------------------------------------------------------------------------------
--[[ 发送士兵模块数据
*
*	int	空闲士兵种类数
*	{
*		int	士兵id
*		int	士兵数量
*	}
*	int	制造列表数量
*	{
*		int	士兵id
*		int	需要的制造秒数
*	}
*	int	开始造的时间戳（注意这个值在兵数满的时候等于无效）
*
]]
MSG_S2C_SOLDIER_Data					= _make_msg(SEGMENT_S2C, TILE_SOLDIER, 0);

--[[ 发送士兵模块数据
*
*	(同上)
*
]]
MSG_S2C_SOLDIER_Update					= _make_msg();

--[[ 立即完成造兵
*
*	int 	造兵错误
*
]]
MSG_S2C_SOLDIER_FINISH						= _make_msg();


--[[ 删除士兵
*
*	int 	士兵id
*
]]
MSG_S2C_SOLDIER_Delete						= _make_msg();

--! 塔防消息
--!--------------------------------------------------------------------------------------

--[[ 塔防数据更新
*
*	int		结果
*	int		等级
*	int		剩余资源
*	string	所在地块KEY
*
]]
MSG_S2C_TOWER_UpdateInfo					= _make_msg(SEGMENT_S2C, TILE_TOWER, 0);

--[[ 塔防收集满的时间
*
*	int		资源收集满的秒数（0 = 已满， -1 = 未放置）
*
]]
MSG_S2C_TOWER_FillTime						= _make_msg();


--! 军团消息
--!--------------------------------------------------------------------------------------
--[[ 玩家请求军团列表 没加入军团显示？
* 	int 	数量
*	{
		guid 	ID
		string 	名称
		int 	等级
		int 	坐标x
		int 	坐标y
		int 	加入条件
	}
*
]]
MSG_S2C_GUILD_GetList					= _make_msg(SEGMENT_S2C, TILE_GUILDS, 0);

--[[ 创建军团
*	int 	创建结果，成功则有以下信息
	{
		string 	名称
		int 	成员数量
		int 	副团长数量
		int 	当前资源金币数量
		int 	成员数量
			int 	官职
			string 	ID
			int 	头像ID
			string 	成员昵称
			int 	等级
			int 	性别
			int 	塔防等级
		int 	庇护所数量
		{
			int 等级
			int 是否放置
			int x坐标
			int y坐标
			int 当前的库存
			string 所在地名	
		}
	}
*	
]]
MSG_S2C_GUILD_Create					= _make_msg();

--[[ 得到军团相关信息
*
		int 	结果
		string 	名称
		int 	成员数量
		int 	副团长数量
		int 	当前资源金币数量
		int 	成员数量
			int 	官职
			string 	ID
			int 	头像ID
			string 	成员昵称
			int 	等级
			int 	性别
			int 	塔防等级
		int 	庇护所数量
		{
			int 等级
			int 是否放置
			int x坐标
			int y坐标
			int 当前的库存
			string 所在地名	
		}
		int 	申请数量
			
			string 	ID
			int 	头像ID
			string 	成员昵称
			int 	等级
			int 	性别
			int 	塔防等级
	
]]
MSG_S2C_GUILD_Info						= _make_msg();

--[[ 请求地块信息
*		int 	数量
		{
			int 等级
			int 是否放置
			int 当前的库存
			string 所在地名	
			int 等级人气
		}
*	
]]
MSG_S2C_GUILD_GetRefuge_list			= _make_msg();

--[[ 玩家搜索军团
*
*	string 	军团名称
]]
MSG_S2C_GUILD_Search					= _make_msg();

--[[ 玩家申请加入军团
*
*	int 	申请结果
]]
MSG_S2C_GUILD_ApplyJoinGuild			= _make_msg();

--[[ 玩家退出军团
* 	int 	退出结果
*	
]]
MSG_S2C_GUILD_QuitGuild					= _make_msg();

--[[ 得到成员列表
*	int 	结果
*	int 	成员数量
*		int 	官职
*		string 	ID
*		int 	头像ID
*		string 	成员昵称
*		int 	等级
*		int 	性别
*		int 	塔防等级
]]
MSG_S2C_GUILD_MemberList					= _make_msg();

--[[ 解散军团
*	int 	解散结果
*	
]]
MSG_S2C_GUILD_DismissGuild				= _make_msg();

--[[ 同意申请
*	int 	结果
*	CGUID 	玩家ID
*	
]]
MSG_S2C_GUILD_AgreeJoin					= _make_msg();

--[[ 拒绝申请
*	int 	结果
*	CGUID 	玩家ID
*	
]]
MSG_S2C_GUILD_RejectJoin				= _make_msg();

--[[ 改变官职
*	CGUID 	玩家ID
*	int 	官职
*	
]]
MSG_S2C_GUILD_ChangePosition			= _make_msg();

--[[ 踢出军团
*	CGUID 	玩家ID
*	
]]
MSG_S2C_GUILD_Kick						= _make_msg();

--[[ 请求申请列表				
*	int 	结果
*	int 	申请数量
*		
*		string 	ID
*		int 	头像ID
*		string 	成员昵称
*		int 	等级
*		int 	性别
*		int 	塔防等级
]]
MSG_S2C_GET_GUILD_APPLY					= _make_msg();

--[[ 更新公会数据				
*	
		string 	名称
		int 	成员数量
		int 	副团长数量
		int 	当前资源金币数量

		int 	成员数量
			int 	官职
			string 	ID
			int 	头像ID
			string 	成员昵称
			int 	等级
			int 	性别
			int 	塔防等级

		int 	庇护所数量
			int 	等级
			int 	是否放置
			int 	坐标x
			int 	坐标y
			int 	金钱库存
			string 	放置地名

*	
]]
MSG_S2C_UPDATE_GUILD_INFO				= _make_msg();

--[[ 添加庇护所				
*	int 	结果
*	int 	庇护所编号
*	int 	当前等级	
*	
]]
MSG_S2C_GUILD_ADD_Shelter				= _make_msg();

--[[ 庇护所升级				
*	int 	结果
*	int 	庇护所编号
*	int 	当前等级
]]
MSG_S2C_GUILD_Shelter_lvup				= _make_msg();

--[[ 修改公会收人选项	
*	int 	结果			
*	int 	对应选项的id 1.可以加入；2.不准加入
*	
]]
MSG_S2C_GUILD_Set_State					= _make_msg();

--[[ 收到通知已经加入某个军团	
*	string 	公会id(名称)			
*	int 	官职
*	
]]
MSG_S2C_GUILD_Join_Succed				= _make_msg();


--! 地图操作
--!--------------------------------------------------------------------------------------
--[[ 地块的建筑信息
*
*	int 	地块x坐标
*	int 	地块y坐标
*
	if data.shelter then
		msg:WriteString(data.shelter.guild_key);
		msg:WriteInt(data.shelter.id);
		msg:WriteInt(data.shelter.level);
		msg:WriteInt(data.shelter.x);
		msg:WriteInt(data.shelter.y);

		msg:WriteInt(self.data.towers_num);
		for k, tower in pairs(self.data.towers) do
			msg:WriteString(tower.key);
			msg:WriteString(tower.level);
			msg:WriteString(tower.x);
			msg:WriteString(tower.y);
		end
	else
		msg:WriteString(NULL_GUID_STR);
		msg:WriteInt(0);
	end
*
]]
MSG_S2C_FIELD_Data					= _make_msg(SEGMENT_S2C, TILE_FIELD, 0);

--[[ 地块的建筑信息更新
*
*	（内容同上）
*
]]
MSG_S2C_FIELD_DataUpdate		= _make_msg();


--[[ 放庇护所回复
*
*	信息代码
*
]]
MSG_S2C_FIELD_ReLayShelter		= _make_msg();

--[[ 移动庇护所
*
*	信息代码
*
]]
MSG_S2C_FIELD_ReMoveShelter		= _make_msg();

--[[ 取庇护所回复
*
*	信息代码
*
]]
MSG_S2C_FIELD_ReTakeShelter		= _make_msg();

--[[ 放塔
*
*	信息代码
*
]]
MSG_S2C_FIELD_ReLayTower		= _make_msg();

--[[ 移塔
*
*	信息代码
*
]]
MSG_S2C_FIELD_ReMoveTower		= _make_msg();

--[[ 取塔
*
*	信息代码
*
]]
MSG_S2C_FIELD_ReTakeTower		= _make_msg();



--! 战斗消息
--!--------------------------------------------------------------------------------------
--[[ 攻城战准备消息
* 
*	string	公会KEY
*	int		地块坐标X
*	int		地块坐标Y
*	int		倒计时秒数
*
]]
MSG_S2C_FIGHT_AttackReady		= _make_msg(SEGMENT_S2C, TILE_FIGHT, 0);

--[[ 攻城战正式开始（清除准备符号）
*
*	int		地块坐标X
*	int		地块坐标Y	
*
]]
MSG_S2C_FIGHT_AttackBegin		= _make_msg();


--[[ 刷怪战结果
*
*	int		胜利失败（0、1）
*	int		获得金币
*	int		获得经验
*
]]
MSG_S2C_FIGHT_HuntingResult		= _make_msg();


--[[ 掠夺战结果
*
*	int		获得金币
*
]]
MSG_S2C_FIGHT_RobResult			= _make_msg();

--[[ 攻城战结果
*
*	int		胜利失败（0、1）
*	int		获得金币	
*
]]
MSG_S2C_FIGHT_AttackResult		= _make_msg();


--[[ 开始战斗失败
*
*	int		失败原因码
*
]]
MSG_S2C_FIGHT_ErrorInfo			= _make_msg();


--[[ 删除士兵消息
*
*	int		士兵模版ID
*
]]
MSG_S2C_FIGHT_DelSoldier		= _make_msg();

--[[ 战斗录像回放
*
*	data	格式与战斗数据消息相同
*
]]
MSG_S2C_FIGHT_Replay				= _make_msg();

--[[ 进入战斗
*
*
]]
MSG_S2C_FIGHT_Join				= _make_msg();



--! 好友操作
--!--------------------------------------------------------------------------------------
--[[ 得到好友列表
*
*	int 	数量
*		string 	玩家key
*		string 	昵称
*		int 	性别
*		int 	等级
*		int 	塔防等级
*		int 	消息提示标记 0 没有消息；1 有消息
*
]]
MSG_S2C_Friend_GetFriend				= _make_msg(SEGMENT_S2C, TILE_FRIEND, 0);

--!--------------------------------------------------------------------------------------
--[[ 添加好友
*	int 	结果
*		string 	玩家key
*		string 	昵称
*		int 	性别
*		int 	等级
*		int 	塔防等级
*
]]
MSG_S2C_Friend_AddFriend				= _make_msg();

--!--------------------------------------------------------------------------------------
--[[ 删除好友
*	int 	结果
*	int 	玩家key
*
]]
MSG_S2C_Friend_DelFriend				= _make_msg();

--[[ 请求邮件数据	
*	int 	结果
*	int 	数量
*		string 	发起聊天的玩家昵称
*		string 	聊天内容
*		string 	战报内容，没有就是空字符串
*	
]]
MSG_S2C_GUILD_Get_Mail					= _make_msg();

















