

function GetPlayerLvSetup(player_lv)
	local re = PlayerLevelSetup[player_lv];
	if re then
		return re;
	end
	print_log(debug.traceback());
end

PlayerLevelSetup = 
{
[1]= {exp=100, brush_exp=100, brush_gold=600, soldier_num=2, soldier_open=1, buy_gold=1000, },
[2]= {exp=180, brush_exp=105, brush_gold=900, soldier_num=3, soldier_open=1, buy_gold=800, },
[3]= {exp=280, brush_exp=110, brush_gold=900, soldier_num=3, soldier_open=2, buy_gold=900, },
[4]= {exp=420, brush_exp=115, brush_gold=1200, soldier_num=4, soldier_open=2, buy_gold=1000, },
[5]= {exp=600, brush_exp=120, brush_gold=1200, soldier_num=4, soldier_open=2, buy_gold=1100, },
[6]= {exp=820, brush_exp=125, brush_gold=1500, soldier_num=5, soldier_open=2, buy_gold=1200, },
[7]= {exp=1080, brush_exp=130, brush_gold=1500, soldier_num=5, soldier_open=2, buy_gold=1300, },
[8]= {exp=1380, brush_exp=135, brush_gold=1800, soldier_num=6, soldier_open=2, buy_gold=1400, },
[9]= {exp=1720, brush_exp=140, brush_gold=1800, soldier_num=6, soldier_open=2, buy_gold=1500, },
[10]= {exp=2100, brush_exp=145, brush_gold=2100, soldier_num=7, soldier_open=2, buy_gold=1600, },
[11]= {exp=2520, brush_exp=150, brush_gold=2100, soldier_num=7, soldier_open=2, buy_gold=1700, },
[12]= {exp=2980, brush_exp=155, brush_gold=2400, soldier_num=8, soldier_open=2, buy_gold=1800, },
[13]= {exp=3480, brush_exp=160, brush_gold=2400, soldier_num=8, soldier_open=2, buy_gold=1900, },
[14]= {exp=4020, brush_exp=165, brush_gold=2700, soldier_num=9, soldier_open=2, buy_gold=2000, },
[15]= {exp=4600, brush_exp=170, brush_gold=2700, soldier_num=9, soldier_open=2, buy_gold=2100, },
[16]= {exp=5220, brush_exp=175, brush_gold=3000, soldier_num=10, soldier_open=2, buy_gold=2200, },
[17]= {exp=5880, brush_exp=180, brush_gold=3000, soldier_num=10, soldier_open=2, buy_gold=2300, },
[18]= {exp=6580, brush_exp=185, brush_gold=3000, soldier_num=10, soldier_open=2, buy_gold=2400, },
[19]= {exp=7320, brush_exp=190, brush_gold=3000, soldier_num=10, soldier_open=2, buy_gold=2500, },
[20]= {exp=8100, brush_exp=195, brush_gold=3300, soldier_num=11, soldier_open=2, buy_gold=2600, },
[21]= {exp=8920, brush_exp=200, brush_gold=3300, soldier_num=11, soldier_open=2, buy_gold=2700, },
[22]= {exp=9780, brush_exp=205, brush_gold=3300, soldier_num=11, soldier_open=2, buy_gold=2800, },
[23]= {exp=10680, brush_exp=210, brush_gold=3300, soldier_num=11, soldier_open=2, buy_gold=2900, },
[24]= {exp=11620, brush_exp=215, brush_gold=3300, soldier_num=11, soldier_open=2, buy_gold=3000, },
[25]= {exp=12600, brush_exp=220, brush_gold=3600, soldier_num=12, soldier_open=2, buy_gold=3065, },
[26]= {exp=13620, brush_exp=225, brush_gold=3600, soldier_num=12, soldier_open=2, buy_gold=3130, },
[27]= {exp=14680, brush_exp=230, brush_gold=3600, soldier_num=12, soldier_open=2, buy_gold=3195, },
[28]= {exp=15780, brush_exp=235, brush_gold=3600, soldier_num=12, soldier_open=2, buy_gold=3260, },
[29]= {exp=16920, brush_exp=240, brush_gold=3600, soldier_num=12, soldier_open=2, buy_gold=3325, },
[30]= {exp=18100, brush_exp=245, brush_gold=3900, soldier_num=13, soldier_open=2, buy_gold=3390, },
[31]= {exp=19320, brush_exp=250, brush_gold=3900, soldier_num=13, soldier_open=2, buy_gold=3455, },
[32]= {exp=20580, brush_exp=255, brush_gold=3900, soldier_num=13, soldier_open=2, buy_gold=3520, },
[33]= {exp=21880, brush_exp=260, brush_gold=3900, soldier_num=13, soldier_open=2, buy_gold=3585, },
[34]= {exp=23220, brush_exp=265, brush_gold=3900, soldier_num=13, soldier_open=2, buy_gold=3650, },
[35]= {exp=24600, brush_exp=270, brush_gold=4200, soldier_num=14, soldier_open=2, buy_gold=3715, },
[36]= {exp=26020, brush_exp=275, brush_gold=4200, soldier_num=14, soldier_open=2, buy_gold=3780, },
[37]= {exp=27480, brush_exp=280, brush_gold=4200, soldier_num=14, soldier_open=2, buy_gold=3845, },
[38]= {exp=28980, brush_exp=285, brush_gold=4200, soldier_num=14, soldier_open=2, buy_gold=3910, },
[39]= {exp=30520, brush_exp=290, brush_gold=4200, soldier_num=14, soldier_open=2, buy_gold=3975, },
[40]= {exp=32100, brush_exp=295, brush_gold=4500, soldier_num=15, soldier_open=2, buy_gold=4040, },
[41]= {exp=33720, brush_exp=300, brush_gold=4500, soldier_num=15, soldier_open=2, buy_gold=4105, },
[42]= {exp=35380, brush_exp=305, brush_gold=4500, soldier_num=15, soldier_open=2, buy_gold=4170, },
[43]= {exp=37080, brush_exp=310, brush_gold=4500, soldier_num=15, soldier_open=2, buy_gold=4235, },
[44]= {exp=38820, brush_exp=315, brush_gold=4500, soldier_num=15, soldier_open=2, buy_gold=4300, },
[45]= {exp=40600, brush_exp=320, brush_gold=4800, soldier_num=16, soldier_open=2, buy_gold=4365, },
[46]= {exp=42420, brush_exp=325, brush_gold=4800, soldier_num=16, soldier_open=2, buy_gold=4430, },
[47]= {exp=44280, brush_exp=330, brush_gold=4800, soldier_num=16, soldier_open=2, buy_gold=4495, },
[48]= {exp=46180, brush_exp=335, brush_gold=4800, soldier_num=16, soldier_open=2, buy_gold=4560, },
[49]= {exp=48120, brush_exp=340, brush_gold=4800, soldier_num=16, soldier_open=2, buy_gold=4625, },
[50]= {exp=50100, brush_exp=345, brush_gold=5100, soldier_num=17, soldier_open=2, buy_gold=4690, },
[51]= {exp=52120, brush_exp=350, brush_gold=5100, soldier_num=17, soldier_open=2, buy_gold=4755, },
[52]= {exp=54180, brush_exp=355, brush_gold=5100, soldier_num=17, soldier_open=2, buy_gold=4820, },
[53]= {exp=56280, brush_exp=360, brush_gold=5100, soldier_num=17, soldier_open=2, buy_gold=4885, },
[54]= {exp=58420, brush_exp=365, brush_gold=5100, soldier_num=17, soldier_open=2, buy_gold=4950, },
[55]= {exp=60600, brush_exp=370, brush_gold=5400, soldier_num=18, soldier_open=2, buy_gold=5015, },
[56]= {exp=62820, brush_exp=375, brush_gold=5400, soldier_num=18, soldier_open=2, buy_gold=5080, },
[57]= {exp=65080, brush_exp=380, brush_gold=5400, soldier_num=18, soldier_open=2, buy_gold=5145, },
[58]= {exp=67380, brush_exp=385, brush_gold=5400, soldier_num=18, soldier_open=2, buy_gold=5210, },
[59]= {exp=69720, brush_exp=390, brush_gold=5400, soldier_num=18, soldier_open=2, buy_gold=5275, },
[60]= {exp=72100, brush_exp=395, brush_gold=5700, soldier_num=19, soldier_open=2, buy_gold=5340, },
[61]= {exp=74520, brush_exp=400, brush_gold=5700, soldier_num=19, soldier_open=2, buy_gold=5405, },
[62]= {exp=76980, brush_exp=405, brush_gold=5700, soldier_num=19, soldier_open=2, buy_gold=5470, },
[63]= {exp=79480, brush_exp=410, brush_gold=5700, soldier_num=19, soldier_open=2, buy_gold=5535, },
[64]= {exp=82020, brush_exp=415, brush_gold=5700, soldier_num=19, soldier_open=2, buy_gold=5600, },
[65]= {exp=84600, brush_exp=420, brush_gold=6000, soldier_num=20, soldier_open=2, buy_gold=5665, },
[66]= {exp=87220, brush_exp=425, brush_gold=6000, soldier_num=20, soldier_open=2, buy_gold=5730, },
[67]= {exp=89880, brush_exp=430, brush_gold=6000, soldier_num=20, soldier_open=2, buy_gold=5795, },
[68]= {exp=92580, brush_exp=435, brush_gold=6000, soldier_num=20, soldier_open=2, buy_gold=5860, },
[69]= {exp=95320, brush_exp=440, brush_gold=6000, soldier_num=20, soldier_open=2, buy_gold=5925, },
[70]= {exp=98100, brush_exp=445, brush_gold=6300, soldier_num=21, soldier_open=2, buy_gold=5990, },
[71]= {exp=100920, brush_exp=450, brush_gold=6300, soldier_num=21, soldier_open=2, buy_gold=6055, },
[72]= {exp=103780, brush_exp=455, brush_gold=6300, soldier_num=21, soldier_open=2, buy_gold=6120, },
[73]= {exp=106680, brush_exp=460, brush_gold=6300, soldier_num=21, soldier_open=2, buy_gold=6185, },
[74]= {exp=109620, brush_exp=465, brush_gold=6300, soldier_num=21, soldier_open=2, buy_gold=6250, },
[75]= {exp=112600, brush_exp=470, brush_gold=6600, soldier_num=22, soldier_open=2, buy_gold=6315, },
[76]= {exp=115620, brush_exp=475, brush_gold=6600, soldier_num=22, soldier_open=2, buy_gold=6380, },
[77]= {exp=118680, brush_exp=480, brush_gold=6600, soldier_num=22, soldier_open=2, buy_gold=6445, },
[78]= {exp=121780, brush_exp=485, brush_gold=6600, soldier_num=22, soldier_open=2, buy_gold=6510, },
[79]= {exp=124920, brush_exp=490, brush_gold=6600, soldier_num=22, soldier_open=2, buy_gold=6575, },
[80]= {exp=128100, brush_exp=495, brush_gold=6900, soldier_num=23, soldier_open=2, buy_gold=6640, },
[81]= {exp=131320, brush_exp=500, brush_gold=6900, soldier_num=23, soldier_open=2, buy_gold=6705, },
[82]= {exp=134580, brush_exp=505, brush_gold=6900, soldier_num=23, soldier_open=2, buy_gold=6770, },
[83]= {exp=137880, brush_exp=510, brush_gold=6900, soldier_num=23, soldier_open=2, buy_gold=6835, },
[84]= {exp=141220, brush_exp=515, brush_gold=6900, soldier_num=23, soldier_open=2, buy_gold=6900, },
[85]= {exp=144600, brush_exp=520, brush_gold=7200, soldier_num=24, soldier_open=2, buy_gold=6965, },
[86]= {exp=148020, brush_exp=525, brush_gold=7200, soldier_num=24, soldier_open=2, buy_gold=7030, },
[87]= {exp=151480, brush_exp=530, brush_gold=7200, soldier_num=24, soldier_open=2, buy_gold=7095, },
[88]= {exp=154980, brush_exp=535, brush_gold=7200, soldier_num=24, soldier_open=2, buy_gold=7160, },
[89]= {exp=158520, brush_exp=540, brush_gold=7200, soldier_num=24, soldier_open=2, buy_gold=7225, },
[90]= {exp=162100, brush_exp=545, brush_gold=7500, soldier_num=25, soldier_open=2, buy_gold=7290, },
[91]= {exp=165720, brush_exp=550, brush_gold=7500, soldier_num=25, soldier_open=2, buy_gold=7355, },
[92]= {exp=169380, brush_exp=555, brush_gold=7500, soldier_num=25, soldier_open=2, buy_gold=7420, },
[93]= {exp=173080, brush_exp=560, brush_gold=7500, soldier_num=25, soldier_open=2, buy_gold=7485, },
[94]= {exp=176820, brush_exp=565, brush_gold=7500, soldier_num=25, soldier_open=2, buy_gold=7550, },
[95]= {exp=180600, brush_exp=570, brush_gold=7800, soldier_num=26, soldier_open=2, buy_gold=7615, },
[96]= {exp=184420, brush_exp=575, brush_gold=7800, soldier_num=26, soldier_open=2, buy_gold=7680, },
[97]= {exp=188280, brush_exp=580, brush_gold=7800, soldier_num=26, soldier_open=2, buy_gold=7745, },
[98]= {exp=192180, brush_exp=585, brush_gold=7800, soldier_num=26, soldier_open=2, buy_gold=7810, },
[99]= {exp=196120, brush_exp=590, brush_gold=7800, soldier_num=26, soldier_open=2, buy_gold=7875, },
[100]= {exp=200100, brush_exp=595, brush_gold=8100, soldier_num=27, soldier_open=2, buy_gold=7940, },



};