--
-- Author: Wu Hengmin
-- Date: 2014-04-08 10:07:21
--
--[[
{
	type_(类型), 0.一次性购买项目   1.月卡
	name(名字),
	gem(获得数量),
	price(价格),
	subscription(描述),
}

]]

-- 喇叭喊话消耗元宝
eChat_Laba_Cost_gold = 100;

saleConfig = {
	[101] = {name = "月卡",key = 101, icon = 11015, type_ = 1, gem = 0, price = 30, ewai = 0, daily = 100, descrip = "30天内每天可领取100元宝", },
	[102] = {name = "高级月卡",key = 102, icon = 11015, type_ = 1, gem = 0, price = 60,  ewai = 0, daily = 200, descrip = "30天内每天可领取200元宝", },
	[103] = {name = "充值50元宝",key = 103,icon = 11015, type_ = 0, gem = 50, price = 5,  ewai = 5, descrip = "额外赠送5元宝", },
	[104] = {name = "充值100元宝",key = 104, icon = 11015, type_ = 0, gem = 100, price = 10,  ewai = 10, descrip = "额外赠送10元宝", },
	[105] = {name = "充值300元宝",key = 105, icon = 11015, type_ = 0, gem = 300, price = 30,  ewai = 30, descrip = "额外赠送30元宝", },
	[106] = {name = "充值500元宝",key = 106, icon = 11015, type_ = 0, gem = 500, price = 50,  ewai = 50, descrip = "额外赠送50元宝", },
	[107] = {name = "充值1000元宝",key = 107, icon = 11015, type_ = 0, gem = 1000, price = 100,  ewai = 100, descrip = "额外赠送100元宝", },
	[108] = {name = "充值2000元宝",key = 108, icon = 11015, type_ = 0, gem = 2000, price = 200,  ewai = 200, descrip = "额外赠送200元宝", },
	[109] = {name = "充值5000元宝",key = 109, icon = 11015, type_ = 0, gem = 5000, price = 500,  ewai = 500, descrip = "额外赠送500元宝", },
	[110] = {name = "充值10000元宝",key = 110, icon = 11015, type_ = 0, gem = 10000, price = 1000,  ewai = 1000, descrip = "额外赠送1000元宝", },
	[111] = {name = "充值20000元宝",key = 111, icon = 11015, type_ = 0, gem = 20000, price = 2000,  ewai = 2000, descrip = "额外赠送2000元宝", },
	[112] = {name = "充值50000元宝",key = 112, icon = 11015, type_ = 0, gem = 50000, price = 5000,  ewai = 5000, descrip = "额外赠送5000元宝", },
}

function GetRechargeCfg( saliID )
	return saleConfig[saliID];
end

-- 礼包
packsConfig = {
	[1] = {type_ = 0, icon = 70001, name = "VIP1 礼包", price1 = 18, price2 = 1430, subscription = "点击图标查看礼包内容", package = {
		{
			obj_type = eDT_Gold,--银两
			obj_id = 0,
			obj_lv = 0,
			obj_num = 300000,
		},
		{
			obj_type = eDT_Item,--速战令
			obj_id = 10010,
			obj_lv = 0,
			obj_num = 3,
		},
		{
			obj_type = eDT_Item,--觉醒丹
			obj_id = 90001,
			obj_lv = 0,
			obj_num = 100,
		},
		{
			obj_type = eDT_Item,--强化石
			obj_id = 90002,
			obj_lv = 0,
			obj_num = 100,
		},
		{
			obj_type = eDT_Item,--金宝箱
			obj_id = 81003,
			obj_lv = 0,
			obj_num = 5,
		},
		{
			obj_type = eDT_Item,--金钥匙
			obj_id = 81013,
			obj_lv = 0,
			obj_num = 5,
		},
	}},
	[2] = {type_ = 0, icon = 70002, name = "VIP2 礼包", price1 = 38, price2 = 1850, subscription = "点击图标查看礼包内容", package = {
		{
			obj_type = eDT_Gold,--银两
			obj_id = 0,
			obj_lv = 0,
			obj_num = 1000000,
		},
		{
			obj_type = eDT_Item,--速战令
			obj_id = 10010,
			obj_lv = 0,
			obj_num = 5,
		},
		{
			obj_type = eDT_Item,--职业宝箱
			obj_id = 81006,
			obj_lv = 0,
			obj_num = 10,
		},
		{
			obj_type = eDT_Item,--升阶石
			obj_id = 90003,
			obj_lv = 0,
			obj_num = 50,
		},
		{
			obj_type = eDT_Item,--金宝箱
			obj_id = 81003,
			obj_lv = 0,
			obj_num = 10,
		},
		{
			obj_type = eDT_Item,--金钥匙
			obj_id = 81013,
			obj_lv = 0,
			obj_num = 10,
		},
	}},
	[3] = {type_ = 0, icon = 70003, name = "VIP3 礼包", price1 = 68, price2 = 2900, subscription = "点击图标查看礼包内容", package = {
		{
			obj_type = eDT_Gold,--银两
			obj_id = 0,
			obj_lv = 0,
			obj_num = 1500000,
		},
		{
			obj_type = eDT_Item,--速战令
			obj_id = 10010,
			obj_lv = 0,
			obj_num = 10,
		},
		{
			obj_type = eDT_Item,--觉醒丹
			obj_id = 90001,
			obj_lv = 0,
			obj_num = 150,
		},
		{
			obj_type = eDT_Item,--强化石
			obj_id = 90002,
			obj_lv = 0,
			obj_num = 150,
		},
		{
			obj_type = eDT_Item,--金宝箱
			obj_id = 81003,
			obj_lv = 0,
			obj_num = 15,
		},
		{
			obj_type = eDT_Item,--金钥匙
			obj_id = 81013,
			obj_lv = 0,
			obj_num = 15,
		},
	}},
	[4] = {type_ = 0, icon = 70004, name = "VIP4 礼包", price1 = 98, price2 = 3700, subscription = "点击图标查看礼包内容", package = {
		{
			obj_type = eDT_Gold,--银两
			obj_id = 0,
			obj_lv = 0,
			obj_num = 2000000,
		},
		{
			obj_type = eDT_Item,--速战令
			obj_id = 10010,
			obj_lv = 0,
			obj_num = 15,
		},
		{
			obj_type = eDT_Item,--职业宝箱
			obj_id = 81006,
			obj_lv = 0,
			obj_num = 15,
		},
		{
			obj_type = eDT_Item,--升阶石
			obj_id = 90003,
			obj_lv = 0,
			obj_num = 100,
		},
		{
			obj_type = eDT_Item,--金宝箱
			obj_id = 81003,
			obj_lv = 0,
			obj_num = 20,
		},
		{
			obj_type = eDT_Item,--金钥匙
			obj_id = 81013,
			obj_lv = 0,
			obj_num = 20,
		},
	}},
	[5] = {type_ = 0, icon = 70005, name = "VIP5 礼包", price1 = 188, price2 = 6250, subscription = "点击图标查看礼包内容", package = {
		{
			obj_type = eDT_Equip,--神器
			obj_id = 130013,
			obj_lv = 0,
			obj_num = 1,
		},
		{
			obj_type = eDT_Item,--速战令
			obj_id = 10010,
			obj_lv = 0,
			obj_num = 20,
		},
		{
			obj_type = eDT_Item,--升阶石
			obj_id = 90003,
			obj_lv = 0,
			obj_num = 150,
		},
		{
			obj_type = eDT_Item,--强化石
			obj_id = 90002,
			obj_lv = 0,
			obj_num = 300,
		},
		{
			obj_type = eDT_Item,--金宝箱
			obj_id = 81003,
			obj_lv = 0,
			obj_num = 25,
		},
		{
			obj_type = eDT_Item,--金钥匙
			obj_id = 81013,
			obj_lv = 0,
			obj_num = 25,
		},
	}},
	[6] = {type_ = 0, icon = 70006, name = "VIP6 礼包", price1 = 288, price2 = 7000, subscription = "点击图标查看礼包内容", package = {
		{
			obj_type = eDT_Item,--速战令
			obj_id = 10010,
			obj_lv = 0,
			obj_num = 25,
		},
		{
			obj_type = eDT_Item,--职业宝箱
			obj_id = 81006,
			obj_lv = 0,
			obj_num = 25,
		},
		{
			obj_type = eDT_Item,--觉醒丹
			obj_id = 90001,
			obj_lv = 0,
			obj_num = 300,
		},
		{
			obj_type = eDT_Item,--强化石
			obj_id = 90002,
			obj_lv = 0,
			obj_num = 300,
		},
		{
			obj_type = eDT_Item,--金宝箱
			obj_id = 81003,
			obj_lv = 0,
			obj_num = 30,
		},
		{
			obj_type = eDT_Item,--金钥匙
			obj_id = 81013,
			obj_lv = 0,
			obj_num = 30,
		},
	}},
	[7] = {type_ = 0, icon = 70007, name = "VIP7 礼包", price1 = 488, price2 = 8000, subscription = "点击图标查看礼包内容", package = {
		{
			obj_type = eDT_Equip,--神器
			obj_id = 130014,
			obj_lv = 0,
			obj_num = 1,
		},
		{
			obj_type = eDT_Item,--职业宝箱
			obj_id = 81006,
			obj_lv = 0,
			obj_num = 25,
		},
		{
			obj_type = eDT_Item,--升阶石
			obj_id = 90003,
			obj_lv = 0,
			obj_num = 200,
		},
		{
			obj_type = eDT_Item,--强化石
			obj_id = 90002,
			obj_lv = 0,
			obj_num = 400,
		},
		{
			obj_type = eDT_Item,--金宝箱
			obj_id = 81003,
			obj_lv = 0,
			obj_num = 35,
		},
		{
			obj_type = eDT_Item,--金钥匙
			obj_id = 81013,
			obj_lv = 0,
			obj_num = 35,
		},
	}},
	[8] = {type_ = 0, icon = 70008, name = "VIP8 礼包", price1 = 688, price2 = 8700, subscription = "点击图标查看礼包内容", package = {
		{
			obj_type = eDT_Item,--名将宝箱
			obj_id = 81004,
			obj_lv = 0,
			obj_num = 30,
		},
		{
			obj_type = eDT_Item,--职业宝箱
			obj_id = 81006,
			obj_lv = 0,
			obj_num = 30,
		},
		{
			obj_type = eDT_Item,--觉醒丹
			obj_id = 90001,
			obj_lv = 0,
			obj_num = 400,
		},
		{
			obj_type = eDT_Item,--强化石
			obj_id = 90002,
			obj_lv = 0,
			obj_num = 400,
		},
		{
			obj_type = eDT_Item,--金宝箱
			obj_id = 81003,
			obj_lv = 0,
			obj_num = 40,
		},
		{
			obj_type = eDT_Item,--金钥匙
			obj_id = 81013,
			obj_lv = 0,
			obj_num = 40,
		},
	}},
	[9] = {type_ = 0, icon = 70009, name = "VIP9 礼包", price1 = 888, price2 = 9750, subscription = "点击图标查看礼包内容", package = {
		{
			obj_type = eDT_Equip,--神器
			obj_id = 130012,
			obj_lv = 0,
			obj_num = 1,
		},
		{
			obj_type = eDT_Item,--职业宝箱
			obj_id = 81006,
			obj_lv = 0,
			obj_num = 30,
		},
		{
			obj_type = eDT_Item,--升阶石
			obj_id = 90001,
			obj_lv = 0,
			obj_num = 250,
		},
		{
			obj_type = eDT_Item,--强化石
			obj_id = 90002,
			obj_lv = 0,
			obj_num = 500,
		},
		{
			obj_type = eDT_Item,--金宝箱
			obj_id = 81003,
			obj_lv = 0,
			obj_num = 45,
		},
		{
			obj_type = eDT_Item,--金钥匙
			obj_id = 81013,
			obj_lv = 0,
			obj_num = 45,
		},
	}},
	[10] = {type_ = 0, icon = 70010, name = "VIP10 礼包", price1 = 988, price2 = 10650, subscription = "点击图标查看礼包内容", package = {
		{
			obj_type = eDT_Item,--名将宝箱
			obj_id = 81004,
			obj_lv = 0,
			obj_num = 35,
		},
		{
			obj_type = eDT_Item,--职业宝箱
			obj_id = 81006,
			obj_lv = 0,
			obj_num = 35,
		},
		{
			obj_type = eDT_Item,--觉醒丹
			obj_id = 90001,
			obj_lv = 0,
			obj_num = 500,
		},
		{
			obj_type = eDT_Item,--强化石
			obj_id = 90002,
			obj_lv = 0,
			obj_num = 500,
		},
		{
			obj_type = eDT_Item,--金宝箱
			obj_id = 81003,
			obj_lv = 0,
			obj_num = 50,
		},
		{
			obj_type = eDT_Item,--金钥匙
			obj_id = 81013,
			obj_lv = 0,
			obj_num = 50,
		},
	}},
	[11] = {type_ = 0, icon = 70011, name = "VIP11 礼包", price1 = 1188, price2 = 12000, subscription = "点击图标查看礼包内容", package = {
		{
			obj_type = eDT_Equip,--神器
			obj_id = 130011,
			obj_lv = 0,
			obj_num = 1,
		},
		{
			obj_type = eDT_Item,--职业宝箱
			obj_id = 81006,
			obj_lv = 0,
			obj_num = 40,
		},
		{
			obj_type = eDT_Item,--升阶石
			obj_id = 90003,
			obj_lv = 0,
			obj_num = 300,
		},
		{
			obj_type = eDT_Item,--强化石
			obj_id = 90002,
			obj_lv = 0,
			obj_num = 600,
		},
		{
			obj_type = eDT_Item,--金宝箱
			obj_id = 81003,
			obj_lv = 0,
			obj_num = 60,
		},
		{
			obj_type = eDT_Item,--金钥匙
			obj_id = 81013,
			obj_lv = 0,
			obj_num = 60,
		},
	}},
	[12] = {type_ = 0, icon = 70012, name = "VIP12 礼包", price1 = 1388, price2 = 13500, subscription = "点击图标查看礼包内容", package = {
		{
			obj_type = eDT_Equip,--神器
			obj_id = 140011,
			obj_lv = 0,
			obj_num = 1,
		},
		{
			obj_type = eDT_Item,--名将宝箱
			obj_id = 81004,
			obj_lv = 0,
			obj_num = 50,
		},
		{
			obj_type = eDT_Item,--觉醒丹
			obj_id = 90001,
			obj_lv = 0,
			obj_num = 700,
		},
		{
			obj_type = eDT_Item,--强化石
			obj_id = 90002,
			obj_lv = 0,
			obj_num = 700,
		},
		{
			obj_type = eDT_Item,--金宝箱
			obj_id = 81003,
			obj_lv = 0,
			obj_num = 70,
		},
		{
			obj_type = eDT_Item,--金钥匙
			obj_id = 81013,
			obj_lv = 0,
			obj_num = 70,
		},
	}},
	[13] = {type_ = 0, icon = 70013, name = "VIP13 礼包", price1 = 1988, price2 = 20000, subscription = "点击图标查看礼包内容", package = {
		{
			obj_type = eDT_Equip,--神器
			obj_id = 120014,
			obj_lv = 0,
			obj_num = 1,
		},
		{
			obj_type = eDT_Item,--职业宝箱
			obj_id = 81006,
			obj_lv = 0,
			obj_num = 60,
		},
		{
			obj_type = eDT_Item,--觉醒丹
			obj_id = 90001,
			obj_lv = 0,
			obj_num = 800,
		},
		{
			obj_type = eDT_Item,--强化石
			obj_id = 90002,
			obj_lv = 0,
			obj_num = 800,
		},
		{
			obj_type = eDT_Item,--金宝箱
			obj_id = 81003,
			obj_lv = 0,
			obj_num = 80,
		},
		{
			obj_type = eDT_Item,--金钥匙
			obj_id = 81013,
			obj_lv = 0,
			obj_num = 80,
		},
	}},
	[14] = {type_ = 0, icon = 70014, name = "VIP14 礼包", price1 = 2388, price2 = 23200, subscription = "点击图标查看礼包内容", package = {
		{
			obj_type = eDT_Equip,--神器
			obj_id = 120013,
			obj_lv = 0,
			obj_num = 1,
		},
		{
			obj_type = eDT_Item,--名将宝箱
			obj_id = 81004,
			obj_lv = 0,
			obj_num = 80,
		},
		{
			obj_type = eDT_Item,--升阶石
			obj_id = 90003,
			obj_lv = 0,
			obj_num = 500,
		},
		{
			obj_type = eDT_Item,--觉醒丹
			obj_id = 90001,
			obj_lv = 0,
			obj_num = 1000,
		},
		{
			obj_type = eDT_Item,--金宝箱
			obj_id = 81003,
			obj_lv = 0,
			obj_num = 100,
		},
		{
			obj_type = eDT_Item,--金钥匙
			obj_id = 81013,
			obj_lv = 0,
			obj_num = 100,
		},
	}},
	[15] = {type_ = 0, icon = 70015, name = "VIP15 礼包", price1 = 3288, price2 = 32500, subscription = "点击图标查看礼包内容", package = {
		{
			obj_type = eDT_Equip,--神器
			obj_id = 120012,
			obj_lv = 0,
			obj_num = 1,
		},
		{
			obj_type = eDT_Item,--职业宝箱
			obj_id = 81006,
			obj_lv = 0,
			obj_num = 100,
		},
		{
			obj_type = eDT_Item,--觉醒丹
			obj_id = 90003,
			obj_lv = 0,
			obj_num = 1500,
		},
		{
			obj_type = eDT_Item,--强化石
			obj_id = 90002,
			obj_lv = 0,
			obj_num = 1500,
		},
		{
			obj_type = eDT_Item,--金宝箱
			obj_id = 81003,
			obj_lv = 0,
			obj_num = 150,
		},
		{
			obj_type = eDT_Item,--金钥匙
			obj_id = 81013,
			obj_lv = 0,
			obj_num = 150,
		},
	}},
	[16] = {type_ = 0, icon = 70016, name = "VIP16 礼包", price1 = 4188, price2 = 42000, subscription = "点击图标查看礼包内容", package = {
		{
			obj_type = eDT_Equip,--神器
			obj_id = 120011,
			obj_lv = 0,
			obj_num = 1,
		},
		{
			obj_type = eDT_Item,--名将宝箱
			obj_id = 81004,
			obj_lv = 0,
			obj_num = 200,
		},
		{
			obj_type = eDT_Item,--职业宝箱
			obj_id = 81006,
			obj_lv = 0,
			obj_num = 200,
		},
		{
			obj_type = eDT_Item,--觉醒丹
			obj_id = 90003,
			obj_lv = 0,
			obj_num = 2000,
		},
		{
			obj_type = eDT_Item,--强化石
			obj_id = 90002,
			obj_lv = 0,
			obj_num = 2000,
		},
		{
			obj_type = eDT_Item,--金宝箱
			obj_id = 81003,
			obj_lv = 0,
			obj_num = 200,
		},
		{
			obj_type = eDT_Item,--金钥匙
			obj_id = 81013,
			obj_lv = 0,
			obj_num = 200,
		},
	}},
}

--得到礼包配置
function GetGiftPack(pack_id)
	return packsConfig[pack_id];
end


--
function GetShopStorage(storage_id)
	return ShopStorageCfg[storage_id];
end

-- 购买项目
ShopStorageCfg = {
	[1] = {type_ = 0, icon = 40113, name = "购买银两", price = 10, subscription = "30万银两。有钱能使鬼推磨！没钱日子难得过！",
		obj = 
		{
			obj_type = eDT_Gold, 
			obj_id = 0,
			obj_lv = 0,
			obj_num = 300000,
		},
	},
	[2] = {type_ = 0, icon = 40081, name = "升阶石", price = 10, subscription = "神器进阶所需材料",
		obj = 
		{
			obj_type = eDT_Item, 
			obj_id = 90003,
			obj_lv = 0,
			obj_num = 1,
		},
	},
	[3] = {type_ = 0, icon = 40074, name = "觉醒丹", price = 5, subscription = "武将觉醒所需材料",
		obj = 
		{
			obj_type = eDT_Item, 
			obj_id = 90001,
			obj_lv = 0,
			obj_num = 1,
		},
	},
	[4] = {type_ = 0, icon = 40075, name = "金宝箱", price = 35, subscription = "可获得神器、名将碎片、元宝、银两、各种道具",
		obj = 
		{
			obj_type = eDT_Item, 
			obj_id = 81003,
			obj_lv = 0,
			obj_num = 1,
		},
	},
	[5] = {type_ = 0, icon = 40076, name = "金钥匙", price = 15, subscription = "打开金宝箱的钥匙",
		obj = 
		{
			obj_type = eDT_Item, 
			obj_id = 81013,
			obj_lv = 0,
			obj_num = 1,
		},
	},
	[6] = {type_ = 0, icon = 40088, name = "银宝箱", price = 15, subscription = "可获得名将副将碎片、元宝、银两、各种道具",
		obj = 
		{
			obj_type = eDT_Item, 
			obj_id = 81002,
			obj_lv = 0,
			obj_num = 1,
		},
	},
	[7] = {type_ = 0, icon = 40089, name = "银钥匙", price = 5, subscription = "打开银宝箱的钥匙",
		obj = 
		{
			obj_type = eDT_Item, 
			obj_id = 81012,
			obj_lv = 0,
			obj_num = 1,
		},
	},
	[8] = {type_ = 0, icon = 40085, name = "铜宝箱", price = 8, subscription = "可获得副将碎片、元宝、银两、各种道具",
		obj = 
		{
			obj_type = eDT_Item, 
			obj_id = 81001,
			obj_lv = 0,
			obj_num = 1,
		},
	},
	[9] = {type_ = 0, icon = 40086, name = "铜钥匙", price = 2, subscription = "打开铜宝箱的钥匙",
		obj = 
		{
			obj_type = eDT_Item, 
			obj_id = 81011,
			obj_lv = 0,
			obj_num = 1,
		},
	},

}

--银两价格配置
GoldPrice = 
{
	[1] = 10,
	[2] = 20,
	[3] = 30,
	[4] = 40,
	[5] = 50,
	[6] = 60,
	[7] = 70,
	[8] = 80,
	[9] = 90,
	[10] = 100,
	[11] = 100,
	[12] = 100,
	[13] = 100,
	[14] = 100,
	[15] = 100,
	[16] = 100,
	[17] = 100,
	[18] = 100,
	[19] = 100,
	[20] = 100,
	[21] = 100,
	[22] = 100,
	[23] = 100,
	[24] = 100,
	[25] = 100,
	[26] = 100,
	[27] = 100,
	[28] = 100,
	[29] = 100,
	[30] = 100,
	[31] = 100,
	[32] = 100,
	[33] = 100,
};


--得到商品配置
function GetGoodsCfg(goods_id)
	return stoneConfig[goods_id];
end

stoneConfig = 
{
	[1] = {type_ = 0, icon = 11003, name = "购买体力", price = 100, subscription = "增加120点体力"},
	[2] = {type_ = 0, icon = 11002, name = "购买精力", price = 100, subscription = "增加60点精力"},
	[3] = {type_ = 0, icon = 11007, name = "扩充背包", price = 100, subscription = "增加10格背包"},
	[4] = {type_ = 0, icon = 11008, name = "购买仓库", price = 100, subscription = "增加10格仓库上限"},
	[5] = {type_ = 0, icon = 11016, name = "扩充装备上限", price = 100, subscription = "增加10格装备上限"},
	[6] = {type_ = 0, icon = 11004, name = "好友上限", price = 100, subscription = "增加10个好友上限"},
}