--
-- Author: Wu Hengmin
-- Date: 2015-03-16 11:56:14
--
local timer = {1*3600, 0.5*3600, 0.5*3600, 0.5*3600, 0.5*3600, 0.25*3600}
local timerIndex = 1

-- 开启登录面板
function Lua2J_Login()
	-- body
	local luaj = require("cocos.cocos2d.luaj")
	local className = "gamesdk/Receiver"
	luaj.callStaticMethod(className, "LoginMsg")
end

function UCSdkInit()
	-- body
	local luaj = require("cocos.cocos2d.luaj")
	local className = "gamesdk/Receiver"
	luaj.callStaticMethod(className, "UCSdkInit")
end

function DLSdkInit()
	-- body
	local luaj = require("cocos.cocos2d.luaj")
	local className = "gamesdk/Receiver"
	luaj.callStaticMethod(className, "DLSdkInit")
end

-- 登录成功后返回
function J2Lua_LoginSuccess(params)
	-- body
	if Data_Login.login_type == 6 then
		print("登录日志", "登录的信息:"..params)
		local pos = string.find(params,"|")
		if not pos then
			print("登录信息有error")
		end
		print("登录分解符：",pos,params)
		-- 昵称
		local name = string.sub(params,1,pos - 1)
		print("登录日志", "账号:"..name)
		-- token
		local token = string.sub(params,pos + 1,-1)
		print("登录日志", "token:"..token)

		Data_Login.account = name
		Data_Login.token = token
		-- Uniquify_LoginScene.topView:UpDataAccount(user.account)
		-- Uniquify_LoginScene.topView:setShowType( 1 )
		-- Uniquify_LoginScene.bottomView:SetIntobuttonVisible(true)
	elseif Data_Login.login_type == 7 then --uc
		Data_Login.token = params
		print("user.token="..Data_Login.token)
	elseif Data_Login.login_type == 4 then --当乐
		print("登录日志", "登录的信息:"..params)
		local pos = string.find(params,"|")
		if not pos then
			print("登录信息有error")
		end
		print("登录分解符：",pos,params)
		-- 昵称
		local name = string.sub(params,1,pos - 1)
		print("登录日志", "账号:"..name)
		local params = string.sub(params,pos + 1,-1)
		local pos = string.find(params,"|")
		if not pos then
			print("登录信息有error")
		end

		-- token
		local token = string.sub(params,1,pos - 1)
		print("登录日志", "token:"..token)
		local menberID = string.sub(params,pos + 1,-1)
		print("登录日志", "menberID:"..menberID)
		
		Data_Login.account = name
		Data_Login.token = token
		Data_Login.menberid = menberID
		-- Uniquify_LoginScene.topView:UpDataAccount(user.account)
		-- Uniquify_LoginScene.topView:setShowType( 1 )
		-- Uniquify_LoginScene.bottomView:SetIntobuttonVisible(true)
	end

	print("发送登录验证")
	Data_Login.Logic_Operation = 2;
	Msg_Logic.ConnectLS_Logic()

end

function Lua2J_isChildren()
	-- body
	local luaj = require("cocos.cocos2d.luaj")
	local msg = {
		Data_Login.token,
		Data_Login.qihuID,
	}
	local jstr = "Ljava/lang/String;"
	local className = "gamesdk/Receiver"
	local javaMethodSig = "("..jstr..jstr..")V"
	luaj.callStaticMethod(className, "isChildren", msg, javaMethodSig)
end

-- 注销
function Lua2J_Logout()
	-- body
	local luaj = require("cocos.cocos2d.luaj")
	local className = "gamesdk/Receiver"
	luaj.callStaticMethod(className, "LogoutMsg")
end

-- 注销成功后未继续登录返回
function J2Lua_Logout(params)
	-- body
	Data_Login.account = ""
	print("J2Lua_Logout")
	if Data_Login.login_type == 7 then
		--登陆失败重新显示登陆按钮
		dispatchGlobaleEvent( "login" ,"event_loginAccountfail");
	end
	-- Uniquify_LoginScene.topView:setShowType( 2 )
	-- Uniquify_LoginScene.bottomView:SetIntobuttonVisible(false)
end

--[[
	消费
	msg = {
		qihoID,
		360token,
		游戏名,
		商品名,
		商品ID,
		角色名,
		金额,
		修正过的时间戳,
		用户guid,
		登录服务器的ID,
	}
]]
function Lua2J_Payment(dex)
	-- body
	local luaj = require("cocos.cocos2d.luaj")
	if Data_Login.login_type == 6 then
		local msg = {
			tostring(Data_Login.qihuID),
			tostring(Data_Login.token),
			saleConfig[dex].name,
			tostring(dex),
			MAIN_PLAYER:getBaseAttr():getName(),
			tostring(saleConfig[dex].price*100),
			tostring(os.time()+g_time),
			MAIN_PLAYER:getBaseAttr():getGUID(),
			Data_Login:getChooseServerDescribe().id.."",
			PAY_URL_360,
		}
		local jstr = "Ljava/lang/String;"
		local javaMethodSig = "("..jstr..jstr..jstr..jstr..jstr..jstr..jstr..jstr..jstr..jstr..")V"
		local className = "gamesdk/Receiver"
		luaj.callStaticMethod(className, "Payment", msg, javaMethodSig)
	elseif Data_Login.login_type == 7 then
		local msg = {
			saleConfig[dex].price,
			Data_Login:getChooseServerDescribe().id.."",
			Data_Login.userID,
			MAIN_PLAYER:getBaseAttr():getName(),
			MAIN_PLAYER:getBaseAttr():getLv(),
			PAY_URL_UC,
			tostring(dex),
		}
		local jstr = "Ljava/lang/String;"
		local jint = "I"
		local javaMethodSig = "("..jint..jstr..jstr..jstr..jstr..jstr..jstr..")V"
		local className = "gamesdk/Receiver"
		luaj.callStaticMethod(className, "Payment", msg, javaMethodSig)
	elseif Data_Login.login_type == 4 then
		local msg = {
			saleConfig[dex].price,
			saleConfig[dex].name,
			saleConfig[dex].name,
			dex.."and"..GAME_SERVER_LIST[user.chooseserver].id,
		}


		local jstr = "Ljava/lang/String;"
		local jint = "I"
		local javaMethodSig = "("..jint..jstr..jstr..jstr..")V"
		local className = "gamesdk/Receiver"
		luaj.callStaticMethod(className, "Payment", msg, javaMethodSig)
	end
	
end


function Shiming(params)
	isChildren = params
	print("isChildren:"..isChildren)
	if isChildren == "0" then
		print("未认证")
		Lua2Jhandler = GLOBAL_SCHEDULER:scheduleScriptFunc(
            RealNameRegister,
            timer[timerIndex], 
            false
    	)
	elseif isChildren == "1" then
		Lua2Jhandler = GLOBAL_SCHEDULER:scheduleScriptFunc(
            RealNameRegister,
            timer[timerIndex], 
            false
    	)
		print("未成年")
	elseif isChildren == "2" then
		print("成年")
	end
end

function RealNameRegister()
	-- body
	local luaj = require("cocos.cocos2d.luaj")
	print("调用实名认证")
	if timerIndex < #timer then
		timerIndex = timerIndex + 1
	end
	print(timerIndex)
	GLOBAL_SCHEDULER:unscheduleScriptEntry(Lua2Jhandler);
	Lua2Jhandler = nil;

	-- 实名认证提示
	local className = "gamesdk/Receiver"
	luaj.callStaticMethod(className, "RealNameRegister")
end

function notChildren()
	-- body
	local luaj = require("cocos.cocos2d.luaj")
	print("调用未成年提示")
	if timerIndex < #timer then
		timerIndex = timerIndex + 1
	end
	print(timerIndex)
	GLOBAL_SCHEDULER:unscheduleScriptEntry(Lua2Jhandler);
	Lua2Jhandler = nil;

	-- 实名认证提示
	local className = "gamesdk/Receiver"
	luaj.callStaticMethod(className, "notChildren")
end

-- UC的资料收集
function ucSdkSubmitExtendData()
	-- body
	local luaj = require("cocos.cocos2d.luaj")
	local msg = {
		Data_Login.userID,
		MAIN_PLAYER:getBaseAttr():getName(),
		MAIN_PLAYER:getBaseAttr():getLv(),
		Data_Login:getChooseServerDescribe().id,
		Data_Login:getChooseServerDescribe().name,
	}
	local jstr = "Ljava/lang/String;"
	local javaMethodSig = "("..jstr..jstr..jstr..jstr..jstr..")V"
	local className = "gamesdk/Receiver"
	luaj.callStaticMethod(className, "ucSdkSubmitExtendData", msg, javaMethodSig)
end


