--
-- Author: LiYang
-- Date: 2015-11-10 19:12:48
-- 屏幕方向转换

Lua2J_ScreenOrientation = {
	
};

Lua2J_ScreenOrientation.CallBackFun = nil;


--[[设置屏幕方向
 params 1 横屏 2竖屏
]]
function Lua2J_ScreenOrientation:Lua2J_SetScreenOrientation( params )
	print("Lua2J_SetScreenOrientation");
	if device.platform == "android" then
		local luaj = require("cocos.cocos2d.luaj")
		local msg = {
			params
		}
		-- local jstr = "Ljava/lang/String;"
		local className = "org/cocos2dx/lua/AppActivity"
		local javaMethodSig = "(I)V"
		luaj.callStaticMethod(className, "changedActivityOrientation",msg,javaMethodSig)
		print("Lua2J_startLocationInfo 0");
	elseif device.platform == "ios" then
		ManagerSDK.SdkInterface:changeScreenOrientation(params);
	end

	local director = cc.Director:getInstance()
	local winSize = director:getOpenGLView():getFrameSize()
	local view = director:getOpenGLView()
	print("glSize:",winSize.width,winSize.height)
	local glSize = {width = 0,height = 0};
	if params == 0 then
		CC_DESIGN_RESOLUTION.width = 1280;
		CC_DESIGN_RESOLUTION.height = 720;
		if winSize.width > winSize.height then
			glSize.width = winSize.width;
			glSize.height = winSize.height;
		else
			glSize.width = winSize.height;
			glSize.height = winSize.width;
		end

	else
		CC_DESIGN_RESOLUTION.width = 720;
		CC_DESIGN_RESOLUTION.height = 1280;

		if winSize.width < winSize.height then
			glSize.width = winSize.width;
			glSize.height = winSize.height;
		else
			glSize.width = winSize.height;
			glSize.height = winSize.width;
		end
	end

	view:setFrameSize(glSize.width,glSize.height);
	if type(CC_DESIGN_RESOLUTION) == "table" then
	    display.setAutoScale(CC_DESIGN_RESOLUTION)
	end

	print("转换",params,display.width,display.height)
end

--[[
	屏幕旋转通知
]]
function J2LuaScreenOrientation_NotifyInfo( params )
	print("屏幕转换:",params)
	if params == "landscape" then
		CC_DESIGN_RESOLUTION.width = 1280;
		CC_DESIGN_RESOLUTION.height = 720;
		CC_DESIGN_RESOLUTION.autoscale = "FIXED_WIDTH"
	elseif params == "portrait" then
		CC_DESIGN_RESOLUTION.width = 720;
		CC_DESIGN_RESOLUTION.height = 1280;
		CC_DESIGN_RESOLUTION.autoscale = "SHOW_ALL"
	end

	local director = cc.Director:getInstance()
	local view = director:getOpenGLView()
	view:setFrameSize(CC_DESIGN_RESOLUTION.width,CC_DESIGN_RESOLUTION.height);
	if type(CC_DESIGN_RESOLUTION) == "table" then
	    display.setAutoScale(CC_DESIGN_RESOLUTION)
	end
	Lua2J_ScreenOrientation.isCut = false;
	 dispatchGlobaleEvent( "models_loadres" ,"create");
	print("转换",params,display.width,display.height)
end

