--
-- Author: LiYang
-- Date: 2015-11-10 10:46:42
-- Lua2j_ltad sdks

Lua2J_ltad = {};

Lua2J_ltad.Scheduler = nil;
Lua2J_ltad.GAME_UPDATA_INTERVAL_TIME = 20;

function Lua2J_ltad:InitSDK(  )

	--开启计时操作
	self.Scheduler = GLOBAL_SCHEDULER:scheduleScriptFunc(
            self.registerScheduleListen,
            self.GAME_UPDATA_INTERVAL_TIME, 
            false
    )

    -- Lua2J_ltad:InitUnitySdk( "84996" , true ,true );
end

function Lua2J_ltad:CloseSDK(  )
	if self.Scheduler then
		GLOBAL_SCHEDULER:unscheduleScriptEntry(self.Scheduler);
		self.Scheduler = nil;
	end
end


function Lua2J_ltad:registerScheduleListen(  )
	Lua2J_ltad:InterstitialAdClickHandler( 3 );
end

--全屏广告
function Lua2J_ltad:InterstitialAdClickHandler( typeid )
	local time = (os.time() - Data_Login.record_operate) / 6000; --600
	print("InterstitialAdClickHandler",time);
	if time < 1  then
		return;
	end
	Data_Login.record_operate = os.time();
	local luaj = require("cocos.cocos2d.luaj")
	local msg = {
		typeid,
	}
	local jint = "I"
	local jstr = "Ljava/lang/String;"
	local className = "gamesdk/LuaCallFunction_ltad"
	local javaMethodSig = "("..jint..")V"
	luaj.callStaticMethod(className, "Lua_InterstitialAdClickHandler", msg, javaMethodSig)
end

--显示Banner广告
function Lua2J_ltad:BannerAdClickHandler( typeid, pos)
	local playTime = (os.time() - Data_Login.record_playTime) / 3600;--3600
	print("BannerAdClickHandler",playTime)
	if playTime < 12  then
		return;
	end

	local luaj = require("cocos.cocos2d.luaj")
	local msg = {
		typeid,
		pos
	}
	local jint = "I"
	local jstr = "Ljava/lang/String;"
	local className = "gamesdk/LuaCallFunction_ltad"
	local javaMethodSig = "("..jint..jint..")V"
	luaj.callStaticMethod(className, "Lua_BannerAdClickHandler", msg, javaMethodSig)
end

--一些常用连结
function Lua2J_ltad:LinkToClickHandler( typeid )
	local luaj = require("cocos.cocos2d.luaj")
	local msg = {
		typeid,
	}
	local jint = "I"
	local jstr = "Ljava/lang/String;"
	local className = "gamesdk/LuaCallFunction_ltad"
	local javaMethodSig = "("..jint..")V"
	luaj.callStaticMethod(className, "Lua_linkToClickHandler", msg, javaMethodSig)
end

function Lua2J_ltad:InitUnitySdk( gameId , isdebg ,istext )
	local luaj = require("cocos.cocos2d.luaj")
	local msg = {
		gameId,
		isdebg,
		istext
	}
	local jint = "I"
	local jstr = "Ljava/lang/String;"
	local jbool = "jboolean "
	local className = "gamesdk/LuaCallFunction_unity"
	local javaMethodSig = "("..jstr..jbool..jbool..")V"
	luaj.callStaticMethod(className, "Lua_InitUnitySdk", msg, javaMethodSig)
end

function Lua2J_ltad:UnityShowAds( zoneId ,rewardkey )
	local luaj = require("cocos.cocos2d.luaj")
	local msg = {
		zoneId,
		rewardkey
	}
	local jint = "I"
	local jstr = "Ljava/lang/String;"
	local jbool = "jboolean "
	local className = "gamesdk/LuaCallFunction_unity"
	local javaMethodSig = "("..jstr..jstr..")V"
	luaj.callStaticMethod(className, "Lua_ShowAds", msg, javaMethodSig)
end

--创建播放按钮
function Lua2J_ltad:CreatePlayButtonLogic()
	-- local _playButton = ccui.Button:create("ui_image/mainpage/function_buttons/btn_tuiguang_n.png","","",ccui.TextureResType.plistType);
 --    view:addChild(_playButton);
 --    _playButton:setPosition(cc.p(x,y));
 --    --添加点击事件
 --    local function touchEvent(touch, event)
 --        print("CreatePlayButton ===>")
 --        --创建操作
 --        local playCount = 10 - MAIN_PLAYER.baseAttr._tuiguang;
 --        local desstr = "观看广告可以得到丰厚的奖励哦！你今日还可以获得"..playCount.."次奖励。";
	-- 	UIManager:CreatePrompt_Operate_1( {
 --                    mark = "playads",--接口类型标示
 --                    title = "免费礼品",--标题
 --                    content = desstr,--描述文字
 --                    eventlogic = "",--绑定逻辑
 --                    eventlist = "",--注册事件列表
 --                    listenButton = function ( result )
 --                        -- 1 表示选择1按钮 2表示选择按钮
 --                        if result == 1 then
 --                        	Lua2J_ltad:UnityShowAds( "100001" ,"256" );
 --                        end
 --                    end
 --                } )
 --    end
 --    _playButton:setTouchEnabled(true)
 --    _playButton:setPressedActionEnabled(true)
 --    _playButton:addClickEventListener(touchEvent)
 --    _playButton:setPressedActionEnabled(true);

 --    local buttontext = ccui.Text:create("免费礼品","font/simhei.ttf",28);
 --    buttontext:setTextColor(cc.c4b(255, 255, 255, 255));
 --    buttontext:enableOutline(cc.c4b(0, 0, 0, 255))
 --    _playButton:addChild(buttontext);
 --    buttontext:setPosition(cc.p(33,10))
 	--创建操作
    local playCount = 10 - MAIN_PLAYER.baseAttr._tuiguang;
    local desstr = "观看广告可以得到丰厚的奖励哦！你今日还可以获得"..playCount.."次奖励。";
	UIManager:CreatePrompt_Operate_1( {
                mark = "playads",--接口类型标示
                title = "免费礼品",--标题
                content = desstr,--描述文字
                eventlogic = "",--绑定逻辑
                eventlist = "",--注册事件列表
                listenButton = function ( result )
                    -- 1 表示选择1按钮 2表示选择按钮
                    if result == 1 then
                    	Lua2J_ltad:UnityShowAds( "100001" ,"256" );
                    end
                end
            } )

end

--发送奖励消息
function J2LuaUnity_SendRewardMsg( params )
	print("网路日志"," 发送广告奖励")
	
	gameTcp:SendMessage(MSG_C2MS_GET_AD_GIFT, {});
	
end


