--
-- Author: li yang
-- Date: 2016-01-09 14:17:45
-- 下载地图文件

local DowanMapImage = clasee("DowanMapImage");

function DowanMapImage:ctor()
	--下载工具
	self.dowanTool = nil;
end

function DowanMapImage:InitTool(  )
	self.dowanTool = cc.AssetsManagerM:new();
    self.dowanTool:retain();
    self.dowanTool:setDelegate(handler(self, self.ErrorUpDateLofic),cc.ASSETSMANAGER_PROTOCOL_ERROR );
    self.dowanTool:setDelegate(handler(self, self.ProgressUpDateLogic), cc.ASSETSMANAGER_PROTOCOL_PROGRESS)
    self.dowanTool:setDelegate(handler(self, self.SuccessUpDateLogic), cc.ASSETSMANAGER_PROTOCOL_SUCCESS )
    self.dowanTool:setDelegate(onState, cc.ASSETSMANAGER_PROTOCOL_STATE )
    self.dowanTool:setConnectionTimeout(3)
end

--错误回调
function DowanMapImage:CallBack_Error( valuse )
	if self.errorLogic then
		self.errorLogic(valuse);
	end
end

--进度回调
function DowanMapImage:CallBack_Progress( valuse )
	if self.progressLogic then
		self.progressLogic(valuse);
	end
end

--完成回调
function DowanMapImage:CallBack_Success( valuse )
	if self.successLogic then
		self.successLogic(valuse);
	end
end

function DowanMapImage:executeDowanMapImage( url , savepath )
	self.dowanTool:update(url,savepath);
end

function DowanMapImage:setDowanCallBack( success , progress ,error )
	self.errorLogic = error;
	self.successLogic = success;
	self.progressLogic = progress;
end

return DowanMapImage;