--
-- Author: Liyang
-- Date: 2016-01-11 15:45:49
-- 登陆场景

import(".loginview.init")

local LoginScene = class("LoginScene", cc.load("mvc").ViewBase)

-- local _classloginaccount = require("app.views.loginview.UI_LoginAccount");

LoginScene.RESOURCE_FILENAME = "common_scene.csb"
function LoginScene:onCreate()
    cc.bind(self, "layerManager")
    print("====================>",MSG_MS2C_RANK_RE)
    local function onNodeEvent(event)
            if "enter" == event then
                print("onNodeEvent:","enter");
            elseif "cleanup" == event then
                print("销毁 LoginScene")
                -- self:releaselogic();
            elseif "exit" == event then
                print("onNodeEvent:","exit");
            elseif "enterTransitionFinish" == event then 
                print("enterTransitionFinish:","enterTransitionFinish");
                AudioManager.playMusic(AudioManager.musics.main);
                -- self:openAnimationEffect(  );
                -- dumpTextureCacheInfo()
                --进入首页系统
                LoginSystemInstance:enterSystem({scene=self})
            end
        end
    self.resourceNode_:registerScriptHandler(onNodeEvent)

    -- self.eventLogic = require("app.views.loginview.login_event").new(self);

end


--开场动画效果
function LoginScene:openAnimationEffect(  )
    -- ResRelease:setResConfig( "app/views/loginview/resconfig.lua" );
    -- ResRelease:LoadRes(  );
    self.loginSceneView = cc.CSLoader:createNode("ui_instance/login/LoginScene_0.csb")
    self:addChildToLayer(LAYER_ID_UI, self.loginSceneView)
    -- self.resourceNode_:addChild(self.rootnode)
    self.loginSceneView:setPosition(cc.p(display.cx - 640 ,display.cy - 360))

    --开始游戏按钮
    local screenSize = cc.Director:getInstance():getWinSize()
    -- local rootSize = self.backNode_:getSize()
    print("screenSize:",screenSize.width,screenSize.height)
    self.rootnode = self.loginSceneView:getChildByName("main_layout");
    self.rootnode:setScaleY(screenSize.height / 720);
    
    --账号
    self.accountBox = self.rootnode:getChildByName("accountNode");

    --背景
    self.node_back = self.rootnode:getChildByName("layer_back");

    --标题
    self.node_title = self.rootnode:getChildByName("login_title");

    --添加title动画
    --载入动画
    ccs.ArmatureDataManager:getInstance():addArmatureFileInfo("animation/login/login_e_title_1.ExportJson")

    self.armature_title = ccs.Armature:create("login_e_title_1")
    self.node_title:addChild(self.armature_title)
    self.armature_title:getAnimation():play("Animation1",-1,0);
    

    -- self.node_title:getAnimation():play("Animation1",-1,0)

    local function animationEvent( armatureBack,movementType,movementID )
        local id = movementID
        if movementType == ccs.MovementEventType.loopComplete then

        elseif movementType == ccs.MovementEventType.complete then
            --执行背景显示
            -- self:execute_uishow();
        elseif movementType == ccs.MovementEventType.start then
            
        end
    end

    self.armature_title:getAnimation():setMovementEventCallFunc(animationEvent) --finish

    local function onFrameEvent( bone,evt,originFrameIndex,currentFrameIndex)
        print(bone,evt,originFrameIndex,currentFrameIndex)
        if evt == "finish" then
            self:execute_uishow();
            -- self:registerEvent();
        end
    end
    self.armature_title:getAnimation():setFrameEventCallFunc(onFrameEvent)

    --新服务器展示
    self.node_NewServerShow = self.rootnode:getChildByName("node_newServer");
    local chooseserverNode = self.node_NewServerShow:getChildByName("newserverlist");
    self.chooserverList = chooseserverNode:getChildByName("Panel_choose_1_3");

    --登录按钮
    self.node_ButtonStartGame = self.rootnode:getChildByName("node_startButton");
end

function LoginScene:registerEvent(  )
    
    --新服务器展示列表 
    local startgame_button = self.node_ButtonStartGame:getChildByName("Panel_loginbutton");
    --添加效果
    ccs.ArmatureDataManager:getInstance():addArmatureFileInfo("ui_image/ui_effect/logineffect_button.ExportJson")

    local armatureeffect = ccs.Armature:create("logineffect_button")
    startgame_button:getChildByName("effectnode"):addChild(armatureeffect)
    armatureeffect:getAnimation():play("Animation1");

    local function touchEvent(sender,eventType)
        if eventType == ccui.TouchEventType.began then
            -- self._displayValueLabel:setString("Touch Down")
            print("Touch Down")
            sender:setScale(1.1);
        elseif eventType == ccui.TouchEventType.moved then
            -- self._displayValueLabel:setString("Touch Move")
            print("Touch Move")
        elseif eventType == ccui.TouchEventType.ended then
            -- self._displayValueLabel:setString("Touch Up")
            print("Touch Up")
            sender:setScale(1);
            -- TounchContrlScheduler(10);
            --发送事件
            -- local eventDispatcher = self:getEventDispatcher()
            -- local event = cc.EventCustom:new("prompt_wait_close")
            -- event._usedata = string.format("%d",10)
            -- eventDispatcher:dispatchEvent(event)
            dispatchGlobaleEvent( "login" ,"event_start" ,nil)
            AudioManager.playButton();
        elseif eventType == ccui.TouchEventType.canceled then
            -- self._displayValueLabel:setString("Touch Cancelled")
            print("Touch Cancelled")
        end
    end

    startgame_button:addTouchEventListener(touchEvent);
    -- startgame_button:setPressedActionEnabled(true);

    local NewServerList= self.node_NewServerShow:getChildByName("newserverlist");
    local function clickevent( sender )
        print("clickevent")
        self:execute_ServerShow(  );
        AudioManager.playButton();
        

        -- if self.textIndex == 0 then
        --     self.testeffect:playAnimationByID( "Animation1" ,nil ,-1);
        --     self.textIndex = self.textIndex + 1;
        -- elseif self.textIndex == 1 then
        --     --销毁几个资源
        --     release_textureAndplistByTexture( "animation/skilleffect/f_hz_s_1_1.png" );
        --     --在载入
        --     print(GLOBAL_SPRITE_FRAMES_CACHE)
        --     GLOBAL_SPRITE_FRAMES_CACHE:addSpriteFrames("animation/skilleffect/f_hz_s_1_1.plist","animation/skilleffect/f_hz_s_1_1.png");
        --     self.textIndex = self.textIndex - 1;
        -- end
        -- dispatchGlobaleEvent( "testmsg","visible" )
    end
    NewServerList:addClickEventListener(clickevent);

    --登录帐户按钮
    self.loginass = self.rootnode:getChildByName("loginass");
    local function clickevent_1( sender )
        -- print("loginass",TextApp)
        dispatchGlobaleEvent( "login" ,"event_createloginview" ,nil)
        AudioManager.playButton();
        --内存大小设置
        -- local luasize = collectgarbage("count");
        -- print("lua内存大小",luasize);
        -- for k,v in pairs( package.loaded) do
            
        --     -- if cc.FileUtils:getInstance():isFileExist(k) then
        --     --     print(k,v)
                
        --     -- end
        --     package.loaded[k] = nil;
        --     require(k);
        -- end
        -- package.loaded["app.views.VersionCheckScene"] = nil;
        -- require("app.views.VersionCheckScene");
        -- print(TextApp)
        -- UIManager:CreatePrompt_Operatetest(  )

        -- dispatchGlobaleEvent( "newbieguide","create" ,{"testguide",1});
    end
    self.loginass:addClickEventListener(clickevent_1);
    self.loginass:setZoomScale(0.2);
    -- self.loginass:setScale9Enabled(true);
    self.loginass:setPressedActionEnabled(true)

    self.versions = self.rootnode:getChildByName("versions");
    self.versions:setString(Data_Login.CurrentVersion);
    self.versions:setVisible(true);


    self.eventLogic:register_event();
    dispatchGlobaleEvent( "login" ,"event_invidata" ,nil)
end

--执行UI显示
function LoginScene:execute_uishow(  )
    --执行背景显示
    local action = cc.CSLoader:createTimeline("ui_instance/login/layer_login_back_0.csb")
    self.node_back:runAction(action)
    action:gotoFrameAndPlay(0,false);

    local function onFrameEvent(frame)
        
        if nil == frame then
            return
        end
        local str = frame:getEvent()
        if str == "Finish" then
            --新服务器展示
            action = cc.CSLoader:createTimeline("ui_instance/login/Node_newserverFrame.csb")
            self.node_NewServerShow:runAction(action)
            action:gotoFrameAndPlay(0,false);

            --按钮显示
            action = cc.CSLoader:createTimeline("ui_instance/login/Node_startgameButton.csb")
            self.node_ButtonStartGame:runAction(action)
            action:gotoFrameAndPlay(0,false);
            self:registerEvent();
        end
    end
    action:setFrameEventCallFunc(onFrameEvent)

    -- --新服务器展示
    -- action = cc.CSLoader:createTimeline("ui_instance/login/Node_newserverFrame.csb")
    -- self.node_NewServerShow:runAction(action)
    -- action:gotoFrameAndPlay(0,false);

    -- --按钮显示
    -- action = cc.CSLoader:createTimeline("ui_instance/login/Node_startgameButton.csb")
    -- self.node_ButtonStartGame:runAction(action)
    -- action:gotoFrameAndPlay(0,false);

    --初始化数据
    self:execute_UpdateChooseServer();
end

--执行服务器列表显示
function LoginScene:execute_ServerShow(  )
    -- self.rootnode_server = cc.CSLoader:createNode("layer_serverList.csb")
    self.rootnode_server = require("app.views.loginview.UI_serverList").new();
    self:addChildToLayer(LAYER_ID_POPUP, self.rootnode_server)
    self.rootnode_server:setPosition(cc.p(display.cx - 640,display.cy - 360))
end

function LoginScene:execute_LoginAccountShow(  ) 
    self.rootnode_loginaccount =_classloginaccount.new();
    self:addChildToLayer(LAYER_ID_POPUP, self.rootnode_loginaccount)
    self.rootnode_loginaccount:setPosition(cc.p(display.cx - 640,display.cy - 360))
end

--执行更新选择的服务器
function LoginScene:execute_UpdateChooseServer()
    local namenode = self.chooserverList:getChildByName("bf_name_2");
    local statenode = self.chooserverList:getChildByName("bf_state_2");
    local showData = Data_Login:getChooseServerDescribe();
    print("====================================",showData.state)
    statenode:loadTexture("server_state_"..showData.state..".png",ccui.TextureResType.plistType );
    namenode:setTextColor(Data_Login:getServerStateColour(showData.state));
    namenode:setString(showData.name);
end

function LoginScene:setCurrentShowAccount( account ,isshow)
    self.accountBox:getChildByName("account"):setString(account);
    self.accountBox:setVisible(isshow);
    if account and string.len(account) > 10 then
        local size = self.accountBox:getChildByName("account"):getContentSize();
        print("===========>setCurrentShowAccount",size.width)
        if size.width > 300 then
            self.accountBox:getChildByName("Image_4"):setContentSize(cc.size(size.width + 20 ,50))
        end
    end
end

--释放逻辑
function LoginScene:releaselogic(  )
    --释放使用资源
    self.eventLogic:remove_event(  );
end



return LoginScene

