--
-- Author: liyang
-- Date: 2016-01-02 14:23:51
-- 战斗系统

-- 脚本对象
-- local class_controler_ui_layer = import(".controler_UILayer.controler_mainPage_ui_layer")

-- local class_controler_ui_map_info_layer = import(".controler_partUILayer.controler_ui_map_info_layer") 


-- import(".info.player_info_system")

local battlefieldSystem = class("battlefieldSystem")


battlefieldSystem.instance = nil

function battlefieldSystem:ctor()
    if battlefieldSystem.instance ~= nil then
        printError("battlefieldSystem 为单例对象")
        return
    end
    self:_initModels()
end

--进入系统
--parmas.scene
function battlefieldSystem:enterSystem(parmas)
    -- ResLoad:setLoadList(
    --     {
    --         "ui_image/mainpage/anim/zhanyi/zy1/effect_zhanyi1.png",
    --         "ui_image/mainpage/anim/zhanyi/zy1/effect_zhanyi1_mengban.png",
    --         "ui_image/mainpage/anim/zhanyi/zy2/effect_zhanyi2.png",
    --         "ui_image/mainpage/anim/zhanyi/zy2/zhanyi2_mengban.png",
    --         "ui_image/mainpage/anim/zhanyi/zy3/effect_zhanyi3.png",
    --         "ui_image/mainpage/anim/zhanyi/zy3/effect_zhanyi3_mengban.png"
    --     }
    -- )
    -- ResLoad:setCallback( nil );
    -- ResLoad:LoadRes()
    
    self.scene = parmas.scene
    --创建显示
    dispatchGlobaleEvent( "battleDisplay" ,"create",{1});
    control_Combat:doEvent("event_initialize");
    --渲染建筑

    --创建地图
    -- dispatchGlobaleEvent( "mapSystem" ,"create");

    -- self._controlerMap.mainPageUILayer = class_controler_ui_layer.new(self:_createUILayer())
    -- self.scene:addChildToLayer(LAYER_ID_UI, self._controlerMap.mainPageUILayer:getView())

    -- local name = MAIN_PLAYER:getBaseAttr():getName();
    -- local guidstr = MAIN_PLAYER:getBaseAttr():getGUID();
    -- print("MAIN_PLAYER:getBaseAttr():getName()",name);

    -- print("MAIN_PLAYER:getBaseAttr():getGUID()",Data_Login.userID);

    -- if MAIN_PLAYER:getBaseAttr():getName() == Data_Login.userID then
    --     dispatchGlobaleEvent("bronpageSystem" ,"create");
    -- end
    -- print("battlefieldSystem:enterSystem");


end


--离开系统
function battlefieldSystem:leaveSystem(parmas)
    
end


function battlefieldSystem:_initModels()
    self._controlerMap = {}
end


function battlefieldSystem:_createUILayer()
    return cc.CSLoader:createNode("ui_instance/mainpage/ui_mian_layer.csb")
end

function battlefieldSystem:_createMapLayer()
    return cc.CSLoader:createNode("ui_instance/mainpage/ui_main_map_layer.csb")
end

function battlefieldSystem:_createMapTounchLayer()
    return cc.CSLoader:createNode("ui_instance/mainpage/ui_main_map_tounch_layer.csb")
end

-- function battlefieldSystem:_createTopLayer()
--     return cc.CSLoader:createNode("ui_instance/mainPage/top_layer/mainpage_top_layer.csb")
-- end



function battlefieldSystem.getInstance()
    if battlefieldSystem.instance == nil then
        battlefieldSystem.instance = battlefieldSystem.new()
    end

    return battlefieldSystem.instance
end


battlefieldSystemInstance = battlefieldSystem.getInstance()


return battlefieldSystem
