--
-- Author: LiYang
-- Date: 2015-07-07 11:31:04
-- 战场地图

local class_controler_battlefield_map_tounch_layer = require("app.views.battlefield.controller.controler_battlefield_map_tounch_layer.lua")

local battlefieldmap = class("battlefieldmap", cc.load("mvc").ViewBase)

function battlefieldmap:ctor(  )
    -- self.mark_center = cc.Sprite:create("ui_image/mainpage/mian_btn_info_back.png");
    -- self:addChild(self.mark_center , 10);
    -- self.width = self.rootnode:getContentSize().width;
    -- self.height = self.rootnode:getContentSize().height;
    -- print("battlefieldmap ===========>",self.width,self.height)

    -- local function onNodeEvent(event)
    --         if "enter" == event then
    --             print("onNodeEvent:","enter");
                
    --         elseif "exit" == event then
    --             print("onNodeEvent:","exit");
    --         elseif "enterTransitionFinish" == event then
    --             print("enterTransitionFinish:","enterTransitionFinish");
    --             self:openAnimationEffect(  );
    --         end
    --     end
    -- self:registerScriptHandler(onNodeEvent)

    self.TounchEventType = 0;
    self.IsTounchEvent = false;
end

--[[初始化地图
    mapconfigID 地图ID
]]
function battlefieldmap:InitMapData( mapconfigID )
    self.ShowMapData = GetMapCfg(mapconfigID);
    -- CCTexture2D:setDefaultAlphaPixelFormat(kCCTexture2DPixelFormat_RGB565)
    --设置显示的地图
    print(self.ShowMapData,111,mapconfigID)
    self.TiledMap = CCTMXTiledMap:create(self.ShowMapData.mapdata);
    self.TiledMap:setAnchorPoint(ccp(0.5, 0.5))
    self:addChild(self.TiledMap);
    -- CCTexture2D:setDefaultAlphaPixelFormat(kCCTexture2DPixelFormat_RGBA8888)
    -- AddBattleRes( {
    --         nil,
    --         "map/map_res_"..self.MapID.."_0.jpg",
    --     } );
    -- AddBattleRes( {
    --         nil,
    --         "map/map_res_"..self.MapID.."_1.jpg",
    --     } );
    --得到地图宽高
    local mapsize = self.TiledMap:getMapSize();
    print("Map日志:地图大小",mapsize.width ,mapsize.height )
    --单个贴图大小
    local _TilePixelSize = self.TiledMap:getTileSize();
    self.MapWidth = _TilePixelSize.width * mapsize.width;
    self.MapHeight = _TilePixelSize.height * mapsize.height;
    print("Map日志: 地图像素信息->",self.MapWidth ,self.MapHeight ,_TilePixelSize.width,_TilePixelSize.height);

    --得到地图层数据
    local _TMXLayer = self.TiledMap:getLayer("collision");
    _TMXLayer:setVisible(false); 
    --  local _TMXLayer_1 = self.TiledMap:getLayer("cell");
    -- _TMXLayer_1:setVisible(false); 
    local mapData = require("app.models.battle.model_map").new();
    mapData.mapRow = mapsize.width;
    mapData.mapCol = mapsize.height;
    mapData.pixelW = self.MapWidth;
    mapData.pixelH = self.MapHeight;
    mapData.tileW = _TilePixelSize.width;
    mapData.tileH = _TilePixelSize.height;
    mapData.mapOrigin_x = 0;
    mapData.mapOrigin_y = self.MapHeight / 2;
    for i=1,mapsize.width do
        if not mapData.collisionLayerData[i] then
            mapData.collisionLayerData[i] = {};
        end
        for j=1,mapsize.height do
            -- print(i,j);
            local data = _TMXLayer:getTileGIDAt(cc.p(i-1, j-1));
            mapData.collisionLayerData[i][j] = {
                [1] = data,
                [2] = 0,
                [3] = 0,
                [4] = 0,
            }; 
            -- print(i,j,data);
        end
    end
    mapData:InitMapData( nil );
    Data_Battle:setMapData( mapData );
    --遮罩层()
    
    --碰撞层(设置碰撞数据)
    -- CCTMXLayer()
    --要服务器端配合给总局数信息
    --1.循环点 2.尾部
    --计数地图需要的大小
    -- if BattleActorArray.SumSegments < 3 then
    --     self.CONST_MOVE_DIST = -math.ceil((self.MapHeight - CONFIG_MAKE_HEIGHT) / 3 ) + 10;
    --     local mapHeight = -BattleActorArray.SumSegments * self.CONST_MOVE_DIST + CONFIG_MAKE_HEIGHT;
    --     print("计数地图大小",self.CONST_MOVE_DIST,mapHeight,BattleActorArray.SumSegments)
    --     -- self.TiledMap:setPositionY(-self.MapHeight + mapHeight);
    -- elseif BattleActorArray.SumSegments > 3 then
    --     --地图总局数大于3
    --     self.CONST_MOVE_DIST = -math.ceil((self.MapHeight - CONFIG_MAKE_HEIGHT) / BattleActorArray.SumSegments ) + 10;
    -- else
    --     self.CONST_MOVE_DIST = -math.ceil((self.MapHeight - CONFIG_MAKE_HEIGHT) / 3 ) + 10;
    -- end
    -- self.TiledMap:setPositionY(-self.MapHeight + CONFIG_MAKE_HEIGHT);
    -- print("地图y--->",self.Map_y)
    -- self:setPositionY(cc.p());

    self._ProtectRangeView =  cc.SpriteBatchNode:create("map/map_state_1.png",mapData.mapRow * mapData.mapCol);
    self:addChild(self._ProtectRangeView,2);
    -- self.mark_center1 = cc.Sprite:createWithTexture(GLOBAL_TEXTURE_CACHE:getTextureForKey("map/map_state_1.png"), cc.rect(138,0,46,34));
    -- self._ProtectRangeView:addChild(self.mark_center1 , 10);
    self.mProtectList = {};

    self:registerEvent()
end

--注册事件
function battlefieldmap:registerEvent( eventlayer)
    self.Control_TounchEvent = class_controler_battlefield_map_tounch_layer.new(self);
    --注册点击事件
    
end

--绘制保护范围
-- function battlefieldmap:drawProtectRange(  )
--     local mapData = Data_Battle.mapData;
--     for i=1,mapData.mapRow do
--         for j=1,mapData.mapCol do
--             if mapData.collisionLayerData[i][j][4] then
--                 if self.mProtectList[i.."_"..j] then
--                     self.mProtectList[i.."_"..j]:setVisible(true);
--                 else
--                     local item = self:createProtectItem();
--                     if not item:getParent() then
--                         self._ProtectRangeView:addChild(item);
--                     end
--                     local x,y = mapData:getCellToWorld( i , j );
--                     item:setPosition(cc.p(x,y));
--                     self.mProtectList[i.."_"..j] = item;
--                     item:setVisible(true);
--                 end
                 
--             else
--                 if self.mProtectList[i.."_"..j] then
--                     self.mProtectList[i.."_"..j]:setVisible(false);
--                 end
--             end
--         end
--     end
-- end

--绘制保护区域根据对象
function battlefieldmap:drawProtectRange( data )
    local dataType = data.__cname;
    local scopeData = nil;
    
    if dataType == "actor_control" then
        scopeData = GetSoldierSetup(data.attribute_templateid).protectScope
    else
        scopeData = GetBuildCfg(data.attribute_templateid).protectScope
    end
    local cell_x ,cell_y = data:getCellPosByMap(  );
    cell_x = cell_x + scopeData.x;
    cell_y = cell_y + scopeData.y
    -- print(dataType,cell_x,cell_y,scopeData.x,scopeData.y, scopeData.w, scopeData.h)
    for x=cell_x,cell_x + scopeData.w - 1  do
        for y=cell_y,cell_y + scopeData.h - 1 do
            if self.mProtectList[x.."_"..y] then
                self.mProtectList[x.."_"..y]:setVisible(true);
            else
                local item = self:createProtectItem();
                if not item:getParent() then
                    self._ProtectRangeView:addChild(item);
                end

                local pos_x,pos_y = Data_Battle.mapData:getCellToWorld( x , y );
                item:setPosition(cc.p(pos_x,pos_y  - Data_Battle.mapData.tileH / 2));
                self.mProtectList[x.."_"..y] = item;
                item:setVisible(true);
            end
        end
    end
end

function battlefieldmap:clearProtectRange(  )
    for k,v in pairs(self.mProtectList) do
        v:setVisible(false);
    end
end


function battlefieldmap:createProtectItem(  )
    for k,v in pairs(self.mProtectList) do
        if not v:isVisible() then
            self.mProtectList[k] = nil;
            return v;
        end
    end
    local sp = cc.Sprite:createWithTexture(GLOBAL_TEXTURE_CACHE:getTextureForKey("map/map_state_1.png"), cc.rect(138,0,Data_Battle.mapData.tileW,Data_Battle.mapData.tileH));
    sp:setOpacity(128);
    return sp;
end



return battlefieldmap;
