--
-- Author: liyang
-- Date: 2015-06-11 14:56:30
-- 战斗结果


local UI_BattleResult = class("UI_BattleResult", cc.load("mvc").ViewBase)

UI_BattleResult.RESOURCE_FILENAME = "ui_instance/battlefield/battle_result.csb"
function UI_BattleResult:onCreate()
    self.shadowNode = self.resourceNode_:getChildByName("shadow_layout");
    --战役列表
    self.rootNode = self.resourceNode_:getChildByName("main_layout");

    self.resultNode = self.rootNode:getChildByName("effectnode");

    --结果效果 
    self.resulteffect = self.rootNode:getChildByName("resulteffect");

    -- self.boutValuse = self.resulteffect:getChildByName("Text_1_1_0");

    --下一场战斗提示
    self.resultStr =  self.resulteffect:getChildByName("result_str");
    self.expStr =  self.resulteffect:getChildByName("exp_str");
    self.goldStr =  self.resulteffect:getChildByName("gold_str");


    self.node_timer = self.resulteffect:getChildByName("timer");


    -- self:refreshView();
    self:registerEvent();

    local size= cc.Director:getInstance():getVisibleSize()
    local rootNode = self:getResourceNode();
    rootNode:setContentSize(size);
    ccui.Helper:doLayout(rootNode);
    rootNode:setPosition(cc.p(display.cx - 640 ,display.cy - 360));

    local shadow_layout = rootNode:getChildByName("shadow_layout");
    shadow_layout:setContentSize(size);
    ccui.Helper:doLayout(shadow_layout);
end

--设置开场动画 和 
function UI_BattleResult:openAnimationEffect(  )
    
end

--注册事件
function UI_BattleResult:registerEvent(  )
    --退出事件
    local buttonexit = self.resulteffect:getChildByName("exit")
    local function exitClicked(sender)
        -- self:exit()
        print("退出战斗")
        dispatchGlobaleEvent( "battlefield" ,"end");
        -- control_Combat:doEvent("event_exit_battle");
    end
    buttonexit:addClickEventListener(exitClicked)


    -- --注册接口更新
    -- createGlobalEventListener( "zhanyilevel_ctrl", "refresh", handler(self, self.refreshView), 1 )
end

--[[
    data = {
        result = 18, --回合数
        exp = "", --下一场战斗提示
        gold = 10,--倒计时
    }
]]
function UI_BattleResult:refreshView( data )
    self.showData = data;
    if self.showData.result == 1 then
         self.resultStr:loadTexture("ui_image/battle/shengli.png", ccui.TextureResType.plistType);
         self.expStr:setString("获得经验:"..self.showData.exp)
         self.goldStr:setString("获得资源:"..self.showData.gold)
    else
         self.resultStr:loadTexture("ui_image/battle/shibai.png", ccui.TextureResType.plistType);
    end
    
end

--设置完成回调函数
function UI_BattleResult:setFinishCallback( callfun )
    self.FinishCallback = callfun;
end

function UI_BattleResult:exit()
    self:removeFromParent();
end

return UI_BattleResult


