--
-- Author: liyang
-- Date: 2015-08-13 14:56:30
--战斗奖励信息

local UI_Battle_Award = class("UI_Battle_Award", cc.load("mvc").ViewBase)

UI_Battle_Award.RESOURCE_FILENAME = "ui_instance/battlefield/battle_award.csb"
function UI_Battle_Award:onCreate()
    self.shadowNode = self.resourceNode_:getChildByName("shadow_layout");

    self.rootNode = self.resourceNode_:getChildByName("main_layout");

    self.infoList = self.rootNode:getChildByName("infolist");
    --名称
    self.viewname = self.rootNode:getChildByName("title");

    -- --升级时间
    -- self.info_upgradetime = infoList:getChildByName("upgradetime");

    -- --平均用时
    -- self.info_time = infoList:getChildByName("time");

    -- --活动禁用
    -- self.info_exp = infoList:getChildByName("exp");

    -- --获得金币
    -- self.info_gold = infoList:getChildByName("gold");


    self:registerEvent();

    local function onNodeEvent(event)
        if "enter" == event then
            -- print("onNodeEvent:","enter");
        elseif "exit" == event then
            -- print("onNodeEvent:","exit");
        elseif "cleanup" == event then

        elseif "enterTransitionFinish" == event then
            self:updateGuidePos();
            --boss挑战结果
            dispatchGlobaleEvent( "newbieguide","reaction" ,{"战斗","challengeboss_over"});
        end
     end
    self.resourceNode_:registerScriptHandler(onNodeEvent)
end

--类型显示顺序
-- //! 卡片
--     eDT_Card,
--     //! 材料
--     eDT_Material,
--     //! 装备
--     eDT_Equip,
UI_Battle_Award.ShowOrder = {eDT_YuanBao , eDT_Gold, eDT_VipExp, eDT_Card , eDT_CardPiece , eDT_Equip , eDT_EquipPiece , eDT_Item,eDT_Shiqi,};


--设置开场动画 和 
function UI_Battle_Award:openAnimationEffect(  )

end

--注册事件
function UI_Battle_Award:registerEvent(  )
    local button_exit = self.rootNode:getChildByName("exit")
    local function exitClicked(sender)
        print("退出 ")
        self:removeFromParent();
    end
    button_exit:addClickEventListener(exitClicked);
    button_exit:setPressedActionEnabled(true)


    local button_ok = self.rootNode:getChildByName("button_see")
    local function okClicked(sender)
        self:updateGuidePos();
        dispatchGlobaleEvent( "newbieguide","reaction" ,{"战斗","battleresult_button_lingqu",self.viewname:getString()});
        self:removeFromParent();
    end
    button_ok:addClickEventListener(okClicked);
end

--[[更新显示数据
    param
]]
function UI_Battle_Award:UpdateShowData(data)
    print("显示boss 掉落结果",table.nums(data.dropout))
    self.showData = data;
    self.viewname:setString(data.des)
    self.ShowInterval_w = 120;
    self.ShowInterval_H = 150;
    self.ShowLine = 3;
    self.dropShow_x = 110;
    self.dropShow_y = 330;
    --奖励
    if data.dropout and table.nums(data.dropout) > 0 then
        local count = 0;
        for i,v in ipairs(self.ShowOrder) do
            -- print("  显示 ShowOrder",v);
            for j,k in ipairs(data.dropout) do
               if k.droptype == v then
                    --显示掉落
                    local dropView = UIManager:CreateDropOutFrame( k.droptype,k.dropid)
                    dropView:getResourceNode():setScale(120 / dropView.width)
                    self.infoList:addChild(dropView:getResourceNode())
                    dropView:setCount( k.count );
                    local line_Y = math.modf(count / self.ShowLine);
                    local x = self.dropShow_x + count % self.ShowLine * self.ShowInterval_w;
                    local y = self.dropShow_y - line_Y * self.ShowInterval_H;
                    dropView:getResourceNode():setPosition(cc.p(x,y));
                    -- print(k.droptype,k.dropid)
                    local name , quality = UIManager:createDropName(k.droptype,k.dropid)
                    local nameview = cc.Label:createWithTTF(name,"font/simhei.ttf",22);
                    self.infoList:addChild(nameview);
                    nameview:setPosition(cc.p(x,y - 70));
                    nameview:setTextColor(ResIDConfig:getEquipQualityInfo( quality ).color)
                    count = count + 1;
               end
            end
        end
    end
    
end

--更新引导坐标
function UI_Battle_Award:updateGuidePos()
    --关卡列表
    local pos = self.rootNode:getChildByName("button_see"):convertToWorldSpace(cc.p(72,22));
    NewbieGuideManager:SetNewbieGuideConfigByPos( "battleover_button_lingqu" ,{
            pos_x = pos.x,
            pos_y = pos.y,
            w = 150;
            h = 44;
        } );
end


return UI_Battle_Award


