--
-- Author: liyang
-- Date: 2015-06-11 14:56:30
-- 英雄选择item


local UI_hero_choose_item = class("UI_hero_choose_item", cc.load("mvc").ViewBase)

UI_hero_choose_item.RESOURCE_FILENAME = "ui_instance/battlefield/hero_choose_item.csb"
function UI_hero_choose_item:onCreate()

    self.width = self.resourceNode_:getContentSize().width;
    self.height = self.resourceNode_:getContentSize().height;

    self:registerEvent();

    self.heroData = nil;
end

--注册事件
function UI_hero_choose_item:registerEvent(  )

    local btn_item = self.resourceNode_:getChildByName("btn_item")
    local itemClick = function (  )
        if self.clickEvent then
            self.clickEvent(self.mark);
        end
    end

    btn_item:addClickEventListener(itemClick)

    self.chooseEffect = btn_item:getChildByName("chooseeffect")
    self.chooseEffect:setVisible(false);
end

function UI_hero_choose_item:setChooseEffect( ischoose )
    if ischoose then
        self.chooseEffect:setVisible(true);
    else
        self.chooseEffect:setVisible(false);
    end
end


function UI_hero_choose_item:setData( data )
    self.heroData = data;
    self.mark = data.mark;
    self:refresh(  );
end

function UI_hero_choose_item:refresh(  )
    local disData = GetSoldierSetup(self.heroData.templeID)
    local resCfg = ResIDConfig:getResConfifByID( disData.resID );
    local iconImage = self.resourceNode_:getChildByName("btn_item"):getChildByName("icon")
    print(resCfg.smelliconImage)
    iconImage:loadTexture(resCfg.smelliconImage, ccui.TextureResType.plistType);
    --设置数量 
    local numText = self.resourceNode_:getChildByName("btn_item"):getChildByName("num"):getChildByName("Text_1")
    numText:setString(self.heroData.num);
end

--注册点击事件
function UI_hero_choose_item:registerClickEvent( event )
    self.clickEvent = event;
    
end

return UI_hero_choose_item


