--
-- Author: zangqing
-- Date: 2016-01-05 10:37:59
-- 地图建筑UI左下


local controler_battle_ui_0_left_bottom = class("controler_battle_ui_0_left_bottom")

--[[监听全局事件名预览
eventModleName: controler_battle_ui_0_left_bottom
eventName: 
    setUIVisible     --设置显示状态

]]


function controler_battle_ui_0_left_bottom:ctor(mainPage_ui_layer)
    self:_initModels()

    --根层
    self._view_node = mainPage_ui_layer
    local visibleSize = cc.Director:getInstance():getVisibleSize()
    self._view_node:setPosition(cc.p(-visibleSize.width / 2 ,-visibleSize.height / 2))
    dispatchGlobaleEvent( "battleDisplay" ,"add" ,{self._view_node, 4 ,0});
    -- self._mainPage_ui_layer:setContentSize(visibleSize)
    -- ccui.Helper:doLayout(self._mainPage_ui_layer)

    self:_createControlerForUI()
    --
    self:_registGlobalEventListeners()

    self:_registNodeEvent()

    self:_registUIEvent()
end


function controler_battle_ui_0_left_bottom:getView()
    return self._view_node
end


function controler_battle_ui_0_left_bottom:_initModels()
    self._controlerMap = {}
end

--创建控制器: UI
function controler_battle_ui_0_left_bottom:_createControlerForUI()
    
end


function controler_battle_ui_0_left_bottom:_registGlobalEventListeners()
    self._globalEventListeners = {}
    local configs = {
        {modelName = "controler_battle_ui_0_left_bottom", eventName = "setUIVisible", callBack=handler(self, self._onSetUIVisible)},
        {modelName = "build_ui", eventName = "update", callBack=handler(self, self.refreshBuildList)},
    }
    self._globalEventListeners = createGlobalEventListenerWithConfig(configs)
end




--注册节点事件
function controler_battle_ui_0_left_bottom:_registNodeEvent()
    local function onNodeEvent(event)
        if "exit" == event then
            self:_removeAllGlobalEventListeners()
        end
    end
    self._view_node:registerScriptHandler(onNodeEvent)

end


--移除全局事件监听器
function controler_battle_ui_0_left_bottom:_removeAllGlobalEventListeners()
    for k,v in pairs(self._globalEventListeners) do
        GLOBAL_EVENT_DISPTACHER:removeEventListener(v)
    end
end

function controler_battle_ui_0_left_bottom:_registUIEvent()

    -- 设置按钮对象
    local btn_exit = self._view_node:getChildByName("btn_exit")
    local exitClick = function (  )
        print("退出")
        AudioManager.playButton();
        dispatchGlobaleEvent( "battlefield" ,"end");
    end
    -- 添加事件监听函数
    btn_exit:addClickEventListener(exitClick)

    self:refreshBuildList(  );

end

--[[
    刷新修建列表
]]
function controler_battle_ui_0_left_bottom:refreshBuildList( event )
    
    local buildPool = self._view_node:getChildByName("buildPool")
    buildPool:removeAllChildren();
    -- if (not MAIN_PLAYER:getGuild():isHaveGuid()) or MAIN_PLAYER:getGuild():getGUID() ~= Data_Battle.guild then
    --     buildPool:setVisible(false);
    --     return;
    -- else
    --     buildPool:setVisible(true);
    -- end
    
    --buildPool:setItemModel(class_build_item.new());
    print("初始化 放置建筑UI ")
    local sum = #BuildTypeCfg;
    local index = 1;
    for i=1,sum do
        if BuildTypeCfg[i]:checkLogic() then
            if BuildTypeCfg[i].buildtype == 1 then
                --得到庇护所列表
                local bfsList = MAIN_PLAYER:getGuild():Getmanorlist();
                print("庇护所数量:",table.nums(bfsList))
                for k,v in ipairs(bfsList) do
                    print(k,v.isset)
                    if v.isset == 0 then
                        local item = self:createBuildItem( {
                            level = v.level,
                            buildType = BuildTypeCfg[i].buildtype,
                            guild = k;
                            } )
                        buildPool:addChild(item);
                        item:setPosition(cc.p(100 * (index - 1),0));
                        index = index + 1;
                        -- print("========")
                    end
                    
                end
            else
                --判断自己的塔防是否放置
                
                local item = self:createBuildItem( {
                       level = MAIN_PLAYER:gettowerManager():getLv(),
                        buildType = BuildTypeCfg[i].buildtype,
                        guild = 1,
                        } )
                buildPool:addChild(item);
                item:setPosition(cc.p(100 * (index - 1),0));
                index = index + 1;
            end
        end
    end
end

--[[创建修建建筑item
    data = {
        level = 1,等级
        templeID = 1,模板ID
        buildType = 1,
    }
]]
function controler_battle_ui_0_left_bottom:createBuildItem( data )
    local item = require("app.views.battlefield.ui.UI_build_choose_item.lua").new();
    local showData = GetBuildCfgByLevel( data.buildType ,data.level );
    showData.guild = data.guild;
    item:setBuildData( showData );
    print("创建建筑",data.buildType ,data.level,showData,item)
    return item;
end


function controler_battle_ui_0_left_bottom:_onSetUIVisible( event )
    local eventUseData = event._usedata
    local visibleType = eventUseData.visibleType

    --隐藏所有
    if visibleType == "hideAll" then
        self._mainPage_ui_layer:setVisible(false)

    --显示所有
    elseif visibleType == "showAll" then
        self._mainPage_ui_layer:setVisible(true)
    end
end


return controler_battle_ui_0_left_bottom
