--
-- Author: zangqing
-- Date: 2016-01-10 10:59:38
-- 角色升级系统

local class_ui_bronpage_layer = import(".ui_bronpage_layer")


local bronpageSystem = class("bronpageSystem")


function bronpageSystem:ctor()
    self:_initModels()
    self:_registGlobalEventListeners()
end


function bronpageSystem:_initModels()
    self._controlerMap = {}
    self:_initDynamicResConfig()
end


function bronpageSystem:_initDynamicResConfig()
    -- ResConfig["ui_image/guyong/widget"] = {
    --  restype = "plist",
    --  respath = "ui_image/guyong/widget/",
    --  res = {"guyong_plist"}
    -- }

    -- self._dynamicResConfigIDs = {
    --  "ui_image/guyong/widget",
    -- }
end


function bronpageSystem:_registGlobalEventListeners()
    -- body
    -- 注册消息便于其他系统进行调用modelName模块名称，eventName事件名称
    self._globalEventListeners = {}
    local configs = {
        {modelName = "bronpageSystem", eventName = "create", callBack=handler(self, self.Create)},
    }
    self._globalEventListeners = createGlobalEventListenerWithConfig(configs)
end


function bronpageSystem:Create()
    -- if MAIN_PLAYER:getBaseAttr():getName() ~= MAIN_PLAYER:getBaseAttr():getGUID() then
    --     --todo
    --     return
    -- end
    print("bronpageSystem:Create")
    self.scene = APP:getCurScene()
    local contrl_view =  class_ui_bronpage_layer.new();
    self.scene:addChildToLayer(LAYER_ID_POPUP, contrl_view)
end




function bronpageSystem.getInstance()
    if bronpageSystem.instance == nil then
        bronpageSystem.instance = bronpageSystem.new()
    end

    return bronpageSystem.instance
end


bronpageSystemInstance = bronpageSystem.getInstance()


return bronpageSystem
