--
-- Author: zang qing
-- Date: 2016-1-12 14:20:26
-- 地图信息item


local friend_info_item = class("friend_info_item")

function friend_info_item:ctor(node)
	
	self._rootNode = node
	-- self._rootNode:setContentSize(visibleSize)
	-- ccui.Helper:doLayout(self._rootNode)

	self:init()
	self:_registGlobalEventListeners()
	self:_registUIEvent()

end

function friend_info_item:init()
	-- body
	-- self._rootNode:setCascadeOpacityEnabled(true)
end

function friend_info_item:getResourceNode()
	-- body
	return self._rootNode
end
function friend_info_item:_registGlobalEventListeners()
    self._globalEventListeners = {}
    local configs = {
        {modelName = "head", eventName = "update", callBack=handler(self, self.registerHeadUpdate)},
    }
    self._globalEventListeners = createGlobalEventListenerWithConfig(configs)
    -- dispatchGlobaleEvent("controler_ui_map_info_guild", "setUIVisible", {visibleType="hideAll"})
end
function friend_info_item:_registUIEvent()

	local img_back = self._rootNode:getChildByName("img_back")
	local function imageClick(sender, eventType)
		-- body
		dispatchGlobaleEvent( "ui_chatlist_layer","showfriendname", {name = self.data.name,});
		if eventType == ccui.TouchEventType.began then

	    elseif eventType == ccui.TouchEventType.moved then

	    elseif eventType == ccui.TouchEventType.ended then
	        if self.clickItemListen then
				self.clickItemListen(self._rootNode);
			end
	    elseif eventType == ccui.TouchEventType.canceled then

	    end
	end
	img_back:addTouchEventListener(imageClick)

	self.img_bottom = self._rootNode:getChildByName("img_bottom");

	-- 删除好友
	self.btn_del = self.img_bottom:getChildByName("btn_del");
	local function btn_delClicked(sender, eventType)
		-- 发送删除好友消息
		gameTcp:SendMessage(MSG_C2S_Friend_DelFriend,{self.data.id,});
	end
	self.btn_del:addClickEventListener(btn_delClicked)
end

--是否显示附件信息
function friend_info_item:setShowAppendInfo( isshow )
	print("发送请求某好友的邮件数据：")
	dispatchGlobaleEvent( "ui_chatlist_layer","openFriendChat", {name = self.data.name, id = self.data.id});
	gameTcp:SendMessage(MSG_C2S_GUILD_Get_Mail,{self.data.id});
	-- self.img_bottom:setVisible(isshow);
end

--[[更新数据
	data 显示数据
]]
function friend_info_item:update(data)
	self.data = data
	--更新显示信息
	print_tab(self.data)
	
	--更新头像
	local headRes = ManagerHeadRes:LoadHeadRes( self.data.head_id )
	if headRes then
		local headImage = self._rootNode:getChildByName("img_rect"):getChildByName("img_head");
		headImage:loadTexture(headRes);
	end

	--成员等级
	self.txt_level = self._rootNode:getChildByName("txt_player_level");
	self.txt_level:setString(self.data.level);

	--成员昵称
	self.txt_name = self._rootNode:getChildByName("txt_name");
	self.txt_name:setString(self.data.name);

	-- 塔防等级
	self.txt_towerlevel = self._rootNode:getChildByName("txt_tower_level");
	self.txt_towerlevel:setString(self.data.tower_level);
	-- 消息提示
	self.tipimage = self._rootNode:getChildByName("tipimage");
	if 1==self.data.red_sign and
		self.data.red_sign then
		self.tipimage:setVisible(true);
	else
		self.tipimage:setVisible(false);
	end
end

function friend_info_item:setClickListen( listener )
	self.clickItemListen = listener;
end

--更新头像
function friend_info_item:upDateHeadImage(  )
	local headImage = self._rootNode:getChildByName("img_rect"):getChildByName("img_head");
	headImage:loadTexture(ManagerHeadRes:getHeadResPath( self.data.head_id ));
end

function friend_info_item:registerHeadUpdate( event )
	local headGuid = event._usedata[1]
	if headGuid ~= self.data.head_id then
		return;
	end
	self:upDateHeadImage();
end

return friend_info_item
