--
-- Author: zangqing
-- Date: 2016-01-05 10:37:59
-- 中部显示

local class_member_item = import(".itemset.guild_member_item")

local controler_ui_guild_infolist = class("controler_ui_guild_infolist")

--[[监听全局事件名预览
eventModleName: controler_ui_map_info_mid
eventName: 
    setUIVisible     --设置显示状态

]]


function controler_ui_guild_infolist:ctor(mainPage_ui_layer)
    self:_initModels()

    --根层
    self._view_node = mainPage_ui_layer
    -- self._view_node:setContentSize(visibleSize)
    -- ccui.Helper:doLayout(self._view_node)


    self:_createControlerForUI()

    --
    self:_registGlobalEventListeners()

    self:_registNodeEvent()

    self:_registUIEvent()

    self:setItemTemple();

    self:updateViewShow();
end


function controler_ui_guild_infolist:getView()
    return self._view_node
end

function controler_ui_guild_infolist:setItemTemple(  )
    self.ItemTemple = cc.CSLoader:createNode("ui_instance/guildpage/viewnode/guild_member_item.csb")
    -- 保存到内存
    self.ItemTemple:retain()
end

function controler_ui_guild_infolist:createItem( itemdata )
    -- 复制一个item
    local itemview = self.ItemTemple:getChildByName("item"):clone();
    local item = class_guild_member_item.new(itemview)
    item:update(itemdata);
    return item;
end

--
function controler_ui_guild_infolist:update(listdata)
    -- body
end


function controler_ui_guild_infolist:_initModels()
    self._controlerMap = {}
    self.itemInfo = {
        interval = 10,--item 间隔
        height = 114,--item高度
        scroll_weight = 652,--滚动 宽度
        scroll_height = 750,--滚动 宽度
        fj_height = 67,--附件项高度
        base_height = 200 --基础滚动区域
    }
    self.items = {};
    self.itemModel = cc.CSLoader:createNode("ui_instance/guildpage/viewnode/guild_member_item.csb")
    self.itemModel:retain()
end

--创建控制器: UI
function controler_ui_guild_infolist:_createControlerForUI()
    
end


function controler_ui_guild_infolist:_registGlobalEventListeners()
    self._globalEventListeners = {}
    local configs = {
        {modelName = "controler_ui_guild_infolist", eventName = "setUIVisible", callBack=handler(self, self._onSetUIVisible)},
        {modelName = "controler_ui_guild_infolist", eventName = "updateViewShow", callBack=handler(self, self.updateViewShow)},
        {modelName = "controler_ui_guild_infolist", eventName = "updateview", callBack=handler(self, self.updateview)},
    }
    self._globalEventListeners = createGlobalEventListenerWithConfig(configs)
    -- dispatchGlobaleEvent("controler_ui_guild_infolist", "setUIVisible", {visibleType="hideAll"})
    -- print("====2")
end


--注册节点事件
function controler_ui_guild_infolist:_registNodeEvent()
    local function onNodeEvent(event)
        if "exit" == event then
            self:_removeAllGlobalEventListeners()
        end
    end
    self._view_node:registerScriptHandler(onNodeEvent)
end


--移除全局事件监听器
function controler_ui_guild_infolist:_removeAllGlobalEventListeners()
    for k,v in pairs(self._globalEventListeners) do
        GLOBAL_EVENT_DISPTACHER:removeEventListener(v)
    end
    self.itemModel:release()
end

function controler_ui_guild_infolist:_registUIEvent()
    -- 退出公会按钮，改成关闭界面操作，以后改回来
    self.btn_create = self._view_node:getChildByName("btn_create")
    local createClick = function()
        -- print("btn_exit clickcallback")
        -- 显示成员列表信息
        AudioManager.playButton();
        dispatchGlobaleEvent("createguildSystem", "Create")
    end

    -- 添加事件监听函数
    self.btn_create:addClickEventListener(createClick)
    
    self.btn_exit = self._view_node:getChildByName("btn_exit")
    local exitClick = function()
        -- print("btn_exit clickcallback")
        -- 退出公会
        AudioManager.playButton();
        -- dispatchGlobaleEvent("popSystem", "Create")
        local _post = MAIN_PLAYER:getBaseAttr():getPost();
        print("---------guild_obj:getname()------",MAIN_PLAYER:getGuild():getname());
        if 1~=_post then
            -- 退出公会
            UIManager:CreatePrompt_Operate_1( {
                mark = "build_delete",--接口类型标示
                title = "确认提示",--标题
                content = "  是否退出公会?",--描述文字
                eventlogic = "",--绑定逻辑
                eventlist = "",--注册事件列表
                displayType = 1,
                listenButton = function ( result )
                    -- 1 表示选择1按钮 2表示选择按钮
                    if result == 1 then
                       gameTcp:SendMessage(MSG_C2S_GUILD_QuitGuild,{});
                    end
                end
            } )
        else
            -- 解散公会
            UIManager:CreatePrompt_Operate_1( {
                mark = "build_delete",--接口类型标示
                title = "确认提示",--标题
                content = "  是否解散公会?",--描述文字
                eventlogic = "",--绑定逻辑
                eventlist = "",--注册事件列表
                displayType = 1,
                listenButton = function ( result )
                    -- 1 表示选择1按钮 2表示选择按钮
                    if result == 1 then
                       gameTcp:SendMessage(MSG_C2S_GUILD_DismissGuild,{});
                    end
                end
            } )
        end
    end

    -- 添加事件监听函数
    self.btn_exit:addClickEventListener(exitClick)

    self.btn_create:setVisible(false);
    self.btn_create:setTouchEnabled(false);
    self.btn_exit:setVisible(false);
    self.btn_exit:setTouchEnabled(false);

    local _name = MAIN_PLAYER:getGuild():getname();
    print("---------guild_obj:getname()------",MAIN_PLAYER:getGuild():getname());
    if ""==_name then
        -- 没有工会
        self.btn_create:setVisible(true);
        self.btn_create:setTouchEnabled(true);
    else
        -- 有公会
        self.btn_exit:setVisible(true);
        self.btn_exit:setTouchEnabled(true);
    end

    --成员列表
    self.node_memberList = self._view_node:getChildByName("ScrollView_1");
    self.ListContainer = ccui.Layout:create();
    self.node_memberList:addChild(self.ListContainer)
end


function controler_ui_guild_infolist:_onSetUIVisible( event )
    local eventUseData = event._usedata
    local visibleType = eventUseData.visibleType
    -- print("controler_ui_guild_infolist:_onSetUIVisible======222222222222");
    --隐藏所有
    if visibleType == "hideAll" then
        self._view_node:setVisible(false)

    --显示所有
    elseif visibleType == "showAll" then
        self._view_node:setVisible(true)
    end
end

--更新界面显示
function controler_ui_guild_infolist:updateViewShow()
    -- 修改部分控件显示
    self.txt_name = self._view_node:getChildByName("txt_name")
    local str_name = MAIN_PLAYER:getGuild():getname()
    print("updateViewShow======str_name: "..str_name);
    self.txt_name:setString(str_name);

    self.txt_member_number = self._view_node:getChildByName("txt_member_number")
    local str_num = tostring(MAIN_PLAYER:getGuild():GetmemberCurNum())
    print("updateViewShow======str_num: "..str_num);
    self.txt_member_number:setString(str_num);
    -- 副会长数量
    self.txt_member_number_0 = self._view_node:getChildByName("txt_member_number_0")
    local str_funum = tostring(MAIN_PLAYER:getGuild():GetfuBossNum()).."/".."4";
    print("updateViewShow======str_funum: "..str_funum);
    self.txt_member_number_0:setString(str_funum);
    -- 公会金钱储量
    self.info_chuliang = self._view_node:getChildByName("info_chuliang"):getChildByName("valuse")
    local str_gold = tostring(MAIN_PLAYER:getGuild():GetCurGold()).."/"..tostring(sum_guild_maxgold());
    print("updateViewShow======str_gold: "..str_gold);
    self.info_chuliang:setString(str_gold);
    -- 按钮显示
    self.btn_create:setVisible(false);
    self.btn_create:setTouchEnabled(false);
    self.btn_exit:setVisible(false);
    self.btn_exit:setTouchEnabled(false);

    local _name = MAIN_PLAYER:getGuild():getname();
    print("---------guild_obj:getname()------",MAIN_PLAYER:getGuild():getname());
    if ""==_name then
        -- 没有工会
        self.btn_create:setVisible(true);
        self.btn_create:setTouchEnabled(true);
    else
        -- 有公会
        self.btn_exit:setVisible(true);
        self.btn_exit:setTouchEnabled(true);
    end
    -- 按钮文字
    self.img_exit = self._view_node:getChildByName("btn_exit"):getChildByName("img_exit");
    if Guild_Boss == MAIN_PLAYER:getBaseAttr():getPost() and
        "" ~= MAIN_PLAYER:getGuild():getname() then
        -- 会长显示解散2个字
        self.img_exit:loadTexture("ui_image/team/jiesan.png",ccui.TextureResType.localType)
    else
        -- 非会长显示退出2个字
        self.img_exit:loadTexture("ui_image/guildinfo/tuichu.png",ccui.TextureResType.localType)
    end

    

    --创建玩家列表
    -- self.items = {};
    if self.currentShowFjItem then
        self:showAppendInfoLgoic( self.currentShowFjItem , false)
        self.currentShowFjItem = nil;
    end
    local y = - self.itemInfo.height;

    local member_list = MAIN_PLAYER:getGuild():Getmemberinfo();
    local index = #member_list;
    if member_list then
        for i = 1,#member_list do -- 
            if not self.items[i] then
               self.items[i] = class_member_item.new(
                    self.itemModel:getChildByName("item"):clone()
                )
                self.items[i]:update(member_list[i])
                self.ListContainer:addChild(self.items[i]:getResourceNode());
            end
            self.items[i]:update(member_list[i])
            self.items[i]:getResourceNode():setPosition(cc.p(0,y))
            self.items[i]:setClickListen( handler(self, self.clickListener) );
            y = y - self.itemInfo.height - self.itemInfo.interval;
        end
    end
    for i=index + 1,#self.items do
        self.items[i]:getResourceNode():removeFromParent();
        self.items[i] = nil;
    end
    --设置滚动区域
    local height = math.abs(y);
    if height < self.itemInfo.scroll_height then
        if height > self.itemInfo.scroll_height - self.itemInfo.base_height then
            height = height + self.itemInfo.base_height;
        else
            height = self.itemInfo.scroll_height
        end
    end
    
    self.node_memberList:setInnerContainerSize(cc.size(self.itemInfo.scroll_weight,height));
    --self.node_memberList:addChild(container)
    self.ListContainer:setPosition(cc.p(0,height))
    self.node_memberList:jumpToTop();


    -- self.node_memberList:removeAllItems();
    -- --成员列表
    -- self.items = {};
    -- local member_list = MAIN_PLAYER:getGuild():Getmemberinfo();
    -- if member_list then
    --     for i = 1, #member_list do
    --         self.items[i] = class_member_item.new(
    --                 self.itemModel:getChildByName("item"):clone()
    --             )
    --         self.items[i]:update(member_list[i]);
    --         self.node_memberList:pushBackCustomItem(self.items[i]:getResourceNode())
    --     end
    -- end
end


--点击监听
function controler_ui_guild_infolist:clickListener( params )
    print("点击item ",params)
    if self.currentShowFjItem == params then
        self:showAppendInfoLgoic( self.currentShowFjItem , false);
        self.currentShowFjItem = nil;
        return;
    end
    if self.currentShowFjItem then
        self:showAppendInfoLgoic( self.currentShowFjItem , false);
    end
    self.currentShowFjItem = params;
    self:showAppendInfoLgoic( self.currentShowFjItem , true);
end

--列表显示附件信息逻辑
function controler_ui_guild_infolist:showAppendInfoLgoic( object , isshow)
    local moveDis = self.itemInfo.fj_height;
    if isshow then
        moveDis = moveDis * -1;
    end
    local mark = -1;
    for i,v in ipairs(self.items) do
        print(v:getResourceNode(),object)
        if mark > 0 then
           local x ,y = v:getResourceNode():getPosition();
           v:getResourceNode():setPosition(cc.p(x,y + moveDis ));
        end
        if v:getResourceNode() == object then
            v:setShowAppendInfo(isshow);
            mark = i;
        end

    end
end

function controler_ui_guild_infolist:updateview()
    -- 退出公会按钮，改成关闭界面操作，以后改回来
    self:updateViewShow();

    self.btn_create:setVisible(false);
    self.btn_create:setTouchEnabled(false);
    self.btn_exit:setVisible(false);
    self.btn_exit:setTouchEnabled(false);

    local _name = MAIN_PLAYER:getGuild():getname();
    print("---------guild_obj:getname()------",MAIN_PLAYER:getGuild():getname());
    if ""==_name then
        -- 没有工会
        self.btn_create:setVisible(true);
        self.btn_create:setTouchEnabled(true);
    else
        -- 有公会
        self.btn_exit:setVisible(true);
        self.btn_exit:setTouchEnabled(true);
    end
end

return controler_ui_guild_infolist
