--
-- Author: zangqing
-- Date: 2016-01-11 20:37:59
-- 公会顶部按钮


local controler_ui_guild_top_btn = class("controler_ui_guild_top_btn")

--[[监听全局事件名预览
eventModleName: controler_ui_guild_top_btn
eventName: 
    setUIVisible     --设置显示状态

]]


function controler_ui_guild_top_btn:ctor(mainPage_ui_layer)
    self:_initModels()

    --根层
    self._view_node = mainPage_ui_layer
    -- self._view_node:setContentSize(visibleSize)
    -- ccui.Helper:doLayout(self._view_node)


    self:_createControlerForUI()

    --
    self:_registGlobalEventListeners()

    self:_registNodeEvent()

    self:_registUIEvent()
end


function controler_ui_guild_top_btn:getView()
    return self._view_node
end


function controler_ui_guild_top_btn:_initModels()
    self._controlerMap = {}
end

--创建控制器: UI
function controler_ui_guild_top_btn:_createControlerForUI()
    
end


function controler_ui_guild_top_btn:_registGlobalEventListeners()
    self._globalEventListeners = {}
    local configs = {
        {modelName = "controler_ui_guild_top_btn", eventName = "setUIVisible", callBack=handler(self, self._onSetUIVisible)},
        {modelName = "controler_ui_guild_top_btn", eventName = "updateViewShow", callBack=handler(self, self.updateViewShow)},
        {modelName = "controler_ui_guild_top_btn", eventName = "updateredsign", callBack=handler(self, self.updateredsign)},
        -- {modelName = "netMsg", eventName = tostring(MSG_MS2C_INTERACT_ADD), callBack=handler(self, self.addNotifyAni)},
    }
    self._globalEventListeners = createGlobalEventListenerWithConfig(configs)
end




--注册节点事件
function controler_ui_guild_top_btn:_registNodeEvent()
    local function onNodeEvent(event)
        if "exit" == event then
            self:_removeAllGlobalEventListeners()
        end
    end
    self._view_node:registerScriptHandler(onNodeEvent)
end


--移除全局事件监听器
function controler_ui_guild_top_btn:_removeAllGlobalEventListeners()
    for k,v in pairs(self._globalEventListeners) do
        GLOBAL_EVENT_DISPTACHER:removeEventListener(v)
    end
end

function controler_ui_guild_top_btn:_registUIEvent()
    -- 成员列表
    self.btn_member = self._view_node:getChildByName("btn_member")
    -- 领地
    self.btn_parts = self._view_node:getChildByName("btn_parts")
    -- 加入申请
    self.btn_shenqing = self._view_node:getChildByName("btn_shenqing")
    -- 搜索
    self.btn_sousuo = self._view_node:getChildByName("btn_sousuo")
    self.btn_member:setSelected(false);
    self.btn_parts:setSelected(false);
    self.btn_shenqing:setSelected(false);
    self.btn_sousuo:setSelected(false);
    self.btn_member:setSelected(true);
    local _name = MAIN_PLAYER:getGuild():getname();
    print("---------guild_obj:getname()------",MAIN_PLAYER:getGuild():getname());
    if ""==_name then
        -- 没有工会无法打开
        self.btn_parts:setTouchEnabled(false);
        self.btn_shenqing:setTouchEnabled(false);
    else
        self.btn_parts:setTouchEnabled(true);
        self.btn_shenqing:setTouchEnabled(true);
    end

    -------------------------------------------------------------------------------------
    local _post = MAIN_PLAYER:getBaseAttr():getPost();
    if Guild_Assistant<_post then
        -- 权限不足，无法打开
        self.btn_shenqing:setTouchEnabled(false);
    else
        self.btn_shenqing:setTouchEnabled(true);
    end
    self.img_sign = self.btn_shenqing:getChildByName("img_sign");
    if 0<MAIN_PLAYER:getGuild():Getapplynum() then
        self.img_sign:setVisible(true);
    else
        self.img_sign:setVisible(false);
    end
    -------------------------------------------------------------------------------------
    self.cuttentChoose = "成员列表";
    local memberClick = function(sender,eventType)
        AudioManager.playButton();
        print("btn_member clickcallback ====",parame)

        gameTcp:SendMessage(MSG_C2S_GUILD_MemberList,{});

        if eventType == ccui.CheckBoxEventType.selected then
            self:_OnCheckBos( "成员列表" )
        elseif eventType == ccui.CheckBoxEventType.unselected then
            if self.cuttentChoose == "成员列表" then
                self.btn_member:setSelected(true);
            end
        end
    end
    -- 添加事件监听函数
    self.btn_member:addEventListener(memberClick)

    
    local partsClick = function ( sender,eventType )
        AudioManager.playButton();
        local _name = MAIN_PLAYER:getGuild():getname();
        print("---------guild_obj:getname()------",MAIN_PLAYER:getGuild():getname());
        if ""==_name then
            -- 没有工会无法打开
            return
        end
        
        gameTcp:SendMessage(MSG_C2S_GUILD_GetRefuge_list,{});
        -- local _post = MAIN_PLAYER:getBaseAttr():getPost();
        -- if 2<_post then
        --     -- 权限不足，无法打开
        --     return
        -- end
        print("btn_parts clickcallback")
        if eventType == ccui.CheckBoxEventType.selected then
            self:_OnCheckBos( "领地" )
        elseif eventType == ccui.CheckBoxEventType.unselected then
            if self.cuttentChoose == "领地" then
                self.btn_parts:setSelected(true);
            end
        end
    end
    -- 添加事件监听函数
    self.btn_parts:addEventListener(partsClick)

    
    local shenqingClick = function ( sender,eventType )
        AudioManager.playButton();
        print("btn_shenqing clickcallback")
        local _name = MAIN_PLAYER:getGuild():getname();
        print("---------guild_obj:getname()------",MAIN_PLAYER:getGuild():getname());
        if ""==_name then
            -- 没有工会无法打开
            return
        end
        gameTcp:SendMessage(MSG_C2S_GET_GUILD_APPLY,{});
        local _post = MAIN_PLAYER:getBaseAttr():getPost();
        if 2<_post then
            -- 权限不足，无法打开
            return
        end
        if eventType == ccui.CheckBoxEventType.selected then
            self:_OnCheckBos( "加入申请" )
        elseif eventType == ccui.CheckBoxEventType.unselected then
            if self.cuttentChoose == "加入申请" then
                self.btn_shenqing:setSelected(true);
            end
        end
       
    end
    -- 添加事件监听函数
    self.btn_shenqing:addEventListener(shenqingClick)

    
    local sousuoClick = function (  sender,eventType )
        AudioManager.playButton();
        print("btn_sousuo clickcallback")
        -- gameTcp:SendMessage(MSG_C2S_GUILD_GetList,{});
        -- dispatchGlobaleEvent("controler_ui_guild_infolist", "setUIVisible", {visibleType="hideAll"})
        -- -- 显示领地列表信息
        -- dispatchGlobaleEvent("controler_ui_guild_lingdi", "setUIVisible", {visibleType="hideAll"})
        -- -- 关闭加入申请列表信息
        -- dispatchGlobaleEvent("controler_ui_guild_join_shenqing", "setUIVisible", {visibleType="hideAll"})
        -- -- 关闭搜索列表信息
        -- dispatchGlobaleEvent("controler_ui_guild_sousuo", "setUIVisible", {visibleType="showAll"})
        dispatchGlobaleEvent("ui_guild_layer", "update_guild_sousuo")
        MAIN_PLAYER:getGuild():set_all_guild( {} );

        dispatchGlobaleEvent("controler_ui_guild_sousuo", "updateViewShow");

        if eventType == ccui.CheckBoxEventType.selected then
            self:_OnCheckBos( "搜索" )
        elseif eventType == ccui.CheckBoxEventType.unselected then
            if self.cuttentChoose == "搜索" then
                self.btn_sousuo:setSelected(true);
            end
        end
    end
    -- 添加事件监听函数
    self.btn_sousuo:addEventListener(sousuoClick)

    -- 
    if Guild_Assistant < MAIN_PLAYER:getBaseAttr():getPost() then
        self.btn_parts:setVisible(false);
        self.btn_shenqing:setVisible(false);
    else
        self.btn_parts:setVisible(true);
        self.btn_shenqing:setVisible(true);
    end
end

function controler_ui_guild_top_btn:_OnCheckBos( parame )
    
    self.btn_member:setSelected(false);
    self.btn_parts:setSelected(false);
    self.btn_shenqing:setSelected(false);
    self.btn_sousuo:setSelected(false);
    
    if parame == "成员列表" then
        self.btn_member:setSelected(true);
    end

    if parame == "领地" then
        print("===领地")
        self.btn_parts:setSelected(true);
    end

    if parame == "加入申请" then
        self.btn_shenqing:setSelected(true);
    end

    if parame == "搜索" then
        self.btn_sousuo:setSelected(true);
    end
    if parame == self.cuttentChoose then
        return;
    end
    self.cuttentChoose = parame
   
    self:_OnDisplayItem( self.cuttentChoose )
end

-- 切换显示界面
function controler_ui_guild_top_btn:_OnDisplayItem( parame )

    print("_OnDisplayItem=====111111111111111111",parame)
    -- 关闭创建公会
    dispatchGlobaleEvent("controler_ui_guild_create", "setUIVisible", {visibleType="hideAll"})
    -- 关闭成员列表信息
    dispatchGlobaleEvent("controler_ui_guild_infolist", "setUIVisible", {visibleType="hideAll"})
    -- 关闭领地列表信息
    dispatchGlobaleEvent("controler_ui_guild_lingdi", "setUIVisible", {visibleType="hideAll"})
    -- 关闭加入申请列表信息
    dispatchGlobaleEvent("controler_ui_guild_join_shenqing", "setUIVisible", {visibleType="hideAll"})
    -- 显示搜索列表信息
    dispatchGlobaleEvent("controler_ui_guild_sousuo", "setUIVisible", {visibleType="hideAll"})
    if parame == "成员列表" then
        local guild_obj = MAIN_PLAYER:getGuild();
        if not guild_obj then
            dispatchGlobaleEvent("controler_ui_guild_create", "setUIVisible", {visibleType="showAll"})
        else
            local _id = guild_obj:getname();
            print(_id);
            if NULL_GUID~=guild_obj:getname() then
                dispatchGlobaleEvent("controler_ui_guild_infolist", "setUIVisible", {visibleType="showAll"})
            else
                dispatchGlobaleEvent("controler_ui_guild_create", "setUIVisible", {visibleType="showAll"})
            end
        end
    elseif parame == "领地" then
        dispatchGlobaleEvent("ui_guild_layer", "update_guild_lingdi")
        local guild_obj = MAIN_PLAYER:getGuild();
        if not guild_obj then
            dispatchGlobaleEvent("controler_ui_guild_create", "setUIVisible", {visibleType="showAll"})
        else
            local _id = guild_obj:getname();
            print(_id);
            if NULL_GUID~=guild_obj:getname() then
                dispatchGlobaleEvent("controler_ui_guild_lingdi", "setUIVisible", {visibleType="showAll"})
            else
                dispatchGlobaleEvent("controler_ui_guild_create", "setUIVisible", {visibleType="showAll"})
            end
        end
        
    elseif parame == "加入申请" then
        dispatchGlobaleEvent("ui_guild_layer", "update_guild_join_shenqing")
        local guild_obj = MAIN_PLAYER:getGuild();
        if not guild_obj then
            dispatchGlobaleEvent("controler_ui_guild_create", "setUIVisible", {visibleType="showAll"})
        else
            local _id = guild_obj:getname();
            print(_id);
            if NULL_GUID~=guild_obj:getname() then
                dispatchGlobaleEvent("controler_ui_guild_join_shenqing", "setUIVisible", {visibleType="showAll"})
            else
                dispatchGlobaleEvent("controler_ui_guild_create", "setUIVisible", {visibleType="showAll"})
            end
        end
        
        --todo
    elseif parame == "搜索" then
        dispatchGlobaleEvent("ui_guild_layer", "update_guild_sousuo")
        local guild_obj = MAIN_PLAYER:getGuild();
        if not guild_obj then
            dispatchGlobaleEvent("controler_ui_guild_create", "setUIVisible", {visibleType="showAll"})
        else
            local _id = guild_obj:getname();
            print(_id);
            if NULL_GUID~=guild_obj:getname() then
                dispatchGlobaleEvent("controler_ui_guild_sousuo", "setUIVisible", {visibleType="showAll"})
            else
                dispatchGlobaleEvent("controler_ui_guild_create", "setUIVisible", {visibleType="showAll"})
            end
        end
    end
end

function controler_ui_guild_top_btn:_onSetUIVisible( event )
    local eventUseData = event._usedata
    local visibleType = eventUseData.visibleType

    --隐藏所有
    if visibleType == "hideAll" then
        self._view_node:setVisible(false)

    --显示所有
    elseif visibleType == "showAll" then
        self._view_node:setVisible(true)
    end
end

--更新界面显示
function controler_ui_guild_top_btn:updateViewShow()
    -- self.btn_member:setSelected(false);
    self.btn_parts:setSelected(false);
    self.btn_shenqing:setSelected(false);
    self.btn_sousuo:setSelected(false);
    self.btn_member:setSelected(true);
    local _name = MAIN_PLAYER:getGuild():getname();
    -- print("---------guild_obj:getname()------",MAIN_PLAYER:getGuild():getname());
    if ""==_name then
        -- 没有工会无法打开
        -- self.btn_parts:setTouchEnabled(false);
        -- self.btn_shenqing:setTouchEnabled(false);
        self.btn_parts:setVisible(false);
        self.btn_shenqing:setVisible(false);
    else
        self.btn_parts:setTouchEnabled(true);
        self.btn_shenqing:setTouchEnabled(true);
        printLog("网路日志",
            "[更新顶部按钮状态] updateViewShow==========官职为: %d", 
            MAIN_PLAYER:getBaseAttr():getPost()
        )
    
        if Guild_Assistant < MAIN_PLAYER:getBaseAttr():getPost() then
            self.btn_parts:setVisible(false);
            self.btn_shenqing:setVisible(false);
        else
            self.btn_parts:setVisible(true);
            self.btn_shenqing:setVisible(true);
        end
    end
    self.cuttentChoose = "成员列表";

end

--更新界面显示
function controler_ui_guild_top_btn:updateredsign()

    print("======"..MAIN_PLAYER:getGuild():Getapplynum())
    if 0<MAIN_PLAYER:getGuild():Getapplynum() then
        self.img_sign:setVisible(true);
    else
        self.img_sign:setVisible(false);
    end
end

return controler_ui_guild_top_btn
