--
-- Author: zang qing 
-- Date: 2016-1-12 14:20:26
-- 地图信息item


local guild_lingdi_item = class("guild_lingdi_item")

function guild_lingdi_item:ctor(node)
	
	self._rootNode = node
	-- self._rootNode:setContentSize(visibleSize)
	-- ccui.Helper:doLayout(self._rootNode)

	self:init()

	self:_registUIEvent()

end

function guild_lingdi_item:init()
	-- body
	-- self._rootNode:setCascadeOpacityEnabled(true)
end

function guild_lingdi_item:getResourceNode()
	-- body
	return self._rootNode
end

function guild_lingdi_item:_registUIEvent()
	-- body
	local img_back = self._rootNode:getChildByName("img_back")
	local function imageClick(sender, eventType)
		-- body
		
		if eventType == ccui.TouchEventType.began then
			AudioManager.playButton();
	    elseif eventType == ccui.TouchEventType.moved then

	    elseif eventType == ccui.TouchEventType.ended then
	        if self.clickItemListen then
				self.clickItemListen(self._rootNode);
			end
	    elseif eventType == ccui.TouchEventType.canceled then

	    end
	end
	img_back:addTouchEventListener(imageClick)
	-- local button1 = self._rootNode:getChildByName("Image_1")
	-- local function button_1Clicked(sender, eventType)
	-- 	-- body
	-- 	if eventType == ccui.TouchEventType.began then
	--         globalTouchEvent(sender,eventType)
	--     elseif eventType == ccui.TouchEventType.moved then
	--         globalTouchEvent(sender,eventType)
	--     elseif eventType == ccui.TouchEventType.ended then
	--         if globalTouchEvent(sender,eventType) then
				
	--         end
	--     elseif eventType == ccui.TouchEventType.canceled then

	--     end
	-- end
	-- button1:addTouchEventListener(button_1Clicked)
	self.img_bottom = self._rootNode:getChildByName("img_bottom");
	-- 升级
	self.btn_lvup = self.img_bottom:getChildByName("btn_lvup");
	local function btn_lvupClicked(sender, eventType)
		-- 升级
		AudioManager.playButton();
		print("=======>升级庇护所: ", self.data.index)
		local she_cfg = GetShelterCfg(self.data.level+1);
		local lvup_cost = she_cfg.gold;

        UIManager:CreatePrompt_Operate_1( {
            mark = "build_delete",--接口类型标示
            title = "确认提示",--标题
            content = "  升级庇护所需要 "..lvup_cost.." 的资源, 是否确定升级?",--描述文字
            eventlogic = "",--绑定逻辑
            eventlist = "",--注册事件列表
            displayType = 1,
            listenButton = function ( result )
                -- 1 表示选择1按钮 2表示选择按钮
                if result == 1 then
                   gameTcp:SendMessage(MSG_C2S_GUILD_Shelter_lvup,{self.data.index,});
                end
            end
        } )
		
	end
	self.btn_lvup:addClickEventListener(btn_lvupClicked)
end

--是否显示附件信息
function guild_lingdi_item:setShowAppendInfo( isshow )
	self.img_bottom:setVisible(isshow);
end
--[[更新数据
	data 显示数据
]]
function guild_lingdi_item:update(index, data)
	self.data = data
	self.data.index = index
	print_tab(self.data);
	-- --更新名次 
	self.set_state = self._rootNode:getChildByName("img_set"):getChildByName("txt_set");
	if 1==self.data.isset then
		self.set_state:setString("已放置");
	else
		self.set_state:setString("未放置");
	end
	--更新庇护所等级
	self.bihusuo_lv = self._rootNode:getChildByName("txt_level_0");
	self.bihusuo_lv:setString(self.data.level);

	--更新地块等级
	self.dikuai_lv = self._rootNode:getChildByName("txt_level");
	self.dikuai_lv:setString(self.data.place_lv);

	--所在地名
	self.dikuai_name = self._rootNode:getChildByName("txt_lingdi");
	if self.data.place then
		print("=========================self.data.place", self.data.place)
		self.dikuai_name:setString(self.data.place);
	else
		self.dikuai_name:setString("");
	end

	--金钱显示
	self.txt_gold = self._rootNode:getChildByName("bar_gold"):getChildByName("txt_gold");
	local show_gold = tostring(self.data.gold).."/"..tostring(GetShelterCfg(self.data.level).vol);
	self.txt_gold:setString(show_gold);

	--血量显示
	self.txt_hp = self._rootNode:getChildByName("bar_hp"):getChildByName("txt_hp");
	local show_hp = tostring(GetShelterCfg(self.data.level).hp);
	self.txt_hp:setString(show_hp);
end

function guild_lingdi_item:setClickListen( listener )
	self.clickItemListen = listener;
end

return guild_lingdi_item
