--
-- Author: zang qing
-- Date: 2016-1-12 14:20:26
-- 地图信息item


local guild_shenqing_item = class("guild_shenqing_item")

function guild_shenqing_item:ctor(node)
	
	self._rootNode = node
	-- self._rootNode:setContentSize(visibleSize)
	-- ccui.Helper:doLayout(self._rootNode)

	self:init()
	self:_registGlobalEventListeners()
	self:_registUIEvent()

end

function guild_shenqing_item:init()
	-- body
	-- self._rootNode:setCascadeOpacityEnabled(true)
end

function guild_shenqing_item:getResourceNode()
	-- body
	return self._rootNode
end
function guild_shenqing_item:_registGlobalEventListeners()
    self._globalEventListeners = {}
    local configs = {
        {modelName = "head", eventName = "update", callBack=handler(self, self.registerHeadUpdate)},
    }
    self._globalEventListeners = createGlobalEventListenerWithConfig(configs)
    -- dispatchGlobaleEvent("controler_ui_map_info_guild", "setUIVisible", {visibleType="hideAll"})
end
function guild_shenqing_item:_registUIEvent()

	local img_back = self._rootNode:getChildByName("img_back")
	local function imageClick(sender, eventType)
		-- body
		
		if eventType == ccui.TouchEventType.began then
			AudioManager.playButton();
	    elseif eventType == ccui.TouchEventType.moved then

	    elseif eventType == ccui.TouchEventType.ended then
	        if self.clickItemListen then
				self.clickItemListen(self._rootNode);
			end
	    elseif eventType == ccui.TouchEventType.canceled then

	    end
	end
	img_back:addTouchEventListener(imageClick)

	self.img_bottom = self._rootNode:getChildByName("img_bottom");

	-- 同意
	self.btn_agree = self.img_bottom:getChildByName("btn_agree");
	local function btn_agreeClicked(sender, eventType)
		-- 同意加入
		AudioManager.playButton();
		if Guild_Assistant >= MAIN_PLAYER:getBaseAttr():getPost() then
			gameTcp:SendMessage(MSG_C2S_GUILD_AgreeJoin,{self.data.id,});
		end
	end
	self.btn_agree:addClickEventListener(btn_agreeClicked)

	-- 拒绝
	self.btn_refuse = self.img_bottom:getChildByName("btn_refuse");
	local function btn_refuseClicked(sender, eventType)
		-- 拒绝加入
		AudioManager.playButton();
		if Guild_Assistant >= MAIN_PLAYER:getBaseAttr():getPost() then
			print("======拒绝加入")
			gameTcp:SendMessage(MSG_C2S_GUILD_RejectJoin,{self.data.id,});
		end
	end
	self.btn_refuse:addClickEventListener(btn_refuseClicked)
end

--是否显示附件信息
function guild_shenqing_item:setShowAppendInfo( isshow )
	self.img_bottom:setVisible(isshow);
end

--[[更新数据
	data 显示数据
]]
function guild_shenqing_item:update(data)
	self.data = data
	--更新显示信息
	print_tab(self.data)
	--更新头像
	local headRes = ManagerHeadRes:LoadHeadRes( self.data.head_id )
	if headRes then
		local headImage = self._rootNode:getChildByName("img_guild_icon"):getChildByName("img_head");
		headImage:loadTexture(headRes);
	end

	self.img_sex = self._rootNode:getChildByName("img_sex");
	if 1==self.data.sex then
		-- 男的
		self.img_sex:loadTexture("ui_image/solder/nan.png",ccui.TextureResType.localType)
	else
		self.img_sex:loadTexture("ui_image/solder/nv.png",ccui.TextureResType.localType)
	end

	--成员等级
	self.txt_level = self._rootNode:getChildByName("txt_level");
	self.txt_level:setString(self.data.level);

	--成员昵称
	self.txt_name = self._rootNode:getChildByName("txt_name");
	self.txt_name:setString(self.data.name);

	--职位
	self.txt_zhiwei = self._rootNode:getChildByName("txt_zhiwei");
	if Guild_Boss==self.data.post then
		print("=========================self.data.place", self.data.place)
		self.txt_zhiwei:setString("会长");
	elseif Guild_Assistant==self.data.post then
		self.txt_zhiwei:setString("副会长");
	elseif Guild_Member==self.data.post then
		self.txt_zhiwei:setString("会员");
	end

	--金钱显示
	self.Text_4 = self._rootNode:getChildByName("Text_4");
	self.Text_4:setString(self.data.towerlv);
end

function guild_shenqing_item:setClickListen( listener )
	self.clickItemListen = listener;
end

--更新头像
function guild_shenqing_item:upDateHeadImage(  )
	local headImage = self._rootNode:getChildByName("img_guild_icon"):getChildByName("img_head");
	headImage:loadTexture(ManagerHeadRes:getHeadResPath( self.data.head_id ));
end

function guild_shenqing_item:registerHeadUpdate( event )
	local headGuid = event._usedata[1]
	if headGuid ~= self.data.head_id then
		return;
	end
	self:upDateHeadImage();
end

return guild_shenqing_item
