--
-- Author: zangqing
-- Date: 2016-01-11 20:00:38
-- 公会系统

local class_ui_guild_layer = import(".controler_guildUILayer.ui_guild_layer")


local guildSystem = class("guildSystem")


function guildSystem:ctor()
    self:_initModels()
    self:_registGlobalEventListeners()
end


function guildSystem:_initModels()
    self._controlerMap = {}
    self:_initDynamicResConfig()
end


function guildSystem:_initDynamicResConfig()
    -- ResConfig["ui_image/guyong/widget"] = {
    --  restype = "plist",
    --  respath = "ui_image/guyong/widget/",
    --  res = {"guyong_plist"}
    -- }

    -- self._dynamicResConfigIDs = {
    --  "ui_image/guyong/widget",
    -- }
end


function guildSystem:_registGlobalEventListeners()
    -- body
    -- 注册消息便于其他系统进行调用modelName模块名称，eventName事件名称
    self._globalEventListeners = {}
    local configs = {
        {modelName = "guildSystem", eventName = "Create", callBack=handler(self, self.Create)},
        {modelName = "guildSystem", eventName = "close", callBack=handler(self, self.Close)},
    }
    self._globalEventListeners = createGlobalEventListenerWithConfig(configs)
end


function guildSystem:Create(msgData)
    print("创建地图信息系统")
    self.data = msgData;
    self.scene = APP:getCurScene()
    self.contrl_view =  class_ui_guild_layer.new();
    self.scene:addChildToLayer(LAYER_ID_UITop, self.contrl_view)
        
    -- GLOBAL_COMMON_ACTION:popupOut({node=contrl_view:getView()})
end

function guildSystem:Close(  )
    self.contrl_view:removeFromParent();
end




function guildSystem.getInstance()
    if guildSystem.instance == nil then
        guildSystem.instance = guildSystem.new()
    end

    return guildSystem.instance
end


guildSystemInstance = guildSystem.getInstance()


return guildSystem
