--
-- Author: zangqing
-- Date: 2016-01-10 10:59:38
-- 角色升级系统

local class_ui_pop_layer = import(".ui_pop_layer")


local popSystem = class("popSystem")


function popSystem:ctor()
    self:_initModels()
    self:_registGlobalEventListeners()
end


function popSystem:_initModels()
    self._controlerMap = {}
    self:_initDynamicResConfig()
end


function popSystem:_initDynamicResConfig()
    -- ResConfig["ui_image/guyong/widget"] = {
    --  restype = "plist",
    --  respath = "ui_image/guyong/widget/",
    --  res = {"guyong_plist"}
    -- }

    -- self._dynamicResConfigIDs = {
    --  "ui_image/guyong/widget",
    -- }
end


function popSystem:_registGlobalEventListeners()
    -- body
    -- 注册消息便于其他系统进行调用modelName模块名称，eventName事件名称
    self._globalEventListeners = {}
    local configs = {
        {modelName = "popSystem", eventName = "Create", callBack=handler(self, self.Create)},
    }
    self._globalEventListeners = createGlobalEventListenerWithConfig(configs)
end


function popSystem:Create()
    -- if MAIN_PLAYER:getBaseAttr():getName() ~= MAIN_PLAYER:getBaseAttr():getGUID() then
    --     --todo
    --     return
    -- end
    print("popSystem:Create")
    self.scene = APP:getCurScene()
    local contrl_view =  class_ui_pop_layer.new();
    self.scene:addChildToLayer(LAYER_ID_POPUP, contrl_view)
end




function popSystem.getInstance()
    if popSystem.instance == nil then
        popSystem.instance = popSystem.new()
    end

    return popSystem.instance
end


popSystemInstance = popSystem.getInstance()


return popSystem
