--
-- Author: zangqing
-- Date: 2016-02-15 20:37:59
-- 设置顶部按钮


local controler_ui_install_btn = class("controler_ui_install_btn")

--[[监听全局事件名预览
eventModleName: controler_ui_install_btn
eventName: 
    setUIVisible     --设置显示状态

]]


function controler_ui_install_btn:ctor(mainPage_ui_layer)
    self:_initModels()

    --根层
    self._view_node = mainPage_ui_layer
    -- self._view_node:setContentSize(visibleSize)
    -- ccui.Helper:doLayout(self._view_node)


    self:_createControlerForUI()

    --
    self:_registGlobalEventListeners()

    self:_registNodeEvent()

    self:_registUIEvent()
end


function controler_ui_install_btn:getView()
    return self._view_node
end


function controler_ui_install_btn:_initModels()
    self._controlerMap = {}
end

--创建控制器: UI
function controler_ui_install_btn:_createControlerForUI()
    
end


function controler_ui_install_btn:_registGlobalEventListeners()
    self._globalEventListeners = {}
    local configs = {
        {modelName = "controler_ui_install_btn", eventName = "setUIVisible", callBack=handler(self, self._onSetUIVisible)},
        -- {modelName = "netMsg", eventName = tostring(MSG_MS2C_INTERACT_ADD), callBack=handler(self, self.addNotifyAni)},
    }
    self._globalEventListeners = createGlobalEventListenerWithConfig(configs)
end




--注册节点事件
function controler_ui_install_btn:_registNodeEvent()
    local function onNodeEvent(event)
        if "exit" == event then
            self:_removeAllGlobalEventListeners()
        end
    end
    self._view_node:registerScriptHandler(onNodeEvent)
end


--移除全局事件监听器
function controler_ui_install_btn:_removeAllGlobalEventListeners()
    for k,v in pairs(self._globalEventListeners) do
        GLOBAL_EVENT_DISPTACHER:removeEventListener(v)
    end
end

function controler_ui_install_btn:_registUIEvent()
    -- 新闻
    self.btn_news = self._view_node:getChildByName("btn_news")
    -- 设置
    self.btn_sets = self._view_node:getChildByName("btn_sets")
    -- 分享
    self.btn_share = self._view_node:getChildByName("btn_share")

    self.btn_news:setSelected(false);
    self.btn_sets:setSelected(true);
    self.btn_share:setSelected(false);
   
    local newsClick = function(sender,eventType)
        print("btn_news clickcallback")
        if eventType == ccui.CheckBoxEventType.selected then
            self:_OnCheckBos( "新闻" )
            AudioManager.playButton();
        elseif eventType == ccui.CheckBoxEventType.unselected then
            if self.cuttentChoose == "新闻" then
                self.btn_news:setSelected(true);
            end
        end
        -- 显示新闻界面
        dispatchGlobaleEvent("controler_ui_install_news", "setUIVisible", {visibleType="showAll"})
        -- 关闭设置界面
        dispatchGlobaleEvent("controler_ui_install_set", "setUIVisible", {visibleType="hideAll"})
        -- 关闭分享界面
        dispatchGlobaleEvent("controler_ui_install_fenxiang", "setUIVisible", {visibleType="hideAll"})
    end
    -- 添加事件监听函数
    self.btn_news:addEventListener(newsClick)

    
    local setsClick = function (sender,eventType)
        print("btn_sets clickcallback")
        if eventType == ccui.CheckBoxEventType.selected then
            self:_OnCheckBos( "设置" )
            AudioManager.playButton();
        elseif eventType == ccui.CheckBoxEventType.unselected then
            if self.cuttentChoose == "设置" then
                self.btn_sets:setSelected(true);
            end
        end
        -- 关闭新闻界面
        dispatchGlobaleEvent("controler_ui_install_news", "setUIVisible", {visibleType="hideAll"})
        -- 显示设置界面
        dispatchGlobaleEvent("controler_ui_install_set", "setUIVisible", {visibleType="showAll"})
        -- 关闭分享界面
        dispatchGlobaleEvent("controler_ui_install_fenxiang", "setUIVisible", {visibleType="hideAll"})
    end
    -- 添加事件监听函数
    self.btn_sets:addEventListener(setsClick)

    
    local shareClick = function (sender,eventType)
        print("btn_share clickcallback")
        if eventType == ccui.CheckBoxEventType.selected then
            self:_OnCheckBos( "分享" )
            AudioManager.playButton();
        elseif eventType == ccui.CheckBoxEventType.unselected then
            if self.cuttentChoose == "分享" then
                self.btn_share:setSelected(true);
            end
        end
        -- 关闭新闻界面
        dispatchGlobaleEvent("controler_ui_install_news", "setUIVisible", {visibleType="hideAll"})
        -- 关闭设置界面
        dispatchGlobaleEvent("controler_ui_install_set", "setUIVisible", {visibleType="hideAll"})
        -- 显示分享界面
        dispatchGlobaleEvent("controler_ui_install_fenxiang", "setUIVisible", {visibleType="showAll"})
    end
    -- 添加事件监听函数
    self.btn_share:addEventListener(shareClick)

    
    -- -- 公会按钮对象
    -- local btn_guild_info = self._view_node:getChildByName("btn_guild")
    -- local guildinfoClick = function (  )
    --     print("btn_guild_info clickcallback")
    -- end
    -- -- 添加事件监听函数
    -- btn_guild_info:addClickEventListener(guildinfoClick)

    -- -- 任务按钮对象
    -- local btn_mission = self._view_node:getChildByName("btn_mission")
    -- local missionClick = function (  )
    --     print("btn_mission clickcallback")
    -- end
    -- -- 添加事件监听函数
    -- btn_mission:addClickEventListener(missionClick)
end
function controler_ui_install_btn:_OnCheckBos( parame )
    
    self.btn_news:setSelected(false);
    self.btn_sets:setSelected(false);
    self.btn_share:setSelected(false);
    
    -- if parame == "新闻" then
    --     self.button_near:setSelected(true);
    -- end

    if parame == "设置" then
        self.btn_sets:setSelected(true);
        self.btn_share:setSelected(false);
    end

    if parame == "分享" then
        self.btn_share:setSelected(true);
        self.btn_sets:setSelected(false);
        --Lua2J_startShareAction(1,1,"萧萧占领了礼嘉镇","22222","https://123.sogou.com/");
    end

    if parame == self.cuttentChoose then
        return;
    end
    self.cuttentChoose = parame
   
    -- self:_OnDisplayItem( self.cuttentChoose )
end

function controler_ui_install_btn:_onSetUIVisible( event )
    local eventUseData = event._usedata
    local visibleType = eventUseData.visibleType

    --隐藏所有
    if visibleType == "hideAll" then
        self._view_node:setVisible(false)

    --显示所有
    elseif visibleType == "showAll" then
        self._view_node:setVisible(true)
    end
end

--更新界面显示
function controler_ui_install_btn:updateViewShow()
    -- 获得塔防的等级
    -- local playerlv = 10;
    -- -- 等级显示的文本控件
    -- local txt_tower_lv = self._view_node:getChildByName("btn_rect"):getChildByName("info_valuse");

    --更新塔防等级
end


return controler_ui_install_btn
