--
-- Author: zangqing
-- Date: 2016-02-15 10:37:59
-- 分享界面

-- local class_guild_sousuo_item = import(".itemset.guild_sousuo_item")

local controler_ui_install_news = class("controler_ui_install_news")

--[[监听全局事件名预览
eventModleName: controler_ui_map_info_mid
eventName: 
    setUIVisible     --设置显示状态

]]


function controler_ui_install_news:ctor(mainPage_ui_layer)
    self:_initModels()

    --根层
    self._view_node = mainPage_ui_layer
    -- self._view_node:setContentSize(visibleSize)
    -- ccui.Helper:doLayout(self._view_node)


    self:_createControlerForUI()

    --
    self:_registGlobalEventListeners()

    self:_registNodeEvent()

    self:_registUIEvent()

    self:setItemTemple();
end


function controler_ui_install_news:getView()
    return self._view_node
end

function controler_ui_install_news:setItemTemple(  )
    self.ItemTemple = cc.CSLoader:createNode("ui_instance/mapinfolist/viewnode/map_info_item.csb")
    -- 保存到内存
    self.ItemTemple:retain()
end

function controler_ui_install_news:createItem( itemdata )
    -- 复制一个item
    local itemview = self.ItemTemple:getChildByName("item"):clone();
    local item = class_guild_sousuo_item.new(itemview)
    item:update(itemdata);
    return item;
end

--
function controler_ui_install_news:update(listdata)
    -- body
end


function controler_ui_install_news:_initModels()
    self._controlerMap = {}
end

--创建控制器: UI
function controler_ui_install_news:_createControlerForUI()
    
end


function controler_ui_install_news:_registGlobalEventListeners()
    self._globalEventListeners = {}
    local configs = {
        {modelName = "controler_ui_install_news", eventName = "setUIVisible", callBack=handler(self, self._onSetUIVisible)},
        -- {modelName = "netMsg", eventName = tostring(MSG_MS2C_INTERACT_ADD), callBack=handler(self, self.addNotifyAni)},
    }
    self._globalEventListeners = createGlobalEventListenerWithConfig(configs)
    -- dispatchGlobaleEvent("controler_ui_install_news", "setUIVisible", {visibleType="hideAll"})
end


--注册节点事件
function controler_ui_install_news:_registNodeEvent()
    local function onNodeEvent(event)
        if "exit" == event then
            self:_removeAllGlobalEventListeners()
        end
    end
    self._view_node:registerScriptHandler(onNodeEvent)
end


--移除全局事件监听器
function controler_ui_install_news:_removeAllGlobalEventListeners()
    for k,v in pairs(self._globalEventListeners) do
        GLOBAL_EVENT_DISPTACHER:removeEventListener(v)
    end
end

function controler_ui_install_news:_registUIEvent()
    -- 刷新在线玩家列表
   
end


function controler_ui_install_news:_onSetUIVisible( event )
    local eventUseData = event._usedata
    local visibleType = eventUseData.visibleType

    --隐藏所有
    if visibleType == "hideAll" then
        self._view_node:setVisible(false)

    --显示所有
    elseif visibleType == "showAll" then
        self._view_node:setVisible(true)
    end
end

--更新界面显示
function controler_ui_install_news:updateViewShow()
    -- 获得玩家的等级
    -- local playerlv = 10;
    -- -- 等级显示的文本控件
    -- local txt_tower_lv = self._view_node:getChildByName("btn_rect"):getChildByName("info_valuse");

    --更新塔防等级
end


return controler_ui_install_news
