--
-- Author: zangqing
-- Date: 2016-02-15 10:37:59
-- 分享界面

-- local class_guild_sousuo_item = import(".itemset.guild_sousuo_item")

local controler_ui_install_set = class("controler_ui_install_set")

--[[监听全局事件名预览
eventModleName: controler_ui_map_info_mid
eventName: 
    setUIVisible     --设置显示状态

]]


function controler_ui_install_set:ctor(mainPage_ui_layer)
    self:_initModels()

    --根层
    self._view_node = mainPage_ui_layer
    -- self._view_node:setContentSize(visibleSize)
    -- ccui.Helper:doLayout(self._view_node)


    self:_createControlerForUI()

    --
    self:_registGlobalEventListeners()

    self:_registNodeEvent()

    self:_registUIEvent()

    self:setItemTemple();
end


function controler_ui_install_set:getView()
    return self._view_node
end

function controler_ui_install_set:setItemTemple(  )
    self.ItemTemple = cc.CSLoader:createNode("ui_instance/mapinfolist/viewnode/map_info_item.csb")
    -- 保存到内存
    self.ItemTemple:retain()
end

function controler_ui_install_set:createItem( itemdata )
    -- 复制一个item
    local itemview = self.ItemTemple:getChildByName("item"):clone();
    local item = class_guild_sousuo_item.new(itemview)
    item:update(itemdata);
    return item;
end

--
function controler_ui_install_set:update(listdata)
    -- body
end


function controler_ui_install_set:_initModels()
    self._controlerMap = {}
end

--创建控制器: UI
function controler_ui_install_set:_createControlerForUI()
    
end


function controler_ui_install_set:_registGlobalEventListeners()
    self._globalEventListeners = {}
    local configs = {
        {modelName = "controler_ui_install_set", eventName = "setUIVisible", callBack=handler(self, self._onSetUIVisible)},
        {modelName = "controler_ui_install_set", eventName = "updateshow", callBack=handler(self, self.updateshow)},
        -- {modelName = "netMsg", eventName = tostring(MSG_MS2C_INTERACT_ADD), callBack=handler(self, self.addNotifyAni)},
    }
    self._globalEventListeners = createGlobalEventListenerWithConfig(configs)
    -- dispatchGlobaleEvent("controler_ui_install_set", "setUIVisible", {visibleType="hideAll"})
end


--注册节点事件
function controler_ui_install_set:_registNodeEvent()
    local function onNodeEvent(event)
        if "exit" == event then
            self:_removeAllGlobalEventListeners()
        end
    end
    self._view_node:registerScriptHandler(onNodeEvent)
end


--移除全局事件监听器
function controler_ui_install_set:_removeAllGlobalEventListeners()
    for k,v in pairs(self._globalEventListeners) do
        GLOBAL_EVENT_DISPTACHER:removeEventListener(v)
    end
end

function controler_ui_install_set:updateshow()
    local role_set = MAIN_PLAYER:getBaseAttr():getGameset()
    if role_set.effect==1 then
        self.btn_effect:setSelected(true);
    else
        self.btn_effect:setSelected(false);
    end
    if role_set.music==1 then
        self.btn_music:setSelected(true);
    else
        self.btn_music:setSelected(false);
    end
    if role_set.showguild==1 then
        self.btn_guild:setSelected(true);
    else
        self.btn_guild:setSelected(false);
    end
    if role_set.showtower==1 then
        self.btn_tower:setSelected(true);
    else
        self.btn_tower:setSelected(false);
    end
    if role_set.showarea==1 then
        self.btn_rect:setSelected(true);
    else
        self.btn_rect:setSelected(false);
    end
    if role_set.nofriend==1 then
        self.btn_refuse:setSelected(true);
    else
        self.btn_refuse:setSelected(false);
    end
    if role_set.nearshow==1 then
        self.btn_nearplayer:setSelected(true);
    else
        self.btn_nearplayer:setSelected(false);
    end
end

function controler_ui_install_set:_registUIEvent()
    -- 刷新在线玩家列表
    -- 音效
    self.btn_effect = self._view_node:getChildByName("img_effect_back"):getChildByName("cbtn_chose")
    -- 音乐
    self.btn_music = self._view_node:getChildByName("img_music_back"):getChildByName("cbtn_chose")
    -- 显示公会
    self.btn_guild = self._view_node:getChildByName("img_guild_back"):getChildByName("cbtn_chose")
    -- 显示塔防
    self.btn_tower = self._view_node:getChildByName("img_tower_back"):getChildByName("cbtn_chose")
    -- 显示地块
    self.btn_rect = self._view_node:getChildByName("img_rect_back"):getChildByName("cbtn_chose")
    -- 拒绝好友
    self.btn_refuse = self._view_node:getChildByName("img_refuse_back"):getChildByName("cbtn_chose")
    -- 附近玩家可见
    self.btn_nearplayer = self._view_node:getChildByName("img_nearplayer_back"):getChildByName("cbtn_chose")

    self:updateshow();
    
    local effectClick = function(sender,eventType)
        print("btn_effect clickcallback")
        AudioManager.playButton();
        local res = MAIN_PLAYER:getBaseAttr():getGamesetByname( "effect" )
        if 1==res then
            gameTcp:SendMessage(MSG_C2S_ROLE_Change_Set,{"effect", 0});
        else
            gameTcp:SendMessage(MSG_C2S_ROLE_Change_Set,{"effect", 1});
        end
    end
    -- 添加事件监听函数
    self.btn_effect:addEventListener(effectClick)

    local musicClick = function(sender,eventType)
        print("btn_music clickcallback")
        AudioManager.playButton();
        local res = MAIN_PLAYER:getBaseAttr():getGamesetByname( "music" )
        if 1==res then
            gameTcp:SendMessage(MSG_C2S_ROLE_Change_Set,{"music", 0});
        else
            gameTcp:SendMessage(MSG_C2S_ROLE_Change_Set,{"music", 1});
        end
    end
    -- 添加事件监听函数
    self.btn_music:addEventListener(musicClick)

    local guildClick = function(sender,eventType)
        print("btn_guild clickcallback")
        AudioManager.playButton();
        local res = MAIN_PLAYER:getBaseAttr():getGamesetByname( "showguild" )
        if 1==res then
            gameTcp:SendMessage(MSG_C2S_ROLE_Change_Set,{"showguild", 0});
        else
            gameTcp:SendMessage(MSG_C2S_ROLE_Change_Set,{"showguild", 1});
        end
    end
    -- 添加事件监听函数
    self.btn_guild:addEventListener(guildClick)

    local towerClick = function(sender,eventType)
        print("btn_tower clickcallback")
        AudioManager.playButton();
        local res = MAIN_PLAYER:getBaseAttr():getGamesetByname( "showtower" )
        if 1==res then
            gameTcp:SendMessage(MSG_C2S_ROLE_Change_Set,{"showtower", 0});
        else
            gameTcp:SendMessage(MSG_C2S_ROLE_Change_Set,{"showtower", 1});
        end
    end
    -- 添加事件监听函数
    self.btn_tower:addEventListener(towerClick)

    local rectClick = function(sender,eventType)
        print("btn_rect clickcallback")
        AudioManager.playButton();
        local res = MAIN_PLAYER:getBaseAttr():getGamesetByname( "showarea" )
        if 1==res then
            gameTcp:SendMessage(MSG_C2S_ROLE_Change_Set,{"showarea", 0});
        else
            gameTcp:SendMessage(MSG_C2S_ROLE_Change_Set,{"showarea", 1});
        end
    end
    -- 添加事件监听函数
    self.btn_rect:addEventListener(rectClick)

    local refuseClick = function(sender,eventType)
        print("btn_refuse clickcallback")
        AudioManager.playButton();
        local res = MAIN_PLAYER:getBaseAttr():getGamesetByname( "nofriend" )
        if 1==res then
            gameTcp:SendMessage(MSG_C2S_ROLE_Change_Set,{"nofriend", 0});
        else
            gameTcp:SendMessage(MSG_C2S_ROLE_Change_Set,{"nofriend", 1});
        end
    end
    -- 添加事件监听函数
    self.btn_refuse:addEventListener(refuseClick)

    local nearplayerClick = function(sender,eventType)
        print("btn_nearplayer clickcallback")
        AudioManager.playButton();
        local res = MAIN_PLAYER:getBaseAttr():getGamesetByname( "nearshow" )
        if 1==res then
            gameTcp:SendMessage(MSG_C2S_ROLE_Change_Set,{"nearshow", 0});
        else
            gameTcp:SendMessage(MSG_C2S_ROLE_Change_Set,{"nearshow", 1});
        end
    end
    -- 添加事件监听函数
    self.btn_nearplayer:addEventListener(nearplayerClick)
end

function controler_ui_install_set:_onSetUIVisible( event )
    local eventUseData = event._usedata
    local visibleType = eventUseData.visibleType

    --隐藏所有
    if visibleType == "hideAll" then
        self._view_node:setVisible(false)

    --显示所有
    elseif visibleType == "showAll" then
        self._view_node:setVisible(true)
    end
end

--更新界面显示
function controler_ui_install_set:updateViewShow()
    -- 获得玩家的等级
    -- local playerlv = 10;
    -- -- 等级显示的文本控件
    -- local txt_tower_lv = self._view_node:getChildByName("btn_rect"):getChildByName("info_valuse");

    --更新塔防等级
end


return controler_ui_install_set
