--
-- Author: liyang
-- Date: 2016-01-02 09:37:59
-- 主界面地图层


local controler_mainPage_map_layer = class("controler_mainPage_map_layer")

--[[监听全局事件名预览
eventModleName: controler_mainPage_map_layer
eventName: 
    setUIVisible     --设置显示状态

]]


function controler_mainPage_map_layer:ctor(mainPage_ui_layer)
    self:_initModels()

    local visibleSize = cc.Director:getInstance():getVisibleSize()
    --根层
    self._view_layer = mainPage_ui_layer
    -- self._view_layer:setContentSize(visibleSize)
    -- ccui.Helper:doLayout(self._view_layer)

    --UI容器
    -- self._UIContainer = self._view_layer:getChildByName("UIContainer")
    -- self._UIContainer:setContentSize(visibleSize)
    -- ccui.Helper:doLayout(self._UIContainer)

    self:_createControlerForUI()

    --
    self:_registGlobalEventListeners()

    self:_registNodeEvent()

    self:_registUIEvent()
end


function controler_mainPage_map_layer:getView()
    return self._view_layer
end


function controler_mainPage_map_layer:_initModels()
    self._controlerMap = {}
end

--创建控制器: UI
function controler_mainPage_map_layer:_createControlerForUI()
    --UI右下部分控制器
    -- self._controlerMap.parts_right_bottom = class_controler_mainPage_ui_right_bottom.new(
    --     self:_createUIBottomLayer()
    -- )
    -- --ui右上部分控制器
    -- self._controlerMap.parts_right_top = class_controler_mainPage_ui_right_top.new(
    --     self._view_layer:getChildByName("parts_info")
    -- )
    -- print("controler_mainPage_map_layer 2")
end


function controler_mainPage_map_layer:_registGlobalEventListeners()
    -- self._globalEventListeners = {}
    -- local configs = {
    --     {modelName = "controler_mainPage_map_layer", eventName = "setUIVisible", callBack=handler(self, self._onSetUIVisible)},
    --     {modelName = "netMsg", eventName = tostring(MSG_MS2C_INTERACT_ADD), callBack=handler(self, self.addNotifyAni)},
    -- }
    -- self._globalEventListeners = createGlobalEventListenerWithConfig(configs)
end


--注册节点事件
function controler_mainPage_map_layer:_registNodeEvent()
    local function onNodeEvent(event)
        if "exit" == event then
            self:_removeAllGlobalEventListeners()
        end
    end
    self._view_layer:registerScriptHandler(onNodeEvent)
end


--移除全局事件监听器
function controler_mainPage_map_layer:_removeAllGlobalEventListeners()
    for k,v in pairs(self._globalEventListeners) do
        GLOBAL_EVENT_DISPTACHER:removeEventListener(v)
    end
end

function controler_mainPage_map_layer:_registUIEvent()
    -- local btn_shuaguai = self._view_layer:getChildByName("parts_r_b"):getChildByName("btn_shuaguai")
    -- local shuaguaiClick = function (  )
    --     print("btn_shuaguai clickcallback")
    -- end
    -- btn_shuaguai:addClickEventListener(shuaguaiClick)
end


function controler_mainPage_map_layer:_onSetUIVisible( event )
    local eventUseData = event._usedata
    local visibleType = eventUseData.visibleType

    --隐藏所有
    if visibleType == "hideAll" then
        self._view_layer:setVisible(false)

    --显示所有
    elseif visibleType == "showAll" then
        self._view_layer:setVisible(true)
    end
    
end


return controler_mainPage_map_layer
