--
-- Author: liyang
-- Date: 2016-01-02 09:37:59
-- 主界面UI右边底部模块类


local controler_mainPage_ui_btn_bottonm = class("controler_mainPage_ui_btn_bottonm")

--[[监听全局事件名预览
eventModleName: controler_mainPage_ui_btn_bottonm
eventName: 
    setUIVisible     --设置显示状态

]]


function controler_mainPage_ui_btn_bottonm:ctor(mainPage_ui_layer)
    self:_initModels()

    -- local visibleSize = cc.Director:getInstance():getVisibleSize()
    --根层
    self._viewNode = mainPage_ui_layer
    self._viewNode:setPosition(cc.p(display.cx,0))
    MainPageSystemInstance.scene:addChildToLayer(LAYER_ID_POPUP, self._viewNode)
    self:_createControlerForUI()

    --
    self:_registGlobalEventListeners()
    
    self:_registNodeEvent()
    
    self:_registUIEvent()
end


function controler_mainPage_ui_btn_bottonm:getView()
    return self._viewNode
end


function controler_mainPage_ui_btn_bottonm:_initModels()
    self._controlerMap = {}
end

--创建控制器: UI
function controler_mainPage_ui_btn_bottonm:_createControlerForUI()
    
end


function controler_mainPage_ui_btn_bottonm:_registGlobalEventListeners()
    -- self._globalEventListeners = {}
    local configs = {
        -- {modelName = "controler_mainPage_ui_btn_bottonm", eventName = "setUIVisible", callBack=handler(self, self._onSetUIVisible)},
        {modelName = "controler_mainPage_ui_btn_bottonm", eventName = "updateOneselfpos", callBack=handler(self, self.updateOperate)},
        {modelName = "model_tipManager", eventName = "tipStateChange", callBack=handler(self, self.updateTips)},
        -- {modelName = "controler_mainPage_ui_btn_bottonm", eventName = "showguildtip", callBack=handler(self, self.showguildtip)},
    }
    self._globalEventListeners = createGlobalEventListenerWithConfig(configs)
end




--注册节点事件
function controler_mainPage_ui_btn_bottonm:_registNodeEvent()
    local function onNodeEvent(event)
        if "exit" == event then
            self:_removeAllGlobalEventListeners()
        end
    end
    self._viewNode:registerScriptHandler(onNodeEvent)
end


--移除全局事件监听器
function controler_mainPage_ui_btn_bottonm:_removeAllGlobalEventListeners()
    for k,v in pairs(self._globalEventListeners) do
        GLOBAL_EVENT_DISPTACHER:removeEventListener(v)
    end
end

function controler_mainPage_ui_btn_bottonm:_registUIEvent()
    self.btnListView = self._viewNode:getChildByName("ScrollView_1")
    local sumSize = self.btnListView:getInnerContainerSize();
    local containSize = self.btnListView:getContentSize();
    self.ScrollLen = sumSize.width - containSize.width;
    print("_registUIEvent:",sumSize.width,containSize.width,self.ScrollLen)
    self.IsStartClick = false;--是否点击
    self.IsStartScroll = false;--是否滚动
    self.currentPercent = 0;
    self.checkScrollTime = 1;
    self.checkPercent = 0;
    self.checkMark = false;
    self.checkPos = { x = 360 , y = 0;}
    self.ItemInfo = {};
    self.IsCut = 0;

    self.minMoveDis = 10;--最小移动距离
    self.defend_check_time = 0.2;
    
    self.huadongSoundPlay = false;

    --注册滑动框事件
    self.btnListView:addEventListener(function ( object ,event )
        if event == ccui.ScrollviewEventType.scrolling then
            self.IsStartScroll = true;
            if self.huadongSoundPlay then
                self.huadongSoundPlay = false;
                AudioManager.playSoundByKey("s_huadong")
            end
            
            self.checkScrollTime = self.defend_check_time;
            if not self.checkMark then
                self.checkMark = true;
            end
        end
    end)
    
    local function touchEvent(sender,eventType)
        if eventType == ccui.TouchEventType.began then
            AudioManager.playButton();
            self.IsStartClick = true;
            self.checkMark = true;
            self.checkScrollTime = self.defend_check_time;
            self.huadongSoundPlay = true;
            -- self.IsCut = 0;
            print("Touch Down")
        elseif eventType == ccui.TouchEventType.moved then
            -- self._displayValueLabel:setString("Touch Move")
            print("Touch Move")
        elseif eventType == ccui.TouchEventType.ended then
            -- self._displayValueLabel:setString("Touch Up")
            print("Touch Up")
            self.IsStartClick = false;
        elseif eventType == ccui.TouchEventType.canceled then
            -- self._displayValueLabel:setString("Touch Cancelled")
            print("Touch Cancelled")
            self.IsStartClick = false;
        end
    end
    self.btnListView:addTouchEventListener(touchEvent);

    --注册更新事件
    self.check_Scheduler = GLOBAL_SCHEDULER:scheduleScriptFunc(
            handler(self, self.registerScheduleListen),
            0, 
            false
    )

    self.btn_guild = self.btnListView:getChildByName("btn_guild")
    local guildClick = function (  )
        --公会
        self:chooseBtnDisplayLogic( self.ItemInfo["公会"] )
        AudioManager.playButton();
    end
    self.btn_guild:addClickEventListener(guildClick)
    self.btn_guild.mark = "公会";
    local guildInfo = {};
    guildInfo.dis = self.btn_guild:getPosition();--离显示位置距离
    guildInfo.view = self.btn_guild;
    guildInfo.image_xiao = "ui_image/mainpage_new/dicaidan_gonghui_xiao.png";
    guildInfo.image_da = "ui_image/mainpage_new/dicaidan_gonghui_da.png";
    self.ItemInfo["公会"] = guildInfo;

    self.btn_tower = self.btnListView:getChildByName("btn_tower")
    local towerClick = function (  )
        self:chooseBtnDisplayLogic( self.ItemInfo["塔防"] )
        AudioManager.playButton();
        -- dispatchGlobaleEvent("towerlevelupSystem", "Create", {msgData = msgData})
    end
    self.btn_tower:addClickEventListener(towerClick)
    self.btn_tower.mark = "塔防";

    local towerInfo = {};
    towerInfo.dis = self.btn_tower:getPosition();--离显示位置距离
    towerInfo.view = self.btn_tower;
    towerInfo.image_xiao = "ui_image/mainpage_new/dicaidan_tafang_xiao.png";
    towerInfo.image_da = "ui_image/mainpage_new/dicaidan_tafang_da.png";
    self.ItemInfo["塔防"] = towerInfo;

    self.btn_act = self.btnListView:getChildByName("btn_zhandou")
    local actClick = function ( params )
        print("点击战斗按钮")
        self:chooseBtnDisplayLogic( self.ItemInfo["战斗"] )
        AudioManager.playButton();
    end
    self.btn_act:addClickEventListener(actClick)
    self.btn_act.mark = "战斗";
    local actInfo = {};
    actInfo.dis = self.btn_act:getPosition();--离显示位置距离
    actInfo.view = self.btn_act;
    actInfo.image_xiao = "ui_image/mainpage_new/dicaidan_zhandou_xiao.png";
    actInfo.image_da = "ui_image/mainpage_new/dicaidan_zhandou_da.png";
    self.ItemInfo["战斗"] = actInfo;

    self.btn_liaotian = self.btnListView:getChildByName("btn_liaotian")
    local liaotianClick = function ( params )
        self:chooseBtnDisplayLogic( self.ItemInfo["聊天"] )
        AudioManager.playButton();
    end
    self.btn_liaotian:addClickEventListener(liaotianClick)
    self.btn_liaotian.mark = "聊天";
    local liaotianInfo = {};
    liaotianInfo.dis = self.btn_liaotian:getPosition();--离显示位置距离
    liaotianInfo.view = self.btn_liaotian;
    liaotianInfo.image_xiao = "ui_image/mainpage_new/dicaidan_liaotian_xiao.png";
    liaotianInfo.image_da = "ui_image/mainpage_new/dicaidan_liaotian_da.png";
    self.ItemInfo["聊天"] = liaotianInfo;

    self.btn_team = self.btnListView:getChildByName("btn_team")
    local teamClick = function ( params )
        self:chooseBtnDisplayLogic( self.ItemInfo["队伍"] )
        AudioManager.playButton();
    end
    self.btn_team:addClickEventListener(teamClick)
    self.btn_team.mark = "队伍";
    local teamInfo = {};
    teamInfo.dis = self.btn_team:getPosition();--离显示位置距离
    teamInfo.view = self.btn_team;
    teamInfo.image_xiao = "ui_image/mainpage_new/dicaidan_duiwu_xiao.png";
    teamInfo.image_da = "ui_image/mainpage_new/dicaidan_duiwu_da.png";
    self.ItemInfo["队伍"] = teamInfo;

    self.btn_set = self.btnListView:getChildByName("btn_set")
    local setClick = function ( params )
         self:chooseBtnDisplayLogic( self.ItemInfo["设置"] )
         AudioManager.playButton();
    end
    self.btn_set:addClickEventListener(setClick)
    self.btn_set.mark = "设置";
    local setInfo = {};
    setInfo.dis = self.btn_set:getPosition();--离显示位置距离
    setInfo.view = self.btn_set;
    setInfo.image_xiao = "ui_image/mainpage_new/dicaidan_shezhi_xiao.png";
    setInfo.image_da = "ui_image/mainpage_new/dicaidan_shezhi_da.png";
    self.ItemInfo["设置"] = setInfo;


    self.secondView = self._viewNode:getChildByName("secondview");
    self.secondView:setVisible(false);

    local btnguild = self.secondView:getChildByTag(1);
    local btnAttack = self.secondView:getChildByTag(2);
    local btnTansuo = self.secondView:getChildByTag(3);
    btnguild:addClickEventListener(handler(self, self.onClickLogic))
    btnAttack:addClickEventListener(handler(self, self.onClickLogic))
    btnTansuo:addClickEventListener(handler(self, self.onClickLogic))

    --初始化公会战选择
    self:chooseBtnDisplayLogic( self.ItemInfo["战斗"] )
    -- self.tipsview = self.btn_liaotian:getChildByName("tipimage")
    -- -- 公会申请红点显示
    -- self.guildtipsview = self.btn_guild:getChildByName("tipimage")

    self:updateTips();
end

function controler_mainPage_ui_btn_bottonm:chageBtnState( btn ,state )
    if btn.displayState == state then
        return;
    end
    btn.displayState = state
    if state == 0 then
        btn.view:loadTextures(btn.image_xiao, btn.image_xiao,btn.image_xiao,ccui.TextureResType.plistType);
    else
         btn.view:loadTextures(btn.image_da, btn.image_da,btn.image_da,ccui.TextureResType.plistType);
    end
end

function controler_mainPage_ui_btn_bottonm:registerScheduleListen( time )
    -- if self.IsCut > 0 then
    --     print(self.IsCut)
    --     self.IsCut = self.IsCut - time;
    --     self:setChooseBtnPos();
    --     return;
    -- end
    if not self.checkMark then
        return;
    end
    -- print("check 0")
    --当滚动开始 时检测
    if self.IsStartClick then
        return;
    end
    -- print("check 1")
    if self.IsStartScroll then
        self.checkScrollTime = self.defend_check_time;
        self.IsStartScroll = false;
        return;
    end

    self.checkScrollTime = self.checkScrollTime - time;
    -- print("check 2",self.checkScrollTime)
    if self.checkScrollTime <= 0 then
        --执行一次操作
        self.checkMark = false;
        self.IsCut = 0.2;
        --判断当前在选择点的位置图标
        self:executeCheckLogic()
    end
end


function controler_mainPage_ui_btn_bottonm:executeCheckLogic(  )
    local chooseItem = nil;
    local minDis = 6000;
    local dir = 1;--1向右 2向左
    local moveDis = self.btnListView:getInnerContainer():getPosition();
    for i,v in pairs(self.ItemInfo) do
        --得到距离
        local dis = v.dis + moveDis - self.checkPos.x;
        -- print("===>",dis)
        if math.abs(dis) < minDis then
            minDis = math.abs(dis);
            chooseItem = v;
            if dis > 0 then
                dir = 2;
            else
                dir = 1;
            end
        end
    end
     -- print("选择按钮:",chooseItem.view.mark)
    self:chooseBtnDisplayLogic( chooseItem )
    
end

function controler_mainPage_ui_btn_bottonm:chooseBtnDisplayLogic( choose )
    local dis_1 = choose.dis - self.checkPos.x;
    local percent = dis_1 / self.ScrollLen * 100;--这个值要修改
    self.btnListView:jumpToPercentHorizontal(percent);
    
    if self.currentChooseBtn == choose then
        return;
    end
    self:chageBtnState( choose ,1 )
    if self.currentChooseBtn then
        self:chageBtnState( self.currentChooseBtn ,0 )
    end
    --执行逻辑
    self:onClickLogic( choose.view );
    self:onCloseViewLogic();
    self.currentChooseBtn = choose
end

function controler_mainPage_ui_btn_bottonm:setChooseBtnPos(  )
    local dis_1 = self.currentChooseBtn.dis - self.checkPos.x;
    local percent = dis_1 / self.ScrollLen * 100;--这个值要修改
    self.btnListView:jumpToPercentHorizontal(percent);
end

function controler_mainPage_ui_btn_bottonm:updateOperate(  )
    if self.currentChooseBtn.view.mark == "战斗" then
        self:_onSecondView( "战斗" );
    end
end

--执行二级界面
function controler_mainPage_ui_btn_bottonm:_onSecondView( params )
    print(params)
    if params == "战斗" then
        self.secondView:setVisible(true);
        --公会战显示
        local btnguild = self.secondView:getChildByName("btn_guildzhan");
        if btnguild then
            btnguild:loadTextures("ui_image/mainpage_new/dicaidan_gonghuizhan_second.png", "ui_image/mainpage_new/dicaidan_gonghuizhan_second.png", "",ccui.TextureResType.plistType)
            --拥有工会 职位位会长或副会长 占领者 不是工会
            -- local data = MAP_DATA.TileDrawInfo:getPieceByTilePos( MAIN_PLAYER.baseAttr._MapTile_x , MAIN_PLAYER.baseAttr._MapTile_y );
            if MAIN_PLAYER:getGuild():isHaveGuid() and MAIN_PLAYER.baseAttr:getPost() < 3 and MAIN_PLAYER.baseAttr._playerTileData.guildGuid ~= MAIN_PLAYER:getGuild():getGUID() then
                btnguild:setVisible(true)
                --获得当前地块信息
                
                if string.len(MAIN_PLAYER.baseAttr._playerTileData.guildGuid) == 0 then
                    btnguild.mark = "占领"
                    btnguild:loadTextures("ui_image/mainpage_new/dicaidan_zhanling_second.png", "ui_image/mainpage_new/dicaidan_zhanling_second.png", "",ccui.TextureResType.plistType)
                else
                    btnguild.mark = "公会战"
                end
            else
                btnguild:setVisible(false)
            end
            
        end
        --攻击
        local btnAttack = self.secondView:getChildByTag(2);
        if btnAttack then
            --判断此地块是否有工会 是否 是自己工会
            if string.len(MAIN_PLAYER.baseAttr._playerTileData.guildGuid) > 0 and MAIN_PLAYER.baseAttr._playerTileData.guildGuid ~= MAIN_PLAYER:getGuild():getGUID() then
                btnAttack:loadTextures("ui_image/mainpage_new/dicaidan_gongji_second.png", "ui_image/mainpage_new/dicaidan_gongji_second.png", "",ccui.TextureResType.plistType)
                btnAttack.mark = "攻击"
                btnAttack:setVisible(true)
            else
                btnAttack:setVisible(false)
            end
           
        end
        --探索
        local btnTansuo = self.secondView:getChildByTag(3);
        if btnTansuo then
            btnTansuo:loadTextures("ui_image/mainpage_new/dicaidan_tansuo_second.png", "ui_image/mainpage_new/dicaidan_tansuo_second.png", "",ccui.TextureResType.plistType)
            btnTansuo.mark = "探索"
        end
        print("==>",self.secondView,btnguild,btnAttack)
    end
end

function controler_mainPage_ui_btn_bottonm:onClickLogic( params )
   
    if params.mark == "探索" then
        --发送进行探索战
        AudioManager.playButton();
         dispatchGlobaleEvent( "battlefield" ,"initialize", {
                battleType = Data_Battle.CONST_BATTLE_TYPE_TANSUO,
         });
        
    elseif params.mark == "占领" then
        AudioManager.playButton();
        printInfo("网路日志 %s","地块信息发送-->".."x:".. MAIN_PLAYER.baseAttr._MapTile_x  .."y:"..MAIN_PLAYER.baseAttr._MapTile_y)
        --发送玩家位置信息
        dispatchGlobaleEvent( "battlefield" ,"initialize", {
             battleType = Data_Battle.CONST_BATTLE_TYPE_PLANNING,
            cell_x = MAIN_PLAYER.baseAttr._MapTile_x ,
            cell_y = MAIN_PLAYER.baseAttr._MapTile_y ,
            });
    elseif params.mark == "攻击" then
        AudioManager.playButton();
        --发送进行探索战
        local data = MAP_DATA.TileDrawInfo:getPieceByTilePos( MAIN_PLAYER.baseAttr._MapTile_x , MAIN_PLAYER.baseAttr._MapTile_y );
        if data and string.len(data.occupyname) == 0 then
            UIManager:CreatePrompt_Bar( {
                content = "当前地块无公会"
            } )
        elseif data and string.len(data.occupyname) == MAIN_PLAYER:getGuild():getGUID() then
            UIManager:CreatePrompt_Bar( {
                content = "当前地块为自己公会"
            } )
        else
            dispatchGlobaleEvent( "battlefield" ,"initialize", {
                battleType = Data_Battle.CONST_BATTLE_TYPE_ROB,
            });
        end
         
    elseif params.mark == "公会战" then
         dispatchGlobaleEvent( "battlefield" ,"initialize", {
                battleType = Data_Battle.CONST_BATTLE_TYPE_GUILDACT,
         });
    elseif params.mark == "公会" then
        local guild_obj = MAIN_PLAYER:getGuild();
        if not guild_obj then
            dispatchGlobaleEvent("guildSystem", "Create", {msgData = msgData})
        else
            local _name = guild_obj:getname();
            print("---------guild_obj:getname()------",guild_obj:getname());
            if ""~=_name then
                print("MSG_C2S_GUILD_Info,取得当前军团信息,");
                gameTcp:SendMessage(MSG_C2S_GUILD_Info,{});
            else
                dispatchGlobaleEvent("guildSystem", "Create", {msgData = msgData})
            end
        end
        GAME_MODEL:getTipManager():setTipState( "guild_news", 0 );
        --self:updateTips(  );
    elseif params.mark == "塔防" then
        gameTcp:SendMessage(MSG_C2S_TOWER_GetInfo,{})
        dispatchGlobaleEvent("towerlevelupSystem", "Create", {msgData = msgData})
        dispatchGlobaleEvent("controler_mainPage_ui_btn_bottonm", "tipStateChange")
    elseif params.mark == "战斗" then
         self:_onSecondView( "战斗" )
         dispatchGlobaleEvent("controler_mainPage_ui_btn_bottonm", "tipStateChange")
    elseif params.mark == "聊天" then
        GAME_MODEL:getTipManager():setTipState( "char_news", 0 );
        dispatchGlobaleEvent("chatSystem", "click")
       
    elseif params.mark == "设置" then
        
        dispatchGlobaleEvent("installSystem", "click")
        
    end
    
end

--关闭界面逻辑
function controler_mainPage_ui_btn_bottonm:onCloseViewLogic(  )
    if self.currentChooseBtn == nil then
        return;
    end

    if self.currentChooseBtn.view.mark == "公会" then
         dispatchGlobaleEvent("guildSystem", "close")
    elseif self.currentChooseBtn.view.mark == "战斗" then
        self.secondView:setVisible(false);
    elseif self.currentChooseBtn.view.mark == "聊天" then
        dispatchGlobaleEvent("chatSystem", "close")
    elseif self.currentChooseBtn.view.mark == "塔防" then
        dispatchGlobaleEvent("towerlevelupSystem", "close")
    elseif self.currentChooseBtn.view.mark == "设置" then
        dispatchGlobaleEvent("installSystem", "close")
    end
end

--[[
    更新信息提示框
]]
function controler_mainPage_ui_btn_bottonm:updateTips(  )
    -- if not self.tipsview then
    --     self.tipsview = self.btn_liaotian:getChildByName("tipimage")
    -- end
    -- 公会申请红点显示
    -- if not self.guildtipsview then
    --     self.guildtipsview = self.btn_guild:getChildByName("tipimage")
    -- end
    print(" controler_mainPage_ui_btn_bottonm updateTips",GAME_MODEL:getTipManager()._tipMap["char_news"])
    local tipsview = self.btn_liaotian:getChildByName("tipimage")
    if GAME_MODEL:getTipManager()._tipMap["char_news"] > 0 then
        if self.currentChooseBtn and self.currentChooseBtn.view.mark == "聊天" then
            GAME_MODEL:getTipManager()._tipMap["char_news"] = 0;
            tipsview:setVisible(false)
        else
            tipsview:setVisible(true)
        end
        
    else
        tipsview:setVisible(false)
    end
    
    local tipsview_guild = self.btn_guild:getChildByName("tipimage")
    if GAME_MODEL:getTipManager()._tipMap["guild_news"] > 0 then
        if self.currentChooseBtn and self.currentChooseBtn.view.mark == "公会" then
            GAME_MODEL:getTipManager()._tipMap["guild_news"] = 0;
            tipsview_guild:setVisible(false)
        else
            tipsview_guild:setVisible(true)
        end
        
    else
        tipsview_guild:setVisible(false)
    end
    --print("---------MAIN_PLAYER:getGuild():Getapplynum()----",MAIN_PLAYER:getGuild():Getapplynum());
    -- if MAIN_PLAYER:getGuild():Getapplynum() > 0 then
    --     self.guildtipsview:setVisible(true)
    -- else
    --     self.guildtipsview:setVisible(false)
    -- end
end

-- function controler_mainPage_ui_btn_bottonm:showguildtip(  )
--     -- 公会申请红点显示
--     print("---------showguildtip-");
--     if not self.guildtipsview then
--         self.guildtipsview = self.btn_guild:getChildByName("tipimage")
--     end
--     self.guildtipsview:setVisible(true);
-- end


function controler_mainPage_ui_btn_bottonm:_onSetUIVisible( event )
    local eventUseData = event._usedata
    local visibleType = eventUseData.visibleType

    --隐藏所有
    if visibleType == "hideAll" then
        self._viewNode:setVisible(false)

    --显示所有
    elseif visibleType == "showAll" then
        self._viewNode:setVisible(true)
    end
    
end


return controler_mainPage_ui_btn_bottonm
