--
-- Author: liyang
-- Date: 2016-01-02 09:37:59
-- 主界面UI右边上部模块类


local controler_mainPage_ui_info_top = class("controler_mainPage_ui_info_top")

--[[监听全局事件名预览
eventModleName: controler_mainPage_ui_info_top
eventName: 
    setUIVisible     --设置显示状态

]]


function controler_mainPage_ui_info_top:ctor(mainPage_ui_layer)
    self:_initModels()

    --根层
    self._view_node = mainPage_ui_layer
    -- self._mainPage_ui_layer:setContentSize(visibleSize)
    -- ccui.Helper:doLayout(self._mainPage_ui_layer)


    self:_createControlerForUI()

    --
    self:_registGlobalEventListeners()

    self:_registNodeEvent()

    self:_registUIEvent()

    --经验数值
    -- local str_expvalue = tostring(MAIN_PLAYER:getBaseAttr():getExp()).."/".."999999";
    -- self.showinfo_exp_valuse =  self._view_node:getChildByName("info_exp"):getChildByName("valuse");
    -- self.showinfo_exp_valuse:setString(str_expvalue);
    
end


function controler_mainPage_ui_info_top:getView()
    return self._view_node
end


function controler_mainPage_ui_info_top:_initModels()
    self._controlerMap = {}
end

--创建控制器: UI
function controler_mainPage_ui_info_top:_createControlerForUI()
    
end


function controler_mainPage_ui_info_top:_registGlobalEventListeners()
    self._globalEventListeners = {}
    local configs = {
        {modelName = "controler_mainPage_ui_info_top", eventName = "setUIVisible", callBack=handler(self, self._onSetUIVisible)},
        {modelName = "controler_mainPage_ui_info_top", eventName = "updateViewShowExp", callBack=handler(self, self.updateViewShowExp)},
        {modelName = "controler_mainPage_ui_info_top", eventName = "updateViewShowGold", callBack=handler(self, self.updateViewShowGold)},
        {modelName = "controler_mainPage_ui_info_top", eventName = "updateViewShowYuanBao", callBack=handler(self, self.updateViewShowYuanBao)},
        {modelName = "head", eventName = "update", callBack=handler(self, self.registerUpdateHead)},
        {modelName = "head", eventName = "updatemyhead", callBack=handler(self, self.registerUpdateHead_1)},
        -- {modelName = "netMsg", eventName = tostring(MSG_MS2C_INTERACT_ADD), callBack=handler(self, self.addNotifyAni)},
    }
    self._globalEventListeners = createGlobalEventListenerWithConfig(configs)
end




--注册节点事件
function controler_mainPage_ui_info_top:_registNodeEvent()
    local function onNodeEvent(event)
        if "exit" == event then
            self:_removeAllGlobalEventListeners()
        end
    end
    self._view_node:registerScriptHandler(onNodeEvent)
end


--移除全局事件监听器
function controler_mainPage_ui_info_top:_removeAllGlobalEventListeners()
    for k,v in pairs(self._globalEventListeners) do
        GLOBAL_EVENT_DISPTACHER:removeEventListener(v)
    end
end

function controler_mainPage_ui_info_top:_registUIEvent()

    self.showinfo_exp =  self._view_node:getChildByName("info_exp");

    self.showinfo_gold = self._view_node:getChildByName("info_gold");

    self.showinfo_yuanbao = self._view_node:getChildByName("info_yuanbao");

    local btn_yuanbao_add = self.showinfo_yuanbao:getChildByName("btn_add")
    local addyuanbaoClick = function (  )
        print("btn_yuanbao_add clickcallback")
        AudioManager.playButton();
    end
    btn_yuanbao_add:addClickEventListener(addyuanbaoClick)

    -- 头像按钮
    local btn_role_headimg = self.showinfo_exp:getChildByName("btn_head")
    local role_headimgClick = function (  )
        print("btn_role_headimg clickcallback")
        AudioManager.playButton();
        gameTcp:SendMessage(MSG_C2S_SOLDIER_Get,{})
        dispatchGlobaleEvent("rolelevelupSystem", "click")
        
    end
    btn_role_headimg:addClickEventListener(role_headimgClick)

    --=========================================上部显示===================================
    local sex = MAIN_PLAYER:getBaseAttr():getSex();
    local lv_num = MAIN_PLAYER:getBaseAttr():getLv();

    self.head_img = self._view_node:getChildByName("info_exp"):getChildByName("head_img")
    -- print(" ====根据性别换头像",sex)
    local myHeadPath = ManagerHeadRes:LoadHeadRes( MAIN_PLAYER:getBaseAttr():getHeadGUid() )
    if myHeadPath then
        self.head_img:loadTexture(myHeadPath,ccui.TextureResType.localType)
    end
    -- if 1==sex then
    --     -- 男的
    --     print(" 性别男的：",sex)
    --     self.head_img:loadTexture("ui_image/common/image/head_b.jpg",ccui.TextureResType.localType)
    -- else
    --     -- 女的
    --     print(" 性别女的：",sex)
    --     self.head_img:loadTexture("ui_image/common/image/head_g.jpg",ccui.TextureResType.localType)
    -- end

    --更新经验
    local exp_num = MAIN_PLAYER:getBaseAttr():getExp();
    local percent = math.floor(exp_num/GetPlayerLvSetup(lv_num).exp * 100)
    
    -- print(" 经验值：%d, 百分比：%f",exp_num, percent)
    
    self.exp_bar = self._view_node:getChildByName("info_exp"):getChildByName("bar")
    self.exp_bar:setPercent(percent)

    --等级
    self.level = self._view_node:getChildByName("info_exp"):getChildByName("img_level"):getChildByName("txt_level")

    self.level:setString(lv_num);
    --======================================金钱================================
    -- 金钱数值
    local goldnum = MAIN_PLAYER:getBaseAttr():getGold();
    local str_goldvalue = tostring(goldnum);
    self.showinfo_gold_valuse =  self._view_node:getChildByName("info_gold"):getChildByName("valuse");
    self.showinfo_gold_valuse:setString(str_goldvalue);
    --======================================元宝================================
    --元宝数值
    local Yuanbaonumber = MAIN_PLAYER:getBaseAttr():getYuanBao();
    local str_yuanbaovalue = tostring(Yuanbaonumber);
    self.showinfo_yuanbao_valuse =  self._view_node:getChildByName("info_yuanbao"):getChildByName("valuse");
    self.showinfo_yuanbao_valuse:setString(str_yuanbaovalue);
    
    -- self:updateViewShowExp()
    -- self:updateViewShowGold()
    -- self:updateViewShowYuanBao()
end

function controler_mainPage_ui_info_top:registerUpdateHead( event )
    local headGuid = event._usedata[1]
    if headGuid ~= MAIN_PLAYER:getBaseAttr():getHeadGUid() then
        return;
    end
    self.head_img:loadTexture(ManagerHeadRes:getHeadResPath( MAIN_PLAYER:getBaseAttr():getHeadGUid() ),ccui.TextureResType.localType)
end

function controler_mainPage_ui_info_top:registerUpdateHead_1( event )
    local headGuid = event._usedata[1]
    if headGuid ~= MAIN_PLAYER:getBaseAttr():getHeadGUid() then
        return;
    end
    print("更新自己头像")
    self.head_img:loadTexture("head/myhead.jpg",ccui.TextureResType.localType)
end

function controler_mainPage_ui_info_top:_onSetUIVisible( event )
    local eventUseData = event._usedata
    local visibleType = eventUseData.visibleType

    --隐藏所有
    if visibleType == "hideAll" then
        self._mainPage_ui_layer:setVisible(false)

    --显示所有
    elseif visibleType == "showAll" then
        self._mainPage_ui_layer:setVisible(true)
    end
end

--更新界面显示
function controler_mainPage_ui_info_top:updateViewShowExp(  )
    -- 头像更新
    local sex = MAIN_PLAYER:getBaseAttr():getSex();
    print(" =================updateViewShowExp=========",sex)
    local lv_num = MAIN_PLAYER:getBaseAttr():getLv();

    -- self.head_img = self._view_node:getChildByName("info_exp"):getChildByName("head_img")
    if 1==sex then
        -- 男的
        print(" 性别男的：",sex)
        -- self.head_img:loadTexture("ui_image/common/image/head_b.jpg", ccui.TextureResType.localType)
    else
        -- 女的
        print(" 性别女的：",sex)
        -- self.head_img:loadTexture("ui_image/common/image/head_g.jpg", ccui.TextureResType.localType)
    end

    --更新经验
    local exp_num = MAIN_PLAYER:getBaseAttr():getExp();
    local percent = math.floor(exp_num/GetPlayerLvSetup(lv_num).exp * 100)
    
    -- print(" 经验值：%d, 百分比：%f",exp_num, percent)
    
    -- self.exp_bar = self._view_node:getChildByName("info_exp"):getChildByName("bar")
    self.exp_bar:setPercent(percent)

    --等级
    -- self.level = self._view_node:getChildByName("info_exp"):getChildByName("img_level"):getChildByName("txt_level")

    self.level:setString(lv_num);
end

--更新界面显示
function controler_mainPage_ui_info_top:updateViewShowGold(  )
    
    -- 金钱数值
    local goldnum = MAIN_PLAYER:getBaseAttr():getGold();
    local str_goldvalue = tostring(goldnum);
    -- self.showinfo_gold_valuse =  self._view_node:getChildByName("info_gold"):getChildByName("valuse");
    self.showinfo_gold_valuse:setString(str_goldvalue);
end

--更新界面显示
function controler_mainPage_ui_info_top:updateViewShowYuanBao(  )
   
    --元宝数值
    local Yuanbaonumber = MAIN_PLAYER:getBaseAttr():getYuanBao();
    local str_yuanbaovalue = tostring(Yuanbaonumber);
    -- self.showinfo_yuanbao_valuse =  self._view_node:getChildByName("info_yuanbao"):getChildByName("valuse");
    self.showinfo_yuanbao_valuse:setString(str_yuanbaovalue);

end

return controler_mainPage_ui_info_top
