--
-- Author: zangqing
-- Date: 2016-01-05 10:37:59
-- 主界面UI左边上部模块类


local controler_mainPage_ui_left_top = class("controler_mainPage_ui_left_top")

--[[监听全局事件名预览
eventModleName: controler_mainPage_ui_left_top
eventName: 
    setUIVisible     --设置显示状态

]]


function controler_mainPage_ui_left_top:ctor(mainPage_ui_layer)
    self:_initModels()

    --根层
    self._view_node = mainPage_ui_layer
    -- self._mainPage_ui_layer:setContentSize(visibleSize)
    -- ccui.Helper:doLayout(self._mainPage_ui_layer)


    self:_createControlerForUI()

    --
    self:_registGlobalEventListeners()

    self:_registNodeEvent()

    self:_registUIEvent()
end


function controler_mainPage_ui_left_top:getView()
    return self._view_node
end


function controler_mainPage_ui_left_top:_initModels()
    self._controlerMap = {}
end

--创建控制器: UI
function controler_mainPage_ui_left_top:_createControlerForUI()
    
end


function controler_mainPage_ui_left_top:_registGlobalEventListeners()
    self._globalEventListeners = {}
    local configs = {
        {modelName = "controler_mainPage_ui_left_top", eventName = "setUIVisible", callBack=handler(self, self._onSetUIVisible)},
        -- {modelName = "netMsg", eventName = tostring(MSG_MS2C_INTERACT_ADD), callBack=handler(self, self.addNotifyAni)},
    }
    self._globalEventListeners = createGlobalEventListenerWithConfig(configs)
end




--注册节点事件
function controler_mainPage_ui_left_top:_registNodeEvent()
    local function onNodeEvent(event)
        if "exit" == event then
            self:_removeAllGlobalEventListeners()
        end
    end
    self._view_node:registerScriptHandler(onNodeEvent)
end


--移除全局事件监听器
function controler_mainPage_ui_left_top:_removeAllGlobalEventListeners()
    for k,v in pairs(self._globalEventListeners) do
        GLOBAL_EVENT_DISPTACHER:removeEventListener(v)
    end
end

function controler_mainPage_ui_left_top:_registUIEvent()
    -- 塔防等级按钮对象
    -- local btn_tower_level = self._view_node:getChildByName("btn_rect")
    -- local towerlevelClick = function()
    --     print("btn_tower_level clickcallback")
    --     dispatchGlobaleEvent("towerlevelupSystem", "click")
    -- end
    -- 添加事件监听函数
    -- btn_tower_level:addClickEventListener(towerlevelClick)

    -- 设置按钮对象
    -- local btn_shezhi = self._view_node:getChildByName("btn_shezhi")
    -- local shezhiClick = function (  )
    --     print("btn_shezhi clickcallback")
    --     -- dispatchGlobaleEvent("installSystem", "click")
    -- end
    -- -- 添加事件监听函数
    -- btn_shezhi:addClickEventListener(shezhiClick)

    -- 公会按钮对象
    -- local btn_guild_info = self._view_node:getChildByName("btn_guild")
    -- local teamClick = function (  )
    --     print("btn_guild_info clickcallback")
    --     dispatchGlobaleEvent("guildSystem", "click")
    -- end
    -- -- 添加事件监听函数
    -- btn_guild_info:addClickEventListener(teamClick)

    -- 任务按钮对象
    -- local btn_mission = self._view_node:getChildByName("btn_mission")
    -- local missionClick = function (  )
    --     print("btn_mission clickcallback")
    -- end
    -- -- 添加事件监听函数
    -- btn_mission:addClickEventListener(missionClick)

    -- 打开聊天框按钮
    -- local btn_open_chat = self._view_node:getChildByName("btn_open_chat")
    -- local openchatClick = function (  )
    --     print("btn_open_chat clickcallback")
    --     dispatchGlobaleEvent("chatSystem", "click")
    -- end
    -- -- 添加事件监听函数
    -- btn_open_chat:addClickEventListener(openchatClick)

    -- 队伍按钮对象
    -- local btn_team = self._view_node:getChildByName("btn_team")
    -- local teamClick = function (  )
    --     print("btn_team clickcallback")
    --     dispatchGlobaleEvent("teamSystem", "click")
    -- end
    -- -- 添加事件监听函数
    -- btn_team:addClickEventListener(teamClick)

end


function controler_mainPage_ui_left_top:_onSetUIVisible( event )
    local eventUseData = event._usedata
    local visibleType = eventUseData.visibleType

    --隐藏所有
    if visibleType == "hideAll" then
        self._mainPage_ui_layer:setVisible(false)

    --显示所有
    elseif visibleType == "showAll" then
        self._mainPage_ui_layer:setVisible(true)
    end
end

--更新界面显示
function controler_mainPage_ui_left_top:updateViewShow()
    -- 获得塔防的等级
    local playerlv = 10;
    -- 等级显示的文本控件
    local txt_tower_lv = self._view_node:getChildByName("btn_rect"):getChildByName("info_valuse");

    --更新塔防等级
end


return controler_mainPage_ui_left_top
