--
-- Author: liyang
-- Date: 2016-01-09 10:59:38
-- 地图信息系统

local class_ui_map_info_layer = import(".controler_partUILayer.ui_map_info_layer")


local mapInfoSystem = class("mapInfoSystem")


function mapInfoSystem:ctor()
    self:_initModels()
    self:_registGlobalEventListeners()
end


function mapInfoSystem:_initModels()
    self._controlerMap = {}
    self:_initDynamicResConfig()
end


function mapInfoSystem:_initDynamicResConfig()
    -- ResConfig["ui_image/guyong/widget"] = {
    --  restype = "plist",
    --  respath = "ui_image/guyong/widget/",
    --  res = {"guyong_plist"}
    -- }

    -- self._dynamicResConfigIDs = {
    --  "ui_image/guyong/widget",
    -- }
end


function mapInfoSystem:_registGlobalEventListeners()
    -- body
    -- 注册消息便于其他系统进行调用modelName模块名称，eventName事件名称
    self._globalEventListeners = {}
    local configs = {
        {modelName = "mapInfoSystem", eventName = "click", callBack=handler(self, self.Create)},
    }
    self._globalEventListeners = createGlobalEventListenerWithConfig(configs)
end


function mapInfoSystem:Create()
    print("创建地图信息系统")
    self.scene = APP:getCurScene()
    local contrl_view =  class_ui_map_info_layer.new();
    self.scene:addChildToLayer(LAYER_ID_POPUP, contrl_view)
        
    -- GLOBAL_COMMON_ACTION:popupOut({node=contrl_view:getView()})
end




function mapInfoSystem.getInstance()
    if mapInfoSystem.instance == nil then
        mapInfoSystem.instance = mapInfoSystem.new()
    end

    return mapInfoSystem.instance
end


mapInfoSystemInstance = mapInfoSystem.getInstance()


return mapInfoSystem
