--
-- Author: zangqing
-- Date: 2016-01-10 10:59:38
-- 角色升级系统

local class_ui_role_lvup_layer = import(".ui_role_lvup_layer")


local rolelevelupSystem = class("rolelevelupSystem")


function rolelevelupSystem:ctor()
    self:_initModels()
    self:_registGlobalEventListeners()
end


function rolelevelupSystem:_initModels()
    self._controlerMap = {}
    self:_initDynamicResConfig()
end


function rolelevelupSystem:_initDynamicResConfig()
    -- ResConfig["ui_image/guyong/widget"] = {
    --  restype = "plist",
    --  respath = "ui_image/guyong/widget/",
    --  res = {"guyong_plist"}
    -- }

    -- self._dynamicResConfigIDs = {
    --  "ui_image/guyong/widget",
    -- }
end


function rolelevelupSystem:_registGlobalEventListeners()
    -- body
    -- 注册消息便于其他系统进行调用modelName模块名称，eventName事件名称
    self._globalEventListeners = {}
    local configs = {
        {modelName = "rolelevelupSystem", eventName = "click", callBack=handler(self, self.Create)},
    }
    self._globalEventListeners = createGlobalEventListenerWithConfig(configs)
end


function rolelevelupSystem:Create()
    print("创建角色升级系统")
    self.scene = APP:getCurScene()
    local contrl_view =  class_ui_role_lvup_layer.new();

    self.scene:addChildToLayer(LAYER_ID_POPUP, contrl_view)
        
    -- GLOBAL_COMMON_ACTION:popupOut({node=contrl_view:getView()})
end




function rolelevelupSystem.getInstance()
    if rolelevelupSystem.instance == nil then
        rolelevelupSystem.instance = rolelevelupSystem.new()
    end

    return rolelevelupSystem.instance
end


roleSystemInstance = rolelevelupSystem.getInstance()


return rolelevelupSystem
