--
-- Author: zangqing
-- Date: 2016-01-10 10:59:38
-- 塔防升级

local class_ui_tower_lvup_layer = import(".ui_tower_lvup_layer")


local towerlevelupSystem = class("towerlevelupSystem")


function towerlevelupSystem:ctor()
    self:_initModels()
    self:_registGlobalEventListeners()
end


function towerlevelupSystem:_initModels()
    self._controlerMap = {}
    self:_initDynamicResConfig()
end


function towerlevelupSystem:_initDynamicResConfig()
    -- ResConfig["ui_image/guyong/widget"] = {
    --  restype = "plist",
    --  respath = "ui_image/guyong/widget/",
    --  res = {"guyong_plist"}
    -- }

    -- self._dynamicResConfigIDs = {
    --  "ui_image/guyong/widget",
    -- }
end


function towerlevelupSystem:_registGlobalEventListeners()
    -- body
    -- 注册消息便于其他系统进行调用modelName模块名称，eventName事件名称
    self._globalEventListeners = {}
    local configs = {
        {modelName = "towerlevelupSystem", eventName = "Create", callBack=handler(self, self.Create)},
        {modelName = "towerlevelupSystem", eventName = "close", callBack=handler(self, self.Close)},
    }
    self._globalEventListeners = createGlobalEventListenerWithConfig(configs)
end


function towerlevelupSystem:Create(msgData)
    print("创建塔防界面")
    self.data = msgData;
    self.scene = APP:getCurScene()
    self.contrl_view =  class_ui_tower_lvup_layer.new();
    self.scene:addChildToLayer(LAYER_ID_UITop, self.contrl_view)
        
    -- GLOBAL_COMMON_ACTION:popupOut({node=contrl_view:getView()})
end


function towerlevelupSystem:Close()
    self.contrl_view:removeFromParent();
end

function towerlevelupSystem.getInstance()
    if towerlevelupSystem.instance == nil then
        towerlevelupSystem.instance = towerlevelupSystem.new()
    end

    return towerlevelupSystem.instance
end


towerSystemInstance = towerlevelupSystem.getInstance()


return towerlevelupSystem
