--
-- Author: zangqing
-- Date: 2016-01-09 10:19:02
-- 排行榜界面

-- 此类本身就是UI的显示layer,self.resourceNode_才是根节点
local ui_tower_lvup_layer = class("ui_tower_lvup_layer", cc.load("mvc").ViewBase)

-- local class_controler_ui_map_info_btn = import(".controler_ui_map_info_btn")
-- local class_controler_ui_map_info_player = import(".controler_ui_map_info_player")
-- local class_controler_ui_map_info_guild = import(".controler_ui_map_info_guild")
-- local class_controler_ui_map_info_list = import(".controler_ui_map_info_list")

ui_tower_lvup_layer.RESOURCE_FILENAME = "ui_instance/towerlvup/ui_tower_lvup.csb"

-- 攻击变化量
attack_changepoint = 0
-- HP变化量
hp_changepoint = 0


function ui_tower_lvup_layer:onCreate()


    self:_registNodeEvent()
    self:_registGlobalEventListeners()

    --创建ui控制器
    self:_createControlerForUI()
    --初始化资源分配
    self:_initDynamicResConfig()
    --注册按钮事件
    self:_registButtonEvent()
    --
    self:_registUIEvent()
    -- local size= cc.Director:getInstance():getVisibleSize()
    -- local rootNode = self:getResourceNode()
    -- rootNode:setContentSize(size)
    -- ccui.Helper:doLayout(rootNode)
    -- rootNode:setPosition(cc.p(display.cx - 640 ,display.cy - 360))

    -- local shadow_layout = rootNode:getChildByName("shadow_layout")
    -- shadow_layout:setContentSize(size)
    -- ccui.Helper:doLayout(shadow_layout)

    -- self.CurrentPage = 1;
    -- self.SumPage = 10;
    -- self.CurrentDisplayData = nil;
    -- self.CurrentShowRanking = 0;
    -- self.CurrentRankDes = "当前战力值:"
    -- self.CurrentRankType = MAIN_PLAYER.rankManager.CONST_RANKING_POWER;

    -- self:_doEventCallBack( nil, nil, 1 );
    
end

--注册节点事件
function ui_tower_lvup_layer:_registNodeEvent()
    local function onNodeEvent(event)
        if "exit" == event then
            self:_removeAllGlobalEventListeners()
        end
    end
    self.resourceNode_:registerScriptHandler(onNodeEvent)
end

--注册全局事件
function ui_tower_lvup_layer:_registGlobalEventListeners()
    -- body
    self._globalEventListeners = {}
    local configs = {
        {modelName = "ui_tower_lvup_layer", eventName = "refreshlist", callBack=handler(self, self.updateDisplay)},--注册地图信息控制 刷新列表
        {modelName = "ui_tower_lvup_layer", eventName = "close", callBack=handler(self, self.close)},--控制 关闭
        {modelName = "ui_tower_lvup_layer", eventName = "goldChange", callBack=handler(self, self.goldChange)},
        {modelName = "ui_tower_lvup_layer", eventName = "attrChange", callBack=handler(self, self.attrChange)},
        {modelName = "ui_tower_lvup_layer", eventName = "updatelevel", callBack=handler(self, self.updatelevel)},
        {modelName = "ui_tower_lvup_layer", eventName = "updatefightinfo", callBack=handler(self, self.updatefightinfo)},
        {modelName = "ui_tower_lvup_layer", eventName = "updatespeed", callBack=handler(self, self.updatespeed)},
        {modelName = "ui_tower_lvup_layer", eventName = "updategold", callBack=handler(self, self.updategold)},
        -- {modelName = "netMsg", eventName = tostring(MSG_MS2C_RANK_RE), callBack=handler(self, self.updateDisplayKind)},
        -- {modelName = "ui_tower_lvup_layer", eventName = "setUIVisible", callBack=handler(self, self._onSetUIVisible)},
    }
    self._globalEventListeners = createGlobalEventListenerWithConfig(configs)
end

-- 创建UI控制器
function ui_tower_lvup_layer:_createControlerForUI()
    -- -- print("ui_tower_lvup_layer:_createControlerForUI=========")
    -- self._controlerMap = {}

    -- -- 上部的按钮控制器
    -- self._controlerMap.node_btn_top = class_controler_ui_map_info_btn.new(
    --     self.resourceNode_:getChildByName("node_btn_top")
    -- )

    -- -- 中部UI控制器（玩家信息）
    -- self._controlerMap.node_infoshow_mid = class_controler_ui_map_info_player.new(
    --     self.resourceNode_:getChildByName("node_infoshow_mid")
    -- )

    -- -- 中部UI控制器（公会信息信息）
    -- self._controlerMap.node_infoguild_mid = class_controler_ui_map_info_guild.new(
    --     self.resourceNode_:getChildByName("node_infoguild_mid")
    -- )

    -- -- 下方UI控制器（玩家列表）
    -- self._controlerMap.node_list_bottom = class_controler_ui_map_info_list.new(
    --     self.resourceNode_:getChildByName("node_list_bottom")
    -- )
end

function ui_tower_lvup_layer:_registButtonEvent()
    -- 关闭按钮
    self.btn_exit = self.resourceNode_:getChildByName("btn_exit")
    local function exitClicked(sender)
        AudioManager.playButton();
        self:close(self._dynamicResConfigIDs)
    end
    self.btn_exit:addClickEventListener(exitClicked)
    --升级塔防
    self.button_gold = self.resourceNode_:getChildByName("btn_addmoney")
    local function goldClicked(sender)
        AudioManager.playButton();
        local tower_cfg = GetTowerCfg(MAIN_PLAYER:gettowerManager():getLv()+1);
        if tower_cfg then
            if tower_cfg.gold > MAIN_PLAYER:getBaseAttr():getGold() then
                print("金钱不足")
                return
            end
        end
        gameTcp:SendMessage(MSG_C2S_TOWER_Levelup,{})
        print("升级塔防")
    end
    self.button_gold:addClickEventListener(goldClicked)
    -- 升级的图片文字
    -- 升级需要资源数量
    self.txt_need = self.button_gold:getChildByName("txt_need")
    self.img_chuizi = self.button_gold:getChildByName("img_chuizi")
    local tower_cfg = GetTowerCfg(MAIN_PLAYER:gettowerManager():getLv()+1);
    if tower_cfg then
        if tower_cfg.gold > MAIN_PLAYER:getBaseAttr():getGold() then
            self.button_gold:setBright(false);
            self.button_gold:setEnabled(false);
            self.img_chuizi:loadTexture("ui_image/guildinfo/shengji_hui.png");
        else
            self.button_gold:setBright(true);
            self.button_gold:setEnabled(true);
            self.img_chuizi:loadTexture("ui_image/guildinfo/shengji.png");
        end
        self.txt_need:setString(tostring(tower_cfg.gold));
    else
        self.button_gold:setBright(false);
        self.button_gold:setEnabled(false);
        self.img_chuizi:loadTexture("ui_image/guildinfo/shengji_hui.png");
        self.txt_need:setString("∞");
    end
    
    -- print("等级"..MAIN_PLAYER:gettowerManager():getLv())
    -- print("需要金钱"..GetTowerCfg(MAIN_PLAYER:gettowerManager():getLv()).gold);
    -- local gold = MAIN_PLAYER:gettowerManager():getGold();
    -- local gold_str = tostring(gold).."/"..tostring(GetTowerCfg(MAIN_PLAYER:gettowerManager():getLv()).gold_vol);
    -- --
    -- self.txt_gold = self.resourceNode_:getChildByName("info_chuliang"):getChildByName("valuse");
    -- self.txt_gold:setString(gold_str);

    --收获金币
    self.button_shouji = self.resourceNode_:getChildByName("btn_shouji")
    local function shoujiClicked(sender)
        AudioManager.playButton();
        gameTcp:SendMessage(MSG_C2S_TOWER_GetGold,{})
        print("收集资源")
    end
    self.button_shouji:addClickEventListener(shoujiClicked)
    -- 图片
    self.img_shouji = self.button_shouji:getChildByName("img_shouji")

    if 20 > MAIN_PLAYER:gettowerManager():getGold() then
        self.button_shouji:setBright(false);
        self.button_shouji:setEnabled(false);
        self.img_shouji:loadTexture("ui_image/tower/shouji_hui.png",ccui.TextureResType.localType)
    else
        self.button_shouji:setBright(true);
        self.button_shouji:setEnabled(true);
        self.img_shouji:loadTexture("ui_image/tower/shouji.png",ccui.TextureResType.localType)
    end
end

function ui_tower_lvup_layer:setEventCallBack( callfun )
    self._controlerEventCallBack = callfun;
end

function ui_tower_lvup_layer:_doEventCallBack( sender, eventName, data )
    -- GLOBAL_TOUCH_CONTROL:TounchContrlScheduler(0.8);
    -- local rankType = MAIN_PLAYER.rankManager.CONST_RANKING_POWER;
    -- if data == 2 then
    --     rankType = MAIN_PLAYER.rankManager.CONST_RANKING_GRADE;
    -- elseif data == 3 then
    --     rankType = MAIN_PLAYER.rankManager.CONST_RANKING_WEALTH;
    -- end
    -- MAIN_PLAYER.rankManager:requestRankData( rankType )
    -- if self._controlerEventCallBack ~= nil then
    --  self._controlerEventCallBack(sender, eventName, data)
    -- end
end



function ui_tower_lvup_layer:recordID(params)
    -- body
    self.recordID = params._usedata.recordID
end

function ui_tower_lvup_layer:_removeAllGlobalEventListeners()
    for k,v in pairs(self._globalEventListeners) do
        GLOBAL_EVENT_DISPTACHER:removeEventListener(v)
    end
end

function ui_tower_lvup_layer:close(res)

    -- self.ranking_view:clear( );
    --清空数据
    -- MAIN_PLAYER.rankManager:ClearData(  );
    if res == nil then
        res = self._dynamicResConfigIDs
    end
    -- GLOBAL_COMMON_ACTION:popupBack({
    --         node = self.resourceNode_,
    --         -- shadowNode = self.resourceNode_:getChildByName("shadow_layout"),
    --         callback = function ()
    --             -- body
    self:removeFromParent(true)
    -- release_res(res)
        --     end
        -- })
end

function ui_tower_lvup_layer:goldChange()
    local gold = MAIN_PLAYER:gettowerManager():getGold();
    local gold_str = tostring(gold).."/"..tostring(GetTowerCfg(MAIN_PLAYER:gettowerManager():getLv()).gold_vol);
    --
    self.txt_gold:setString(gold_str);
    if 20 > MAIN_PLAYER:gettowerManager():getGold() then
        self.button_shouji:setBright(false);
        self.button_shouji:setEnabled(false);
        self.img_shouji:loadTexture("ui_image/tower/shouji_hui.png",ccui.TextureResType.localType)
    else
        self.button_shouji:setBright(true);
        self.button_shouji:setEnabled(true);
        self.img_shouji:loadTexture("ui_image/tower/shouji.png",ccui.TextureResType.localType)
    end
end

function ui_tower_lvup_layer:attrChange()
    local gold = MAIN_PLAYER:gettowerManager():getGold();
    local gold_str = tostring(gold).."/"..1000000;
    --
    self.txt_gold = self.resourceNode_:getChildByName("info_chuliang"):getChildByName("valuse");
    self.txt_gold:setString(gold_str);
    
end

-- ui用到独有的资源管理
function ui_tower_lvup_layer:_initDynamicResConfig()
    -- ResConfig["ui_image/mapinfolist"] = {
    --     restype = "plist",
    --     respath = "ui_image/mapinfolist/",
    --     res = {"mapinfo"},
    -- }

    -- self._dynamicResConfigIDs = {
    --     "ui_image/mapinfolist",
    -- }
end

-- 更新页面显示信息
function ui_tower_lvup_layer:updateDataPage( index )
    -- local toPage = self.CurrentPage + index;
    -- if toPage < 1 or toPage > self.SumPage then
    --     return;
    -- else
    --     --更新页数
    --     self.CurrentPage = toPage;
    --     self.CurrentDisplayData = MAIN_PLAYER.rankManager:getRanking( self.CurrentRankType ,self.CurrentPage )
    --     --更新显示的数据
    --     self.ranking_view:update(self.CurrentDisplayData);
    --     self:updateInfo();
    -- end
end

--[[注册事件回调刷新显示列表
    玩家信息
]]
function ui_tower_lvup_layer:updateDisplayKind(event)
    -- self.CurrentRankType = event._usedata[1];
    -- self.SumPage = event._usedata[2];--总页数
    -- self.CurrentPage = 1;
    -- self.CurrentDisplayData = MAIN_PLAYER.rankManager:getRanking( self.CurrentRankType ,self.CurrentPage )
    -- self.CurrentShowRanking = MAIN_PLAYER.rankManager:getRankingOneselfLocation( self.CurrentRankType );
    -- print("当前排名",self.CurrentShowRanking)
    -- --更新显示的数据
    -- self.ranking_view:update(self.CurrentDisplayData);
    -- self.ranking_view:getResourceNode():setVisible(true);

    -- --排行榜显示信息
    -- local team = MAIN_PLAYER:getTeamManager():getCurSelTeam()
    -- self.CurrentRankDes = "您的战力值:"..team:getPowerValue();
    -- if self.CurrentRankType == MAIN_PLAYER.rankManager.CONST_RANKING_GRADE then
    --     self.CurrentRankDes = "您的等级:"..MAIN_PLAYER.baseAttr:getLv();
    -- elseif self.CurrentRankType == MAIN_PLAYER.rankManager.CONST_RANKING_WEALTH then
    --     self.CurrentRankDes = "您的银两:"..MAIN_PLAYER.baseAttr:getGold();
    -- end

    self:updateInfo();
end

--更新等级
function ui_tower_lvup_layer:updatelevel(  )
   --塔防等级
    local str_lvvalue = "lv. "..tostring(MAIN_PLAYER:gettowerManager():getLv());
    self.txt_level:setString(str_lvvalue);
    local tower_cfg = GetTowerCfg(MAIN_PLAYER:gettowerManager():getLv()+1);

    if tower_cfg then
        if tower_cfg.gold > MAIN_PLAYER:getBaseAttr():getGold() then
            self.button_gold:setBright(false);
            self.button_gold:setEnabled(false);
            self.img_chuizi:loadTexture("ui_image/guildinfo/shengji_hui.png");
        else
            self.button_gold:setBright(true);
            self.button_gold:setEnabled(true);
            self.img_chuizi:loadTexture("ui_image/guildinfo/shengji.png");
        end
        -- 升级需要资源数量
        -- print("等级"..MAIN_PLAYER:gettowerManager():getLv())
        -- print("需要金钱"..GetTowerCfg(MAIN_PLAYER:gettowerManager():getLv()).gold);
        self.txt_need:setString(tower_cfg.gold);
    else
        self.txt_need:setString("∞");
    end
end

--更新战斗属性
function ui_tower_lvup_layer:updatefightinfo(  )
   --当前攻击力
    local str_attack = tostring(GetTowerCfg(MAIN_PLAYER:gettowerManager():getLv()).atk);
    self.attack_valuse:setString(str_attack);

    --当前血量
    local str_hp = tostring(GetTowerCfg(MAIN_PLAYER:gettowerManager():getLv()).hp);
    self.hp_valuse:setString(str_hp);
end

--更新速度
function ui_tower_lvup_layer:updatespeed(  )
   --速度数值
    local str_speedvalue = tostring(GetTowerCfg(MAIN_PLAYER:gettowerManager():getLv()).gold_out*6).."/".."小时";
    self.tower_speed_valuse:setString(str_speedvalue);
end

--更新金币储量
function ui_tower_lvup_layer:updategold(  )

    -- local gold = MAIN_PLAYER:gettowerManager():getGold();
    -- local gold_str = tostring(gold).."/"..tostring(GetTowerCfg(MAIN_PLAYER:gettowerManager():getLv()).gold_vol);
    -- --
    -- self.txt_gold:setString(gold_str);
   --存储量数值
    local str_maxgold = tostring(MAIN_PLAYER:gettowerManager():getGold()).."/"..tostring(GetTowerCfg(MAIN_PLAYER:gettowerManager():getLv()).gold_vol);
    self.max_gold_valuse:setString(str_maxgold);

    local percent = math.floor(MAIN_PLAYER:gettowerManager():getGold()/GetTowerCfg(MAIN_PLAYER:gettowerManager():getLv()).gold_vol * 100)
    self.gold_bar:setPercent(percent)
end

--更新页数显示
function ui_tower_lvup_layer:updateInfo(  )
    -- --页数
    -- self.resourceNode_:getChildByName("ranking"):getChildByName("pageNode"):getChildByName("text_pageValue"):setString(self.CurrentPage.."/"..self.SumPage);
    -- --排名
    -- self.resourceNode_:getChildByName("ranking"):getChildByName("playerRank"):getChildByName("infotext_0"):setString(self.CurrentShowRanking);
    
    -- self.resourceNode_:getChildByName("ranking"):getChildByName("playerInfo"):getChildByName("infotext"):setString(self.CurrentRankDes);

end

function ui_tower_lvup_layer:_registUIEvent()
    --  界面数据初始化
    --玩家昵称
    local str_name = MAIN_PLAYER:getBaseAttr():getName();
    self.tower_nickname =  self.resourceNode_:getChildByName("txt_name");
    self.tower_nickname:setString(str_name);
    --存储量数值
    local str_maxgold = tostring(MAIN_PLAYER:gettowerManager():getGold()).."/"..tostring(GetTowerCfg(MAIN_PLAYER:gettowerManager():getLv()).gold_vol);
    self.max_gold_valuse =  self.resourceNode_:getChildByName("info_chuliang"):getChildByName("valuse");
    self.max_gold_valuse:setString(str_maxgold);

    local percent = math.floor(MAIN_PLAYER:gettowerManager():getGold()/GetTowerCfg(MAIN_PLAYER:gettowerManager():getLv()).gold_vol * 100)
    self.gold_bar = self.resourceNode_:getChildByName("info_chuliang"):getChildByName("bar");
    self.gold_bar:setPercent(percent)
    --速度数值
    local str_speedvalue = tostring(GetTowerCfg(MAIN_PLAYER:gettowerManager():getLv()).gold_out*6).."/".."小时";
    self.tower_speed_valuse =  self.resourceNode_:getChildByName("info_sudu"):getChildByName("valuse");
    self.tower_speed_valuse:setString(str_speedvalue);
    --塔防等级
    local str_lvvalue = "lv. "..tostring(MAIN_PLAYER:gettowerManager():getLv());
    self.txt_level =  self.resourceNode_:getChildByName("txt_level");
    self.txt_level:setString(str_lvvalue);

    --当前攻击力
    local str_attack = tostring(GetTowerCfg(MAIN_PLAYER:gettowerManager():getLv()).atk);
    self.attack_valuse =  self.resourceNode_:getChildByName("txt_attack_number");
    self.attack_valuse:setString(str_attack);

    --当前血量
    local str_hp = tostring(GetTowerCfg(MAIN_PLAYER:gettowerManager():getLv()).hp);
    self.hp_valuse =  self.resourceNode_:getChildByName("txt_hp_number");
    self.hp_valuse:setString(str_hp);
end

return ui_tower_lvup_layer
