--
-- Author: zangqing
-- Date: 2016-01-09 10:19:02
-- 排行榜界面

-- 此类本身就是UI的显示layer,self.resourceNode_才是根节点
local ui_war_layer = class("ui_war_layer", cc.load("mvc").ViewBase)

-- local class_controler_ui_map_info_btn = import(".controler_ui_map_info_btn")
-- local class_controler_ui_map_info_player = import(".controler_ui_map_info_player")
-- local class_controler_ui_map_info_guild = import(".controler_ui_map_info_guild")
-- local class_controler_ui_map_info_list = import(".controler_ui_map_info_list")

ui_war_layer.RESOURCE_FILENAME = "ui_instance/warpage/ui_war_backmap_layer.csb"

-- 攻击变化量
attack_changepoint = 0
-- HP变化量
hp_changepoint = 0


function ui_war_layer:onCreate()


    self:_registNodeEvent()
    self:_registGlobalEventListeners()

    --创建ui控制器
    self:_createControlerForUI()
    --初始化资源分配
    self:_initDynamicResConfig()
    --注册按钮事件
    self:_registButtonEvent()

    -- local size= cc.Director:getInstance():getVisibleSize()
    -- local rootNode = self:getResourceNode()
    -- rootNode:setContentSize(size)
    -- ccui.Helper:doLayout(rootNode)
    -- rootNode:setPosition(cc.p(display.cx - 640 ,display.cy - 360))

    -- local shadow_layout = rootNode:getChildByName("shadow_layout")
    -- shadow_layout:setContentSize(size)
    -- ccui.Helper:doLayout(shadow_layout)

    -- self.CurrentPage = 1;
    -- self.SumPage = 10;
    -- self.CurrentDisplayData = nil;
    -- self.CurrentShowRanking = 0;
    -- self.CurrentRankDes = "当前战力值:"
    -- self.CurrentRankType = MAIN_PLAYER.rankManager.CONST_RANKING_POWER;

    -- self:_doEventCallBack( nil, nil, 1 );
    -- 界面数据初始化
    --玩家昵称
end

--注册节点事件
function ui_war_layer:_registNodeEvent()
    local function onNodeEvent(event)
        if "exit" == event then
            self:_removeAllGlobalEventListeners()
        end
    end
    self.resourceNode_:registerScriptHandler(onNodeEvent)
end

--注册全局事件
function ui_war_layer:_registGlobalEventListeners()
    -- body
    self._globalEventListeners = {}
    local configs = {
        -- {modelName = "ui_war_layer", eventName = "refreshlist", callBack=handler(self, self.updateDisplay)},--注册地图信息控制 刷新列表
        -- {modelName = "ui_war_layer", eventName = "close", callBack=handler(self, self.close)},--控制 关闭
        -- {modelName = "netMsg", eventName = tostring(MSG_MS2C_RANK_RE), callBack=handler(self, self.updateDisplayKind)},
        -- {modelName = "ui_war_layer", eventName = "setUIVisible", callBack=handler(self, self._onSetUIVisible)},
    }
    self._globalEventListeners = createGlobalEventListenerWithConfig(configs)
end

-- 创建UI控制器
function ui_war_layer:_createControlerForUI()
    -- -- print("ui_war_layer:_createControlerForUI=========")
    -- self._controlerMap = {}

    -- -- 上部的按钮控制器
    -- self._controlerMap.node_btn_top = class_controler_ui_map_info_btn.new(
    --     self.resourceNode_:getChildByName("node_btn_top")
    -- )

    -- -- 中部UI控制器（玩家信息）
    -- self._controlerMap.node_infoshow_mid = class_controler_ui_map_info_player.new(
    --     self.resourceNode_:getChildByName("node_infoshow_mid")
    -- )

    -- -- 中部UI控制器（公会信息信息）
    -- self._controlerMap.node_infoguild_mid = class_controler_ui_map_info_guild.new(
    --     self.resourceNode_:getChildByName("node_infoguild_mid")
    -- )

    -- -- 下方UI控制器（玩家列表）
    -- self._controlerMap.node_list_bottom = class_controler_ui_map_info_list.new(
    --     self.resourceNode_:getChildByName("node_list_bottom")
    -- )
end

function ui_war_layer:_registButtonEvent()
    -- 关闭按钮
    -- 剩余点数
    
end

function ui_war_layer:setEventCallBack( callfun )
    self._controlerEventCallBack = callfun;
end

function ui_war_layer:_doEventCallBack( sender, eventName, data )
    -- GLOBAL_TOUCH_CONTROL:TounchContrlScheduler(0.8);
    -- local rankType = MAIN_PLAYER.rankManager.CONST_RANKING_POWER;
    -- if data == 2 then
    --     rankType = MAIN_PLAYER.rankManager.CONST_RANKING_GRADE;
    -- elseif data == 3 then
    --     rankType = MAIN_PLAYER.rankManager.CONST_RANKING_WEALTH;
    -- end
    -- MAIN_PLAYER.rankManager:requestRankData( rankType )
    -- if self._controlerEventCallBack ~= nil then
    --  self._controlerEventCallBack(sender, eventName, data)
    -- end
end



function ui_war_layer:recordID(params)
    -- body
    self.recordID = params._usedata.recordID
end

function ui_war_layer:_removeAllGlobalEventListeners()
    for k,v in pairs(self._globalEventListeners) do
        GLOBAL_EVENT_DISPTACHER:removeEventListener(v)
    end
end


function ui_war_layer:close(res)

    -- self.ranking_view:clear( );
    --清空数据
    -- MAIN_PLAYER.rankManager:ClearData(  );
    if res == nil then
        res = self._dynamicResConfigIDs
    end
    -- GLOBAL_COMMON_ACTION:popupBack({
    --         node = self.resourceNode_,
    --         -- shadowNode = self.resourceNode_:getChildByName("shadow_layout"),
    --         callback = function ()
    --             -- body
    self:removeFromParent(true)
    -- release_res(res)
        --     end
        -- })
end

-- ui用到独有的资源管理
function ui_war_layer:_initDynamicResConfig()
    -- ResConfig["ui_image/mapinfolist"] = {
    --     restype = "plist",
    --     respath = "ui_image/mapinfolist/",
    --     res = {"mapinfo"},
    -- }

    -- self._dynamicResConfigIDs = {
    --     "ui_image/mapinfolist",
    -- }
end

-- 更新页面显示信息
function ui_war_layer:updateDataPage( index )
    -- local toPage = self.CurrentPage + index;
    -- if toPage < 1 or toPage > self.SumPage then
    --     return;
    -- else
    --     --更新页数
    --     self.CurrentPage = toPage;
    --     self.CurrentDisplayData = MAIN_PLAYER.rankManager:getRanking( self.CurrentRankType ,self.CurrentPage )
    --     --更新显示的数据
    --     self.ranking_view:update(self.CurrentDisplayData);
    --     self:updateInfo();
    -- end
end

--[[注册事件回调刷新显示列表
    玩家信息
]]
function ui_war_layer:updateDisplayKind(event)
    -- self.CurrentRankType = event._usedata[1];
    -- self.SumPage = event._usedata[2];--总页数
    -- self.CurrentPage = 1;
    -- self.CurrentDisplayData = MAIN_PLAYER.rankManager:getRanking( self.CurrentRankType ,self.CurrentPage )
    -- self.CurrentShowRanking = MAIN_PLAYER.rankManager:getRankingOneselfLocation( self.CurrentRankType );
    -- print("当前排名",self.CurrentShowRanking)
    -- --更新显示的数据
    -- self.ranking_view:update(self.CurrentDisplayData);
    -- self.ranking_view:getResourceNode():setVisible(true);

    -- --排行榜显示信息
    -- local team = MAIN_PLAYER:getTeamManager():getCurSelTeam()
    -- self.CurrentRankDes = "您的战力值:"..team:getPowerValue();
    -- if self.CurrentRankType == MAIN_PLAYER.rankManager.CONST_RANKING_GRADE then
    --     self.CurrentRankDes = "您的等级:"..MAIN_PLAYER.baseAttr:getLv();
    -- elseif self.CurrentRankType == MAIN_PLAYER.rankManager.CONST_RANKING_WEALTH then
    --     self.CurrentRankDes = "您的银两:"..MAIN_PLAYER.baseAttr:getGold();
    -- end

    self:updateInfo();
end

--更新页数显示
function ui_war_layer:updateInfo(  )
    -- --页数
    -- self.resourceNode_:getChildByName("ranking"):getChildByName("pageNode"):getChildByName("text_pageValue"):setString(self.CurrentPage.."/"..self.SumPage);
    -- --排名
    -- self.resourceNode_:getChildByName("ranking"):getChildByName("playerRank"):getChildByName("infotext_0"):setString(self.CurrentShowRanking);
    
    -- self.resourceNode_:getChildByName("ranking"):getChildByName("playerInfo"):getChildByName("infotext"):setString(self.CurrentRankDes);

end


return ui_war_layer
