--
-- Author: liyang
-- Date: 2016-01-02 14:23:51
-- 登录系统

-- 脚本对象
local class_controler_ui_layer = import(".controller.controler_ui_layer")


-- import(".info.player_info_system")

local LoginSystem = class("LoginSystem")


LoginSystem.instance = nil

function LoginSystem:ctor()
    if LoginSystem.instance ~= nil then
        printError("LoginSystem 为单例对象")
        return
    end
    self:_initModels()
end

--进入系统
--parmas.scene
function LoginSystem:enterSystem(parmas)
    -- ResLoad:setLoadList(
    --     {
    --         "ui_image/mainpage/anim/zhanyi/zy1/effect_zhanyi1.png",
    --         "ui_image/mainpage/anim/zhanyi/zy1/effect_zhanyi1_mengban.png",
    --         "ui_image/mainpage/anim/zhanyi/zy2/effect_zhanyi2.png",
    --         "ui_image/mainpage/anim/zhanyi/zy2/zhanyi2_mengban.png",
    --         "ui_image/mainpage/anim/zhanyi/zy3/effect_zhanyi3.png",
    --         "ui_image/mainpage/anim/zhanyi/zy3/effect_zhanyi3_mengban.png"
    --     }
    -- )
    -- ResLoad:setCallback( nil );
    -- ResLoad:LoadRes()
    
   
    
    self.scene = parmas.scene
    self._controlerMap.loginPageUILayer = class_controler_ui_layer.new()
    -- self.scene:addChildToLayer(LAYER_ID_UI, self._controlerMap.loginPageUILayer:getView())
    

    print("LoginSystem:enterSystem");
end


--离开系统
function LoginSystem:leaveSystem(parmas)
    
end


function LoginSystem:_initModels()
    self._controlerMap = {}
end

function LoadCsb( parame )
    return cc.CSLoader:createNode(parame);
end

function LoginSystem:_createUILayer()
    return cc.CSLoader:createNode("ui_instance/loginpage/ui_login_backmap_layer.csb")
end

function LoginSystem.getInstance()
    if LoginSystem.instance == nil then
        LoginSystem.instance = LoginSystem.new()
    end

    return LoginSystem.instance
end


LoginSystemInstance = LoginSystem.getInstance()


return LoginSystem
