--
-- Author: liyang
-- Date: 2015-06-11 14:56:30
-- 通用弹框提示操作接口


local UI_Prompt_Guild_Act = class("UI_Prompt_Guild_Act", cc.load("mvc").ViewBase)

UI_Prompt_Guild_Act.RESOURCE_FILENAME = "ui_instance/prompt/prompt_guild_act.csb"
function UI_Prompt_Guild_Act:onCreate()

    self:_registUIEvent(  );

    local function onNodeEvent(event)
            if "enter" == event then

            elseif "exit" == event then

            elseif "enterTransitionFinish" == event then
                print("enterTransitionFinish:","enterTransitionFinish");
            end
        end
    self:registerScriptHandler(onNodeEvent)

end

--注册事件
function UI_Prompt_Guild_Act:_registUIEvent(  )
    -- self.shadowNode = self.showView:getChildByName("shadow_layout");
    self.rootNode = self.resourceNode_:getChildByName("main_layout");
    self.infoList = self.rootNode:getChildByName("infolist");
    --标题文字
    self.TitleText = self.rootNode:getChildByName("title");

    --提示文字
    self.PromptText = self.infoList:getChildByName("describe");

    --确定按键
    self.Button_Ok = self.infoList:getChildByName("ok");
    local okClick = function (  )
        --发送进入战斗消息
        self:executeIntoLogic();
        
    end
    self.Button_Ok:addClickEventListener(okClick);
    self.displayTime = 5;
    --倒计时显示
    self.timeView = self.rootNode:getChildByName("timeeffect");
    -- self.timeDes = cc.Label:createWithCharMap("ui_image/common/image/shuzi_1.png",19,28,46);
    -- self.timeDes:setPosition(cc.p(50,50))
    -- self.timeView:addChild(self.timeDes)
    self.timeView:setVisible(false)
end

function UI_Prompt_Guild_Act:setData( time )
    self.displayTime = time;
    self.timeView:setVisible(true)
    self.action = cc.CSLoader:createTimeline("ui_instance/prompt/prompt_guild_act.csb")
    self.timeView:runAction(self.action)
    self.action:gotoFrameAndPlay(0,false);

    local function onFrameEvent(frame)
        
        if nil == frame then
            return
        end

        local str = frame:getEvent()
        if str == "finish" then
            self.displayTime = self.displayTime - 1;
            if self.displayTime < 0 then
                self:executeIntoLogic();
                -- self.timeView:setVisible(false);
                return;
            end
            print("====>",self.displayTime)
            self.timeView:setString(""..self.displayTime);
            self.timeView:stopAllActions();
            self.timeView:runAction(self.action)
            self.action:gotoFrameAndPlay(0,false);
        end
    end
    self.action:setFrameEventCallFunc(onFrameEvent)
end

--执行倒计时逻辑
function UI_Prompt_Guild_Act:executeIntoLogic(  )
    --发送进入攻城战消息
    printInfo("网路日志 %s","发送参加攻城战信息 MSG_C2S_FIGHT_JoinAttack")
    gameTcp:SendMessage(MSG_C2S_FIGHT_JoinAttack,{})
    
    self:removeFromParent();
    
end



return UI_Prompt_Guild_Act


