--
-- Author: LiYang
-- Date: 2015-07-20 11:09:43
-- 公共

local basetemplate = require("app.actors.actorview_template.lua")

local actor_common = class("actor_common" ,basetemplate)

function actor_common:ctor(  )
	actor_common.super.ctor(self)
end

--设置角色数据
function actor_common:setActorData( target )
	self.actorModel = target;
	self.cell_x = self.actorModel.cell_x;
	self.cell_y = self.actorModel.cell_y;
	-- local showTemplateid = heroConfig[self.actorModel.attribute_templateid].bigID;
	-- if not ResFrameIcon[showTemplateid] then
	-- 	showTemplateid = 20000;
	-- end

	--活动模型资源
	self.ResConfig =  ManagerHeroRes:getHeroArmature(  self.actorModel.attribute_templateid );

	-- --当前显示的模型
	-- self.currentDisplayModel = nil;

	-- --当前显示的方向
	-- self.currentDisplayDis = nil;
	-- --当前显示动作类型
	-- self.currentDisplayActionType = "";

	-- self.gender = heroConfig[self.actorModel.attribute_templateid].xingbie
end

function actor_common:getAnimateID( animation , dir )
	return self.ResConfig.actionlist[animation][dir];
end

--播放动画
function actor_common:playAnimation(  )
	--得到当前方向
	self.currentDisplayDis = self.actorModel:getDirection();
	--得到动画信息
	local animationInfo = getAnimateCfgByID( self:getAnimateID( self.currentDisplayActionType , self.currentDisplayDis ) )
	--判断当前是否在执行此动画
	if self.currentDisplayModel == animationInfo then
		return;
	end
	self.currentDisplayModel = animationInfo;
	if (not self.modelView) or (not self.currentDisplayModel ) or self.currentDisplayModel.path ~= animationInfo.path then
		print("加载新的动画:",self,self.currentDisplayDis,self.currentDisplayModel.path)
		if self.modelView then
			self.modelView:removeFromParent();
			self.modelView = nil;
		end
		self.modelView = EffectManager:CreateArmature( {
			name = animationInfo.id,--效果名称
			x = 0,
			y = 0,
			zorder = self.cell_x + self.cell_y,
			isfinishdestroy = false,--是否完成销毁
		} );
		-- self.idleview.mark = tostring(k);
		--添加到显示界面
		self:addShowObject( self.modelView , 1 );
	end
	-- if self.modelView.mark == "attack" then
	-- 	if self.ListenerFun[mark] then
	-- 		self.ListenerFun[mark](listenerType,armatureName,movementType ,object);
	-- 	end
	-- end
	self.modelView:playAnimationByID( animationInfo.act_id ,nil ,-1,self.currentDisplayActionType);
	self.modelView:setCallback( handler(self, self.setAnimationListenlogic) );--设置监听逻辑

	--解析血量显示位置
	-- local hpBone = self.modelView:getBoneObject( "beiji" );
	-- local boneinfo = hpBone:getWorldInfo();
	-- self.actorModel:setAttackPostion( {x = boneinfo.x,y = boneinfo.y} );
	-- print("被击点位置：",hpBone,boneinfo,boneinfo.x,boneinfo.y,boneinfo.zOrder)
	-- --解析被击点位置
	-- hpBone = self.modelView:getBoneObject( "hppos" );
	-- boneinfo = hpBone:getWorldInfo();
	-- self.actorModel:setHpPostion( {x = boneinfo.x,y = boneinfo.y} );
	-- print("HP显示点位置：",boneinfo.x,boneinfo.y)
end

--[[模型动作回调参数
]]
function actor_common:setAnimationListenlogic( listenerType, mark, armatureName,movementType ,object , movementID)
	if listenerType == "AnimationEvent" then
		if movementType == ccs.MovementEventType.complete then
			print("setAnimationListenlogic",listenerType,armatureName,movementType ,object,movementID,mark)
			if mark == "die" then
				--隐藏角色
				print("===============> ",armatureName)
				self:setVisible(false);
			end

			--执行回调函数
			if self.ListenerFun[mark] then
				self.ListenerFun[mark](listenerType,armatureName,movementType ,object);
			end
			-- local animationInfo = getEffectConfigById( self.ResConfig.idle )
			-- self.idleview:playAnimationByID( animationInfo.armaturename ,nil ,-1);
		end
	elseif listenerType == "FrameEvent" then
		--帧事件监听
	end
end

return actor_common;