--
-- Author: LiYang
-- Date: 2015-07-08 11:41:46
-- 建筑管理类常用接口

ManagerBuild = {};

local buildModel = import(".buildControl_Base")

local buildtopview = import(".buildTopView")

local buildbottomview = import(".buildBottomView")



--[[ 创建角色
	params = {
		herodata = nil,--英雄数据
		mark = "456",-- 角色GUID
		camp = 1,-- 阵营
		bossmark = 0,是否是boss
		frompos = 1, ,位置
		map_x = 21,
		map_y = 21,
	}
]]
function ManagerBuild:CreateBuild( params)
	-- 创建
	local actorView = buildModel.new(params);
	actorView:InviData( params );
	return actorView;
end

--[[
	创建角色view
		templeID
]]
function ManagerBuild:CreateBuildView( templeID )
	print("ManagerBuild:CreateActorView",templeID)
	-- local objectname = "app.actors.actorsview"..self.ActorViewInfo[templeID];
	local view = require("app.build.buildview.build_Common").new();
	return view;
end

function ManagerBuild:CreateBuildTopView( object )
	local topview = buildtopview.new(object);
	return topview;
end

function ManagerBuild:CreateBuildButtonView( object )
	local buttonview = buildbottomview.new(object);
	return buttonview;
end
