--
-- Author: liyang
-- Date: 2015-06-11 14:56:30
-- 建筑创建确认


local build_create_quren = class("build_create_quren", cc.load("mvc").ViewBase)

build_create_quren.RESOURCE_FILENAME = "ui_instance/battlefield/build_create_quren.csb"
function build_create_quren:onCreate()

    self:registerEvent();
end

--注册事件
function build_create_quren:registerEvent(  )
    --退出事件
    local btn_ok = self.resourceNode_:getChildByName("ok")
    local function okClicked(sender)
        print("okClicked")
        --发送创建建筑
    --     string  公会key
    -- *   int     地块x坐标
    -- *   int     地块y坐标
    -- *   int     放置点x坐标
    -- *   int     放置点y坐标
    -- *   int     庇护所索引
        BuildManager:sendBuildAddMsg( {
            templeID = self._operateBuild.attribute_templateid,
            guid = MAIN_PLAYER.guild:getGUID(),
            plot_x = Data_Battle.plot_x,
            plot_y = Data_Battle.plot_y,
            cell_x = self._operateBuild.cell_x,
            cell_y = self._operateBuild.cell_y,
            index = 1
            } );
        dispatchGlobaleEvent("BuildCreate", "over", {1});
        -- dispatchGlobaleEvent("battlefield", "build_update");

    end
    btn_ok:addClickEventListener(okClicked)

    local btn_cancel = self.resourceNode_:getChildByName("cancel")
    local function cancelClicked(sender)
        print("cancelClicked")
        dispatchGlobaleEvent("BuildCreate", "over", {0});
    end
    btn_cancel:addClickEventListener(cancelClicked)
end

function build_create_quren:setOperateBuild( build )
    self._operateBuild = build;
end


return build_create_quren


