--
-- Author: LiYang
-- Date: 2015-07-21 14:16:18
-- 资源释放逻辑 通过模块资源配置文件


local resReleaseLogicByFile = class("resReleaseLogicByFile");

function resReleaseLogicByFile:ctor()
	
end

function resReleaseLogicByFile.getInstance()
	if resReleaseLogicByFile.instance == nil then
		resReleaseLogicByFile.instance = resReleaseLogicByFile.new()
	end
	return resReleaseLogicByFile.instance
end

--[[设置
]]
function resReleaseLogicByFile:setResConfig( filename )
	self.resList = require(filename);
	self.operationType = 1;
	self.operationFile = filename;
	for k,v in pairs(self.resList) do
		print(k,v)
	end
end

--资源confikey
function resReleaseLogicByFile:setResListData( data )
	self.resList = data;
	self.operationType = 2;
end

function resReleaseLogicByFile:setCallback( callfun )
	self.Callfun = callfun;
end

--解析 plist 资源
function resReleaseLogicByFile:analysisPlist( res )
	local pos = string.find(res, "%.");
	local resstr = string.sub(res,1,pos)
	return resstr.."plist";
end

function resReleaseLogicByFile:releaseRes(  )
	for k,v in pairs(self.resList) do
		local resdata = v;
		if resdata then
			local ressuffix = getResSuffixById( resdata.restype )
			if resdata.restype == "ExportJson" then
				GLOBAL_ARMATURE_MANAGER:removeArmatureFileInfo(k);
				print("移除动画文件",k);
			end
			local path = resdata.respath;
			for i,j in ipairs(resdata.res) do
				local des =  path..j..ressuffix;
				-- release_textureAndplistByTexture( des );
				GLOBAL_SPRITE_FRAMES_CACHE:removeSpriteFramesFromFile(path..j..".plist")
				GLOBAL_TEXTURE_CACHE:removeTextureForKey(des)

				GLOBAL_SPRITE_FRAMES_CACHE:removeSpriteFramesFromFile(path..j..".plist")
				GLOBAL_TEXTURE_CACHE:removeTextureForKey(des)
		    	print("		移除资源:"..des)
			end
		end
	end
	if self.operationType == 1 then
		package.loaded[self.operationFile] = nil;
	end
	if self.Callfun then
		self.Callfun();
	end
end

function resReleaseLogicByFile:LoadRes(  )
	for k,v in pairs(self.resList) do
		local resdata = v;
		if resdata then
			local ressuffix = getResSuffixById( resdata.restype )
			if resdata.restype == "ExportJson" then
				GLOBAL_ARMATURE_MANAGER:addArmatureFileInfo(k)
				print("载入动画档",k);
			end
			-- local path = resdata.respath;
			-- for i,j in ipairs(resdata.res) do
			-- 	local des =  path..j..ressuffix;
			-- 	-- release_textureAndplistByTexture( des );
			-- 	GLOBAL_SPRITE_FRAMES_CACHE:removeSpriteFramesFromFile(path..j..".plist")
			-- 	GLOBAL_TEXTURE_CACHE:removeTextureForKey(des)
		    	
		 --    	print("		移除资源:"..des)
			-- end
		end
	end
	if self.operationType == 1 then
		package.loaded[self.operationFile] = nil;
	end
	if self.Callfun then
		self.Callfun();
	end
end


ResRelease = resReleaseLogicByFile.getInstance();

return resReleaseLogicByFile
