--
-- Author: li yang
-- Date: 2014-04-16 10:13:27
-- 错误描述

--得到错误描述
function getErrorDescribe( key )
	return ErrorDescribe[key] or "未知的描述信息"..key;
end


ErrorDescribe = {
	
	--------------------------登陆错误--------------------------------------
	[eLET_LoginNoError] = "登陆成功",
	[eLET_DbBusy] = "数据库繁忙",
	[eLET_ErroreMailOrPassword] = "账号格式错误",
	[eLET_ErrorPassWordLenth] = "密码长度错误",
	[eLET_IsRejective] = "账号被封停",
	[eLET_NoAccount] = "账号或密码错误",--没有此账号
	[eLET_RepeatAccount] = "账号重复",
	[eLET_NumNotEnough] = "数量不足",
	[eLET_ServerBusy] = "服务器繁忙",
	[eLET_NoAccountPwdError] = "账号密码正确",
	[eLET_ServerNoOpen] = "服务器未开放",
	[eLET_NotServer] = "没有此服务器",
	[eLET_ReLogin] = "重登陆",
	[eLET_VersionErr] = "版本错误",
	[eLET_LoginOutTime] = "登陆超时重新登陆",
	[eLET_ServerIsFull] = "服务人满为患",
	[ICP_Failed] = "操作失败",
	[ICCR_NameRe] = "昵称重复",
	[ICCR_IllegalWord] = "昵称有屏蔽字符",

	--=============================公会操作反馈结果===============================
	[ICCR_No_Res] = "资源不足",
	[ICCR_NoQuanxian] = "权限不足",
	[ICCR_Had_Guild] = "对方已经有公会了",
	[ICCR_Had_Apply] = "已经申请过了",
	[ICCR_RefuseJoin] = "不允许加入",
	[ICCR_Re_Name] = "名称重复",
	[ICFR_NoDel_Sys] = "不能删除系统好友",
	[ICP_Succeed] = "操作成功",
	[ICCR_Guild_Dismis] = "公会不存在",
	[ICCR_Apply_Succed] = "申请已发送",
	[ICCR_Join_Succed] = "成功加入公会",
	[ICCR_Sousuo_Succed] = "搜索成功",
	[ICCR_No_Guild] = "没有此公会",
	
	--=============================好友操作反馈结果===============================
	[ICFR_NoDel_Sys] = "不能删除系统好友",
	[ICFR_Add_Succed] = "添加好友成功",
	[ICFR_Had_Friend] = "已经有这个好友了",



	--=============================战斗操作失败原因===============================

	--上一场战斗没有结束
	[ICCR_ReFight]	= "上一场战斗没有结束",

	--其他人正在攻打该区域
	[ICCR_OtherFighting]= "其他玩家正在攻打该区域",


	--要加入的战斗已结束
	[ICCR_FightEnd]	= "战斗已经结束",

	--不同公会不能进入战斗
	[ICCR_DiffGuild]= "不是同一公会不能参加战斗",

	--没有人占领这个区域
	[ICCR_NullField]= "没人占领这个区域",

	----------------------------塔放置消息-----------------------------------
	[ICCR_Seized] = "此地已被他人占领",

	[ICCR_NoSeized] = "当前地块没有被本公会占领",

	[ICCR_PosBlock] = "此地不能放置建筑",

	[ICCR_TowerLaid] = "此地已放置塔",

	[ICCR_NeedDestoryTower] = "塔已放置，请先删除已创建的",

	[ICP_Failed] = "操作失败",

	[ICCR_NoSoldier] = "你没有士兵，快去建造吧",

	[ICCR_NumLimit] = "该区域狩猎次数达到上限",

	[ICP_ResNotEnough] = "资源不足",

	[ICP_YBNotEnough] = "元宝不足",
}
