--
-- Author: LiYang
-- Date: 2015-07-22 14:49:32
-- 数值buf添加效果

local numericalBufEffect_add = class("numericalBufEffect_add")

function numericalBufEffect_add:ctor()
	-- body
end

--[[设置技能数据
	parame = {
		aim = nil, --目标
		info = 0,--描述
	}
]]
function numericalBufEffect_add:setData( parame )
	self.AimData = parame.aim;
	self.ShowInfo = parame.info;--显示信息
	self.UnitTime = 0.2;
	self:analysisData();
	
end

--解析数据
function numericalBufEffect_add:analysisData(  )
	--攻击的目标
	self.startPoint_x ,self.startPoint_y = Data_Battle.mapData:getMapToWorldTransform( self.AimData.Map_x ,self.AimData.Map_y);
	self.startPoint_y = self.startPoint_y + 50;
	self.runIndex = table.nums(self.ShowInfo);
	if self.runIndex > 0 then
		for i=1,self.runIndex do
			local delayTime = self.UnitTime * (i - 1);
			self:CreateEffect( self.ShowInfo[i] , delayTime );
		end
	end
end

--创建攻击动作
function numericalBufEffect_add:CreateEffect( info , delaytime )
	local effect = require("app.effect.effectpiece.Effect_BufAdd.lua").new();
	effect:setData({
		info = info,
	    delaytime = delaytime,
	    x = self.startPoint_x,
	    y = self.startPoint_y,
	    zorder = self.AimData.Map_x + self.AimData.Map_y + 1,
		})
end


--设置完成回调函数
function numericalBufEffect_add:setFinishCallback( callfun )
	self.FinishCallback = callfun;
end

return numericalBufEffect_add;
