--
-- Author: Li Yang
-- Date: 2016-04-24 16:09:24
-- 建筑模型

local model_build = class("model_build")

function model_build:ctor()
	--建筑GUID
	self.buildGUID = "";
	--建筑模板ID
	self.templateID = "";
	--建筑配置数据
	self.buildCofig = "";
	--建筑位置坐标
	self.pos_x = 0;
	self.pos_y = 0;
	--地块位置信息
	self.plot_x = -1;
	self.plot_y = -1;
	--[[建筑状态
		0 移动状态
		1 警戒状态
		2 攻击状态
		3 损坏状态
	]]
	self.currentState = 0;
	--建筑生命值
	self.build_HP = 100;
	--建筑等级
	self.buildLv = 1;
	--建筑
	self.buildAtk = 1;
end

--[[初始化建筑数据
	guid
	templeateId
	pos_x
	pos_y
	hp

]]
function model_build:initBuildData( params )
	self.buildGUID = params.guid;
	self.templateID = params.templeateId;
	self.pos_x = params.pos_x;
	self.pos_y = params.pos_y;
	self.build_HP = params.hp;
end

return model_build;