--
-- Author: Your Name
-- Date: 2016-05-01 14:28:00
-- 建筑管理

local class_model_build = import(".model_build")

local model_buildManager = class("model_buildManager");

function model_buildManager:ctor()
	self.buildPool = {};
	self:setTestData(  );
	--添加建筑数据
	self.addNewsBuildData = nil;
	--建筑修建列表
	self.BuildCreatePool = {};
	--[[玩家建筑数据
		{TempleID,},
	]]
	self.PlayerBuildData = {};

	self.plot_x = -1;
	self.plot_y = -1;

	self.guildBfs = "";
	
end

function model_buildManager.getInstance()
	if model_buildManager.instance == nil then
		model_buildManager.instance = model_buildManager.new()
	end
	return model_buildManager.instance
end

function model_buildManager:ResetData()
	self.buildPool = {};
	--添加建筑数据
	self.addNewsBuildData = nil;
	--建筑修建列表
	self.BuildCreatePool = {};
	--[[玩家建筑数据
		{TempleID,},
	]]
	self.PlayerBuildData = {};

	self.plot_x = -1;
	self.plot_y = -1;

	self.guildBfs = "";
end

--设置测试数据
function model_buildManager:setTestData(  )
	-- self.buildPool[1] = class_model_build.new();
	-- self.buildPool[1]:initBuildData( 
	-- {
	-- 	guid = 1,
	-- 	templeateId = 2001,
	-- 	pos_x = 48,
	-- 	pos_y = 48,
	-- 	hp = 100
	-- } );
end

function model_buildManager:addBuildData( data )
	local index = table.nums(self.buildPool)
	self.buildPool[index + 1] = data;
end

--设置添加新建筑
function model_buildManager:setAddNewsBuild( data )
	self.addNewsBuildData = data;
	--设置到界面
end

--检查建筑修建列表
function model_buildManager:CheckBuildCreateList(  )
	self.BuildCreatePool = {};
	--判断
end

--清空数据
function model_buildManager:clearBuild(  )
	for k,v in pairs(self.buildPool) do
		self.buildPool[k] = nil;
	end
	self.addNewsBuildData = nil;
end

-------------------------------------------玩家建筑数据操作------------------------------------

--[[
	添加玩家建筑数据
]]
function model_buildManager:addPlayerBuildData( data )
	self.PlayerBuildData[data] = data;
end

function model_buildManager:getPlayerBuildDataByTemplateID( id )
	for k,v in pairs(self.PlayerBuildData) do
		if v.templateID == id then
			return v.templateID ;
		end
	end
	return nil;
end

---------------------------------------建筑操作------------------------------------------------------

--[[发送建筑移动操作
parame = {
		templeID = 0,
		guid,
		plot_x,
		plot_y,
		cell_x,
		cell_y,
		index
	}
	
]]
function model_buildManager:sendBuildMoveMsg( parame )
	local data = GetBuildCfg(parame.templeID);
	--发送创建建筑
--     string	公会key
-- *	int 	地块x坐标
-- *	int 	地块y坐标
-- *	int 	放置点x坐标
-- *	int 	放置点y坐标
-- *	int 	庇护所索引
	if data.buildtype == 1 then
		--庇护所
		printInfo("网路日志 %s","发送建筑移动消息信息 MSG_C2S_FIELD_MoveShelter")
		gameTcp:SendMessage(MSG_C2S_FIELD_MoveShelter,{
            parame.guid,
            parame.plot_x,
            parame.plot_y,
            parame.cell_x,
            parame.cell_y,
            parame.index
            })
		
	else
		--庇护所
		printInfo("网路日志 %s","发送创建建筑信息 MSG_C2S_FIELD_MoveTower")
		gameTcp:SendMessage(MSG_C2S_FIELD_MoveTower,{
            -- parame.guid,
            parame.plot_x,
            parame.plot_y,
            parame.cell_x,
            parame.cell_y,
            })
	end
end

--[[发送建筑添加操作
	parame = {
		templeID = 0,
		guid,
		plot_x,
		plot_y,
		cell_x,
		cell_y,
		index
	}
]]
function model_buildManager:sendBuildAddMsg( parame )
	local data = GetBuildCfg(parame.templeID);
	--发送创建建筑
    --     string  公会key
    -- *   int     地块x坐标
    -- *   int     地块y坐标
    -- *   int     放置点x坐标
    -- *   int     放置点y坐标
    -- *   int     庇护所索引
	if data.buildtype == 1 then
		--庇护所
		printInfo("网路日志 %s","发送创建建筑信息 MSG_C2S_FIELD_LayShelter")
		gameTcp:SendMessage(MSG_C2S_FIELD_LayShelter,{
            parame.guid,
            parame.plot_x,
            parame.plot_y,
            parame.cell_x,
            parame.cell_y,
            parame.index
            })
		
	else
		--庇护所
		printInfo("网路日志 %s","发送创建建筑信息 MSG_C2S_FIELD_LayTower")
		gameTcp:SendMessage(MSG_C2S_FIELD_LayTower,{
            parame.guid,
            parame.plot_x,
            parame.plot_y,
            parame.cell_x,
            parame.cell_y,
            })
	end
end

--[[ 取庇护所
parame = {
		templeID = 0,
		guid,
		plot_x,
		plot_y,
		index
	}
]]
function model_buildManager:sendRemoveBuildMsg( parame )
	local data = GetBuildCfg(parame.templeID);
	--发送创建建筑
    --     string  公会key
    -- *   int     地块x坐标
    -- *   int     地块y坐标
    -- *   int     放置点x坐标
    -- *   int     放置点y坐标
    -- *   int     庇护所索引
	if data.buildtype == 1 then
		--庇护所
		printInfo("网路日志 %s","发送删除建筑信息 MSG_C2S_FIELD_TakeShelter")
		gameTcp:SendMessage(MSG_C2S_FIELD_TakeShelter,{
            parame.guid,
            parame.plot_x,
            parame.plot_y,
            })
		
	else
		--庇护所
		printInfo("网路日志 %s","发送删除建筑信息 MSG_C2S_FIELD_TakeTower")
		gameTcp:SendMessage(MSG_C2S_FIELD_TakeTower,{
            -- parame.guid,
            parame.plot_x,
            parame.plot_y,
            })
	end
end

BuildManager = model_buildManager.getInstance();

return model_buildManager;
