


--============
-- 解码成员数据
function decode_guild_member( rmsg )
	-- body
	local number = rmsg:ReadIntData()

	printLog("网路日志",
		"[得到公会成员列表] 消息(MSG_S2C_GUILD_MemberList), 数量: %d", 
		number
	)
	
	if 0 < number then

		local mem_list = {};

		for i=1,number do
			local mem_info = {};
			mem_info.post = rmsg:ReadIntData();--官职
			mem_info.id = rmsg:ReadString();--id
			mem_info.head_id = rmsg:ReadString();--头像id
			mem_info.name = rmsg:ReadString();--昵称
			mem_info.level = rmsg:ReadIntData();--等级
			mem_info.sex = rmsg:ReadIntData();--性别
			mem_info.towerlv = rmsg:ReadIntData();--塔防等级
			
			table.insert(mem_list, mem_info);
		end
		print_tab(mem_list)
		MAIN_PLAYER:getGuild():Setmemberinfo(mem_list);
		
		--发送获取公会信息请求
		-- printLog("网路日志"," 发送获取公会信息请求: ")
		-- gameTcp:SendMessage(MSG_C2MS_GUILD_GETINFO)
	
	end
end

-- 解码申请数据
function decode_guild_apply( rmsg )
	-- body
	local number = rmsg:ReadIntData()

	printLog("网路日志",
		"[得到申请的列表] 消息(MSG_S2C_GET_GUILD_APPLY), 数量: %d", 
		number
	)
	
	if 0 < number then

		local apply_list = {};

		for i=1,number do
			local apply_info = {};
			
			apply_info.id = rmsg:ReadString();--id
			apply_info.head_id = rmsg:ReadString();--头像id
			apply_info.name = rmsg:ReadString();--昵称
			apply_info.level = rmsg:ReadIntData();--等级
			apply_info.sex = rmsg:ReadIntData();--性别
			apply_info.towerlv = rmsg:ReadIntData();--塔防等级
			
			table.insert(apply_list, apply_info);
		end

		MAIN_PLAYER:getGuild():Setapply(apply_list);
		
		--发送获取公会信息请求
		-- printLog("网路日志"," 发送获取公会信息请求: ")
		-- gameTcp:SendMessage(MSG_C2MS_GUILD_GETINFO)
	else
		MAIN_PLAYER:getGuild():Setapply({});

		dispatchGlobaleEvent("controler_ui_guild_top_btn", "updateredsign")
	end
end

-- 解码庇护所数据
function decode_guild_refuge( rmsg )
	-- body
	-- 取得结果
	local number = rmsg:ReadIntData()

	printLog("网路日志",
		"[请求地块信息] 消息(MSG_S2C_GUILD_GetRefuge_list), 数量: %d", 
		number
	)
	
	if 0 < number then

		local refuge_list = {};

		for i=1,number do
			local refuge_info = {};
			refuge_info.level = rmsg:ReadIntData();
			refuge_info.isset = rmsg:ReadIntData();
			-- refuge_info.pos_x = rmsg:ReadIntData();
			-- refuge_info.pos_y = rmsg:ReadIntData();
			refuge_info.gold = rmsg:ReadIntData();

			refuge_info.place = rmsg:ReadString();

			refuge_info.place_lv = rmsg:ReadIntData();

			table.insert(refuge_list, refuge_info);
		end

		-- printLog("===输出解码庇护所的数据"," : ")
		-- print_tab(refuge_list)

		MAIN_PLAYER:getGuild():Setmanorlist(refuge_list);
		
		--发送获取公会信息请求
		-- printLog("网路日志"," 发送获取公会信息请求: ")
		-- gameTcp:SendMessage(MSG_C2MS_GUILD_GETINFO)
	end
end

-- 计算公会的储量上限
function sum_guild_maxgold()
	-- body
	local max_gold = 0;
	local refuge_list = MAIN_PLAYER:getGuild():Getmanorlist();
	if refuge_list then
		for k,v in pairs(refuge_list) do
			local refugeCfg = GetShelterCfg(v.level);
			max_gold = max_gold + refugeCfg.vol;
		end
	end
	return max_gold;
end

-- 计算公会的储量上限
function sum_guild_apply_num()
	-- body
	local apply_list = MAIN_PLAYER:getGuild():Getapply();
	if apply_list then
		return #apply_list;
	end
	return 0;
end