--
-- Author: zangqing
-- Date: 2016-1-21 10:10:47
-- Dec: 聊天
local model_chatinfo = class("model_chatinfo")

--[[发送全局事件名预览
eventModleName: model_chatinfo
eventName: 
	nameChange --玩家名字改变
	goldChange --银两改变
	yuanBaoChange --元宝改变
	tiLiChange --体力改变
	jingLiChange --精力改变
	expChange  --经验改变
	vipLvChange --VIP等级改变
	-- 世界频道
	chat_channel_world = 1;

	-- 公会频道
	chat_channel_guild = 2;

	-- 队伍频道
	chat_channel_team = 3;

	-- 好友频道
	chat_channel_friend = 4;

	-- 系统频道
	chat_channel_system = 5;
]]

--[[监听全局事件名预览
eventModleName: netMsg
eventName:
	tostring(MSG_MS2C_ROLE_UPDATA_GOLD)
]]


function model_chatinfo:ctor()
	--[[
		example:系统:09月02日22点53分,[爆裂黑帮]在中国重庆南岸建立了领地
		{
			{content="系统:09月02日22点53分,",color=cc.c3b(255, 255, 255),size=20},
			{content="[爆裂黑帮]",color=cc.c3b(128, 0, 128),size=20},
			{content="在中国重庆南岸建立了领地",color=cc.c3b(255, 255, 255),size=20},
		}
	]]
	self.chatinfo = {};-- 聊天内容[1] = { color = cc.c3b(255, 255, 255), size = 20, content = "   首次充值任意金額將獲得超值大禮！內有神器！"},

	-- 当前私聊的玩家的聊天内容
	self.mail = {
		-- {name = "玩家昵称", content = "信息内容", fight_id=""},
		-- {name = "玩家昵称", content = "信息内容", fight_id=""},
		-- {name = "玩家昵称", content = "信息内容", fight_id=""},
	}

end

function model_chatinfo:insertchatinfo( strname, strhead_id, strchat ,chatchannel ,sex)
	GAME_MODEL:getTipManager():setTipState( "char_news", 1 );
	local strchat = strname..":"..strchat;
	print("insertchatinfo",strchat)
	local inserttab = {}
	inserttab[1] = {};
	inserttab[1]["color"] = cc.c3b(255, 255, 255);
	inserttab[1]["size"] = 30;
	inserttab[1]["content"] = strchat;
	inserttab.sex = sex;
	inserttab.chatchannel = chatchannel;
	inserttab.name = strname;
	inserttab.head_id = strhead_id;
	if #self.chatinfo >= 20 then
		table.remove(self.chatinfo, 1);
	end
	table.insert(self.chatinfo, inserttab)
	-- print(inserttab);
	if inserttab.chatchannel == chat_channel_world then
		GAME_MODEL:getTipManager():setTipState( "char_world", 1 );
	elseif inserttab.chatchannel == chat_channel_guild then
		GAME_MODEL:getTipManager():setTipState( "char_guild", 1 );
	elseif inserttab.chatchannel == chat_channel_team then
		GAME_MODEL:getTipManager():setTipState( "char_team", 1 );
	elseif inserttab.chatchannel == chat_channel_friend then
		GAME_MODEL:getTipManager():setTipState( "char_friend", 1 );
	elseif inserttab.chatchannel == chat_channel_system then
		GAME_MODEL:getTipManager():setTipState( "char_system", 1 );
	end
end

function model_chatinfo:insertmailinfo( strname, strhead_id, strchat ,chatchannel ,sex, fight_id, objname)
	GAME_MODEL:getTipManager():setTipState( "char_news", 1 );
	local strchat = strname..":"..strchat;
	print("insertmailinfo",strchat)
	local inserttab = {}
	inserttab[1] = {};
	inserttab[1]["color"] = cc.c3b(255, 255, 255);
	inserttab[1]["size"] = 30;
	inserttab[1]["content"] = strchat;
	inserttab.sex = sex;
	inserttab.chatchannel = chatchannel;
	inserttab.name = strname;
	inserttab.head_id = strhead_id;
	inserttab.fight_id = fight_id;
	inserttab.objname = objname;

	if #self.mail >= 20 then
		table.remove(self.mail, 1);
	end
	table.insert(self.mail, inserttab)
	-- print(inserttab);
	
	if inserttab.chatchannel == chat_channel_world then
		GAME_MODEL:getTipManager():setTipState( "char_world", 1 );
	elseif inserttab.chatchannel == chat_channel_guild then
		GAME_MODEL:getTipManager():setTipState( "char_guild", 1 );
	elseif inserttab.chatchannel == chat_channel_team then
		GAME_MODEL:getTipManager():setTipState( "char_team", 1 );
	elseif inserttab.chatchannel == chat_channel_friend then
		GAME_MODEL:getTipManager():setTipState( "char_friend", 1 );
		dispatchGlobaleEvent("controler_ui_friend_list", "updateTips",{strname})
	elseif inserttab.chatchannel == chat_channel_system then
		GAME_MODEL:getTipManager():setTipState( "char_system", 1 );
	end
end

function model_chatinfo:getchatlist()
	return self.chatinfo
end

function model_chatinfo:getchatMaillist()
	-- body
	return self.mail
end

function model_chatinfo:clearchatMaillist()
	-- body
	self.mail = {};
end

return model_chatinfo

