--
-- Author: 臧卿
-- Date: 2016-04-05 19:01:14
-- 队伍

local model_TeamMgr = class("model_TeamMgr")

function model_TeamMgr:ctor(leaderinfo)
	self.leader = leaderinfo.name; --队长名称
	
	--成员列表
	self.memberinfo = {
		-- {id = "{XXXXXXX-XXXXXXX-XXXXXXX-XXXX}", name = "队长", level = 1, sex = 1,},
		-- {id = "{XXXXXXX-XXXXXXX-XXXXXXX-XXXX}", name = "队长", level = 1, sex = 1,},
	}
	table.insert(self.memberinfo, leaderinfo);

	self._memberMaxNum = 5; -- 队伍最大人数

	--附近队伍列表
	self.nearteam = {
		-- {name = "队长", curnum = 2, state = 1,},
		-- {name = "队长", curnum = 2, state = 1,},
	}
end
-- 得到附近队伍列表
function model_TeamMgr:getnearteam()
	-- body
	return self.nearteam;
end

function model_TeamMgr:getleadername()
	return self.leader;
end

function model_TeamMgr:updateleadername(name)
	self.leader = name;
end

function model_TeamMgr:updatememNum()
	self._memberCurNum = #self.memberinfo; -- 队伍当前人数
end

function model_TeamMgr:getmemberNum()
	return self._memberCurNum;
end

function model_TeamMgr:Addmember(leaderinfo)
	table.insert(self.memberinfo, leaderinfo);
end

function model_TeamMgr:Deletemember(memID)
	for i,v in ipairs(self.memberinfo) do
		if v.id==memID then
			table.remove(self.memberinfo, i);
			return;
		end
	end
	self:updatememNum();
end

return model_TeamMgr
