--
-- Author: lipeng
-- Date: 2015-09-14 17:55:30
-- 占城

-- require("app.views.gameWorld.guild.guildSystemModel")

-- 获取战场信息
Msg_Logic[MSG_MS2C_MAPWAR_MAP_INFO] = function ( tcp , msg  )
	printNetLog("[获取战场信息] 消息(MSG_MS2C_MAPWAR_MAP_INFO)")
	local msgData = {}
	msgData.playerInCityID = msg:ReadIntData()
	msgData.playerInCityPosIdx = msg:ReadIntData()
	msgData.cityNum = msg:ReadIntData()
	msgData.cityList = {}

	for i=1, msgData.cityNum do
		msgData.cityList[i] = {}
		local cityInfo = msgData.cityList[i]
		cityInfo.id = msg:ReadIntData()

		cityInfo.posNum = msg:ReadIntData()

		cityInfo.posList = {}
		for j=1, cityInfo.posNum do
			cityInfo.posList[j] = {}
			local posInfo = cityInfo.posList[j]
			posInfo.guildName = msg:ReadString()
			--如果公会名为"", 则说明没有被占领
			if posInfo.guildName ~= "" then
				posInfo.playerName = msg:ReadString()
				posInfo.playerLv = msg:ReadIntData()
				posInfo.playerVIPLv = msg:ReadIntData()
				posInfo.playerPower = msg:ReadIntData()
				posInfo.leaderTempleateID = msg:ReadIntData()
			end
		end
	end


	printNetLog(serialize(msgData))

	MAIN_PLAYER:getGuild():setInBattleCityID(msgData.playerInCityID)
	MAIN_PLAYER:getGuild():setInBattleCityPosIdx(msgData.playerInCityPosIdx)
	
	guildBattleSystemModelInstance:onNetEvent_MSG_MS2C_MAPWAR_MAP_INFO(msgData)

	dispatchGlobaleEvent("net", tostring(MSG_MS2C_MAPWAR_MAP_INFO), {msgData = msgData})
end


-- 进攻城池结果
Msg_Logic[MSG_MS2C_MAPWAR_ATTACK_RE] = function ( tcp , msg  )
	printNetLog("[进攻城池结果] 消息(MSG_MS2C_MAPWAR_ATTACK_RE)")
	local msgData = {}
	print(eMW_Secced)
	--操作结果
	msgData.operateResult = msg:ReadIntData()
	if msgData.operateResult == eMW_Secced then
		--是否有战斗(1 有; 0 没有)
		msgData.battleResult = msg:ReadIntData()
		local ResultData = {}
		local battledata = nil
		if msgData.battleResult == 1 then
			--解析战斗内容, 进入战场
			battledata = Data_Battle_Msg:analysisBattleData( msg ,
				Data_Battle.CONST_BATTLE_TYPE_JTZ,
				"军团战");

			ResultData = {
				des = "军团战结果",
				result = battledata.battleResult,
				score = 0,
				AttackSumHurt = battledata.AttackSumHurt,
				sumBout = 30,--总回合数
				boutCount = battledata.MaxBoutCount,--回合数
				-- nextprompt = "下场开始倒计时", --下一场战斗提示
		        -- countdown = 20,--倒计时
		        dropout = {},--掉落
			};
			battledata.ResultData = ResultData;
		end
		--进攻结果
		msgData.attackResult = msg:ReadIntData()

		--掉落数
		local dropcount = msg:ReadIntData()
		msgData.dropList = {}
		print("dropcount "..dropcount)
		for i=1, dropcount do
			msgData.dropList[i] = {}
			local dropData = msgData.dropList[i]
			--掉落类型
			dropData.droptype = msg:ReadIntData();
			--掉落id
			dropData.dropid = msg:ReadIntData();
			--物品等级
			dropData.dropgrade = msg:ReadIntData();
			--掉落数量
			dropData.count = msg:ReadIntData();
		end

		--城池ID
		msgData.cityID = msg:ReadIntData()
		--座位位置
		msgData.cityPos = msg:ReadIntData()

		if msgData.battleResult == 1 then
			ResultData.dropout = clone(msgData.dropList)
			dispatchGlobaleEvent("controler_mainpage_zhanyi1_layer", "zhanyi_touched")
			dispatchGlobaleEvent("net", "createBattlefieldLogic_jtz", {battledata})
		end
	else
		UIManager:CreatePrompt_NetMsgErrorDescribe(msgData.operateResult)

	end

	printNetLog(serialize(msgData))
	dispatchGlobaleEvent("net", tostring(MSG_MS2C_MAPWAR_ATTACK_RE), {msgData = msgData})
	GLOBAL_TOUCH_CONTROL:TounchContrlScheduler(0)
end

-- 购买战斗次数结果
Msg_Logic[MSG_MS2C_MAPWAR_BUY_RE] = function ( tcp , msg  )
	printNetLog("[购买战斗次数结果] 消息(MSG_MS2C_MAPWAR_BUY_RE)")
	local msgData = {}
	msgData.result = msg:ReadIntData()

	UIManager:CreatePrompt_NetMsgErrorDescribe(msgData.result)

	printNetLog(serialize(msgData))
	dispatchGlobaleEvent("net", tostring(MSG_MS2C_MAPWAR_BUY_RE), {msgData = msgData})
end


-- 城池位置信息更新
Msg_Logic[MSG_MS2C_MAPWAR_UPDATE_POS] = function ( tcp , msg  )
	printNetLog("[城池位置信息更新] 消息(MSG_MS2C_MAPWAR_UPDATE_POS)")
	local msgData = {}
	--城池ID
	msgData.cityID = msg:ReadIntData()
	--城池位置索引
	msgData.cityPosIdx = msg:ReadIntData()

	--公会名字
	msgData.guildName = msg:ReadString()
	if msgData.guildName ~= "" then
		--玩家名字
		msgData.playerName = msg:ReadString()
		--玩家等级
		msgData.playerLv = msg:ReadIntData()
		--玩家VIP等级
		msgData.playerVIPLv = msg:ReadIntData()
		--玩家战力
		msgData.playerPower = msg:ReadIntData()
		--玩家队长模版ID
		msgData.leaderTempleateID = msg:ReadIntData()

		--城市位置被玩家攻下
		if msgData.playerName == MAIN_PLAYER:getBaseAttr():getName() then
			MAIN_PLAYER:getGuild():setInBattleCityID(msgData.cityID)
			MAIN_PLAYER:getGuild():setInBattleCityPosIdx(msgData.cityPosIdx)
		else
			--玩家占领城市被其他人攻下
			local guild = MAIN_PLAYER:getGuild()
			local cityID = guild:getInBattleCityID()
			local cityPosIdx = guild:getInBattleCityPosIdx()

			--是否与玩家占领城市一样
			if cityID == msgData.cityID and
			    cityPosIdx == msgData.cityPosIdx then
				guild:clearInBattleCityPosInfo()
			end
		end
		
	else
		--玩家攻占了其他城市
		local guild = MAIN_PLAYER:getGuild()
		local cityID = guild:getInBattleCityID()
		local cityPosIdx = guild:getInBattleCityPosIdx()

		--是否与玩家占领城市一样
		if cityID == msgData.cityID and
		    cityPosIdx == msgData.cityPosIdx then
			guild:clearInBattleCityPosInfo()
		end
	end
	
	printNetLog(serialize(msgData))
	
	guildBattleSystemModelInstance:onNetEvent_MSG_MS2C_MAPWAR_UPDATE_POS(msgData)

	
	dispatchGlobaleEvent("net", tostring(MSG_MS2C_MAPWAR_UPDATE_POS), {msgData = msgData})
end


