--
-- Author: Li Yang
-- Date: 2014-01-15 15:31:45
-- 登陆Ls消息

-- 登陆错误处理逻辑
-- Msg_Logic[MSG_LS2C_LOGIN_ValidateError] = function (tcp , msg)
-- 	local result = msg:ReadIntData()
-- 	--断开登陆服务器
-- 	tcp:Disconnect( );
-- 	if result ~= eLET_LoginNoError then
-- 		logPrint("网路日志","收到LS账号验证结果-->"..result)
-- 		Uniquify_LoginScene:UpDataLoginAccount_ErrorShow( getErrorDescribe( result ))
-- 		--开启点击事件
-- 		TounchContrlScheduler(0);
-- 	end
-- end

-- 服务器发送登陆信息给客户端
Msg_Logic[MSG_LS2C_LOGIN_TOKEN] = function ( tcp , msg )
	-- 结果
	printInfo("网路日志 %s","收到服务器登录返回消息 MSG_LS2C_LOGIN_TOKEN");
	local result = msg:ReadIntData();
	
	print("=============:"..MSG_LS2C_LOGIN_TOKEN ,result,eLET_LoginNoError)
	if result == eLET_LoginNoError then
		-- 验证码token
		Data_Login.token = msg:ReadString();
		--账号
		Data_Login.userID = msg:ReadString();
		printInfo("网路日志 %s","登陆LS服务器成功Token："..Data_Login.token..
			",userID："..Data_Login.userID);

		printInfo("网路日志 请求登录网关信息 MSG_C2LS_LOGIN_GET_GATEWAY");
		gameTcp:SendMessage(MSG_C2LS_LOGIN_GET_GATEWAY,{
			Data_Login.chooseGameServer,
			Data_Login.userID
			})
	else
		--关闭登陆超时验证
		tcp:CloseMsgTimeOutCheck( );
		--断开登陆服务器
		tcp:Disconnect( );
		-- result = msg:ReadIntData();
		printInfo("网路日志 %s","登陆LS服务器失败，错误码："..result..getErrorDescribe( result ))
		UIManager:CreatePrompt_Bar( {
			content = getErrorDescribe( result ),
		} )
		if Data_Login.login_type == 7 then
			--登陆失败重新显示登陆按钮
			dispatchGlobaleEvent( "login" ,"event_loginAccountfail");
		end
		--关闭连接等待接口
		dispatchGlobaleEvent( "prompt" ,"wait_close" ,{markType = "loginwait"})
		--开启点击事件
		GLOBAL_TOUCH_CONTROL:TounchContrlScheduler(-10,GLOBAL_TOUCH_CONTROL.CONTROL_TYPE_FOREVER);
	end
end

--服务器返回登录游戏服务器信息
Msg_Logic[MSG_LS2C_LOGIN_GATEWAY_INFO] = function ( tcp , msg )
	printInfo("网路日志 %s","收到MSG_LS2C_LOGIN_GATEWAY_INFO");
	--关闭登陆超时验证
	tcp:CloseMsgTimeOutCheck( );
	local result = msg:ReadIntData();
	if result == eLET_LoginNoError then
		local ip = msg:ReadString();
		local port = msg:ReadIntData();
		local koulin = msg:ReadIntData();
		Data_Login.receiveLoginInfo.IP = ip;
		Data_Login.receiveLoginInfo.Port = port;
		Data_Login.receiveLoginInfo.KouLin = koulin;
		print(ip,port,koulin,Data_Login.Logic_Operation);
		if Data_Login.Logic_Operation == 1 then
			--连接游戏服务器
			--断开登陆服务器
			tcp:Disconnect(5);
		else
			--断开登陆服务器
			tcp:Disconnect(2);--手动断开登陆服务器
			--关闭账号输入接口
			dispatchGlobaleEvent( "login" ,"event_loginAccountsucceed");
			--开启点击事件
			GLOBAL_TOUCH_CONTROL:TounchContrlScheduler(-1,GLOBAL_TOUCH_CONTROL.CONTROL_TYPE_FOREVER);
		end
		dispatchGlobaleEvent( "netMsg" ,tostring(MSG_LS2C_LOGIN_GATEWAY_INFO));
	else
		--断开登陆服务器
		tcp:Disconnect( );
		-- result = msg:ReadIntData();
		printInfo("网路日志 %s","登陆LS服务器失败，错误码："..result..getErrorDescribe( result ))
		UIManager:CreatePrompt_Bar( {
			content = getErrorDescribe( result ),
		} )
		if Data_Login.login_type == 7 then
			--登陆失败重新显示登陆按钮
			dispatchGlobaleEvent( "login" ,"event_loginAccountfail");
		end
		--关闭连接等待接口
		dispatchGlobaleEvent( "prompt" ,"wait_close" ,{markType = "loginwait"})
		--开启点击事件
		GLOBAL_TOUCH_CONTROL:TounchContrlScheduler(-10,GLOBAL_TOUCH_CONTROL.CONTROL_TYPE_FOREVER);
	end
	

end

-- 服务器发送注册结果
Msg_Logic[MSG_LS2C_LOGIN_Register] = function ( tcp , msg )
	-- 结果
	local result = msg:ReadIntData();
	--关闭登陆超时验证
	tcp:CloseMsgTimeOutCheck( );
	printInfo("网路日志 %s","收到账号注册结果 MSG_LS2C_LOGIN_Register -->"..result)
	if result ~= eLET_LoginNoError then
		
		--登陆状态处理使用的登陆错误提示
		UIManager:CreatePrompt_Bar( {
			content = getErrorDescribe( result ),
		} )
	else
		Logic_Operation = 1;
		printInfo("网路日志 %s","注册成功")
		-- 关闭注册接口
		dispatchGlobaleEvent( "netMsg" ,tostring(MSG_LS2C_LOGIN_Register));
		UIManager:CreatePrompt_Bar( {
			content = "注册成功",
		} )
	end
	--开启点击事件
	GLOBAL_TOUCH_CONTROL:TounchContrlScheduler(-1,GLOBAL_TOUCH_CONTROL.CONTROL_TYPE_FOREVER);

end



