--
-- Author: 臧卿
-- Date: 2016-04-25 11:28:54
--
-- 公会数据 消息片

-- 创建公会回复
Msg_Logic[MSG_S2C_GUILD_Create] = function ( tcp , msg  )
	local msgData = {}

	-- 创建结果
	msgData.result = msg:ReadIntData()

	printLog("网路日志",
		"[创建公会回复] 消息(MSG_S2C_GUILD_Create), 结果: %d", 
		msgData.result
	)
	
	if ICP_Succeed == msgData.result then
		
   		msgData.guildName = msg:ReadString()
   		MAIN_PLAYER:getGuild():setname(msgData.guildName)
   		
   		msgData.memberNum = msg:ReadIntData()
   		MAIN_PLAYER:getGuild():setmemberCurNum(msgData.memberNum)

   		msgData.fuBossNum = msg:ReadIntData()
   		MAIN_PLAYER:getGuild():SetfuBossNum(msgData.fuBossNum)

   		msgData.gold = msg:ReadIntData()
   		MAIN_PLAYER:getGuild():setCurGold(msgData.gold)

   		MAIN_PLAYER:getBaseAttr():setPost(Guild_Boss);

   		decode_guild_member( msg );
   		decode_guild_refuge( msg );

		--发送获取公会信息请求
		-- printLog("网路日志"," 发送获取公会信息请求: ")
		-- gameTcp:SendMessage(MSG_C2MS_GUILD_GETINFO)

		printLog("网路日志", "名称: "..
                msgData.guildName)
		dispatchGlobaleEvent("controler_ui_guild_infolist", "updateview", {msgData = msgData})
		dispatchGlobaleEvent("controler_ui_guild_top_btn", "updateViewShow", {msgData = msgData})
		
		dispatchGlobaleEvent("ui_create_guild_layer", "close", {msgData = msgData})
	else
		-- UIManager:CreatePrompt_NetMsgErrorDescribe(msgData.result)
		UIManager:CreatePrompt_Bar( {
			content = getErrorDescribe( msgData.result ),
		} )
	end

	
end

-- 得到公会信息
Msg_Logic[MSG_S2C_GUILD_Info] = function ( tcp , msg  )
	local msgData = {}

	-- 取得结果
	msgData.result = msg:ReadIntData()

	printLog("网路日志",
		"[得到公会信息回复] 消息(MSG_S2C_GUILD_Info), 结果: %d", 
		msgData.result
	)
	
	if ICP_Succeed == msgData.result then
   		msgData.guildName = msg:ReadString()
   		MAIN_PLAYER:getGuild():setname(msgData.guildName)
   		printLog("网路日志",
			"[得到公会信息回复] 消息(MSG_S2C_GUILD_Info), 公会名称: %s", 
			msgData.guildName
		)
   		msgData.memberNum = msg:ReadIntData()
   		MAIN_PLAYER:getGuild():setmemberCurNum(msgData.memberNum)

   		printLog("网路日志",
			"[得到公会信息回复] 消息(MSG_S2C_GUILD_Info), 成员数量: %s", 
			msgData.memberNum
		)

   		msgData.fuBossNum = msg:ReadIntData()
   		MAIN_PLAYER:getGuild():SetfuBossNum(msgData.fuBossNum)

   		printLog("网路日志",
			"[得到公会信息回复] 消息(MSG_S2C_GUILD_Info), 副会长数量: %s", 
			msgData.fuBossNum
		)

   		msgData.gold = msg:ReadIntData()
   		MAIN_PLAYER:getGuild():setCurGold(msgData.gold)

   		printLog("网路日志",
			"[得到公会信息回复] 消息(MSG_S2C_GUILD_Info), 金钱数量: %s", 
			msgData.gold
		)

   		msgData.state = msg:ReadIntData()
   		MAIN_PLAYER:getGuild():setcondition(msgData.state)

   		printLog("网路日志",
			"[得到公会信息回复] 消息(MSG_S2C_GUILD_Info), 收人状态: %s", 
			msgData.state
		)

   		decode_guild_member( msg );
   		decode_guild_refuge( msg );
   		decode_guild_apply( msg );

		--发送获取公会信息请求
		-- printLog("网路日志"," 发送获取公会信息请求: ")
		-- gameTcp:SendMessage(MSG_C2MS_GUILD_GETINFO)
		-- dispatchGlobaleEvent("guildSystem", "Create", {msgData = msgData})
		printLog("网路日志", ", 名称: "..msgData.guildName..", 成员数量: "..msgData.memberNum..", 副会长数量: "..msgData.fuBossNum..", 金钱资源数量: "..msgData.gold)

		gameTcp:SendMessage(MSG_C2S_GUILD_MemberList)
	else
		-- 没有公会
		MAIN_PLAYER:getGuild():setname("");
		MAIN_PLAYER:getBaseAttr():setPost(Guild_Civilian);
		
	end
	dispatchGlobaleEvent("guildSystem", "Create", {msgData = msgData})
	-- UIManager:CreatePrompt_Bar( {
	-- 		content = getErrorDescribe( msgData.result ),
	-- 	} )
end

-- 请求地块信息
Msg_Logic[MSG_S2C_GUILD_GetRefuge_list] = function ( tcp , rmsg  )
	
	decode_guild_refuge( rmsg );

	
    -- 关闭成员列表信息
    dispatchGlobaleEvent("controler_ui_guild_infolist", "setUIVisible", {visibleType="hideAll"})
    -- 显示领地列表信息
    dispatchGlobaleEvent("controler_ui_guild_lingdi", "setUIVisible", {visibleType="showAll"})
    -- 关闭加入申请列表信息
    dispatchGlobaleEvent("controler_ui_guild_join_shenqing", "setUIVisible", {visibleType="hideAll"})
    -- 关闭搜索列表信息
    dispatchGlobaleEvent("controler_ui_guild_sousuo", "setUIVisible", {visibleType="hideAll"})

    -- 更新列表
    dispatchGlobaleEvent("controler_ui_guild_lingdi", "updateViewShow")
    
end

-- 得到公会成员列表
Msg_Logic[MSG_S2C_GUILD_MemberList] = function ( tcp , rmsg  )
	
	local msgData = {}

	-- 取得结果
	msgData.result = rmsg:ReadIntData()
	if ICP_Succeed == msgData.result then
		decode_guild_member( rmsg );
		-- dispatchGlobaleEvent("guildSystem", "Create", {msgData = msgData})

		-- 关闭成员列表信息
	    dispatchGlobaleEvent("controler_ui_guild_infolist", "setUIVisible", {visibleType="showAll"})
	    -- 显示领地列表信息
	    dispatchGlobaleEvent("controler_ui_guild_lingdi", "setUIVisible", {visibleType="hideAll"})
	    -- 关闭加入申请列表信息
	    dispatchGlobaleEvent("controler_ui_guild_join_shenqing", "setUIVisible", {visibleType="hideAll"})
	    -- 关闭搜索列表信息
	    dispatchGlobaleEvent("controler_ui_guild_sousuo", "setUIVisible", {visibleType="hideAll"})

	    -- 更新列表
    	dispatchGlobaleEvent("controler_ui_guild_infolist", "updateViewShow")
	else
		-- UIManager:CreatePrompt_NetMsgErrorDescribe(msgData.result)
		-- UIManager:CreatePrompt_Bar( {
		-- 	content = getErrorDescribe( msgData.result ),
		-- } )
	end
end


-- 得到申请列表
Msg_Logic[MSG_S2C_GET_GUILD_APPLY] = function ( tcp , rmsg  )
	
	local msgData = {}

	-- 取得结果
	msgData.result = rmsg:ReadIntData()
	if ICP_Succeed == msgData.result then
		decode_guild_apply( rmsg );
		-- dispatchGlobaleEvent("guildSystem", "Create", {msgData = msgData})
		
		-- 关闭成员列表信息
	    dispatchGlobaleEvent("controler_ui_guild_infolist", "setUIVisible", {visibleType="hideAll"})
	    -- 显示领地列表信息
	    dispatchGlobaleEvent("controler_ui_guild_lingdi", "setUIVisible", {visibleType="hideAll"})
	    -- 关闭加入申请列表信息
	    dispatchGlobaleEvent("controler_ui_guild_join_shenqing", "setUIVisible", {visibleType="showAll"})
	    -- 关闭搜索列表信息
	    dispatchGlobaleEvent("controler_ui_guild_sousuo", "setUIVisible", {visibleType="hideAll"})

	    -- 更新列表
    	dispatchGlobaleEvent("controler_ui_guild_join_shenqing", "updateViewShow")

    	
    	-- dispatchGlobaleEvent("controler_mainPage_ui_btn_bottonm", "tipStateChange")
	else
		-- UIManager:CreatePrompt_NetMsgErrorDescribe(msgData.result)
		UIManager:CreatePrompt_Bar( {
			content = getErrorDescribe( msgData.result ),
		} )
	end
	
end

-- 添加庇护所
Msg_Logic[MSG_S2C_GUILD_ADD_Shelter] = function ( tcp , msg  )
	local msgData = {}

	-- 创建结果
	msgData.result = msg:ReadIntData()

	printLog("网路日志",
		"[添加庇护所] 消息(MSG_S2C_GUILD_ADD_Shelter), 结果: %d", 
		msgData.result
	)
	
	if ICP_Succeed == msgData.result then
		
		gameTcp:SendMessage(MSG_C2S_GUILD_GetRefuge_list,{})

		UIManager:CreatePrompt_Bar( {
			content = getErrorDescribe( msgData.result ),
		} )
   		-- msgData.index = msg:ReadIntData()
   		-- msgData.level = msg:ReadIntData()
   		
   		-- local infotab = {};
   		-- infotab.level = msgData.level;
   		-- infotab.gold = 0;

   		-- MAIN_PLAYER:getGuild():addmanorinfo( msgData.index, infotab )

   		-- -- 更新列表
    	-- dispatchGlobaleEvent("controler_ui_guild_lingdi", "updateViewShow")
		--发送获取公会信息请求
		-- printLog("网路日志"," 发送获取公会信息请求: ")
		-- gameTcp:SendMessage(MSG_C2MS_GUILD_GETINFO)
		-- dispatchGlobaleEvent("controler_ui_guild_infolist", "updateview", {msgData = msgData})
		-- dispatchGlobaleEvent("controler_ui_guild_top_btn", "updateViewShow", {msgData = msgData})
		
		-- dispatchGlobaleEvent("ui_create_guild_layer", "close", {msgData = msgData})
	elseif ICCR_No_Res==msgData.result then
		local cost = add_shelter_cost(MAIN_PLAYER:getGuild():Getmanornum()-2);

		UIManager:CreatePrompt_Bar( {
			content = getErrorDescribe( msgData.result )..", 需要资源数量:"..tostring(cost),
		} )
	else
		-- UIManager:CreatePrompt_NetMsgErrorDescribe(msgData.result)
		UIManager:CreatePrompt_Bar( {
			content = getErrorDescribe( msgData.result ),
		} )
	end
end

-- 庇护所升级
Msg_Logic[MSG_S2C_GUILD_Shelter_lvup] = function ( tcp , msg  )
	local msgData = {}

	-- 创建结果
	msgData.result = msg:ReadIntData()

	printLog("网路日志",
		"[庇护所升级] 消息(MSG_S2C_GUILD_Shelter_lvup), 结果: %d", 
		msgData.result
	)
	msgData.index = msg:ReadIntData()
	
	if ICP_Succeed == msgData.result then 

		gameTcp:SendMessage(MSG_C2S_GUILD_GetRefuge_list,{})

		UIManager:CreatePrompt_Bar( {
			content = getErrorDescribe( msgData.result ),
		} )
	elseif ICCR_No_Res==msgData.result then
		local cost = 0;
		if MAIN_PLAYER:getGuild():getmanorlv(msgData.index) then
			cost = add_shelter_cost(MAIN_PLAYER:getGuild():getmanorlv(msgData.index)+1);
		end
		UIManager:CreatePrompt_Bar( {
			content = getErrorDescribe( msgData.result )..", 需要资源数量:"..tostring(cost),
		} )
	end
end

-- 踢出军团
Msg_Logic[MSG_S2C_GUILD_Kick] = function ( tcp , msg  )
	local msgData = {}

	-- 创建结果
	msgData.result = msg:ReadIntData()

	printLog("网路日志",
		"[踢出军团] 消息(MSG_S2C_GUILD_Kick), 结果: %d", 
		msgData.result
	)
	
	if ICP_Succeed == msgData.result then
		
   		decode_guild_member( msg );
   		
		--发送获取公会信息请求
		-- printLog("网路日志"," 发送获取公会信息请求: ")
		-- gameTcp:SendMessage(MSG_C2MS_GUILD_GETINFO)

		dispatchGlobaleEvent("controler_ui_guild_infolist", "updateview")
		dispatchGlobaleEvent("controler_ui_guild_top_btn", "updateViewShow")
	else
		-- UIManager:CreatePrompt_NetMsgErrorDescribe(msgData.result)
		UIManager:CreatePrompt_Bar( {
			content = getErrorDescribe( msgData.result ),
		} )
	end
end

-- 玩家退出军团
Msg_Logic[MSG_S2C_GUILD_QuitGuild] = function ( tcp , msg  )
	local msgData = {}

	-- 创建结果
	msgData.result = msg:ReadIntData()

	printLog("网路日志",
		"[玩家退出军团] 消息(MSG_S2C_GUILD_QuitGuild), 结果: %d", 
		msgData.result
	)
	
	if ICP_Succeed == msgData.result then
		
		MAIN_PLAYER:getGuild():setname( "" );
		MAIN_PLAYER:getBaseAttr():setPost( Guild_Civilian );
		MAIN_PLAYER:getGuild():setmemberCurNum(0);
		local memtab = {};
		MAIN_PLAYER:getGuild():Setmemberinfo(memtab);
   		-- msgData.index = msg:ReadIntData()
   		-- msgData.level = msg:ReadIntData()
   		
   		-- MAIN_PLAYER:getGuild():changemanorlv( msgData.index, msgData.level );
		--发送获取公会信息请求
		-- printLog("网路日志"," 发送获取公会信息请求: ")
		-- gameTcp:SendMessage(MSG_C2MS_GUILD_GETINFO)
		-- dispatchGlobaleEvent("controler_ui_guild_infolist", "updateview", {msgData = msgData})
		-- dispatchGlobaleEvent("controler_ui_guild_top_btn", "updateViewShow", {msgData = msgData})
		
		dispatchGlobaleEvent("controler_ui_guild_infolist", "updateViewShow", {msgData = msgData})
		dispatchGlobaleEvent("controler_ui_guild_top_btn", "updateViewShow", {msgData = msgData})

		dispatchGlobaleEvent("ui_pop_layer", "close", {msgData = msgData})
	else
		-- UIManager:CreatePrompt_NetMsgErrorDescribe(msgData.result)
		UIManager:CreatePrompt_Bar( {
			content = getErrorDescribe( msgData.result ),
		} )
	end
end


-- 解散军团
Msg_Logic[MSG_S2C_GUILD_DismissGuild] = function ( tcp , msg  )
	local msgData = {}

	-- 创建结果
	msgData.result = msg:ReadIntData()

	printLog("网路日志",
		"[解散军团] 消息(MSG_S2C_GUILD_DismissGuild), 结果: %d", 
		msgData.result
	)
	
	if ICP_Succeed == msgData.result then
		
		MAIN_PLAYER:getGuild():setname("");
		MAIN_PLAYER:getBaseAttr():setPost(Guild_Civilian);
		MAIN_PLAYER:getGuild():setmemberCurNum(0);
		local memtab = {};
		MAIN_PLAYER:getGuild():Setmemberinfo(memtab);
   		-- msgData.index = msg:ReadIntData()
   		-- msgData.level = msg:ReadIntData()
   		
   		-- MAIN_PLAYER:getGuild():changemanorlv( msgData.index, msgData.level );
		--发送获取公会信息请求
		-- printLog("网路日志"," 发送获取公会信息请求: ")
		-- gameTcp:SendMessage(MSG_C2MS_GUILD_GETINFO)
		-- dispatchGlobaleEvent("controler_ui_guild_infolist", "updateview", {msgData = msgData})
		-- dispatchGlobaleEvent("controler_ui_guild_top_btn", "updateViewShow", {msgData = msgData})
		
		dispatchGlobaleEvent("controler_ui_guild_infolist", "updateViewShow", {msgData = msgData})
		dispatchGlobaleEvent("controler_ui_guild_top_btn", "updateViewShow", {msgData = msgData})

		dispatchGlobaleEvent("ui_pop_layer", "close", {msgData = msgData})
	else
		-- UIManager:CreatePrompt_NetMsgErrorDescribe(msgData.result)
		UIManager:CreatePrompt_Bar( {
			content = getErrorDescribe( msgData.result ),
		} )
	end
end

-- 改变官职
Msg_Logic[MSG_S2C_GUILD_ChangePosition] = function ( tcp , msg  )
	local msgData = {}

	-- 改变的结果
	msgData.result = msg:ReadIntData()

	printLog("网路日志",
		"[改变官职] 消息(MSG_S2C_GUILD_ChangePosition), 结果: %d", 
		msgData.result
	)
	
	if ICP_Succeed == msgData.result then
		
		msgData.id = msg:ReadString()
		msgData.post = msg:ReadIntData()
		printLog("网路日志",
			"[改变官职] 玩家ID: %s", 
			msgData.id
		)
		printLog("网路日志",
			"[改变官职] 官职为: %d", 
			msgData.post
		)
		printLog("网路日志",
			"[改变官职] 当前的玩家ID: %s", 
			MAIN_PLAYER:getBaseAttr():getGUID()
		)
		MAIN_PLAYER:getGuild():changePost( msgData.id, msgData.post )
		if msgData.id == MAIN_PLAYER:getBaseAttr():getGUID() then
			MAIN_PLAYER:getBaseAttr():setPost(msgData.post);
			dispatchGlobaleEvent("controler_ui_guild_top_btn", "updateViewShow", {msgData = msgData})
		end

		dispatchGlobaleEvent("controler_ui_guild_infolist", "updateViewShow", {msgData = msgData})
	else
		-- UIManager:CreatePrompt_NetMsgErrorDescribe(msgData.result)
		UIManager:CreatePrompt_Bar( {
			content = getErrorDescribe( msgData.result ),
		} )
	end



	--dispatchGlobaleEvent("ui_create_guild_layer", "close", {msgData = msgData})
end

-- 拒绝申请
Msg_Logic[MSG_S2C_GUILD_RejectJoin] = function ( tcp , msg  )

	local msgData = {}
	msgData.result = msg:ReadIntData()

	printLog("网路日志",
		"[解散军团] 消息(MSG_S2C_GUILD_DismissGuild), 结果: %d", 
		msgData.result
	)
	
	if ICP_Succeed == msgData.result then

		-- local msgData = {}
		-- msgData.roleid = msg:ReadString()
		
		
		-- MAIN_PLAYER:getGuild():Deleteapply( msgData.roleid )
		
		-- --dispatchGlobaleEvent("ui_create_guild_layer", "close", {msgData = msgData})
		-- dispatchGlobaleEvent("controler_ui_guild_top_btn", "updateViewShow", {msgData = msgData})


		gameTcp:SendMessage(MSG_C2S_GET_GUILD_APPLY,{});
	end
end

-- 同意申请
Msg_Logic[MSG_S2C_GUILD_AgreeJoin] = function ( tcp , msg  )
-- 创建结果
	local msgData = {}
	msgData.result = msg:ReadIntData()
	msgData.roleid = msg:ReadString()

	printLog("网路日志",
		"[同意申请] 消息(MSG_S2C_GUILD_AgreeJoin), 结果: %d", 
		msgData.result
	)
	
	if ICP_Succeed == msgData.result then
		MAIN_PLAYER:getGuild():agree_apply( msgData.roleid )
	else
		MAIN_PLAYER:getGuild():refuse_apply( msgData.roleid );
	end
	UIManager:CreatePrompt_Bar( {
			content = getErrorDescribe( msgData.result ),
		} )
	dispatchGlobaleEvent("controler_ui_guild_join_shenqing", "updateViewShow", {msgData = msgData})
	dispatchGlobaleEvent("controler_ui_guild_top_btn", "updateredsign", {msgData = msgData})
end

-- -- 玩家请求军团列表
-- Msg_Logic[MSG_S2C_GUILD_GetList] = function ( tcp , msg  )
-- 	local msgData = {}
-- 	msgData.number = msg:ReadIntData()
-- 	local guild_info_list = {};
-- 	for i=1,msgData.number do
-- 		local guild_info = {};
-- 		guild_info.name = msg:ReadString();
		
-- 		guild_info.place = msg:ReadString();
		
-- 		guild_info.condition = msg:ReadIntData();

-- 		table.insert( guild_info_list, guild_info );
-- 	end
	
-- 	-- print("======msgData.number: "..msgData.number)
-- 	MAIN_PLAYER:getGuild():set_all_guild( guild_info_list );

-- 	-- dispatchGlobaleEvent("controler_ui_guild_sousuo", "updateViewShow", {msgData = msgData})
-- 	-- 关闭成员列表信息
--     dispatchGlobaleEvent("controler_ui_guild_infolist", "setUIVisible", {visibleType="hideAll"})
--     -- 显示领地列表信息
--     dispatchGlobaleEvent("controler_ui_guild_lingdi", "setUIVisible", {visibleType="hideAll"})
--     -- 关闭加入申请列表信息
--     dispatchGlobaleEvent("controler_ui_guild_join_shenqing", "setUIVisible", {visibleType="hideAll"})
--     -- 关闭搜索列表信息
--     dispatchGlobaleEvent("controler_ui_guild_sousuo", "setUIVisible", {visibleType="showAll"})

--     -- 更新列表
-- 	dispatchGlobaleEvent("controler_ui_guild_sousuo", "updateViewShow")
-- end

-- 玩家搜索军团
Msg_Logic[MSG_S2C_GUILD_Search] = function ( tcp , msg  )
	local msgData = {}

	-- 创建结果
	msgData.result = msg:ReadIntData()

	printLog("网路日志",
		"[玩家搜索军团] 消息(MSG_S2C_GUILD_Search), 结果: %d", 
		msgData.result
	)
	if ICCR_Sousuo_Succed==msgData.result then
		local guild_info_list = {};
		local guild_info = {};
		guild_info.name = msg:ReadString();
		
		guild_info.place = msg:ReadString();
		
		guild_info.condition = msg:ReadIntData();

		printLog("网路日志",
			"[玩家搜索军团] 加入条件: %d", 
			guild_info.condition
		)

		table.insert( guild_info_list, guild_info );
		
		-- print("======msgData.number: "..msgData.number)
		MAIN_PLAYER:getGuild():set_all_guild( guild_info_list );

		-- dispatchGlobaleEvent("controler_ui_guild_sousuo", "updateViewShow", {msgData = msgData})
		-- -- 关闭成员列表信息
	 --    dispatchGlobaleEvent("controler_ui_guild_infolist", "setUIVisible", {visibleType="hideAll"})
	 --    -- 显示领地列表信息
	 --    dispatchGlobaleEvent("controler_ui_guild_lingdi", "setUIVisible", {visibleType="hideAll"})
	 --    -- 关闭加入申请列表信息
	 --    dispatchGlobaleEvent("controler_ui_guild_join_shenqing", "setUIVisible", {visibleType="hideAll"})
	 --    -- 关闭搜索列表信息
	 --    dispatchGlobaleEvent("controler_ui_guild_sousuo", "setUIVisible", {visibleType="showAll"})

	    -- 更新列表
		dispatchGlobaleEvent("controler_ui_guild_sousuo", "updateViewShow")

	end
	UIManager:CreatePrompt_Bar( {
		content = getErrorDescribe( msgData.result ),
	} )
end


-- -- 玩家搜索军团
-- Msg_Logic[MSG_S2C_GUILD_Search] = function ( tcp , msg  )
-- 	local msgData = {}

-- 	-- 创建结果
-- 	msgData.result = msg:ReadIntData()

-- 	printLog("网路日志",
-- 		"[玩家搜索军团] 消息(MSG_S2C_GUILD_Search), 结果: %d", 
-- 		msgData.result
-- 	)
	
-- 	if ICP_Succeed == msgData.result then
		
-- 		local guild_info = {};
-- 		guild.name = msg:ReadString();
-- 		guild.level = msg:ReadIntData();
-- 		guild.pos_x = msg:ReadIntData();
-- 		guild.pos_y = msg:ReadIntData();
-- 		guild.condition = msg:ReadIntData();

--    		-- msgData.index = msg:ReadIntData()
--    		-- msgData.level = msg:ReadIntData()
   		
--    		-- MAIN_PLAYER:getGuild():changemanorlv( msgData.index, msgData.level );
-- 		--发送获取公会信息请求
-- 		-- printLog("网路日志"," 发送获取公会信息请求: ")
-- 		-- gameTcp:SendMessage(MSG_C2MS_GUILD_GETINFO)
-- 		-- dispatchGlobaleEvent("controler_ui_guild_infolist", "updateview", {msgData = msgData})
-- 		-- dispatchGlobaleEvent("controler_ui_guild_top_btn", "updateViewShow", {msgData = msgData})
		
-- 		-- dispatchGlobaleEvent("ui_create_guild_layer", "close", {msgData = msgData})
-- 	else
-- 		-- UIManager:CreatePrompt_NetMsgErrorDescribe(msgData.result)
-- 		UIManager:CreatePrompt_Bar( {
-- 			content = getErrorDescribe( msgData.result ),
-- 		} )
-- 	end

-- 	--dispatchGlobaleEvent("ui_create_guild_layer", "close", {msgData = msgData})
-- end

-- 玩家申请加入军团
Msg_Logic[MSG_S2C_GUILD_ApplyJoinGuild] = function ( tcp , msg  )
	local msgData = {}

	-- 创建结果
	msgData.result = msg:ReadIntData()

	printLog("网路日志",
		"[玩家申请加入军团] 消息(MSG_S2C_GUILD_ApplyJoinGuild), 结果: %d", 
		msgData.result
	)
	if ICCR_Apply_Succed==msgData.result and
		Guild_Assistant >= MAIN_PLAYER:getBaseAttr():getPost() then
		-- 有人加入，直接让红点显示
		dispatchGlobaleEvent("controler_ui_guild_join_shenqing", "showguildtip")
		GAME_MODEL:getTipManager():setTipState( "guild_news", 1 );
		return;
	end
	UIManager:CreatePrompt_Bar( {
			content = getErrorDescribe( msgData.result ),
		} )

	--dispatchGlobaleEvent("ui_create_guild_layer", "close", {msgData = msgData})
end


-- 修改收人状态结果
Msg_Logic[MSG_S2C_GUILD_Set_State] = function ( tcp , msg  )
	local msgData = {}

	-- 创建结果
	msgData.result = msg:ReadIntData()

	printLog("网路日志",
		"[修改收人状态结果] 消息(MSG_S2C_GUILD_Set_State), 结果: %d", 
		msgData.result
	)
	
	if ICP_Succeed == msgData.result then
		
   		msgData.condition = msg:ReadIntData()
   		
   		MAIN_PLAYER:getGuild():setcondition( msgData.condition );
		--发送获取公会信息请求
		-- printLog("网路日志"," 发送获取公会信息请求: ")
		-- gameTcp:SendMessage(MSG_C2MS_GUILD_GETINFO)
		-- dispatchGlobaleEvent("controler_ui_guild_infolist", "updateview", {msgData = msgData})
		-- dispatchGlobaleEvent("controler_ui_guild_top_btn", "updateViewShow", {msgData = msgData})
		
		dispatchGlobaleEvent("controler_ui_guild_join_shenqing", "updatecondition")
	else
		-- UIManager:CreatePrompt_NetMsgErrorDescribe(msgData.result)
		UIManager:CreatePrompt_Bar( {
			content = getErrorDescribe( msgData.result ),
		} )
	end
end

-- 收到通知已经加入某个军团
Msg_Logic[MSG_S2C_GUILD_Join_Succed] = function ( tcp , msg  )
-- 创建结果
	local msgData = {}
	msgData.guild_id = msg:ReadString()
	msgData.post = msg:ReadIntData()
	

	printLog("网路日志",
		"[加入公会] 消息(MSG_S2C_GUILD_Join_Succed), 公会名称: %s", 
		msgData.guild_id
	)
	
	MAIN_PLAYER:getGuild():setname(msgData.guild_id)
   	MAIN_PLAYER:getBaseAttr():setPost(msgData.post);

   	UIManager:CreatePrompt_Bar( {
			content = "恭喜加入公会: "..msgData.guild_id,
		} )
	-- dispatchGlobaleEvent("ui_guild_layer", "close")
	-- print("MSG_C2S_GUILD_Info,取得当前军团信息,");
 --    gameTcp:SendMessage(MSG_C2S_GUILD_Info,{});
end