--
-- Author: Wu Hengmin
-- Date: 2014-05-23 09:37:50
--



--常量
-------------------------------------------------------
--排行榜每页数量
PER_PAGE_NUM = 5;
--每日挑战次数
ARENA_DAT_NUM = 5;



--竞技场商品
-------------------------------------------------------
ArenaGoodses = {
[1] = {
	id = 1,
	price_sjl = 8,
	goods = 
	{
		obj_type = eDT_CardPiece,
		obj_id = 100004,
		obj_lv = 0,
		obj_num = 1,
	},
},
[2] = {
	id = 2,
	price_sjl = 8,
	goods = 
	{
		obj_type = eDT_CardPiece,
		obj_id = 100005,
		obj_lv = 0,
		obj_num = 1,
	},
},
[3] = {
	id = 3,
	price_sjl = 80,
	goods = 
	{
		obj_type = eDT_EquipPiece,
		obj_id = 120011,
		obj_lv = 0,
		obj_num = 1,
	},
},
[4] = {
	id = 4,
	price_sjl = 80,
	goods = 
	{
		obj_type = eDT_EquipPiece,
		obj_id = 120012,
		obj_lv = 0,
		obj_num = 1,
	},
},
[5] = {
	id = 5,
	price_sjl = 80,
	goods = 
	{
		obj_type = eDT_EquipPiece,
		obj_id = 120013,
		obj_lv = 0,
		obj_num = 1,
	},
},
[6] = {
	id = 6,
	price_sjl = 80,
	goods = 
	{
		obj_type = eDT_EquipPiece,
		obj_id = 120014,
		obj_lv = 0,
		obj_num = 1,
	},
},

};


-- 排位奖励
-------------------------------------------------------
ArenaRankReward = {
	[1]={rank = 1, rank_reward = {gold = 50000, yb = 280, sjl = 40,},  upgrade_yb = 250, }, 
	[2]={rank = 2, rank_reward = {gold = 47500, yb = 250, sjl = 38,},  upgrade_yb = 200, }, 
	[3]={rank = 3, rank_reward = {gold = 45000, yb = 240, sjl = 36,},  upgrade_yb = 150, }, 
	[4]={rank = 4, rank_reward = {gold = 42500, yb = 230, sjl = 34,},  upgrade_yb = 130, }, 
	[5]={rank = 5, rank_reward = {gold = 40000, yb = 220, sjl = 32,},  upgrade_yb = 110, }, 
	[6]={rank = 6, rank_reward = {gold = 37500, yb = 210, sjl = 30,},  upgrade_yb = 90, }, 
	[7]={rank = 7, rank_reward = {gold = 35000, yb = 200, sjl = 28,},  upgrade_yb = 70, }, 
	[8]={rank = 8, rank_reward = {gold = 32500, yb = 190, sjl = 26,},  upgrade_yb = 50, }, 
	[9]={rank = 9, rank_reward = {gold = 30000, yb = 180, sjl = 24,},  upgrade_yb = 30, }, 
	[10]={rank = 10, rank_reward = {gold = 27500, yb = 170, sjl = 22,},  upgrade_yb = 20, }, 
	[11]={rank = 11, rank_reward = {gold = 25000, yb = 150, sjl = 20,},  upgrade_yb = 15, }, 
	[12]={rank = 21, rank_reward = {gold = 22500, yb = 140, sjl = 19,},  upgrade_yb = 12, }, 
	[13]={rank = 31, rank_reward = {gold = 20000, yb = 130, sjl = 18,},  upgrade_yb = 10, }, 
	[14]={rank = 41, rank_reward = {gold = 17500, yb = 120, sjl = 17,},  upgrade_yb = 9, }, 
	[15]={rank = 51, rank_reward = {gold = 15000, yb = 110, sjl = 16,},  upgrade_yb = 7, }, 
	[16]={rank = 71, rank_reward = {gold = 13750, yb = 100, sjl = 15,},  upgrade_yb = 5, }, 
	[17]={rank = 101, rank_reward = {gold = 12500, yb = 95, sjl = 14,},  upgrade_yb = 3, }, 
	[18]={rank = 201, rank_reward = {gold = 11250, yb = 90, sjl = 13,},  upgrade_yb = 2.5, }, 
	[19]={rank = 301, rank_reward = {gold = 10000, yb = 85, sjl = 12,},  upgrade_yb = 2, }, 
	[20]={rank = 401, rank_reward = {gold = 9000, yb = 80, sjl = 11,},  upgrade_yb = 1.5, }, 
	[21]={rank = 501, rank_reward = {gold = 8000, yb = 75, sjl = 10,},  upgrade_yb = 1, }, 
	[22]={rank = 701, rank_reward = {gold = 7000, yb = 70, sjl = 9,},  upgrade_yb = 0.5, }, 
	[23]={rank = 1001, rank_reward = {gold = 6000, yb = 65, sjl = 8,},  upgrade_yb = 0.2, }, 
	[24]={rank = 2001, rank_reward = {gold = 5000, yb = 60, sjl = 7,},  upgrade_yb = 0.1, }, 
	[25]={rank = 3001, rank_reward = {gold = 4500, yb = 55, sjl = 6,},  upgrade_yb = 0.05, }, 
	[26]={rank = 4001, rank_reward = {gold = 4000, yb = 50, sjl = 5,},  upgrade_yb = 0.05, }, 
};


--找到排名的奖励位置
function FindArenaReward(rank)
	for i = #ArenaRankReward, 1, -1 do
		local re = ArenaRankReward[i];
		if rank >= re.rank then
			return re;
		end
	end
	print_log(debug.traceback());
	print_log("Not found reward, rank = ("..rank..")");
end


