--
-- Author: Li Yang
-- Date: 2014-09-29 15:18:44
--

--[[
	新手引导提示内容
]]
NewbieGuidePromptConfig = {
	--开始1
	["newbieguide_drama_1"] = {
		describe = "引导第一步",
		[1] = { color = cc.c3b(255, 255, 255),str = "点击“"},
        [2] = { color = cc.c3b(255, 0, 0),str = "钢铁征途"},
        [3] = { color = cc.c3b(255, 255, 255),str = "”查看战斗。武将会"},
        [4] = { color = cc.c3b(255, 0, 0),str = "永无休止"},
        [5] = { color = cc.c3b(255, 255, 255),str = "地为您卖命战斗，经验装备轻松获得！离线战斗不消耗流量！"},
	},

	["newbieguide_drama_2"] = {
		describe = "引导第二步",
		[1] = { color = cc.c3b(255, 255, 255),str = "挑战BOSS胜利后可开启下个关卡。BOSS会掉落神器碎片,是获得"},
        [2] = { color = cc.c3b(255, 0, 0),str = "神器"},
        [3] = { color = cc.c3b(255, 255, 255),str = "的主要方法。"},
	},

	["newbieguide_drama_3"] = {
		describe = "引导第三步",
		[1] = { color = cc.c3b(255, 255, 255),str = "挑战boss胜利后别忘了领取"},
        [2] = { color = cc.c3b(255, 0, 0),str = "通关奖励"},
        [3] = { color = cc.c3b(255, 255, 255),str = "哟！"},
	},
	["newbieguide_drama_4"] = {
		describe = "引导第四步",
		[1] = { color = cc.c3b(255, 255, 255),str = "等级越高的关卡获得的经验越高，装备越好。但是建议根据自己的实力选择关卡，战斗太慢反而会"},
        [2] = { color = cc.c3b(255, 0, 0),str = "影响收益"},
        [3] = { color = cc.c3b(255, 255, 255),str = "。"},
	},
	["newbieguide_drama_4_1"] = {
		describe = "引导第四步",
		[1] = { color = cc.c3b(255, 255, 255),str = "本场战斗结束后将进行新的关卡战斗,点击进入下一步"},
	},
	["newbieguide_drama_5"] = {
		describe = "引导第五步",
		[1] = { color = cc.c3b(255, 255, 255),str = "快速战斗可以"},
        [2] = { color = cc.c3b(255, 0, 0),str = "快速获得经验和装备"},
        [3] = { color = cc.c3b(255, 255, 255),str = "，是快速提升实力的有效方法。"},
	},
	["newbieguide_drama_6"] = {
		describe = "引导第六步",
		[1] = { color = cc.c3b(255, 255, 255),str = "战斗中可以随时点击“"},
        [2] = { color = cc.c3b(255, 0, 0),str = "关闭战斗"},
        [3] = { color = cc.c3b(255, 255, 255),str = "”返回主界面，不会影响战斗进程。"},
	},
	["newbieguide_drama_7"] = {
		describe = "引导第七步",
		[1] = { color = cc.c3b(255, 255, 255),str = "一个人战斗有点寂寞吧？我们去"},
        [2] = { color = cc.c3b(255, 0, 0),str = "招募"},
        [3] = { color = cc.c3b(255, 255, 255),str = "新武将吧！"},
	},
	["newbieguide_drama_8"] = {
		describe = "引导第八步",
		[1] = { color = cc.c3b(255, 255, 255),str = "武将招募可以由五个武将任您选一哦，我们现在选择最好的"},
        [2] = { color = cc.c3b(255, 0, 0),str = "名将"},
        [3] = { color = cc.c3b(255, 255, 255),str = "吧！"},
	},
	["newbieguide_drama_9"] = {
		describe = "引导第九步",
		[1] = { color = cc.c3b(255, 255, 255),str = "赶快去“"},
        [2] = { color = cc.c3b(255, 0, 0),str = "队伍"},
        [3] = { color = cc.c3b(255, 255, 255),str = "”上阵新武将吧！"},
	},
	["newbieguide_drama_10"] = {
		describe = "引导第十步",
		[1] = { color = cc.c3b(255, 255, 255),str = "给武将穿戴装备可大幅提高"},
        [2] = { color = cc.c3b(255, 0, 0),str = "武将战力"},
        [3] = { color = cc.c3b(255, 255, 255),str = "，让战斗更快更轻松。可装备"},
        [4] = { color = cc.c3b(255, 0, 0),str = "超过自身等级10级内"},
        [2] = { color = cc.c3b(255, 255, 255),str = "的装备哟。"},
	},
		["newbieguide_drama_11"] = {
		describe = "引导第十一步",
		[1] = { color = cc.c3b(255, 255, 255),str = "选择空位"},
    },

		["newbieguide_drama_10"] = {
		describe = "引导第十步",
		[1] = { color = cc.c3b(255, 255, 255),str = "别忘了"},
        [2] = { color = cc.c3b(255, 0, 0),str = "一键换装"},
        [3] = { color = cc.c3b(255, 255, 255),str = "哦！"},
	},

		["newbieguide_drama_12"] = {
		describe = "引导第十二步",
		[1] = { color = cc.c3b(255, 255, 255),str = "挑战不同的对手，不同的"},
        [2] = { color = cc.c3b(255, 0, 0),str = "阵型与站位"},
        [3] = { color = cc.c3b(255, 255, 255),str = "会有不同的效果。"},
	},
	["newbieguide_drama_13"] = {
		describe = "引导第十三步",
        [1] = { color = cc.c3b(255, 0, 0),str = "熔炼"},
        [2] = { color = cc.c3b(255, 255, 255),str = "可以清理多余的装备，变成更好的装备或者熔值，熔值可兑换成其他物品。"},
	},
	["newbieguide_drama_14"] = {
		describe = "引导第十三步",
        [1] = { color = cc.c3b(255, 255, 255),str = "现在我们去熔值兑换商店看看吧！"},
	},
	["newbieguide_drama_14_1"] = {
		describe = "雇佣第一步",
		[1] = { color = cc.c3b(255, 255, 255),str = "已拿到雇佣许可证！可以"},
     	[2] = { color = cc.c3b(255, 0, 0),str = "雇佣其他玩家为你打工"},
        [3] = { color = cc.c3b(255, 255, 255),str = "哟"},
	},
	["newbieguide_drama_14_2"] = {
		describe = "雇佣第二步",
		[1] = { color = cc.c3b(255, 255, 255),str = "雇佣"},
     	[2] = { color = cc.c3b(255, 0, 0),str = "未处于保护期"},
        [3] = { color = cc.c3b(255, 255, 255),str = "的玩家为你打工，"},
        [4] = { color = cc.c3b(255, 0, 0),str = "提高"},
     	[5] = { color = cc.c3b(255, 255, 255),str = "自己经验和银两的"},
     	[6] = { color = cc.c3b(255, 0, 0),str = "收益"},
        [7] = { color = cc.c3b(255, 255, 255),str = "吧"},
	},
	["newbieguide_drama_15"] = {
		describe = "竞技场",
     	[1] = { color = cc.c3b(255, 0, 0),str = "竞技场"},
        [2] = { color = cc.c3b(255, 255, 255),str = "在呼唤你！赶快进入竞技场斩获荣耀吧！"},
	},
	["newbieguide_drama_16_1"] = {
		describe = "奇遇第一步",
        [1] = { color = cc.c3b(255, 255, 255),str = "有人拦住了行军，快去看看怎么回事"},
        [2] = { color = cc.c3b(255, 255, 255),str = "可以清理多余的装备，变成更好的装备或者熔值，熔值可兑换成其他物品。"},
	},
	["newbieguide_drama_16_2"] = {
		describe = "奇遇第二步",
        [1] = { color = cc.c3b(255, 255, 255),str = "挂机过程中有机会触发新的奇遇，注意"},
        [2] = { color = cc.c3b(255, 0, 0),str = "选择结果"},
        [3] = { color = cc.c3b(255, 255, 255),str = "哟"},
	},
	["newbieguide_drama_17"] = {
		describe = "军团",
        [1] = { color = cc.c3b(255, 255, 255),str = "我们已经实力不俗了，"},
        [2] = { color = cc.c3b(255, 0, 0),str = "加入军团"},
        [3] = { color = cc.c3b(255, 255, 255),str = "开始争霸天下吧！"},
	},
	["newbieguide_drama_18_1"] = {
		describe = "装备副属性",
        [1] = { color = cc.c3b(255, 255, 255),str = "洗练可"},
        [2] = { color = cc.c3b(255, 0, 0),str = "重新分配"},
        [3] = { color = cc.c3b(255, 255, 255),str = "装备副属性比例，使其配合武将发挥最大作用"},
	},
	["newbieguide_drama_18_2"] = {
		describe = "装备主属性",
        [1] = { color = cc.c3b(255, 255, 255),str = "强化可提高装备主属性"},
	},
	["newbieguide_drama_19"] = {
		describe = "任务",
        [1] = { color = cc.c3b(255, 255, 255),str = "已完成的任务记得领取"},
	},
	["newbieguide_drama_20"] = {
		describe = "神器合成",
        [1] = { color = cc.c3b(255, 255, 255),str = "领取了神器碎片，速去合成神器提升战力"},
	},

	["newbieguide_drama_21"] = {
		describe = "神器合成",
        [1] = { color = cc.c3b(255, 255, 255),str = "神器已成！快快看看吧！"},
	},
	["newbieguide_drama_22"] = {
		describe = "神器合成",
		size_h = 1.2,
        [1] = { color = cc.c3b(255, 0, 0),str = "洗练"},
        [2] = { color = cc.c3b(255, 255, 255),str = "可重新分配装备副属性比例，使其配合武将发挥最大作用。"},
        [3] = { color = cc.c3b(255, 0, 0),str = "升阶"},
        [4] = { color = cc.c3b(255, 255, 255),str = "可以提高神器等级，但最高不可超过当前等级10级。"},
        [5] = { color = cc.c3b(255, 0, 0),str = "强化"},
        [6] = { color = cc.c3b(255, 255, 255),str = "可提高装备主属性。"},
	},
	
}