--
-- Author: lipeng
-- Date: 2014-06-18 14:32:45
-- 技能升级配置
-- 具体配置说明参考"mmo_card_01\doc\策划文案\卡牌技能文档\技能升级参数.xlsx"


skillLvUpConfig = 
{

	[1] = { initSuccessOdds=1, failAddSuccessOdds=0.05, ItemType=eSTID_SkillBook1, UseItemNum=10, UseGold=50000,  },
	[2] = { initSuccessOdds=1, failAddSuccessOdds=0.05, ItemType=eSTID_SkillBook1, UseItemNum=10, UseGold=50000,  },
	[3] = { initSuccessOdds=1, failAddSuccessOdds=0.05, ItemType=eSTID_SkillBook1, UseItemNum=10, UseGold=50000,  },
	[4] = { initSuccessOdds=1, failAddSuccessOdds=0.05, ItemType=eSTID_SkillBook2, UseItemNum=10, UseGold=100000,  },
	[5] = { initSuccessOdds=1, failAddSuccessOdds=0.05, ItemType=eSTID_SkillBook2, UseItemNum=10, UseGold=100000,  },
	[6] = { initSuccessOdds=1, failAddSuccessOdds=0.05, ItemType=eSTID_SkillBook2, UseItemNum=10, UseGold=100000,  },
	[7] = { initSuccessOdds=1, failAddSuccessOdds=0.05, ItemType=eSTID_SkillBook3, UseItemNum=10, UseGold=200000,  },
	[8] = { initSuccessOdds=1, failAddSuccessOdds=0.05, ItemType=eSTID_SkillBook3, UseItemNum=10, UseGold=200000,  },
	[9] = { initSuccessOdds=1, failAddSuccessOdds=0.05, ItemType=eSTID_SkillBook3, UseItemNum=10, UseGold=200000,  },

}

--初始升级成功率
function skillLvUpConfig_initSuccessOdds( skillLv )
	return skillLvUpConfig[skillLv + 1].initSuccessOdds
end

--每次失败增加成功率
function skillLvUpConfig_failAddSuccessOdds( skillLv )
	return skillLvUpConfig[skillLv + 1].failAddSuccessOdds
end

--消耗技能书道具ID
function skillLvUpConfig_itemType( skillLv )
	return skillLvUpConfig[skillLv + 1].ItemType
end


--消耗技能书数量
function skillLvUpConfig_useBook( skillLv )
	return skillLvUpConfig[skillLv + 1].UseItemNum
end


--消耗银两
function skillLvUpConfig_useGold( skillLv )
	return skillLvUpConfig[skillLv + 1].UseGold
end



--通过英雄星级, 获取技能等级上限
function skillLvUpConfig_getSkillMaxLvWithHeroStar( star )
	if star <= 3 then
		return 3
	elseif star == 4 then
		return 6
	elseif star == 5 then
		return #skillLvUpConfig
	end
end


