--
-- Author: LiYang
-- Date: 2015-11-10 19:12:48
-- 百度定位

Lua2J_baiduLocation = {
	
};

Lua2J_baiduLocation.CallBackFun = nil;


--获得当地位置信息
function Lua2J_baiduLocation:Lua2J_startLocationInfo( callfun )
	print("Lua2J_startLocationInfo");
	if device.platform == "android" then
		local luaj = require("cocos.cocos2d.luaj")
		local msg = {
		}
		-- local jstr = "Ljava/lang/String;"
		local className = "com/baidu/location/service/LocationService"
		local javaMethodSig = "()V"
		luaj.callStaticMethod(className, "Lua_StartLocation")
		print("Lua2J_startLocationInfo 0");
	elseif device.platform == "ios" then
		
	end
	
	self.CallBackFun = callfun;
end

--[[
	得到地图定位信息
	事件类型(1 定位信息 2事件通知消息)
	经度
	维度
	
]]
function J2LuaBaiduLocation_GetLocationInfo( params )
	local pos = string.find(params,"|")
	if not pos then
		return;
	end
	-- print("定位分解符：",pos,params)
	-- 昵称
	local timestr = string.sub(params,1,pos - 1)
	-- print("定位日志", "时间:"..timestr)
	local params = string.sub(params,pos + 1,-1)
	local pos = string.find(params,"|")
	if not pos then
		return;
	end
	local locationType = string.sub(params,1,pos - 1)
	-- print("定位日志", "类型:"..locationType)
	local params = string.sub(params,pos + 1,-1)
	local pos = string.find(params,"|")
	if not pos then
		return;
	end
	local Latitude = string.sub(params,1,pos - 1)
	-- print("定位日志", "经度:"..Latitude)
	local params = string.sub(params,pos + 1,-1)
	local pos = string.find(params,"|")
	if not pos then
		return;
	end
	local Longitude = string.sub(params,1,pos - 1)
	-- print("定位日志", "维度:"..Longitude)
	local params = string.sub(params,pos + 1,-1)
	local pos = string.find(params,"|")
	if not pos then
		return;
	end
	local Direction = string.sub(params,1,pos - 1)
	-- print("定位日志", "方向:"..Direction)
	if MAIN_PLAYER and MAIN_PLAYER.baseAttr then
		-- MAIN_PLAYER.baseAttr:setLoctionInfo({
		-- 	Longitude = tonumber(Longitude),
		-- 	Latitude = tonumber(Latitude),
		-- 	Direction = tonumber(Direction),
		-- 	});
	end
end

--[[地图事件通知消息
]]
function J2LuaBaiduLocation_NotifyInfo( params )
	
end
