--
-- Author: LiYang
-- Date: 2015-11-10 13:41:15
-- 管理sdk

require("app.tools.Lua2J_baiduLocation");
require("app.tools.Lua2J_ScreenOrientation");

ManagerSDK = {};

--平台
ManagerSDK.Platform = "android";

--[[ 管道 登陆方式
	googleplay 0 (google 登陆方式 0)
	uc(uc九游)
]]
ManagerSDK.Channel = "uc";

ManagerSDK.SdkInterface = nil;

--初始化sdk
ManagerSDK.LoadSdk = function (  )
	
	if device.platform == "android" then

		if ManagerSDK.Channel == "googleplay" then
			--google 登陆方式为 0
			Data_Login.login_type = 0;
			require("app.tools.Lua2J_ltad")
			require("app.tools.Lua2J_googlePlay")
		elseif ManagerSDK.Channel == "uc" then
			require("app.tools.Lua2J_9u")
			require("app.tools.Lua2J")
		else
			require("app.tools.Lua2J")
		end
	end
	
	ManagerSDK.SdkInterface = SdkInterface:getInstance();
	if device.platform == "android" then
    	
    elseif device.platform == "ios" then
    	ManagerSDK.SdkInterface:setDoBillingCallbackScriptHandler_Map(Update_LoctionInfo);
    	ManagerSDK.SdkInterface:setDoBillingCallbackScriptHandler_Head(J2LuaSendImage_msg);
    end
	
	--ManagerSDK.SdkInterface:retain();
end

--登陆开始逻辑
ManagerSDK.GameLoginLogic = function (  )
	if device.platform == "android" then
		if ManagerSDK.Channel == "uc" then
			Lua2J_9u:Lua2J_InitSDK();
		else
			
		end
	end
end

--开始逻辑
ManagerSDK.GameStartLogic = function (  )
	if device.platform == "android" then
		if ManagerSDK.Channel == "googleplay" then
			Lua2J_googlePlay:Lua2J_googlePlay(  );
			-- Lua2J_ltad:InitSDK(  );
		else
			
		end
	end
	
end

--游戏关闭逻辑
ManagerSDK.GameCloseLogic = function (  )
	if device.platform == "android" then
		if ManagerSDK.Channel == "googleplay" and Lua2J_ltad then
			Lua2J_ltad:CloseSDK(  );
		end
	end
end

--{"世界Boss活动开始了","12:00"},
NotificationEvent = {
	{"塔防资源已满快去收集吧","12:00"},
}

--[[设置推送事件
]]
function AndroidSetNotificationEvent(  )
	--设置资源完成时间
	
	for i,v in ipairs(NotificationEvent) do
		if device.platform == "android" then
			local luaj = require("cocos.cocos2d.luaj")
	        local  javaClassName = "org/cocos2dx/lua/AppActivity"
	        local javaMethodName = "saveNotificationEvent"
	        local javaParams = {
	        	"event"..i,
	            v[1],
	            v[2],
	        }
	        local javaMethodSig = "(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;)V"
	        luaj.callStaticMethod(javaClassName, javaMethodName, javaParams, javaMethodSig);
	    elseif device.platform == "ios" then
	    	
	    else

	    end
	end
    
end

IOS_BaiDuLoctionInfo = {
	Longitude = 106.525868,--116.434739,--106.499947,106.581886,29.564212
	Latitude = 29.546366,--39.911836,--29.685241,
	Direction = 0,
	CityCode = 132,
	City = "重庆",
	AddrStr = "重庆观音桥",
}

function Update_LoctionInfo( lon ,lat,dir , citycode,des,updateType)
	--print("Update_LoctionInfo:",lon ,lat,dir , citycode,des,updateType)
	IOS_BaiDuLoctionInfo.Longitude = tonumber(lon);
	IOS_BaiDuLoctionInfo.Latitude = tonumber(lat);
	IOS_BaiDuLoctionInfo.Direction = dir;
	IOS_BaiDuLoctionInfo.CityCode = citycode;
	IOS_BaiDuLoctionInfo.AddrStr = des;
end


function J2LuaSendImage_msg( path , exType )
    print("网络日志","发送更新头像消息 MSG_C2S_UploadHead",path,exType)
    if exType == 0 then
        gameTcp:SendMessage(MSG_C2S_UploadHead,{{"sendImage","head/myhead.jpg"}})
    else

    end

end

--获得当地位置信息
function Lua2J_startShareAction( shareType ,shareTag ,strtitle,str,linkurl )
    print("Lua2J_startUploadingHead");
    if device.platform == "android" then
    	local luaj = require("cocos.cocos2d.luaj")
    	local msg = {
    	shareType,
    	shareTag,
    	strtitle,
    	str,
    	linkurl
    	}
    	-- local jstr = "Ljava/lang/String;"
    	local className = "org/cocos2dx/lua/AppActivity"
    	local javaMethodSig = "(IILjava/lang/String;Ljava/lang/String;Ljava/lang/String;)V"
    	luaj.callStaticMethod(className, "Lua_WSxShare",msg,javaMethodSig)
    elseif device.platform == "ios" then
    	ManagerSDK.SdkInterface:startShareAction(shareType,shareTag,strtitle,str,linkurl);
    end
    
end

function J2LuaSendShare_result( result )
	print("分享结果:",result);
	gameTcp:SendMessage(MSG_C2S_Propagate);
end
