--
-- Author: lipeng
-- Date: 2015-06-11 15:45:49
-- 游戏场景


import(".gameWorld.init")



local GameWorldScene = class("GameWorldScene", cc.load("mvc").ViewBase)

GameWorldScene.RESOURCE_FILENAME = "common_scene.csb"

function GameWorldScene:onCreate()
    print("===>")
    local function onNodeEvent(event)
        if "enter" == event then
            cc.bind(self, "layerManager")

        elseif "exit" == event then
            cc.unbind(self, "layerManager")

        elseif "enterTransitionFinish" == event then
            if MAIN_PLAYER.currentState == "BattlefieldScene" then
                MAP_DATA.TileDrawInfo.recordPointPixel = {x = -10000,y = 0};
            end
            AudioManager.playMusic(AudioManager.musics.main);
            MAIN_PLAYER.currentState = "GameWorldScene"
            --加载公共贴图
            GLOBAL_SPRITE_FRAMES_CACHE:addSpriteFrames("ui_image/common/button/commonbtn.plist","ui_image/common/button/commonbtn.png");
            -- AudioManager.playMusic(AudioManager.musics.main1);
            GLOBAL_TOUCH_CONTROL:TounchContrlScheduler(-100,GLOBAL_TOUCH_CONTROL.CONTROL_TYPE_FOREVER)
            --初始化引导
            -- dispatchGlobaleEvent( "newbieguide","initialize" );
            --进入首页系统
            MainPageSystemInstance:enterSystem({scene=self})

            -- printNetLog("发送消息 MSG_C2MS_GET_GAME_HINT")
            -- gameTcp:SendMessage(MSG_C2MS_GET_GAME_HINT)

        end
    end
    self:registerScriptHandler(onNodeEvent)

    -- self._lastTime = os.time()

    -- local function GameWorldSceneTimer(dt)
    --     if os.time() - self._lastTime >= 60*1 then
    --         self._lastTime = os.time()
    --         printNetLog("发送消息 MSG_C2MS_GET_GAME_HINT")
    --         gameTcp:SendMessage(MSG_C2MS_GET_GAME_HINT)
    --     end
    -- end

    -- self:scheduleUpdateWithPriorityLua(GameWorldSceneTimer, 0)
end



return GameWorldScene

