--
-- Author: LiYang
-- Date: 2016-04-16 14:43:56
-- 战场层级显示

local battleDisplayLayer = class("battleDisplayLayer", cc.load("mvc").ViewBase)

function battleDisplayLayer:ctor()
    --添加战场显示
    self.rootnode = cc.CSLoader:createNode("ui_instance/battlefield/battleshowLayer.csb")
    self:addChild(self.rootnode)
    -- self.rootnode:setColor(cc.c3b(255, 255, 255));
    --背景层
    self.BottomLayer = self.rootnode:getChildByName("bottomlayer");
    self.BottomLayer:setLocalZOrder(1);
    --焦点控制
    self.FocusControl = self.BottomLayer:getChildByName("focuscontrol");

    self.showList = self.FocusControl:getChildByName("showlist");

    self.TopLayer = self.rootnode:getChildByName("toplayer");
    self.TopLayer:setLocalZOrder(2);

    --地图层
    self.mapLayer = self.showList:getChildByName("map");

    --效果1成
    self.effectLayer_0 = self.showList:getChildByName("effect_0");
    self.effectLayer_0:setLocalZOrder(1)
    -- self.effectLayer_0:setPosition(cc.p(- self.map.width / 2 ,- self.map.height / 2));

    self.effectLayer_1 = self.showList:getChildByName("effect_1");
    self.effectLayer_1:setLocalZOrder(2)
    -- self.effectLayer_1:setPosition(cc.p(- self.map.width / 2 ,- self.map.height / 2));

    self.effectLayer_2 = self.showList:getChildByName("effect_2");
    self.effectLayer_2:setLocalZOrder(3)
    -- self.effectLayer_2:setPosition(cc.p(- self.map.width / 2 ,- self.map.height / 2));

    self.effectLayer_3 = self.showList:getChildByName("effect_3");
    self.effectLayer_3:setLocalZOrder(4)
    -- self.effectLayer_3:setPosition(cc.p(- self.map.width / 2 ,- self.map.height / 2));

    -- self.showList:setPosition(cc.p(- self.map.width / 2 ,- self.map.height / 2));

    --effect_screen
    self.effect_screen = self.TopLayer:getChildByName("effect_screen");
    self.effect_screen:setLocalZOrder(0);

    --ui层
    self.uiLayer = self.TopLayer:getChildByName("ui");
    self.uiLayer:setLocalZOrder(1);
    -- self.uiLayer:setTouchEnabled(true);
    -- self.uiLayer:setPosition(cc.p(- self.map.width / 2 ,- self.map.height / 2));
   
    self.shadow_layer = self.TopLayer:getChildByName("shadow_layer");
    self.shadow_layer:setLocalZOrder(2);
    -- self.shadow_layer:setPosition(cc.p(- self.map.width / 2 ,- self.map.height / 2));


    -- self:hide(  );

    self.LogicNode = cc.Node:create();
    self:addChild(self.LogicNode);

    -- self.eventLogic = require("app.views.battlefield.battleDisplayLayerManager").new(self);
    -- self.eventLogic:register_event();
end

--隐藏
function battleDisplayLayer:hide(  )
    local action = cc.CSLoader:createTimeline("ui_instance/battlefield/battleDisplayLayer.csb")
    self.rootnode:runAction(action)
    action:play("hide", false)
end

--显示
function battleDisplayLayer:show(  )
    local action = cc.CSLoader:createTimeline("ui_instance/battlefield/battleDisplayLayer.csb")
    self.rootnode:runAction(action)
    action:play("show", false)
end

function battleDisplayLayer:cut()
    local action = cc.CSLoader:createTimeline("ui_instance/battlefield/battleDisplayLayer.csb")
    self.rootnode:runAction(action)
    action:play("cut", false)
end

--[[执行底层显示移动
    pos 移动的向量
    moveModel 移动的模式 1 设置 2 动作移动
    time 变化时间
]]
function battleDisplayLayer:executeBottomLayerMove( params )
    if params.moveModel == 2 then
        --todo
    else
        local start_x ,start_y = self.showList:getPosition();
        print("executeBottomLayerMove",start_x ,start_y,params.pos.x,params.pos.y)
        self.showList:setPosition(cc.p(start_x + params.pos.x ,start_y +  params.pos.y));
    end
end

--[[执行地图显示的缩放
    scalse 缩放值
]]
function battleDisplayLayer:executeBottomLayerScale( scalse )
    self.FocusControl:setScale(scalse);
end

return battleDisplayLayer;
