--
-- Author: zangqing
-- Date: 2016-01-10 10:59:38
-- 聊天系统

local class_ui_chatlist_layer = import(".ui_chatlist_layer")


local chatSystem = class("chatSystem")


function chatSystem:ctor()
    self:_initModels()
    self:_registGlobalEventListeners()
end


function chatSystem:_initModels()
    self._controlerMap = {}
    self:_initDynamicResConfig()
end


function chatSystem:_initDynamicResConfig()
    -- ResConfig["ui_image/guyong/widget"] = {
    --  restype = "plist",
    --  respath = "ui_image/guyong/widget/",
    --  res = {"guyong_plist"}
    -- }

    -- self._dynamicResConfigIDs = {
    --  "ui_image/guyong/widget",
    -- }
end


function chatSystem:_registGlobalEventListeners()
    -- body
    -- 注册消息便于其他系统进行调用modelName模块名称，eventName事件名称
    self._globalEventListeners = {}
    local configs = {
        {modelName = "chatSystem", eventName = "click", callBack=handler(self, self.Create)},
        {modelName = "chatSystem", eventName = "close", callBack=handler(self, self.Close)},
    }
    self._globalEventListeners = createGlobalEventListenerWithConfig(configs)
end


function chatSystem:Create()
    print("创建聊天系统")
    self.scene = APP:getCurScene()
    self.contrl_view =  class_ui_chatlist_layer.new();
    self.scene:addChildToLayer(LAYER_ID_UITop, self.contrl_view)
        
    -- GLOBAL_COMMON_ACTION:popupOut({node=contrl_view:getView()})
end

function chatSystem:Close(  )
    self.contrl_view:removeFromParent();
end

function chatSystem:GetView()
    
    return self.scene:getChildByName(LAYER_ID_POPUP);
        
    -- GLOBAL_COMMON_ACTION:popupOut({node=contrl_view:getView()})
end


function chatSystem.getInstance()
    if chatSystem.instance == nil then
        chatSystem.instance = chatSystem.new()
    end

    return chatSystem.instance
end


chatSystemInstance = chatSystem.getInstance()


return chatSystem
