--
-- Author: zangqing
-- Date: 2016-01-05 10:37:59
-- 中部显示

local controler_ui_guild_create = class("controler_ui_guild_create")

--[[监听全局事件名预览
eventModleName: controler_ui_map_info_mid
eventName: 
    setUIVisible     --设置显示状态

]]


function controler_ui_guild_create:ctor(mainPage_ui_layer)
    self:_initModels()

    --根层
    self._view_node = mainPage_ui_layer
    -- self._view_node:setContentSize(visibleSize)
    -- ccui.Helper:doLayout(self._view_node)


    self:_createControlerForUI()

    --
    self:_registGlobalEventListeners()

    self:_registNodeEvent()

    self:_registUIEvent()

    self:setItemTemple();

    self:updateViewShow();
end


function controler_ui_guild_create:getView()
    return self._view_node
end

function controler_ui_guild_create:setItemTemple(  )
    -- self.ItemTemple = cc.CSLoader:createNode("ui_instance/mapinfolist/viewnode/map_info_item.csb")
    -- -- 保存到内存
    -- self.ItemTemple:retain()
end

function controler_ui_guild_create:createItem( itemdata )
    -- 复制一个item
    -- local itemview = self.ItemTemple:getChildByName("item"):clone();
    -- local item = class_guild_member_item.new(itemview)
    -- item:update(itemdata);
    -- return item;
end

--
function controler_ui_guild_create:update(listdata)
    -- body
end


function controler_ui_guild_create:_initModels()
    self._controlerMap = {}
end

--创建控制器: UI
function controler_ui_guild_create:_createControlerForUI()
    
end


function controler_ui_guild_create:_registGlobalEventListeners()
    self._globalEventListeners = {}
    local configs = {
        {modelName = "controler_ui_guild_create", eventName = "setUIVisible", callBack=handler(self, self._onSetUIVisible)},
        -- {modelName = "netMsg", eventName = tostring(MSG_MS2C_INTERACT_ADD), callBack=handler(self, self.addNotifyAni)},
    }
    self._globalEventListeners = createGlobalEventListenerWithConfig(configs)
    -- dispatchGlobaleEvent("controler_ui_guild_create", "setUIVisible", {visibleType="hideAll"})
    -- print("====2")
end


--注册节点事件
function controler_ui_guild_create:_registNodeEvent()
    local function onNodeEvent(event)
        if "exit" == event then
            self:_removeAllGlobalEventListeners()
        end
    end
    self._view_node:registerScriptHandler(onNodeEvent)
end


--移除全局事件监听器
function controler_ui_guild_create:_removeAllGlobalEventListeners()
    for k,v in pairs(self._globalEventListeners) do
        GLOBAL_EVENT_DISPTACHER:removeEventListener(v)
    end
end

function controler_ui_guild_create:_registUIEvent()
    -- 退出公会按钮，改成关闭界面操作，以后改回来
    local btn_create = self._view_node:getChildByName("btn_create")
    local createClick = function()
        -- print("btn_create clickcallback")
        -- 显示成员列表信息
        AudioManager.playButton();
        dispatchGlobaleEvent("createguildSystem", "Create");
    end

    -- 添加事件监听函数
    btn_create:addClickEventListener(createClick)
    
end


function controler_ui_guild_create:_onSetUIVisible( event )
    local eventUseData = event._usedata
    local visibleType = eventUseData.visibleType
    -- print("controler_ui_guild_create:_onSetUIVisible======222222222222");
    --隐藏所有
    if visibleType == "hideAll" then
        self._view_node:setVisible(false)

    --显示所有
    elseif visibleType == "showAll" then
        self._view_node:setVisible(true)
    end
end

--更新界面显示
function controler_ui_guild_create:updateViewShow()
    
end


return controler_ui_guild_create
