--
-- Author: zangqing
-- Date: 2016-01-05 10:37:59
-- 中部显示

local class_shenqing_item = import(".itemset.guild_shenqing_item")

local controler_ui_guild_join_shenqing = class("controler_ui_guild_join_shenqing")

--[[监听全局事件名预览
eventModleName: controler_ui_map_info_mid
eventName: 
    setUIVisible     --设置显示状态

]]


function controler_ui_guild_join_shenqing:ctor(mainPage_ui_layer)
    self:_initModels()

    --根层
    self._view_node = mainPage_ui_layer
    -- self._view_node:setContentSize(visibleSize)
    -- ccui.Helper:doLayout(self._view_node)


    self:_createControlerForUI()

    --
    self:_registGlobalEventListeners()

    self:_registNodeEvent()

    self:_registUIEvent()

    self:setItemTemple();

    -- self:updateViewShow();
end


function controler_ui_guild_join_shenqing:getView()
    return self._view_node
end

function controler_ui_guild_join_shenqing:setItemTemple(  )
    self.ItemTemple = cc.CSLoader:createNode("ui_instance/guildpage/viewnode/guild_shenqing_item.csb")
    -- 保存到内存
    self.ItemTemple:retain()
end

function controler_ui_guild_join_shenqing:createItem( itemdata )
    -- 复制一个item
    local itemview = self.ItemTemple:getChildByName("item"):clone();
    local item = class_shenqing_item.new(itemview)
    item:update(itemdata);
    return item;
end

--
function controler_ui_guild_join_shenqing:update(listdata)
    -- body
end


function controler_ui_guild_join_shenqing:_initModels()
    self._controlerMap = {}
    self.itemInfo = {
        interval = 10,--item 间隔
        height = 114,--item高度
        scroll_weight = 652,--滚动 宽度
        scroll_height = 750,--滚动 宽度
        fj_height = 67,--附件项高度
        base_height = 200 --基础滚动区域
    }
    self.items = {};
    self.itemModel = cc.CSLoader:createNode("ui_instance/guildpage/viewnode/guild_shenqing_item.csb")
    self.itemModel:retain()
end

--创建控制器: UI
function controler_ui_guild_join_shenqing:_createControlerForUI()
    
end


function controler_ui_guild_join_shenqing:_registGlobalEventListeners()
    self._globalEventListeners = {}
    local configs = {
        {modelName = "controler_ui_guild_join_shenqing", eventName = "setUIVisible", callBack=handler(self, self._onSetUIVisible)},
        {modelName = "controler_ui_guild_join_shenqing", eventName = "updateViewShow", callBack=handler(self, self.updateViewShow)},
        {modelName = "controler_ui_guild_join_shenqing", eventName = "updatecondition", callBack=handler(self, self.updatecondition)},
    }
    self._globalEventListeners = createGlobalEventListenerWithConfig(configs)
    -- dispatchGlobaleEvent("controler_ui_guild_join_shenqing", "setUIVisible", {visibleType="hideAll"})
end


--注册节点事件
function controler_ui_guild_join_shenqing:_registNodeEvent()
    local function onNodeEvent(event)
        if "exit" == event then
            self:_removeAllGlobalEventListeners()
        end
    end
    self._view_node:registerScriptHandler(onNodeEvent)
end


--移除全局事件监听器
function controler_ui_guild_join_shenqing:_removeAllGlobalEventListeners()
    for k,v in pairs(self._globalEventListeners) do
        GLOBAL_EVENT_DISPTACHER:removeEventListener(v)
    end
end

function controler_ui_guild_join_shenqing:_registUIEvent()
    -- 刷新在线玩家列表

    self.btn_state = self._view_node:getChildByName("btn_state")
    local addClick = function()
        print("btn_state clickcallback")
        -- 显示成员列表信息
        -- dispatchGlobaleEvent("createguildSystem", "Create")
        -- 修改加人状态
        AudioManager.playButton();
        if 1==MAIN_PLAYER:getGuild():getcondition() then
            MAIN_PLAYER:getGuild():setcondition(2)
            gameTcp:SendMessage(MSG_C2S_GUILD_Set_State,{2,});
        elseif 2==MAIN_PLAYER:getGuild():getcondition() then
            MAIN_PLAYER:getGuild():setcondition(3)
            gameTcp:SendMessage(MSG_C2S_GUILD_Set_State,{3,});
        elseif 3==MAIN_PLAYER:getGuild():getcondition() then
            MAIN_PLAYER:getGuild():setcondition(1)
            gameTcp:SendMessage(MSG_C2S_GUILD_Set_State,{1,});
        end
    end

    -- 添加事件监听函数
    self.btn_state:addClickEventListener(addClick)
    self.txt_value = self.btn_state:getChildByName("txt_value")
    self:updatecondition();
    
    -- 列表显示
    self.txt_name = self._view_node:getChildByName("txt_name")
    local str_name = MAIN_PLAYER:getGuild():getname()
    print("updateViewShow======str_name: "..str_name);
    self.txt_name:setString(str_name);

    self.txt_shenqing_number = self._view_node:getChildByName("txt_shenqing_number")
    local shenqing_num = tostring(sum_guild_apply_num())
    print("updateViewShow======shenqing_num: "..shenqing_num);
    self.txt_shenqing_number:setString(shenqing_num);

    --申请列表
    self.node_applyList = self._view_node:getChildByName("ScrollView_1");
    
    -- self.node_applyList:removeAllItems();
    -- --申请列表
    -- self.items = {};
    -- local apply_list = MAIN_PLAYER:getGuild():Getapply();
    -- for i = 1, #apply_list do
    --     self.items[i] = class_shenqing_item.new(
    --             self.itemModel:getChildByName("item"):clone()
    --         )
    --     self.items[i]:update(apply_list[i]);
    --     self.node_applyList:pushBackCustomItem(self.items[i]:getResourceNode())
    -- end
end

--点击监听
function controler_ui_guild_join_shenqing:clickListener( params )
    print("点击item ",params)
    if self.currentShowFjItem == params then
        self:showAppendInfoLgoic( self.currentShowFjItem , false);
        self.currentShowFjItem = nil;
        return;
    end
    if self.currentShowFjItem then
        self:showAppendInfoLgoic( self.currentShowFjItem , false);
    end
    self.currentShowFjItem = params;
    self:showAppendInfoLgoic( self.currentShowFjItem , true);
end

--列表显示附件信息逻辑
function controler_ui_guild_join_shenqing:showAppendInfoLgoic( object , isshow)
    local moveDis = self.itemInfo.fj_height;
    if isshow then
        moveDis = moveDis * -1;
    end
    local mark = -1;
    for i,v in ipairs(self.items) do
        print(v:getResourceNode(),object)
        if mark > 0 then
           local x ,y = v:getResourceNode():getPosition();
           v:getResourceNode():setPosition(cc.p(x,y + moveDis ));
        end
        if v:getResourceNode() == object then
            v:setShowAppendInfo(isshow);
            mark = i;
        end

    end
end



function controler_ui_guild_join_shenqing:updatecondition()
    
    if 1==MAIN_PLAYER:getGuild():getcondition() then
        self.txt_value:setString("需要申请");
    elseif 2==MAIN_PLAYER:getGuild():getcondition() then
        self.txt_value:setString("不可加入");
    elseif 3==MAIN_PLAYER:getGuild():getcondition() then
        self.txt_value:setString("无需申请");
    end
end

function controler_ui_guild_join_shenqing:_onSetUIVisible( event )
    local eventUseData = event._usedata
    local visibleType = eventUseData.visibleType

    --隐藏所有
    if visibleType == "hideAll" then
        self._view_node:setVisible(false)

    --显示所有
    elseif visibleType == "showAll" then
        self._view_node:setVisible(true)
    end
end

--更新界面显示
function controler_ui_guild_join_shenqing:updateViewShow()
    -- 更新玩家的等级
    local str_name = MAIN_PLAYER:getGuild():getname()
    print("updateViewShow======str_name: "..str_name);
    self.txt_name:setString(str_name);

    local shenqing_num = tostring(sum_guild_apply_num())
    print("updateViewShow======shenqing_num: "..shenqing_num);
    self.txt_shenqing_number:setString(shenqing_num);

    --创建玩家列表
    -- self.items = {};
    if self.currentShowFjItem then
        self:showAppendInfoLgoic( self.currentShowFjItem , false)
        self.currentShowFjItem = nil;
    end
    local y = - self.itemInfo.height;
    local container = ccui.Layout:create();

    local apply_list = MAIN_PLAYER:getGuild():Getapply();
    local index = #apply_list;
    print("==========#apply_list"..index)
    if apply_list then
        for i = 1,#apply_list do -- 
            if not self.items[i] then
               self.items[i] = class_shenqing_item.new(
                    self.itemModel:getChildByName("item"):clone()
                )
                self.items[i]:update(apply_list[i])
                container:addChild(self.items[i]:getResourceNode());
            end
            self.items[i]:update(apply_list[i])
            self.items[i]:getResourceNode():setPosition(cc.p(0,y))
            self.items[i]:setClickListen( handler(self, self.clickListener) );
            y = y - self.itemInfo.height - self.itemInfo.interval;
        end
    end
    for i=index + 1,#self.items do
        self.items[i]:getResourceNode():removeFromParent();
        self.items[i] = nil;
    end
    --设置滚动区域
    local height = math.abs(y);
    if height < self.itemInfo.scroll_height then
        if height > self.itemInfo.scroll_height - self.itemInfo.base_height then
            height = height + self.itemInfo.base_height;
        else
            height = self.itemInfo.scroll_height
        end
    end
    
    self.node_applyList:setInnerContainerSize(cc.size(self.itemInfo.scroll_weight,height));
    self.node_applyList:addChild(container)
    container:setPosition(cc.p(0,height))
    self.node_applyList:jumpToTop();
end


return controler_ui_guild_join_shenqing
