--
-- Author: zangqing
-- Date: 2016-01-05 10:37:59
-- 中部显示

local class_lingdi_item = require("app.views.gameWorld.guildSys.controler_guildUILayer.itemset.guild_lingdi_item.lua")

local controler_ui_guild_lingdi = class("controler_ui_guild_lingdi")

--[[监听全局事件名预览
eventModleName: controler_ui_map_info_mid
eventName: 
    setUIVisible     --设置显示状态

]]


function controler_ui_guild_lingdi:ctor(mainPage_ui_layer)
    self:_initModels()

    --根层
    self._view_node = mainPage_ui_layer
    -- self._view_node:setContentSize(visibleSize)
    -- ccui.Helper:doLayout(self._view_node)


    self:_createControlerForUI()

    --
    self:_registGlobalEventListeners()

    self:_registNodeEvent()

    self:_registUIEvent()

    self:setItemTemple();

    self:updateViewShow();
end


function controler_ui_guild_lingdi:getView()
    return self._view_node
end



function controler_ui_guild_lingdi:createItem( itemdata )
    -- 复制一个item
    local itemview = self.ItemTemple:getChildByName("item"):clone();
    local item = class_guild_lingdi_item.new(itemview)
    item:update(itemdata);
    return item;
end

function controler_ui_guild_lingdi:setItemTemple(  )
    self.ItemTemple = cc.CSLoader:createNode("ui_instance/guildpage/viewnode/guild_lingdi_item.csb")
    -- 保存到内存
    self.ItemTemple:retain()
end
--
function controler_ui_guild_lingdi:update(listdata)
    -- body
end


function controler_ui_guild_lingdi:_initModels()
    self._controlerMap = {}
    self.itemInfo = {
        interval = 10,--item 间隔
        height = 114,--item高度
        scroll_weight = 652,--滚动 宽度
        scroll_height = 750,--滚动 宽度
        fj_height = 67,--附件项高度
        base_height = 200 --基础滚动区域
    }
    self.items = {};
    self.itemModel = cc.CSLoader:createNode("ui_instance/guildpage/viewnode/guild_lingdi_item.csb")
    self.itemModel:retain()
end

--创建控制器: UI
function controler_ui_guild_lingdi:_createControlerForUI()
    
end


function controler_ui_guild_lingdi:_registGlobalEventListeners()
    self._globalEventListeners = {}
    local configs = {
        {modelName = "controler_ui_guild_lingdi", eventName = "setUIVisible", callBack=handler(self, self._onSetUIVisible)},
        {modelName = "controler_ui_guild_lingdi", eventName = "updateViewShow", callBack=handler(self, self.updateViewShow)},
        -- {modelName = "netMsg", eventName = tostring(MSG_MS2C_INTERACT_ADD), callBack=handler(self, self.addNotifyAni)},
    }
    self._globalEventListeners = createGlobalEventListenerWithConfig(configs)
    -- dispatchGlobaleEvent("controler_ui_guild_lingdi", "setUIVisible", {visibleType="hideAll"})
end


--注册节点事件
function controler_ui_guild_lingdi:_registNodeEvent()
    local function onNodeEvent(event)
        if "exit" == event then
            self:_removeAllGlobalEventListeners()
        end
    end
    self._view_node:registerScriptHandler(onNodeEvent)
end


--移除全局事件监听器
function controler_ui_guild_lingdi:_removeAllGlobalEventListeners()
    for k,v in pairs(self._globalEventListeners) do
        GLOBAL_EVENT_DISPTACHER:removeEventListener(v)
    end
end

function controler_ui_guild_lingdi:_registUIEvent()
    -- 添加庇护所
    self.btn_addrefuge = self._view_node:getChildByName("btn_addrefuge")
    local addClick = function()
        AudioManager.playButton();
        print("btn_addrefuge clickcallback")
        -- 显示成员列表信息
        -- dispatchGlobaleEvent("createguildSystem", "Create")
        -- 添加庇护所
        local cost = add_shelter_cost(MAIN_PLAYER:getGuild():Getmanornum()-2);
        UIManager:CreatePrompt_Operate_1( {
            mark = "build_delete",--接口类型标示
            title = "确认提示",--标题
            content = "  建造庇护所需要 "..cost.." 的资源, 是否确定建造?",--描述文字
            eventlogic = "",--绑定逻辑
            eventlist = "",--注册事件列表
            displayType = 1,
            listenButton = function ( result )
                -- 1 表示选择1按钮 2表示选择按钮
                if result == 1 then
                   gameTcp:SendMessage(MSG_C2S_GUILD_ADD_Shelter,{});
                end
            end
        } )

    end

    -- 添加事件监听函数
    self.btn_addrefuge:addClickEventListener(addClick)

    --庇护所列表
    self.node_RefugeList = self._view_node:getChildByName("ScrollView_1");

    self.ListContainer = ccui.Layout:create();
    self.node_RefugeList:addChild(self.ListContainer)
end

--点击监听
function controler_ui_guild_lingdi:clickListener( params )
    print("点击item ",params)
    if self.currentShowFjItem == params then
        self:showAppendInfoLgoic( self.currentShowFjItem , false);
        self.currentShowFjItem = nil;
        return;
    end
    if self.currentShowFjItem then
        self:showAppendInfoLgoic( self.currentShowFjItem , false);
    end
    self.currentShowFjItem = params;
    self:showAppendInfoLgoic( self.currentShowFjItem , true);
end

--列表显示附件信息逻辑
function controler_ui_guild_lingdi:showAppendInfoLgoic( object , isshow)
    local moveDis = self.itemInfo.fj_height;
    if isshow then
        moveDis = moveDis * -1;
    end
    local mark = -1;
    for i,v in ipairs(self.items) do
        print(v:getResourceNode(),object)
        if mark > 0 then
           local x ,y = v:getResourceNode():getPosition();
           v:getResourceNode():setPosition(cc.p(x,y + moveDis ));
        end
        if v:getResourceNode() == object then
            v:setShowAppendInfo(isshow);
            mark = i;
        end

    end
end

function controler_ui_guild_lingdi:_onSetUIVisible( event )
    local eventUseData = event._usedata
    local visibleType = eventUseData.visibleType

    --隐藏所有
    if visibleType == "hideAll" then
        self._view_node:setVisible(false)

    --显示所有
    elseif visibleType == "showAll" then
        self._view_node:setVisible(true)
    end
end

--更新界面显示
function controler_ui_guild_lingdi:updateViewShow()
    -- 获得玩家的等级
    self.txt_name = self._view_node:getChildByName("txt_name")
    local str_name = MAIN_PLAYER:getGuild():getname()
    print("updateViewShow======str_name: "..str_name);
    self.txt_name:setString(str_name);

    self.txt_member_number = self._view_node:getChildByName("txt_member_number")
    local str_num = tostring(MAIN_PLAYER:getGuild():GetmemberCurNum())
    print("updateViewShow======str_num: "..str_num);
    self.txt_member_number:setString(str_num);
    -- 副会长数量
    self.txt_member_number_0 = self._view_node:getChildByName("txt_member_number_0")
    local str_funum = tostring(MAIN_PLAYER:getGuild():GetfuBossNum()).."/".."4";
    print("updateViewShow======str_funum: "..str_funum);
    self.txt_member_number_0:setString(str_funum);
    -- 公会金钱储量
    self.info_chuliang = self._view_node:getChildByName("info_chuliang"):getChildByName("valuse")
    local str_gold = tostring(MAIN_PLAYER:getGuild():GetCurGold()).."/"..tostring(sum_guild_maxgold());
    print("updateViewShow======str_gold: "..str_gold);
    self.info_chuliang:setString(str_gold);

    --创建玩家列表
    -- self.items = {};

    if self.currentShowFjItem then
        self:showAppendInfoLgoic( self.currentShowFjItem , false)
        self.currentShowFjItem = nil;
    end

    local y = - self.itemInfo.height;
    

    local manorlist = MAIN_PLAYER:getGuild():Getmanorlist();
    local index = #manorlist;
    if manorlist then
        for i = 1,#manorlist do -- 
            if not self.items[i] then
               self.items[i] = class_lingdi_item.new(
                    self.itemModel:getChildByName("item"):clone()
                )
                self.items[i]:update(i, manorlist[i])
                self.ListContainer:addChild(self.items[i]:getResourceNode());
            end
            self.items[i]:update(i, manorlist[i])
            self.items[i]:getResourceNode():setPosition(cc.p(0,y))
            self.items[i]:setClickListen( handler(self, self.clickListener) );
            y = y - self.itemInfo.height - self.itemInfo.interval;
        end
    end
    for i=index + 1,#self.items do
        self.items[i]:getResourceNode():removeFromParent();
        self.items[i] = nil;
    end
    --设置滚动区域
    local height = math.abs(y);
    if height < self.itemInfo.scroll_height then
        if height > self.itemInfo.scroll_height - self.itemInfo.base_height then
            height = height + self.itemInfo.base_height;
        else
            height = self.itemInfo.scroll_height
        end
    end
    
    self.node_RefugeList:setInnerContainerSize(cc.size(self.itemInfo.scroll_weight,height));
    --self.node_RefugeList:addChild(container)
    self.ListContainer:setPosition(cc.p(0,height))
    self.node_RefugeList:jumpToTop();

end




return controler_ui_guild_lingdi
