--
-- Author: zangqing
-- Date: 2016-01-05 10:37:59
-- 中部显示

local class_sousuo_item = require("app.views.gameWorld.guildSys.controler_guildUILayer.itemset.guild_sousuo_item.lua")

local controler_ui_guild_sousuo = class("controler_ui_guild_sousuo")

--[[监听全局事件名预览
eventModleName: controler_ui_map_info_mid
eventName: 
    setUIVisible     --设置显示状态

]]


function controler_ui_guild_sousuo:ctor(mainPage_ui_layer)
    self:_initModels()

    --根层
    self._view_node = mainPage_ui_layer
    -- self._view_node:setContentSize(visibleSize)
    -- ccui.Helper:doLayout(self._view_node)


    self:_createControlerForUI()

    --
    self:_registGlobalEventListeners()

    self:_registNodeEvent()

    self:_registUIEvent()

    self:setItemTemple()

    self:updateViewShow();
end


function controler_ui_guild_sousuo:getView()
    return self._view_node
end

function controler_ui_guild_sousuo:createItem( itemdata )
    -- 复制一个item
    local itemview = self.itemModel:getChildByName("item"):clone();
    local item = class_sousuo_item.new(itemview)
    item:update(itemdata);
    return item;
end
function controler_ui_guild_sousuo:setItemTemple(  )
    self.ItemTemple = cc.CSLoader:createNode("ui_instance/guildpage/viewnode/guild_sousuo_item.csb")
    -- 保存到内存
    self.ItemTemple:retain()
end
--
function controler_ui_guild_sousuo:update(listdata)
    -- body
end


function controler_ui_guild_sousuo:_initModels()
    self._controlerMap = {}
    self.itemInfo = {
        interval = 10,--item 间隔
        height = 114,--item高度
        scroll_weight = 652,--滚动 宽度
        scroll_height = 750,--滚动 宽度
        fj_height = 67,--附件项高度
        base_height = 200 --基础滚动区域
    }
    self.items = {};
    self.itemModel = cc.CSLoader:createNode("ui_instance/guildpage/viewnode/guild_sousuo_item.csb")
    self.itemModel:retain()
end

--创建控制器: UI
function controler_ui_guild_sousuo:_createControlerForUI()
    
end


function controler_ui_guild_sousuo:_registGlobalEventListeners()
    self._globalEventListeners = {}
    local configs = {
        {modelName = "controler_ui_guild_sousuo", eventName = "setUIVisible", callBack=handler(self, self._onSetUIVisible)},
        {modelName = "controler_ui_guild_sousuo", eventName = "updateViewShow", callBack=handler(self, self.updateViewShow)},
    }
    self._globalEventListeners = createGlobalEventListenerWithConfig(configs)
    -- dispatchGlobaleEvent("controler_ui_guild_sousuo", "setUIVisible", {visibleType="hideAll"})
end


--注册节点事件
function controler_ui_guild_sousuo:_registNodeEvent()
    local function onNodeEvent(event)
        if "exit" == event then
            self:_removeAllGlobalEventListeners()
        end
    end
    self._view_node:registerScriptHandler(onNodeEvent)
end


--移除全局事件监听器
function controler_ui_guild_sousuo:_removeAllGlobalEventListeners()
    for k,v in pairs(self._globalEventListeners) do
        GLOBAL_EVENT_DISPTACHER:removeEventListener(v)
    end
end

function controler_ui_guild_sousuo:_registUIEvent()
    -- 刷新在线玩家列表
    self.txt_sousuo_name = self._view_node:getChildByName("info_chuliang"):getChildByName("txt_sousuo_name")


    self.btn_sousuo = self._view_node:getChildByName("btn_sousuo");
    local addClick = function()
        AudioManager.playButton();
        print("btn_sousuo clickcallback")
        -- 显示成员列表信息
        -- dispatchGlobaleEvent("createguildSystem", "Create")
        -- 
        local str_input = self.txt_sousuo_name:getString();

        gameTcp:SendMessage(MSG_C2S_GUILD_Search,{str_input,});
        -- local guild_list = MAIN_PLAYER:getGuild():Get_all_guild();
        -- if guild_list then
        --     for i,v in ipairs(guild_list) do
        --         if str_input==v.name then
        --             -- 更新显示，只显示这个
        --             self:updatesingerViewShow(v);
        --         end
        --     end
        -- end
    end

    -- 添加事件监听函数
    self.btn_sousuo:addClickEventListener(addClick)

    --庇护所列表
    self.node_SousuoList = self._view_node:getChildByName("ScrollView_1");
end


function controler_ui_guild_sousuo:_onSetUIVisible( event )
    local eventUseData = event._usedata
    local visibleType = eventUseData.visibleType

    --隐藏所有
    if visibleType == "hideAll" then
        self._view_node:setVisible(false)

    --显示所有
    elseif visibleType == "showAll" then
        self._view_node:setVisible(true)
    end
end

--更新界面显示
function controler_ui_guild_sousuo:updateViewShow()
    -- 获得玩家的等级
    -- local playerlv = 10;
    -- -- 等级显示的文本控件
    -- local txt_tower_lv = self._view_node:getChildByName("btn_rect"):getChildByName("info_valuse");

    --更新塔防等级

    --创建玩家列表
    self.items = {};
    self.node_SousuoList:removeAllChildren();
    local y = - self.itemInfo.height;
    local container = ccui.Layout:create();

    local sousuolist = MAIN_PLAYER:getGuild():Get_all_guild();
    local index = #sousuolist;
    print("==========#sousuolist"..index)
    if sousuolist then
        for i = 1,#sousuolist do -- 
            if not self.items[i] then
               self.items[i] = class_sousuo_item.new(
                    self.itemModel:getChildByName("item"):clone()
                )
                self.items[i]:update(sousuolist[i])
                container:addChild(self.items[i]:getResourceNode());
            end
            self.items[i]:update(sousuolist[i])
            self.items[i]:getResourceNode():setPosition(cc.p(0,y))
            self.items[i]:setClickListen( handler(self, self.clickListener) );
            y = y - self.itemInfo.height - self.itemInfo.interval;
        end
    end
    for i=index + 1,#self.items do
        self.items[i]:getResourceNode():removeFromParent();
        self.items[i] = nil;
    end
    --设置滚动区域
    local height = math.abs(y);
    if height < self.itemInfo.scroll_height then
        if height > self.itemInfo.scroll_height - self.itemInfo.base_height then
            height = height + self.itemInfo.base_height;
        else
            height = self.itemInfo.scroll_height
        end
    end
    
    self.node_SousuoList:setInnerContainerSize(cc.size(self.itemInfo.scroll_weight,height));
    self.node_SousuoList:addChild(container)
    container:setPosition(cc.p(0,height))
    self.node_SousuoList:jumpToTop();

    -- self.node_SousuoList:removeAllItems();
    -- --领地庇护所列表
    -- self.items = {};
    -- local sousuolist = MAIN_PLAYER:getGuild():Get_all_guild();
    -- print("==========#sousuolist"..#sousuolist)
    -- for i=1,#sousuolist do
    --     self.items[i] = class_sousuo_item.new(
    --             self.itemModel:getChildByName("item"):clone()
    --         )
    --     self.items[i]:update(sousuolist[i]);
    --     self.node_SousuoList:pushBackCustomItem(self.items[i]:getResourceNode())
    -- end
end

--点击监听
function controler_ui_guild_sousuo:clickListener( params )
    print("点击item ",params)
    if self.currentShowFjItem == params then
        self:showAppendInfoLgoic( self.currentShowFjItem , false);
        self.currentShowFjItem = nil;
        return;
    end
    if self.currentShowFjItem then
        self:showAppendInfoLgoic( self.currentShowFjItem , false);
    end
    self.currentShowFjItem = params;
    self:showAppendInfoLgoic( self.currentShowFjItem , true);
end

--列表显示附件信息逻辑
function controler_ui_guild_sousuo:showAppendInfoLgoic( object , isshow)
    local moveDis = self.itemInfo.fj_height;
    if isshow then
        moveDis = moveDis * -1;
    end
    local mark = -1;
    for i,v in ipairs(self.items) do
        print(v:getResourceNode(),object)
        if mark > 0 then
           local x ,y = v:getResourceNode():getPosition();
           v:getResourceNode():setPosition(cc.p(x,y + moveDis ));
        end
        if v:getResourceNode() == object then
            v:setShowAppendInfo(isshow);
            mark = i;
        end

    end
end

--更新界面显示
function controler_ui_guild_sousuo:updatesingerViewShow(info)
    -- 获得玩家的等级
    -- local playerlv = 10;
    -- -- 等级显示的文本控件
    -- local txt_tower_lv = self._view_node:getChildByName("btn_rect"):getChildByName("info_valuse");

    --更新塔防等级
    if self.currentShowFjItem then
        self:showAppendInfoLgoic( self.currentShowFjItem , false)
        self.currentShowFjItem = nil;
    end
    self.items = {};
    self.node_SousuoList:removeAllChildren();
    --庇护所列表
    local sousuolist = MAIN_PLAYER:getGuild():Get_all_guild();
    local index = #sousuolist;

    local y = - self.itemInfo.height;
    local container = ccui.Layout:create();

    if not self.items[1] then
       self.items[1] = class_sousuo_item.new(
            self.itemModel:getChildByName("item"):clone()
        )
        self.items[1]:update(info)
        container:addChild(self.items[1]:getResourceNode());
    end
    
    self.items[1]:getResourceNode():setPosition(cc.p(0,y))
    self.items[1]:setClickListen( handler(self, self.clickListener) );
    y = y - self.itemInfo.height - self.itemInfo.interval;

    --设置滚动区域
    local height = math.abs(y);
    if height < self.itemInfo.scroll_height then
        if height > self.itemInfo.scroll_height - self.itemInfo.base_height then
            height = height + self.itemInfo.base_height;
        else
            height = self.itemInfo.scroll_height
        end
    end
    
    self.node_SousuoList:setInnerContainerSize(cc.size(self.itemInfo.scroll_weight,height));
    self.node_SousuoList:addChild(container)
    container:setPosition(cc.p(0,height))
    self.node_SousuoList:jumpToTop();
end


return controler_ui_guild_sousuo
