--
-- Author: zang qing
-- Date: 2016-1-12 14:20:26
-- 地图信息item


local guild_member_item = class("guild_member_item")

function guild_member_item:ctor(node)
	
	self._rootNode = node
	-- self._rootNode:setContentSize(visibleSize)
	-- ccui.Helper:doLayout(self._rootNode)

	self:init()
	self:_registGlobalEventListeners()
	self:_registUIEvent()

end

function guild_member_item:init()
	-- body
	-- self._rootNode:setCascadeOpacityEnabled(true)
end

function guild_member_item:getResourceNode()
	-- body
	return self._rootNode
end
function guild_member_item:_registGlobalEventListeners()
    self._globalEventListeners = {}
    local configs = {
        {modelName = "head", eventName = "update", callBack=handler(self, self.registerHeadUpdate)},
    }
    self._globalEventListeners = createGlobalEventListenerWithConfig(configs)
    -- dispatchGlobaleEvent("controler_ui_map_info_guild", "setUIVisible", {visibleType="hideAll"})
end
function guild_member_item:_registUIEvent()
	-- print("=======================222222222222222222222222222222")
	local img_back = self._rootNode:getChildByName("img_back")
	local function imageClick(sender, eventType)
		-- body
		
		if eventType == ccui.TouchEventType.began then
			AudioManager.playButton();
	    elseif eventType == ccui.TouchEventType.moved then

	    elseif eventType == ccui.TouchEventType.ended then
	        if self.clickItemListen then
				self.clickItemListen(self._rootNode);
			end
	    elseif eventType == ccui.TouchEventType.canceled then

	    end
	end
	img_back:addTouchEventListener(imageClick)


	self.img_bottom = self._rootNode:getChildByName("img_bottom");

	-- 晋升
	self.btn_jinsheng = self.img_bottom:getChildByName("btn_jinsheng");
	local function btn_jinshengClicked(sender, eventType)
		-- 晋升
		AudioManager.playButton();
		gameTcp:SendMessage(MSG_C2S_GUILD_ChangePosition,{self.data.id,Guild_Assistant,});
	end
	self.btn_jinsheng:addClickEventListener(btn_jinshengClicked)

	-- 降级
	self.btn_jiangji = self.img_bottom:getChildByName("btn_jiangji");
	local function btn_jiangjiClicked(sender, eventType)
		-- 降级
		AudioManager.playButton();
		gameTcp:SendMessage(MSG_C2S_GUILD_ChangePosition,{self.data.id,Guild_Member,});
	end
	self.btn_jiangji:addClickEventListener(btn_jiangjiClicked)

	-- 踢出公会
	self.btn_kick = self.img_bottom:getChildByName("btn_kick");
	local function btn_kickClicked(sender, eventType)
		-- 踢出公会
		AudioManager.playButton();
		print("网络消息：发送 MSG_C2S_GUILD_Kick")
		gameTcp:SendMessage(MSG_C2S_GUILD_Kick,{self.data.id,});
	end
	self.btn_kick:addClickEventListener(btn_kickClicked)

end

--是否显示附件信息
function guild_member_item:setShowAppendInfo( isshow )
	self.img_bottom:setVisible(isshow);
end

--[[更新数据
	data 显示数据
]]
function guild_member_item:update(data)
	-- print("=======================111111111111111111111111111111")
	self.data = data
	--更新显示信息
	-- print_tab(self.data)
	--更新头像
	local headRes = ManagerHeadRes:LoadHeadRes( self.data.head_id )
	if headRes then
		local headImage = self._rootNode:getChildByName("img_guild_icon"):getChildByName("img_head");
		headImage:loadTexture(headRes);
	end

	self.img_sex = self._rootNode:getChildByName("img_sex");
	if 1==self.data.sex then
		-- 男的
		self.img_sex:loadTexture("ui_image/solder/nan.png",ccui.TextureResType.localType)
	else
		self.img_sex:loadTexture("ui_image/solder/nv.png",ccui.TextureResType.localType)
	end

	--成员等级
	self.txt_level = self._rootNode:getChildByName("txt_level");
	self.txt_level:setString(self.data.level);

	--成员昵称
	self.txt_name = self._rootNode:getChildByName("txt_name");
	self.txt_name:setString(self.data.name);

	--职位
	self.txt_zhiwei = self._rootNode:getChildByName("txt_zhiwei");
	if Guild_Boss==self.data.post then
		print("=========================self.data.place", self.data.place)
		self.txt_zhiwei:setString("会长");
	elseif Guild_Assistant==self.data.post then
		self.txt_zhiwei:setString("副会长");
	elseif Guild_Member==self.data.post then
		self.txt_zhiwei:setString("会员");
	end

	--金钱显示
	self.Text_4 = self._rootNode:getChildByName("Text_4");
	self.Text_4:setString(self.data.towerlv);

	-- 菜单显示操作
	print("==============MAIN_PLAYER:getBaseAttr():getPost()", MAIN_PLAYER:getBaseAttr():getPost())
	print("==============self.data.post", self.data.post)
	if Guild_Boss==MAIN_PLAYER:getBaseAttr():getPost() and
		Guild_Assistant < self.data.post then
		self.btn_jinsheng:setVisible(true);
		self.btn_jiangji:setVisible(true);
		self.btn_kick:setVisible(true);
	elseif Guild_Boss==MAIN_PLAYER:getBaseAttr():getPost() and
		Guild_Assistant == self.data.post then
		--todo
		self.btn_jinsheng:setVisible(false);
		self.btn_jiangji:setVisible(true);
		self.btn_kick:setVisible(true);
	elseif Guild_Assistant==MAIN_PLAYER:getBaseAttr():getPost() and
		Guild_Assistant >= self.data.post then

		self.btn_jinsheng:setVisible(false);
		self.btn_jiangji:setVisible(false);
		self.btn_kick:setVisible(false);
	elseif Guild_Assistant==MAIN_PLAYER:getBaseAttr():getPost() and
		Guild_Assistant < self.data.post then

		self.btn_jinsheng:setVisible(false);
		self.btn_jiangji:setVisible(false);
		self.btn_kick:setVisible(true);
	end

	if Guild_Boss == self.data.post or
		Guild_Assistant < MAIN_PLAYER:getBaseAttr():getPost() or
		MAIN_PLAYER:getBaseAttr():getPost() >= self.data.post then
		self.btn_jinsheng:setVisible(false);
		self.btn_jiangji:setVisible(false);
		self.btn_kick:setVisible(false);
	end
	-- if Guild_Boss==MAIN_PLAYER:getBaseAttr():getPost() then
	-- 	if self.data.post==MAIN_PLAYER:getBaseAttr():getPost() then
	-- 		self.btn_jinsheng:setVisible(false);
	-- 	end
	-- end
end

function guild_member_item:setClickListen( listener )
	self.clickItemListen = listener;
end


--更新头像
function guild_member_item:upDateHeadImage(  )
	local headImage = self._rootNode:getChildByName("img_guild_icon"):getChildByName("img_head");
	headImage:loadTexture(ManagerHeadRes:getHeadResPath( self.data.head_id ));
end

function guild_member_item:registerHeadUpdate( event )
	local headGuid = event._usedata[1]
	if headGuid ~= self.data.head_id then
		return;
	end
	self:upDateHeadImage();
end

return guild_member_item
