--
-- Author: zangqing
-- Date: 2016-01-10 10:59:38
-- 角色升级系统

local class_ui_create_guild_layer = import(".ui_create_guild_layer")


local createguildSystem = class("createguildSystem")


function createguildSystem:ctor()
    self:_initModels()
    self:_registGlobalEventListeners()
end


function createguildSystem:_initModels()
    self._controlerMap = {}
    self:_initDynamicResConfig()
end


function createguildSystem:_initDynamicResConfig()
    -- ResConfig["ui_image/guyong/widget"] = {
    --  restype = "plist",
    --  respath = "ui_image/guyong/widget/",
    --  res = {"guyong_plist"}
    -- }

    -- self._dynamicResConfigIDs = {
    --  "ui_image/guyong/widget",
    -- }
end


function createguildSystem:_registGlobalEventListeners()
    -- body
    -- 注册消息便于其他系统进行调用modelName模块名称，eventName事件名称
    self._globalEventListeners = {}
    local configs = {
        {modelName = "createguildSystem", eventName = "Create", callBack=handler(self, self.Create)},
    }
    self._globalEventListeners = createGlobalEventListenerWithConfig(configs)
end


function createguildSystem:Create()
    -- if MAIN_PLAYER:getBaseAttr():getName() ~= MAIN_PLAYER:getBaseAttr():getGUID() then
    --     --todo
    --     return
    -- end
    print("createguildSystem:Create")
    self.scene = APP:getCurScene()
    local contrl_view =  class_ui_create_guild_layer.new();
    self.scene:addChildToLayer(LAYER_ID_POPUP, contrl_view)
end




function createguildSystem.getInstance()
    if createguildSystem.instance == nil then
        createguildSystem.instance = createguildSystem.new()
    end

    return createguildSystem.instance
end


createguildSystemInstance = createguildSystem.getInstance()


return createguildSystem
