--
-- Author: zangqing
-- Date: 2016-01-09 10:19:02
-- 设置公会名称

-- 此类本身就是UI的显示layer,self.resourceNode_才是根节点
local ui_pop_layer = class("ui_pop_layer", cc.load("mvc").ViewBase)

ui_pop_layer.RESOURCE_FILENAME = "ui_instance/guildpage/ui_guild_pop_layer.csb"

function ui_pop_layer:onCreate()

    self:_registNodeEvent()
    self:_registGlobalEventListeners()

    --创建ui控制器
    self:_createControlerForUI()
    --注册按钮事件
    self:_registButtonEvent()

    
end

--注册节点事件
function ui_pop_layer:_registNodeEvent()
    local function onNodeEvent(event)
        if "exit" == event then
            self:_removeAllGlobalEventListeners()
        end
    end
    self.resourceNode_:registerScriptHandler(onNodeEvent)
end

--注册全局事件
function ui_pop_layer:_registGlobalEventListeners()
    -- body
    self._globalEventListeners = {}
    local configs = {
        {modelName = "ui_pop_layer", eventName = "refreshlist", callBack=handler(self, self.updateDisplay)},--注册地图信息控制 刷新列表
        {modelName = "ui_pop_layer", eventName = "close", callBack=handler(self, self.close)},--控制 关闭
        -- {modelName = "netMsg", eventName = tostring(MSG_MS2C_RANK_RE), callBack=handler(self, self.updateDisplayKind)},
        -- {modelName = "ui_pop_layer", eventName = "setUIVisible", callBack=handler(self, self._onSetUIVisible)},
    }
    self._globalEventListeners = createGlobalEventListenerWithConfig(configs)
end

-- 创建UI控制器
function ui_pop_layer:_createControlerForUI()
    -- -- print("ui_pop_layer:_createControlerForUI=========")
    -- self._controlerMap = {}

    -- -- 上部的按钮控制器
    -- self._controlerMap.node_btn_top = class_controler_ui_map_info_btn.new(
    --     self.resourceNode_:getChildByName("node_btn_top")
    -- )

    -- -- 中部UI控制器（玩家信息）
    -- self._controlerMap.node_infoshow_mid = class_controler_ui_map_info_player.new(
    --     self.resourceNode_:getChildByName("node_infoshow_mid")
    -- )

    -- -- 中部UI控制器（公会信息信息）
    -- self._controlerMap.node_infoguild_mid = class_controler_ui_map_info_guild.new(
    --     self.resourceNode_:getChildByName("node_infoguild_mid")
    -- )

    -- -- 下方UI控制器（玩家列表）
    -- self._controlerMap.node_list_bottom = class_controler_ui_map_info_list.new(
    --     self.resourceNode_:getChildByName("node_list_bottom")
    -- )
end

function ui_pop_layer:_registButtonEvent()

    -- 文字显示
    self.txt_show = self.resourceNode_:getChildByName("img_back_0"):getChildByName("txt_show");
    local _post = MAIN_PLAYER:getBaseAttr():getPost();
    print("---------guild_obj:getname()------",MAIN_PLAYER:getGuild():getname());
    if 1~=_post then
        -- 退出公会
        self.txt_show:setString("是否确认退出公会?");
        -- gameTcp:SendMessage(MSG_C2S_GUILD_QuitGuild,{});
    else
        -- 解散公会
        self.txt_show:setString("是否确认解散公会?");
        -- gameTcp:SendMessage(MSG_C2S_GUILD_DismissGuild,{});
    end

    --确认退出
    self.button_ok = self.resourceNode_:getChildByName("btn_OK")
    local function okClicked(sender)
        
        print("确认按钮")
        self:quite_guild( );
        
    end
    self.button_ok:addClickEventListener(okClicked)

     --取消
    self.button_no = self.resourceNode_:getChildByName("btn_exit_0")
    local function noClicked(sender)
        
        print("取消按钮")
        -- self:resetName();
        self:close(self._dynamicResConfigIDs)
    end
    self.button_no:addClickEventListener(noClicked)
    
end

function ui_pop_layer:setEventCallBack( callfun )
    self._controlerEventCallBack = callfun;
end

function ui_pop_layer:resetName( )
    local inputNameView = self.resourceNode_:getChildByName("text_inputname")
    inputNameView:setString("");
end

function ui_pop_layer:quite_guild( )
    local _post = MAIN_PLAYER:getBaseAttr():getPost();
    print("---------guild_obj:getname()------",MAIN_PLAYER:getGuild():getname());
    if 1~=_post then
        -- 退出公会
        
        gameTcp:SendMessage(MSG_C2S_GUILD_QuitGuild,{});
    else
        -- 解散公会
        
        gameTcp:SendMessage(MSG_C2S_GUILD_DismissGuild,{});
    end
end


function ui_pop_layer:_removeAllGlobalEventListeners()
    for k,v in pairs(self._globalEventListeners) do
        GLOBAL_EVENT_DISPTACHER:removeEventListener(v)
    end
end


function ui_pop_layer:close(res)

    -- self.ranking_view:clear( );
    --清空数据
    -- MAIN_PLAYER.rankManager:ClearData(  );
    if res == nil then
        res = self._dynamicResConfigIDs
    end
    -- GLOBAL_COMMON_ACTION:popupBack({
    --         node = self.resourceNode_,
    --         -- shadowNode = self.resourceNode_:getChildByName("shadow_layout"),
    --         callback = function ()
    --             -- body
    self:removeFromParent(true)
    -- release_res(res)
        --     end
        -- })
end



return ui_pop_layer
