--
-- Author: zangqing
-- Date: 2016-02-15 20:00:38
-- 设置系统

local class_ui_install_layer = import(".controler_installUILayer.ui_install_layer")


local installSystem = class("installSystem")


function installSystem:ctor()
    self:_initModels()
    self:_registGlobalEventListeners()
end


function installSystem:_initModels()
    self._controlerMap = {}
    self:_initDynamicResConfig()
end


function installSystem:_initDynamicResConfig()
    -- ResConfig["ui_image/guyong/widget"] = {
    --  restype = "plist",
    --  respath = "ui_image/guyong/widget/",
    --  res = {"guyong_plist"}
    -- }

    -- self._dynamicResConfigIDs = {
    --  "ui_image/guyong/widget",
    -- }
end


function installSystem:_registGlobalEventListeners()
    -- body
    -- 注册消息便于其他系统进行调用modelName模块名称，eventName事件名称
    self._globalEventListeners = {}
    local configs = {
        {modelName = "installSystem", eventName = "click", callBack=handler(self, self.Create)},
        {modelName = "installSystem", eventName = "close", callBack=handler(self, self.Close)},
    }
    self._globalEventListeners = createGlobalEventListenerWithConfig(configs)
end


function installSystem:Create(msgData)
    print("系统设置")
    self.data = msgData;
    self.scene = APP:getCurScene()
    self.contrl_view =  class_ui_install_layer.new();
    self.scene:addChildToLayer(LAYER_ID_UITop, self.contrl_view)
        
    -- GLOBAL_COMMON_ACTION:popupOut({node=contrl_view:getView()})
end

function installSystem:Close(  )
    self.contrl_view:removeFromParent();
end


function installSystem.getInstance()
    if installSystem.instance == nil then
        installSystem.instance = installSystem.new()
    end

    return installSystem.instance
end


installSystemInstance = installSystem.getInstance()


return installSystem
