--
-- Author: liyang
-- Date: 2016-01-02 09:37:59
-- 主界面UI右边底部模块类


local controler_mainPage_ui_right_bottom = class("controler_mainPage_ui_right_bottom")

--[[监听全局事件名预览
eventModleName: controler_mainPage_ui_right_bottom
eventName: 
    setUIVisible     --设置显示状态

]]


function controler_mainPage_ui_right_bottom:ctor(mainPage_ui_layer)
    self:_initModels()

    -- local visibleSize = cc.Director:getInstance():getVisibleSize()
    --根层
    self._viewNode = mainPage_ui_layer

    self:_createControlerForUI()

    --
    self:_registGlobalEventListeners()

    self:_registNodeEvent()

    self:_registUIEvent()
end


function controler_mainPage_ui_right_bottom:getView()
    return self._viewNode
end


function controler_mainPage_ui_right_bottom:_initModels()
    self._controlerMap = {}
end

--创建控制器: UI
function controler_mainPage_ui_right_bottom:_createControlerForUI()
    
end


function controler_mainPage_ui_right_bottom:_registGlobalEventListeners()
    -- self._globalEventListeners = {}
    -- local configs = {
    --     {modelName = "controler_mainPage_ui_right_bottom", eventName = "setUIVisible", callBack=handler(self, self._onSetUIVisible)},
    --     {modelName = "netMsg", eventName = tostring(MSG_MS2C_INTERACT_ADD), callBack=handler(self, self.addNotifyAni)},
    -- }
    -- self._globalEventListeners = createGlobalEventListenerWithConfig(configs)
end




--注册节点事件
function controler_mainPage_ui_right_bottom:_registNodeEvent()
    local function onNodeEvent(event)
        if "exit" == event then
            self:_removeAllGlobalEventListeners()
        end
    end
    self._viewNode:registerScriptHandler(onNodeEvent)
end


--移除全局事件监听器
function controler_mainPage_ui_right_bottom:_removeAllGlobalEventListeners()
    for k,v in pairs(self._globalEventListeners) do
        GLOBAL_EVENT_DISPTACHER:removeEventListener(v)
    end
end

function controler_mainPage_ui_right_bottom:_registUIEvent()
    -- local btn_shuaguai = self._viewNode:getChildByName("btn_shuaguai")
    -- local shuaguaiClick = function (  )
    --     print("btn_shuaguai clickcallback")
    --     -- 接受到全局消息，执行这个操作
    --     -- dispatchGlobaleEvent("mapInfoSystem", "click")
    --     -- MAP_DATA.Map_zoom = 12;
    --     -- print(isPngByFileName( "maptile/-5_-1_14.png" ))
    --     -- print(LoadPngImageByFileName( "maptile/-5_-1_14.png" ))
    --      -- MAP_DATA.Map_zoom = 13;
    -- end
    -- btn_shuaguai:addClickEventListener(shuaguaiClick)

    -- local btn_act = self._viewNode:getChildByName("btn_act")
    -- local actClick = function (  )
    --     print("actClick clickcallback")
    --     -- dispatchGlobaleEvent("controler_mapPage_map_layer", "updateImage");
    --     -- MAP_DATA.Map_zoom = 14;
    -- end
    -- btn_act:addClickEventListener(actClick)

    -- local btn_guilds = self._viewNode:getChildByName("btn_guilds")
    -- local guildsClick = function (  )
    --     -- managerMapDownloadInstance:openMapTileUpdateScheduler(  );
    --     -- 116.434739,39.911836
    --     -- Lua2J_baiduLocation:Lua2J_startLocationInfo(  );
    --     -- print("guildsClick clickcallback")
    --     -- MAP_DATA:returnPlayerPos(  );
    -- end
    -- btn_guilds:addClickEventListener(guildsClick)


    
end


function controler_mainPage_ui_right_bottom:_onSetUIVisible( event )
    local eventUseData = event._usedata
    local visibleType = eventUseData.visibleType

    --隐藏所有
    if visibleType == "hideAll" then
        self._viewNode:setVisible(false)

    --显示所有
    elseif visibleType == "showAll" then
        self._viewNode:setVisible(true)
    end
    
end


return controler_mainPage_ui_right_bottom
