--
-- Author: liyang
-- Date: 2016-01-02 09:37:59
-- 主界面UI右边上部模块类


local controler_mainPage_ui_right_top = class("controler_mainPage_ui_right_top")

--[[监听全局事件名预览
eventModleName: controler_mainPage_ui_right_top
eventName: 
    setUIVisible     --设置显示状态

]]


function controler_mainPage_ui_right_top:ctor(mainPage_ui_layer)
    self:_initModels()

    --根层
    self._view_node = mainPage_ui_layer
    -- self._mainPage_ui_layer:setContentSize(visibleSize)
    -- ccui.Helper:doLayout(self._mainPage_ui_layer)


    self:_createControlerForUI()

    --
    self:_registGlobalEventListeners()

    self:_registNodeEvent()

    self:_registUIEvent()

    --经验数值
    -- local str_expvalue = tostring(MAIN_PLAYER:getBaseAttr():getExp()).."/".."999999";
    -- self.showinfo_exp_valuse =  self._view_node:getChildByName("info_exp"):getChildByName("valuse");
    -- self.showinfo_exp_valuse:setString(str_expvalue);
    
end


function controler_mainPage_ui_right_top:getView()
    return self._view_node
end


function controler_mainPage_ui_right_top:_initModels()
    self._controlerMap = {}
end

--创建控制器: UI
function controler_mainPage_ui_right_top:_createControlerForUI()
    
end


function controler_mainPage_ui_right_top:_registGlobalEventListeners()
    self._globalEventListeners = {}
    local configs = {
        {modelName = "controler_mainPage_ui_right_top", eventName = "setUIVisible", callBack=handler(self, self._onSetUIVisible)},
        {modelName = "controler_mainPage_ui_right_top", eventName = "updateViewShowName", callBack=handler(self, self.updateViewShowName)},
        {modelName = "controler_mainPage_ui_right_top", eventName = "updateViewShowExp", callBack=handler(self, self.updateViewShowExp)},
        {modelName = "controler_mainPage_ui_right_top", eventName = "updateViewShowGold", callBack=handler(self, self.updateViewShowGold)},
        {modelName = "controler_mainPage_ui_right_top", eventName = "updateViewShowYuanBao", callBack=handler(self, self.updateViewShowYuanBao)},
        -- {modelName = "netMsg", eventName = tostring(MSG_MS2C_INTERACT_ADD), callBack=handler(self, self.addNotifyAni)},
    }
    self._globalEventListeners = createGlobalEventListenerWithConfig(configs)
    print("controler_mainPage_ui_right_top:_registGlobalEventListeners")
end




--注册节点事件
function controler_mainPage_ui_right_top:_registNodeEvent()
    local function onNodeEvent(event)
        if "exit" == event then
            self:_removeAllGlobalEventListeners()
        end
    end
    self._view_node:registerScriptHandler(onNodeEvent)
end


--移除全局事件监听器
function controler_mainPage_ui_right_top:_removeAllGlobalEventListeners()
    print("controler_mainPage_ui_right_top:_removeAllGlobalEventListeners")
    for k,v in pairs(self._globalEventListeners) do
        GLOBAL_EVENT_DISPTACHER:removeEventListener(v)
    end
end

function controler_mainPage_ui_right_top:_registUIEvent()

    self.showinfo_exp =  self._view_node:getChildByName("info_exp");

    self.showinfo_gold = self._view_node:getChildByName("info_gold");

    self.showinfo_yuanbao = self._view_node:getChildByName("info_yuanbao");

    local btn_yuanbao_add = self.showinfo_yuanbao:getChildByName("btn_add")
    local addyuanbaoClick = function (  )
        print("btn_yuanbao_add clickcallback")
    end
    btn_yuanbao_add:addClickEventListener(addyuanbaoClick)

    -- 头像按钮
    local btn_role_headimg = self.showinfo_exp:getChildByName("btn_head")
    local role_headimgClick = function (  )
        print("btn_role_headimg clickcallback")
        dispatchGlobaleEvent("rolelevelupSystem", "click")
    end
    btn_role_headimg:addClickEventListener(role_headimgClick)

    -- 
    self:updateViewShowName()
    self:updateViewShowExp()
    self:updateViewShowGold()
    self:updateViewShowYuanBao()
end


function controler_mainPage_ui_right_top:_onSetUIVisible( event )
    local eventUseData = event._usedata
    local visibleType = eventUseData.visibleType

    --隐藏所有
    if visibleType == "hideAll" then
        self._mainPage_ui_layer:setVisible(false)

    --显示所有
    elseif visibleType == "showAll" then
        self._mainPage_ui_layer:setVisible(true)
    end
end

--更新界面显示
function controler_mainPage_ui_right_top:updateViewShowName(  )
    
    -- 更新昵称
    -- local txt_name = self._view_node:getChildByName("txt_name")
    -- local player_name = MAIN_PLAYER:getBaseAttr():getName();

    -- txt_name:setString(player_name);
end

--更新界面显示
function controler_mainPage_ui_right_top:updateViewShowExp(  )
    --更新经验
    local exp_valuse = self._view_node:getChildByName("info_exp"):getChildByName("valuse")
    local exp_num = MAIN_PLAYER:getBaseAttr():getExp();
    local percent = math.floor(exp_num/100 * 100)
    local exp_show = exp_num.."/100"
    print(" 经验值：%d, 百分比：%f, 经验显示：%s",exp_num, percent, exp_show)
    exp_valuse:setString(exp_show);

    local exp_bar = self._view_node:getChildByName("info_exp"):getChildByName("bar")
    exp_bar:setPercent(percent)
    --等级
    local level = self._view_node:getChildByName("info_exp"):getChildByName("img_level"):getChildByName("txt_level")

    local lv_num = MAIN_PLAYER:getBaseAttr():getLv();

    level:setString(lv_num);
end

--更新界面显示
function controler_mainPage_ui_right_top:updateViewShowGold(  )
    
    --金钱数值
    local goldnumber = MAIN_PLAYER:getBaseAttr():getGold();
    print("最新金钱数量"..goldnumber)
    local str_goldvalue = tostring(goldnumber);
    self.showinfo_gold_valuse =  self._view_node:getChildByName("info_gold"):getChildByName("valuse");
    self.showinfo_gold_valuse:setString(str_goldvalue);

    -- local percent = math.floor(goldnumber/999999) * 100
    -- local exp_bar = self._view_node:getChildByName("info_gold"):getChildByName("bar")
    -- exp_bar:setPercent(percent)
end

--更新界面显示
function controler_mainPage_ui_right_top:updateViewShowYuanBao(  )
   
    --元宝数值
    local Yuanbaonumber = MAIN_PLAYER:getBaseAttr():getYuanBao();
    local str_yuanbaovalue = tostring(Yuanbaonumber);
    self.showinfo_yuanbao_valuse =  self._view_node:getChildByName("info_yuanbao"):getChildByName("valuse");
    self.showinfo_yuanbao_valuse:setString(str_yuanbaovalue);
    
    local percent = math.floor(Yuanbaonumber/999999 * 100)
    local exp_bar = self._view_node:getChildByName("info_yuanbao"):getChildByName("bar")
    exp_bar:setPercent(percent)
end

return controler_mainPage_ui_right_top
