--
-- Author: liyang
-- Date: 2016-01-02 14:23:51
-- 主页系统

-- 脚本对象
local class_controler_ui_layer = import(".controler_UILayer.controler_mainPage_ui_layer")

-- local class_controler_ui_map_info_layer = import(".controler_partUILayer.controler_ui_map_info_layer") 


-- import(".info.player_info_system")

local mainPageSystem = class("mainPageSystem")


mainPageSystem.instance = nil

function mainPageSystem:ctor()
    if mainPageSystem.instance ~= nil then
        printError("mainPageSystem 为单例对象")
        return
    end
    self:_initModels()
end

--进入系统
--parmas.scene
function mainPageSystem:enterSystem(parmas)
    -- ResLoad:setLoadList(
    --     {
    --         "ui_image/mainpage/anim/zhanyi/zy1/effect_zhanyi1.png",
    --         "ui_image/mainpage/anim/zhanyi/zy1/effect_zhanyi1_mengban.png",
    --         "ui_image/mainpage/anim/zhanyi/zy2/effect_zhanyi2.png",
    --         "ui_image/mainpage/anim/zhanyi/zy2/zhanyi2_mengban.png",
    --         "ui_image/mainpage/anim/zhanyi/zy3/effect_zhanyi3.png",
    --         "ui_image/mainpage/anim/zhanyi/zy3/effect_zhanyi3_mengban.png"
    --     }
    -- )
    -- ResLoad:setCallback( nil );
    -- ResLoad:LoadRes()
    
    self.scene = parmas.scene

    --创建地图
    dispatchGlobaleEvent( "mapSystem" ,"create");

    self._controlerMap.mainPageUILayer = class_controler_ui_layer.new(self:_createUILayer())
    self.scene:addChildToLayer(LAYER_ID_UI, self._controlerMap.mainPageUILayer:getView())

    local name = MAIN_PLAYER:getBaseAttr():getName();
    local guidstr = MAIN_PLAYER:getBaseAttr():getGUID();
    print("MAIN_PLAYER:getBaseAttr():getName()",name);

    print("MAIN_PLAYER:getBaseAttr():getGUID()",Data_Login.userID);

    if MAIN_PLAYER:getBaseAttr():getName() == Data_Login.userID then
        dispatchGlobaleEvent("bronpageSystem" ,"create");
    end
    print("mainPageSystem:enterSystem");


    -- self._controlerMap.mapinfoListLayer = class_controler_ui_map_info_layer.new(self:_createmapinfoLayer())
    -- self.scene:addChildToLayer(LAYER_ID_POPUP, self._controlerMap.mapinfoListLayer:getView())

    -- self._controlerMap.mainPageTopLayer = class_controler_mainpage_top_layer.new(self:_createTopLayer())
    -- self.scene:addChildToLayer(LAYER_ID_TOP, self._controlerMap.mainPageTopLayer:getView())

    -- --开启战场
    -- dispatchGlobaleEvent( "battlefield" ,"initialize");

    -- -- dumpTextureCacheInfo()
    -- dispatchGlobaleEvent( "newbieguide","reaction" ,{"主页","createfinish"});
    
end


--离开系统
function mainPageSystem:leaveSystem(parmas)
    
end


function mainPageSystem:_initModels()
    self._controlerMap = {}
end

function LoadCsb( parame )
    return cc.CSLoader:createNode(parame);
end

function mainPageSystem:_createUILayer()
    return cc.CSLoader:createNode("ui_instance/mainpage/ui_mian_layer.csb")
end

function mainPageSystem:_createMapLayer()
    return cc.CSLoader:createNode("ui_instance/mainpage/ui_main_map_layer.csb")
end

function mainPageSystem:_createMapTounchLayer()
    return cc.CSLoader:createNode("ui_instance/mainpage/ui_main_map_tounch_layer.csb")
end

-- function mainPageSystem:_createTopLayer()
--     return cc.CSLoader:createNode("ui_instance/mainPage/top_layer/mainpage_top_layer.csb")
-- end



function mainPageSystem.getInstance()
    if mainPageSystem.instance == nil then
        mainPageSystem.instance = mainPageSystem.new()
    end

    return mainPageSystem.instance
end


MainPageSystemInstance = mainPageSystem.getInstance()


return mainPageSystem
