--
-- Author: zangqing
-- Date: 2016-01-05 10:37:59
-- 顶部按钮


local controler_ui_map_info_btn = class("controler_ui_map_info_btn")

--[[监听全局事件名预览
eventModleName: controler_ui_map_info_btn
eventName: 
    setUIVisible     --设置显示状态

]]


function controler_ui_map_info_btn:ctor(mainPage_ui_layer)
    self:_initModels()

    --根层
    self._view_node = mainPage_ui_layer
    -- self._view_node:setContentSize(visibleSize)
    -- ccui.Helper:doLayout(self._view_node)


    self:_createControlerForUI()

    --
    self:_registGlobalEventListeners()

    self:_registNodeEvent()

    self:_registUIEvent()

    --1 表示人物 2 表示公会
    self.m_Choose = 2;
end


function controler_ui_map_info_btn:getView()
    return self._view_node
end


function controler_ui_map_info_btn:_initModels()
    self._controlerMap = {}
end

--创建控制器: UI
function controler_ui_map_info_btn:_createControlerForUI()
    
end


function controler_ui_map_info_btn:_registGlobalEventListeners()
    self._globalEventListeners = {}
    local configs = {
        {modelName = "controler_ui_map_info_btn", eventName = "setUIVisible", callBack=handler(self, self._onSetUIVisible)},
        -- {modelName = "netMsg", eventName = tostring(MSG_MS2C_INTERACT_ADD), callBack=handler(self, self.addNotifyAni)},
    }
    self._globalEventListeners = createGlobalEventListenerWithConfig(configs)
end




--注册节点事件
function controler_ui_map_info_btn:_registNodeEvent()
    local function onNodeEvent(event)
        if "exit" == event then
            self:_removeAllGlobalEventListeners()
        end
    end
    self._view_node:registerScriptHandler(onNodeEvent)
end


--移除全局事件监听器
function controler_ui_map_info_btn:_removeAllGlobalEventListeners()
    for k,v in pairs(self._globalEventListeners) do
        GLOBAL_EVENT_DISPTACHER:removeEventListener(v)
    end
end

function controler_ui_map_info_btn:_registUIEvent()
    -- 刷新在线玩家列表
    self.btn_ol_player = self._view_node:getChildByName("btn_ol_player")
    
    -- 显示地块玩家信息
        -- dispatchGlobaleEvent("controler_ui_map_info_player", "setUIVisible", {visibleType="showAll"})
        -- -- 关闭公会玩家信息
        -- dispatchGlobaleEvent("controler_ui_map_info_guild", "setUIVisible", {visibleType="hideAll"})

    local function olplayerselectedEvent(sender,eventType)
        print("btn_ol_player clickcallback")
        if eventType == ccui.CheckBoxEventType.selected then
            AudioManager.playButton();
            self.btn_guild:setSelected(false);
            self.m_Choose = 1;
            dispatchGlobaleEvent("ui_map_info_layer", "create","player")
        elseif eventType == ccui.CheckBoxEventType.unselected then
            if self.m_Choose == 1 then
                self.btn_ol_player:setSelected(true);
            end
        end
    end  

    -- 添加事件监听函数
    self.btn_ol_player:addEventListener(olplayerselectedEvent)

    -- 刷新公会玩家列表
    self.btn_guild = self._view_node:getChildByName("btn_guild")

    local function guildselectedEvent(sender,eventType)
        if eventType == ccui.CheckBoxEventType.selected then
            AudioManager.playButton();
            self.btn_ol_player:setSelected(false);
            self.m_Choose = 2;
            dispatchGlobaleEvent("ui_map_info_layer", "create","guild")
        elseif eventType == ccui.CheckBoxEventType.unselected then
            if self.m_Choose == 2 then
                self.btn_guild:setSelected(true);
            end
        end
    end
    -- 添加事件监听函数
    self.btn_guild:addEventListener(guildselectedEvent)

    -- 关闭地图信息界面
    local btn_exit = self._view_node:getChildByName("btn_exit")
    local exitClick = function (  )
        print("btn_exit clickcallback")
        AudioManager.playButton();
        -- 关闭界面
        dispatchGlobaleEvent("ui_map_info_layer", "close")
    end
    -- 添加事件监听函数
    btn_exit:addClickEventListener(exitClick)

    --初始化数据

end


function controler_ui_map_info_btn:_onSetUIVisible( event )
    local eventUseData = event._usedata
    local visibleType = eventUseData.visibleType

    --隐藏所有
    if visibleType == "hideAll" then
        self._view_node:setVisible(false)

    --显示所有
    elseif visibleType == "showAll" then
        self._view_node:setVisible(true)
    end
end

--更新界面显示
function controler_ui_map_info_btn:updateViewShow()
    -- 获得塔防的等级
    local playerlv = 10;
    -- 等级显示的文本控件
    local txt_tower_lv = self._view_node:getChildByName("btn_rect"):getChildByName("info_valuse");

    --更新塔防等级
end


return controler_ui_map_info_btn
