--
-- Author: zangqing
-- Date: 2016-01-10 10:59:38
-- 兵种介绍

local class_ui_introduce_layer = import(".ui_introduce_layer")


local introduceSystem = class("introduceSystem")


function introduceSystem:ctor()
    self:_initModels()
    self:_registGlobalEventListeners()
end


function introduceSystem:_initModels()
    self._controlerMap = {}
    self:_initDynamicResConfig()
end


function introduceSystem:_initDynamicResConfig()
    -- ResConfig["ui_image/guyong/widget"] = {
    --  restype = "plist",
    --  respath = "ui_image/guyong/widget/",
    --  res = {"guyong_plist"}
    -- }

    -- self._dynamicResConfigIDs = {
    --  "ui_image/guyong/widget",
    -- }
end


function introduceSystem:_registGlobalEventListeners()
    -- body
    -- 注册消息便于其他系统进行调用modelName模块名称，eventName事件名称
    self._globalEventListeners = {}
    local configs = {
        {modelName = "introduceSystem", eventName = "Create", callBack=handler(self, self.Create)},
    }
    self._globalEventListeners = createGlobalEventListenerWithConfig(configs)
end


function introduceSystem:Create( event )
    -- if MAIN_PLAYER:getBaseAttr():getName() ~= MAIN_PLAYER:getBaseAttr():getGUID() then
    --     --todo
    --     return
    -- end
    -- print("introduceSystem:Create..", date.sender)
    self.soldierData = event._usedata;
    print("=====introduceSystem:Create: ", self.soldierData.id)
    self.scene = APP:getCurScene()
    local contrl_view =  class_ui_introduce_layer.new();
    contrl_view:updatesoldiershow(self.soldierData.id);
    self.scene:addChildToLayer(LAYER_ID_POPUP, contrl_view);
end




function introduceSystem.getInstance()
    if introduceSystem.instance == nil then
        introduceSystem.instance = introduceSystem.new()
    end

    return introduceSystem.instance
end


introduceSystemInstance = introduceSystem.getInstance()


return introduceSystem
