--
-- Author: zangqing
-- Date: 2016-01-09 10:19:02
-- 排行榜界面

-- 此类本身就是UI的显示layer,self.resourceNode_才是根节点
local ui_role_lvup_layer = class("ui_role_lvup_layer", cc.load("mvc").ViewBase)

-- local class_controler_ui_map_info_btn = import(".controler_ui_map_info_btn")
-- local class_controler_ui_map_info_player = import(".controler_ui_map_info_player")
-- local class_controler_ui_map_info_guild = import(".controler_ui_map_info_guild")
-- local class_controler_ui_map_info_list = import(".controler_ui_map_info_list")

ui_role_lvup_layer.RESOURCE_FILENAME = "ui_instance/rolelvup/ui_role_lvup.csb"


function ui_role_lvup_layer:onCreate()


    self:_registNodeEvent()
    self:_registGlobalEventListeners()

    --创建ui控制器
    self:_createControlerForUI()
    --初始化资源分配
    self:_initDynamicResConfig()
    --注册按钮事件
    self:_registButtonEvent()

    --注册UI事件
    self:_registUIEvent()
    -- local size= cc.Director:getInstance():getVisibleSize()
    -- local rootNode = self:getResourceNode()
    -- rootNode:setContentSize(size)
    -- ccui.Helper:doLayout(rootNode)
    -- rootNode:setPosition(cc.p(display.cx - 640 ,display.cy - 360))

    -- local shadow_layout = rootNode:getChildByName("shadow_layout")
    -- shadow_layout:setContentSize(size)
    -- ccui.Helper:doLayout(shadow_layout)

    -- self.CurrentPage = 1;
    -- self.SumPage = 10;
    -- self.CurrentDisplayData = nil;
    -- self.CurrentShowRanking = 0;
    -- self.CurrentRankDes = "当前战力值:"
    -- self.CurrentRankType = MAIN_PLAYER.rankManager.CONST_RANKING_POWER;

    -- self:_doEventCallBack( nil, nil, 1 );
    self:updatetimeshow();
end

--注册节点事件
function ui_role_lvup_layer:_registNodeEvent()
    local function onNodeEvent(event)
        if "exit" == event then
            self:_removeAllGlobalEventListeners()
        end
    end
    self.resourceNode_:registerScriptHandler(onNodeEvent)
end

--注册全局事件
function ui_role_lvup_layer:_registGlobalEventListeners()
    -- body
    self._globalEventListeners = {}
    local configs = {
        {modelName = "ui_role_lvup_layer", eventName = "refreshlist", callBack=handler(self, self.updateDisplay)},--注册地图信息控制 刷新列表
        {modelName = "ui_role_lvup_layer", eventName = "close", callBack=handler(self, self.close)},--控制 关闭
        -- {modelName = "netMsg", eventName = tostring(MSG_MS2C_RANK_RE), callBack=handler(self, self.updateDisplayKind)},
        {modelName = "ui_role_lvup_layer", eventName = "updatesolder", callBack=handler(self, self.updatesolder)},
        {modelName = "ui_role_lvup_layer", eventName = "updateexp", callBack=handler(self, self.updateexp)},
        {modelName = "ui_role_lvup_layer", eventName = "updatetimeshow", callBack=handler(self, self.updatetimeshow)},
        {modelName = "ui_role_lvup_layer", eventName = "updatemakeshow", callBack=handler(self, self.updatemakeshow)},
        {modelName = "ui_role_lvup_layer", eventName = "updateViewShowGold", callBack=handler(self, self.updateViewShowGold)},
        {modelName = "head", eventName = "update", callBack=handler(self, self.registerUpdateHead)},
        {modelName = "head", eventName = "updatemyhead", callBack=handler(self, self.registerUpdateHead_1)},
    }
    self._globalEventListeners = createGlobalEventListenerWithConfig(configs)
end

-- 创建UI控制器
function ui_role_lvup_layer:_createControlerForUI()
    -- -- print("ui_role_lvup_layer:_createControlerForUI=========")
    -- self._controlerMap = {}

    -- -- 上部的按钮控制器
    -- self._controlerMap.node_btn_top = class_controler_ui_map_info_btn.new(
    --     self.resourceNode_:getChildByName("node_btn_top")
    -- )

    -- -- 中部UI控制器（玩家信息）
    -- self._controlerMap.node_infoshow_mid = class_controler_ui_map_info_player.new(
    --     self.resourceNode_:getChildByName("node_infoshow_mid")
    -- )

    -- -- 中部UI控制器（公会信息信息）
    -- self._controlerMap.node_infoguild_mid = class_controler_ui_map_info_guild.new(
    --     self.resourceNode_:getChildByName("node_infoguild_mid")
    -- )

    -- -- 下方UI控制器（玩家列表）
    -- self._controlerMap.node_list_bottom = class_controler_ui_map_info_list.new(
    --     self.resourceNode_:getChildByName("node_list_bottom")
    -- )
end

function ui_role_lvup_layer:_registButtonEvent()

    self.INTERVAL_TIME = 1;
    -- 关闭按钮
    self.button_close = self.resourceNode_:getChildByName("btn_close")
    local function closeClicked(sender)
        AudioManager.playButton();

        self:close(self._dynamicResConfigIDs)
        --请求头像
       
    end
    self.button_close:addClickEventListener(closeClicked)

    -- 头像
    self.button_headupdate = self.resourceNode_:getChildByName("btn_headupdata")
    local function headupdateClicked(sender)
        -- print("网络日志","发送更新头像消息 MSG_C2S_UploadHead")
        -- gameTcp:SendMessage(MSG_C2S_UploadHead,{{"sendImage","6.jpg"}})
        AudioManager.playButton();
        print("网络日志","开启上传头像")
        ManagerHeadRes:Lua2J_startUploadingHead(  );
    end
    self.button_headupdate:addClickEventListener(headupdateClicked)

    --确认
    self.button_finish = self.resourceNode_:getChildByName("img_bottom_back"):getChildByName("btn_finish")
    local function finishClicked(sender)
        AudioManager.playButton();
        print("完成按钮")

        if 1<=MAIN_PLAYER:getsolderManager():get_makesolderlineNum() and
            GetPlayerLvSetup(MAIN_PLAYER:getBaseAttr():getLv()).soldier_num > MAIN_PLAYER:getsolderManager():get_AllsolderNum() then
            gameTcp:SendMessage(MSG_C2S_SOLDIER_Finish,{})
        end
    end
    self.button_finish:addClickEventListener(finishClicked)
    
    --======================================金钱================================
    -- 金钱数值
    local goldnum = MAIN_PLAYER:getBaseAttr():getGold();
    local str_goldvalue = tostring(goldnum);
    self.showinfo_gold_valuse =  self.resourceNode_:getChildByName("info_gold"):getChildByName("valuse");
    self.showinfo_gold_valuse:setString(str_goldvalue);


    --造兵
    self.btn_make_1 = self.resourceNode_:getChildByName("img_bottom_back"):getChildByName("btn_solder_now_1")
    local function makeClicked_1(sender)
        AudioManager.playButton();
        print("造兵1按钮")
        local make_num = MAIN_PLAYER:getsolderManager():get_makesolderlineNum();
        if 5<=make_num then
            if 1==MAIN_PLAYER:getsolderManager():get_makelineendID() then
                if GetSoldierSetup(1).price <= MAIN_PLAYER:getBaseAttr():getGold() then
                    gameTcp:SendMessage(MSG_C2S_SOLDIER_Make,{1,})
                else
                    -- UIManager:CreatePrompt_NetMsgErrorDescribe(msgData.result)
                    UIManager:CreatePrompt_Bar( {
                        content = getErrorDescribe( ICCR_No_Res ),
                    } )
                end
            end
        else
            if GetSoldierSetup(1).price <= MAIN_PLAYER:getBaseAttr():getGold() then
                gameTcp:SendMessage(MSG_C2S_SOLDIER_Make,{1,})
            else
                -- UIManager:CreatePrompt_NetMsgErrorDescribe(msgData.result)
                UIManager:CreatePrompt_Bar( {
                    content = getErrorDescribe( ICCR_No_Res ),
                } )
            end
        end
        
    end
    self.btn_make_1:addClickEventListener(makeClicked_1)
    -- 兵种介绍
    self.btn_introduce_1 = self.btn_make_1:getChildByName("btn_introduce")
    local function introClicked_1(sender)
        AudioManager.playButton();
        print("兵种1介绍")
        
        dispatchGlobaleEvent( "introduceSystem" ,"Create", {id = 1,});
        -- dispatchGlobaleEvent( "ui_introduce_layer" ,"updatesoldiershow", 1);
    end
    self.btn_introduce_1:addClickEventListener(introClicked_1)


    --造兵
    self.btn_make_2 = self.resourceNode_:getChildByName("img_bottom_back"):getChildByName("btn_solder_now_2")
    local function makeClicked_2(sender)
        AudioManager.playButton();
        print("造兵2按钮")
        local make_num = MAIN_PLAYER:getsolderManager():get_makesolderlineNum();
        if 5<=make_num then
            if 2==MAIN_PLAYER:getsolderManager():get_makelineendID() then
                if GetSoldierSetup(2).price <= MAIN_PLAYER:getBaseAttr():getGold() then
                    gameTcp:SendMessage(MSG_C2S_SOLDIER_Make,{2,})
                else
                    -- UIManager:CreatePrompt_NetMsgErrorDescribe(msgData.result)
                    UIManager:CreatePrompt_Bar( {
                        content = getErrorDescribe( ICCR_No_Res ),
                    } )
                end
            end
        else
            if GetSoldierSetup(2).price <= MAIN_PLAYER:getBaseAttr():getGold() then
                gameTcp:SendMessage(MSG_C2S_SOLDIER_Make,{2,})
            else
                -- UIManager:CreatePrompt_NetMsgErrorDescribe(msgData.result)
                UIManager:CreatePrompt_Bar( {
                    content = getErrorDescribe( ICCR_No_Res ),
                } )
            end
        end
    end
    self.btn_make_2:addClickEventListener(makeClicked_2)

    local role_cfg = GetPlayerLvSetup(MAIN_PLAYER:getBaseAttr():getLv());
    local img_soldier = self.btn_make_2:getChildByName("img_solder");
    if role_cfg.soldier_open < 2 then
        self.btn_make_2:setTouchEnabled(false);
        img_soldier:loadTexture("ui_image/solder/solder_2_hui.png",ccui.TextureResType.localType);
    else
        self.btn_make_2:setTouchEnabled(true);
        img_soldier:loadTexture("ui_image/solder/solder_2.png",ccui.TextureResType.localType);
    end
    -- 兵种介绍
    self.btn_introduce_2 = self.btn_make_2:getChildByName("btn_introduce")
    local function introClicked_2(sender)
        AudioManager.playButton();
        print("兵种2介绍")
        
        dispatchGlobaleEvent( "introduceSystem" ,"Create", {id = 2,});
        -- dispatchGlobaleEvent( "ui_introduce_layer" ,"updatesoldiershow", 1);
    end
    self.btn_introduce_2:addClickEventListener(introClicked_2)

    --造价
    self.txt_make_gold_1 = self.resourceNode_:getChildByName("img_bottom_back"):getChildByName("btn_solder_now_1"):getChildByName("txt_num")
    local make_gold = GetSoldierSetup(1).price;
    self.txt_make_gold_1:setString(tostring(make_gold));


    --造价
    self.txt_make_gold_2 = self.resourceNode_:getChildByName("img_bottom_back"):getChildByName("btn_solder_now_2"):getChildByName("txt_num")
    make_gold = GetSoldierSetup(2).price;
    self.txt_make_gold_2:setString(tostring(make_gold));


    --===============================建造队列显示===================================
    self.btn_make_tab = {};
    
    self.btn_solder_xunlian_1 = self.resourceNode_:getChildByName("img_bottom_back"):getChildByName("btn_solder_xunlian_1");
    local function goldClicked1(sender)
        AudioManager.playButton();
        print("取消造兵1")
        if 1 <= MAIN_PLAYER:getsolderManager():get_makesolderlineNum() then
            local _begin, _end = MAIN_PLAYER:getsolderManager():get_solderindex(1);

            gameTcp:SendMessage(MSG_C2S_SOLDIER_Cancel,{_begin, _begin})
            self.btn_solder_xunlian_1:setVisible(false);
            self.btn_solder_xunlian_1:setTouchEnabled(false);
        end
    end
    self.btn_solder_xunlian_1:addClickEventListener(goldClicked1);

    self.btn_solder_xunlian_1:setVisible(false);
    self.btn_solder_xunlian_1:setTouchEnabled(false);

    -- 进度条，只有第一个
    self.bar_time = self.btn_solder_xunlian_1:getChildByName("bar_time");
    self.txt_time = self.bar_time:getChildByName("txt_time");

    local soldier_info = MAIN_PLAYER:getsolderManager():get_make_info(1);
    if soldier_info then
        local time_num = soldier_info[3];

        local show_time = TIME_HELPER:secondToTime( time_num )
        local timestr;
        if 0>=show_time.min then
            timestr = string.format("%02d秒", 
                        show_time.sec
                    )
        else
            timestr = string.format("%02d分%02d秒", 
                        show_time.min,
                        show_time.sec
                    )
        end
        
        self.txt_time:setString(timestr);
    end
    
    self.btn_solder_xunlian_2 = self.resourceNode_:getChildByName("img_bottom_back"):getChildByName("btn_solder_xunlian_2");
    local function goldClicked2(sender)
        AudioManager.playButton();
        print("取消造兵2")
        print(MAIN_PLAYER:getsolderManager():get_makesolderlineNum());
        if 2 <= MAIN_PLAYER:getsolderManager():get_makesolderlineNum() then
            local _begin, _end = MAIN_PLAYER:getsolderManager():get_solderindex(2);

            gameTcp:SendMessage(MSG_C2S_SOLDIER_Cancel,{_begin, _begin})
            self.btn_solder_xunlian_2:setVisible(false);
            self.btn_solder_xunlian_2:setTouchEnabled(false);
        end
    end
    self.btn_solder_xunlian_2:addClickEventListener(goldClicked2);
    
    self.btn_solder_xunlian_2:setVisible(false);
    self.btn_solder_xunlian_2:setTouchEnabled(false);

    self.btn_solder_xunlian_3 = self.resourceNode_:getChildByName("img_bottom_back"):getChildByName("btn_solder_xunlian_3");
    local function goldClicked3(sender)
        AudioManager.playButton();
        if 3 <= MAIN_PLAYER:getsolderManager():get_makesolderlineNum() then
            local _begin, _end = MAIN_PLAYER:getsolderManager():get_solderindex(3);

            gameTcp:SendMessage(MSG_C2S_SOLDIER_Cancel,{_begin, _begin})
            self.btn_solder_xunlian_3:setVisible(false);
            self.btn_solder_xunlian_3:setTouchEnabled(false);
            print("取消造兵")
        end
    end
    self.btn_solder_xunlian_3:addClickEventListener(goldClicked3);

    self.btn_solder_xunlian_3:setVisible(false);
    self.btn_solder_xunlian_3:setTouchEnabled(false);

    self.btn_solder_xunlian_4 = self.resourceNode_:getChildByName("img_bottom_back"):getChildByName("btn_solder_xunlian_4");
    local function goldClicked4(sender)
        AudioManager.playButton();
        if 4 <= MAIN_PLAYER:getsolderManager():get_makesolderlineNum() then
            local _begin, _end = MAIN_PLAYER:getsolderManager():get_solderindex(4);

            gameTcp:SendMessage(MSG_C2S_SOLDIER_Cancel,{_begin, _begin})
            self.btn_solder_xunlian_4:setVisible(false);
            self.btn_solder_xunlian_4:setTouchEnabled(false);
            print("取消造兵")
        end
    end
    self.btn_solder_xunlian_4:addClickEventListener(goldClicked4);

    self.btn_solder_xunlian_4:setVisible(false);
    self.btn_solder_xunlian_4:setTouchEnabled(false);

    self.btn_solder_xunlian_5 = self.resourceNode_:getChildByName("img_bottom_back"):getChildByName("btn_solder_xunlian_5");
    local function goldClicked5(sender)
        AudioManager.playButton();
        if 5 <= MAIN_PLAYER:getsolderManager():get_makesolderlineNum() then
            local _begin, _end = MAIN_PLAYER:getsolderManager():get_solderindex(5);

            gameTcp:SendMessage(MSG_C2S_SOLDIER_Cancel,{_begin, _begin})
            self.btn_solder_xunlian_5:setVisible(false);
            self.btn_solder_xunlian_5:setTouchEnabled(false);
            print("取消造兵")
        end
    end
    self.btn_solder_xunlian_5:addClickEventListener(goldClicked5);

    self.btn_solder_xunlian_5:setVisible(false);
    self.btn_solder_xunlian_5:setTouchEnabled(false);

    -- 总时间
    self.txt_attack_number = self.resourceNode_:getChildByName("img_bottom_back"):getChildByName("txt_attack_number");
    self.txt_attack_number:setString("0秒");

    table.insert(self.btn_make_tab, self.btn_solder_xunlian_1);
    table.insert(self.btn_make_tab, self.btn_solder_xunlian_2);
    table.insert(self.btn_make_tab, self.btn_solder_xunlian_3);
    table.insert(self.btn_make_tab, self.btn_solder_xunlian_4);
    table.insert(self.btn_make_tab, self.btn_solder_xunlian_5);

    local make_solder = MAIN_PLAYER:getsolderManager():get_make_solder();

    if make_solder then
        print("=============这是界面初始化的时候")
        -- print_tab(make_solder)
        for i,v in ipairs(make_solder) do
            local img_path = "ui_image/solder/solder_"..tostring(v[1])..".png";
            -- print("=====文件路径img_path："..img_path);
            self.btn_make_tab[i]:getChildByName("img_solder"):loadTexture(img_path, ccui.TextureResType.localType);
            self.btn_make_tab[i]:getChildByName("txt_solder_num"):setString(tostring(v[2]));

            self.btn_make_tab[i]:setVisible(true);
            self.btn_make_tab[i]:setTouchEnabled(true);
        end
    end

    -- --添加计时器
    -- self.Scheduler_ex = GLOBAL_SCHEDULER:scheduleScriptFunc(
    --     handler(self, self.registerScheduleListen),
    --     self.INTERVAL_TIME, 
    --     false
    -- )
    -- --改名
    -- local button_name = self.resourceNode_:getChildByName("btn_name")
    -- local function nameClicked(sender)
    --     -- AudioManager.playButton()
    --     print("修改玩家昵称")
    --     SendchangeNameMsg()
    -- end
    -- button_name:addClickEventListener(nameClicked)

end

function ui_role_lvup_layer:registerScheduleListen()

    if 0 >= MAIN_PLAYER:getsolderManager():get_makesolderlineNum() then
        GLOBAL_SCHEDULER:unscheduleScriptEntry(self.Scheduler_ex);
        self.Scheduler_ex = nil;
        return
    end

    local soldier_info = MAIN_PLAYER:getsolderManager():get_make_info(1);

    local soldier_tmp = GetSoldierSetup(soldier_info[1]);

    soldier_info[3] = soldier_info[3]-self.INTERVAL_TIME;
    local time_num = soldier_info[3];
    local percent = math.floor((time_num/soldier_tmp.time) * 100)
    print("time_num: ", time_num)
    print("time_num: ", soldier_tmp.time)
    print("当前进度为：", percent)
    self.bar_time:setPercent(percent)

    local show_time = TIME_HELPER:secondToTime( time_num )
    local timestr;
    if 0>=show_time.min then
        timestr = string.format("%02d秒", 
                    show_time.sec
                )
    else
        timestr = string.format("%02d分%02d秒", 
                    show_time.min,
                    show_time.sec
                )
    end
    
    self.txt_time:setString(timestr);

    local alltime = MAIN_PLAYER:getsolderManager():get_Alltime();
    local show_alltime = TIME_HELPER:secondToTime( alltime )
    local alltimestr;
    if 0>=show_alltime.min then
        alltimestr = string.format("%02d秒", 
                    show_alltime.sec
                )
    else
        alltimestr = string.format("%02d分%02d秒", 
                    show_alltime.min,
                    show_alltime.sec
                )
    end
    self.txt_attack_number:setString(alltimestr);

    MAIN_PLAYER:getsolderManager():set_make_info(1, soldier_info);

    if 0==soldier_info[3] then
        if self.Scheduler_ex then
            GLOBAL_SCHEDULER:unscheduleScriptEntry(self.Scheduler_ex);
            self.Scheduler_ex = nil;
        end
        -- self.btn_solder_xunlian_1:setVisible(false);
        gameTcp:SendMessage(MSG_C2S_SOLDIER_Get,{})
    end
end
-- 更新时间显示
function ui_role_lvup_layer:updatetimeshow()
    -- body
    if 0 < MAIN_PLAYER:getsolderManager():get_makesolderlineNum() and 
       MAIN_PLAYER:getsolderManager():get_AllsolderNum() < GetPlayerLvSetup(MAIN_PLAYER:getBaseAttr():getLv()).soldier_num then

        if not self.Scheduler_ex then
            self.Scheduler_ex = GLOBAL_SCHEDULER:scheduleScriptFunc(
                        handler(self, self.registerScheduleListen),
                        self.INTERVAL_TIME, 
                        false
                    );
        end
    else
        local soldier_info = MAIN_PLAYER:getsolderManager():get_make_info(1);
        if soldier_info then
            self.txt_time:setString(tostring(soldier_info[3]));
        end
        self.txt_attack_number:setString("0秒");
    end
end
--更新界面显示
function ui_role_lvup_layer:updateViewShowGold(  )
    
    -- 金钱数值
    local goldnum = MAIN_PLAYER:getBaseAttr():getGold();
    local str_goldvalue = tostring(goldnum);
    -- self.showinfo_gold_valuse =  self._view_node:getChildByName("info_gold"):getChildByName("valuse");
    self.showinfo_gold_valuse:setString(str_goldvalue);
end
-- 更新建造队列图片显示
function ui_role_lvup_layer:updatemakeshow()
    -- body
    print("=========updatemakeshow===========")
    local make_solder = MAIN_PLAYER:getsolderManager():get_make_solder();

    if make_solder then
        print("=============这是界面初始化的时候")
        -- print_tab(make_solder)
        for i,v in ipairs(make_solder) do
            local img_path = "ui_image/solder/solder_"..tostring(v[1])..".png";
            -- print("=====文件路径img_path："..img_path);
            self.btn_make_tab[i]:getChildByName("img_solder"):loadTexture(img_path, ccui.TextureResType.localType);
            self.btn_make_tab[i]:getChildByName("txt_solder_num"):setString(tostring(v[2]));

            self.btn_make_tab[i]:setVisible(true);
            self.btn_make_tab[i]:setTouchEnabled(true);
        end
    end
end



function ui_role_lvup_layer:setEventCallBack( callfun )
    self._controlerEventCallBack = callfun;
end

function ui_role_lvup_layer:SendchangeNameMsg()
    
end

function ui_role_lvup_layer:_doEventCallBack( sender, eventName, data )
    -- GLOBAL_TOUCH_CONTROL:TounchContrlScheduler(0.8);
    -- local rankType = MAIN_PLAYER.rankManager.CONST_RANKING_POWER;
    -- if data == 2 then
    --     rankType = MAIN_PLAYER.rankManager.CONST_RANKING_GRADE;
    -- elseif data == 3 then
    --     rankType = MAIN_PLAYER.rankManager.CONST_RANKING_WEALTH;
    -- end
    -- MAIN_PLAYER.rankManager:requestRankData( rankType )
    -- if self._controlerEventCallBack ~= nil then
    --  self._controlerEventCallBack(sender, eventName, data)
    -- end
end



function ui_role_lvup_layer:recordID(params)
    -- body
    self.recordID = params._usedata.recordID
end

function ui_role_lvup_layer:_removeAllGlobalEventListeners()
    for k,v in pairs(self._globalEventListeners) do
        GLOBAL_EVENT_DISPTACHER:removeEventListener(v)
    end
end

function ui_role_lvup_layer:close(res)

    -- self.ranking_view:clear( );
    --清空数据
    -- MAIN_PLAYER.rankManager:ClearData(  );
    -- 退出就清除所有计时事件
    if self.Scheduler_ex then
        GLOBAL_SCHEDULER:unscheduleScriptEntry(self.Scheduler_ex);
        self.Scheduler_ex = nil;
    end
    if res == nil then
        res = self._dynamicResConfigIDs
    end
    -- GLOBAL_COMMON_ACTION:popupBack({
    --         node = self.resourceNode_,
    --         -- shadowNode = self.resourceNode_:getChildByName("shadow_layout"),
    --         callback = function ()
    --             -- body
    self:removeFromParent(true)
    -- release_res(res)
        --     end
        -- })
end

function ui_role_lvup_layer:updatesolder()
    print("====更新士兵数量updatesolder")
    for i,v in ipairs(self.btn_make_tab) do
        v:setVisible(false);
        v:setTouchEnabled(false);
    end
    -- 带兵数
    local now_num = MAIN_PLAYER:getsolderManager():get_AllsolderNum()
    print("====更新士兵数量：",now_num)
    local str_solder = tostring(now_num).."/"..tostring(GetPlayerLvSetup(MAIN_PLAYER:getBaseAttr():getLv()).soldier_num);

    self.txt_solder:setString(str_solder)

    --当前兵的数量
    local solder_num1 = MAIN_PLAYER:getsolderManager():get_solderNum(1);
    self.txt_solder_num_1:setString(tostring(solder_num1));

    if 0 < solder_num1 then
        self.btn_solder_1:setVisible(true);
    else
        self.btn_solder_1:setVisible(false);
    end
    --当前兵的数量
    local solder_num2 = MAIN_PLAYER:getsolderManager():get_solderNum(2);
    self.txt_solder_num_2:setString(tostring(solder_num2));

    if 0 < solder_num2 then
        self.btn_solder_2:setVisible(true);
    else
        self.btn_solder_2:setVisible(false);
    end

    -- 制造中的兵的数量更新
    local make_solder = MAIN_PLAYER:getsolderManager():get_make_solder();

    if make_solder then
        -- print_tab(self.btn_make_tab)
        if 1<=#make_solder then
            for i,v in ipairs(make_solder) do
                local img_path = "ui_image/solder/solder_"..tostring(v[1])..".png";
                -- print("=====文件路径img_path："..img_path);
                self.btn_make_tab[i]:getChildByName("img_solder"):loadTexture(img_path, ccui.TextureResType.localType);
                self.btn_make_tab[i]:getChildByName("txt_solder_num"):setString(tostring(v[2]));

                self.btn_make_tab[i]:setVisible(true);
                self.btn_make_tab[i]:setTouchEnabled(true);

                -- 设置数量
            end
        end
    end
end
function ui_role_lvup_layer:updateexp()

    --更新经验
    local exp_num = MAIN_PLAYER:getBaseAttr():getExp();
    local percent = math.floor(exp_num/GetPlayerLvSetup(lv_num).exp * 100)
    
    -- print(" 经验值：%d, 百分比：%f",exp_num, percent)
    --经验条
    self.exp_bar:setPercent(percent)
end
-- ui用到独有的资源管理
function ui_role_lvup_layer:_initDynamicResConfig()
    -- ResConfig["ui_image/mapinfolist"] = {
    --     restype = "plist",
    --     respath = "ui_image/mapinfolist/",
    --     res = {"mapinfo"},
    -- }

    -- self._dynamicResConfigIDs = {
    --     "ui_image/mapinfolist",
    -- }
end

-- 更新页面显示信息
function ui_role_lvup_layer:updateDataPage( index )
    -- local toPage = self.CurrentPage + index;
    -- if toPage < 1 or toPage > self.SumPage then
    --     return;
    -- else
    --     --更新页数
    --     self.CurrentPage = toPage;
    --     self.CurrentDisplayData = MAIN_PLAYER.rankManager:getRanking( self.CurrentRankType ,self.CurrentPage )
    --     --更新显示的数据
    --     self.ranking_view:update(self.CurrentDisplayData);
    --     self:updateInfo();
    -- end
end

--[[注册事件回调刷新显示列表
    玩家信息
]]
function ui_role_lvup_layer:updateDisplayKind(event)
    -- self.CurrentRankType = event._usedata[1];
    -- self.SumPage = event._usedata[2];--总页数
    -- self.CurrentPage = 1;
    -- self.CurrentDisplayData = MAIN_PLAYER.rankManager:getRanking( self.CurrentRankType ,self.CurrentPage )
    -- self.CurrentShowRanking = MAIN_PLAYER.rankManager:getRankingOneselfLocation( self.CurrentRankType );
    -- print("当前排名",self.CurrentShowRanking)
    -- --更新显示的数据
    -- self.ranking_view:update(self.CurrentDisplayData);
    -- self.ranking_view:getResourceNode():setVisible(true);

    -- --排行榜显示信息
    -- local team = MAIN_PLAYER:getTeamManager():getCurSelTeam()
    -- self.CurrentRankDes = "您的战力值:"..team:getPowerValue();
    -- if self.CurrentRankType == MAIN_PLAYER.rankManager.CONST_RANKING_GRADE then
    --     self.CurrentRankDes = "您的等级:"..MAIN_PLAYER.baseAttr:getLv();
    -- elseif self.CurrentRankType == MAIN_PLAYER.rankManager.CONST_RANKING_WEALTH then
    --     self.CurrentRankDes = "您的银两:"..MAIN_PLAYER.baseAttr:getGold();
    -- end

    self:updateInfo();
end

function ui_role_lvup_layer:_registUIEvent()

    -- 更新玩家昵称
    self.txt_name = self.resourceNode_:getChildByName("txt_name")
    local playername = MAIN_PLAYER:getBaseAttr():getName()

    self.txt_name:setString(playername)
    -- 更新玩家性别, 头像
    self.img_sex = self.resourceNode_:getChildByName("img_sex")
    self.img_head = self.resourceNode_:getChildByName("img_tower"):getChildByName("img_head");
    local myHeadPath = ManagerHeadRes:LoadHeadRes( MAIN_PLAYER:getBaseAttr():getHeadGUid() )
    if myHeadPath then
        self.img_head:loadTexture(myHeadPath,ccui.TextureResType.localType)
    end
    local _sex = MAIN_PLAYER:getBaseAttr():getSex()
    if 1==_sex then
        self.img_sex:loadTexture("ui_image/common/image/nan.png", ccui.TextureResType.localType)
        -- self.img_head:loadTexture("ui_image/common/image/head_b.jpg", ccui.TextureResType.localType)
    else
        self.img_sex:loadTexture("ui_image/common/image/nv.png", ccui.TextureResType.localType)
        -- self.img_head:loadTexture("ui_image/common/image/head_g.jpg", ccui.TextureResType.localType)
    end
    -- 更新玩家等级
    self.txt_level = self.resourceNode_:getChildByName("txt_level")
    local player_lv = tostring(MAIN_PLAYER:getBaseAttr():getLv());

    self.txt_level:setString(player_lv)

    -- 更新玩家经验
    self.txt_exp = self.resourceNode_:getChildByName("txt_exp")
    local str_exp = tostring(MAIN_PLAYER:getBaseAttr():getExp()).."/"..tostring(GetPlayerLvSetup(MAIN_PLAYER:getBaseAttr():getLv()).exp);

    self.txt_exp:setString(str_exp)

    --更新经验
    local exp_num = MAIN_PLAYER:getBaseAttr():getExp();
    local percent = math.floor(exp_num/GetPlayerLvSetup(MAIN_PLAYER:getBaseAttr():getLv()).exp * 100)
    
    -- print(" 经验值：%d, 百分比：%f",exp_num, percent)
    --经验条
    self.exp_bar = self.resourceNode_:getChildByName("bar_exp")
    self.exp_bar:setPercent(percent)
    
    -- 带兵数
    self.txt_solder = self.resourceNode_:getChildByName("img_max_title"):getChildByName("txtatl_soldernumber")
    local now_num = MAIN_PLAYER:getsolderManager():get_AllsolderNum()
    local str_solder = tostring(now_num).."/"..tostring(GetPlayerLvSetup(MAIN_PLAYER:getBaseAttr():getLv()).soldier_num);

    self.txt_solder:setString(str_solder)

    --一号兵种管理
    self.btn_solder_1 = self.resourceNode_:getChildByName("img_solder1_back"):getChildByName("btn_solder_1");
    self.btn_solder_1:setVisible(false);
    --现有的数量
    self.txt_solder_num_1 = self.resourceNode_:getChildByName("img_solder1_back"):getChildByName("btn_solder_1"):getChildByName("txt_solder_num")
    local solder_num1 = MAIN_PLAYER:getsolderManager():get_solderNum(1);
    if 0 < solder_num1 then
        print("=========solder_num1"..solder_num1)
        self.btn_solder_1:setVisible(true);
    end
    self.txt_solder_num_1:setString(tostring(solder_num1));

    --二号兵种管理
    self.btn_solder_2 = self.resourceNode_:getChildByName("img_solder1_back"):getChildByName("btn_solder_2");
    self.btn_solder_2:setVisible(false);
    --现有的数量
    self.txt_solder_num_2 = self.resourceNode_:getChildByName("img_solder1_back"):getChildByName("btn_solder_2"):getChildByName("txt_solder_num")
    local solder_num2 = MAIN_PLAYER:getsolderManager():get_solderNum(2);
    if 0 < solder_num2 then
        print("=========solder_num2"..solder_num2)
        self.btn_solder_2:setVisible(true);
    end
    self.txt_solder_num_2:setString(tostring(solder_num2));
    
    -- 
    --====================================================================================================
    --训练队列
end

--更新页数显示
function ui_role_lvup_layer:updateInfo(  )
    -- --页数
    -- self.resourceNode_:getChildByName("ranking"):getChildByName("pageNode"):getChildByName("text_pageValue"):setString(self.CurrentPage.."/"..self.SumPage);
    -- --排名
    -- self.resourceNode_:getChildByName("ranking"):getChildByName("playerRank"):getChildByName("infotext_0"):setString(self.CurrentShowRanking);
    
    -- self.resourceNode_:getChildByName("ranking"):getChildByName("playerInfo"):getChildByName("infotext"):setString(self.CurrentRankDes);

end
function ui_role_lvup_layer:registerUpdateHead( event )
    local headGuid = event._usedata[1]
    if headGuid ~= MAIN_PLAYER:getBaseAttr():getHeadGUid() then
        return;
    end
    self.img_head:loadTexture(ManagerHeadRes:getHeadResPath( MAIN_PLAYER:getBaseAttr():getHeadGUid() ),ccui.TextureResType.localType)
end

function ui_role_lvup_layer:registerUpdateHead_1( event )
    local headGuid = event._usedata[1]
    if headGuid ~= MAIN_PLAYER:getBaseAttr():getHeadGUid() then
        return;
    end
    print("更新自己头像")
    self.img_head:loadTexture("head/myhead.jpg",ccui.TextureResType.localType)
end

return ui_role_lvup_layer
