--
-- Author: zangqing
-- Date: 2016-02-15 20:37:59
-- 队伍顶部按钮


local controler_ui_team_top_btn = class("controler_ui_team_top_btn")

--[[监听全局事件名预览
eventModleName: controler_ui_team_top_btn
eventName: 
    setUIVisible     --设置显示状态

]]


function controler_ui_team_top_btn:ctor(mainPage_ui_layer)
    self:_initModels()

    --根层
    self._view_node = mainPage_ui_layer
    -- self._view_node:setContentSize(visibleSize)
    -- ccui.Helper:doLayout(self._view_node)


    self:_createControlerForUI()

    --
    self:_registGlobalEventListeners()

    self:_registNodeEvent()

    self:_registUIEvent()
end


function controler_ui_team_top_btn:getView()
    return self._view_node
end


function controler_ui_team_top_btn:_initModels()
    self._controlerMap = {}
end

--创建控制器: UI
function controler_ui_team_top_btn:_createControlerForUI()
    
end


function controler_ui_team_top_btn:_registGlobalEventListeners()
    self._globalEventListeners = {}
    local configs = {
        {modelName = "controler_ui_team_top_btn", eventName = "setUIVisible", callBack=handler(self, self._onSetUIVisible)},
        -- {modelName = "netMsg", eventName = tostring(MSG_MS2C_INTERACT_ADD), callBack=handler(self, self.addNotifyAni)},
    }
    self._globalEventListeners = createGlobalEventListenerWithConfig(configs)
end




--注册节点事件
function controler_ui_team_top_btn:_registNodeEvent()
    local function onNodeEvent(event)
        if "exit" == event then
            self:_removeAllGlobalEventListeners()
        end
    end
    self._view_node:registerScriptHandler(onNodeEvent)
end


--移除全局事件监听器
function controler_ui_team_top_btn:_removeAllGlobalEventListeners()
    for k,v in pairs(self._globalEventListeners) do
        GLOBAL_EVENT_DISPTACHER:removeEventListener(v)
    end
end

function controler_ui_team_top_btn:_registUIEvent()
    -- 我的队伍
    self.btn_myteam = self._view_node:getChildByName("btn_myteam")
    -- 附近队伍
    self.btn_nearteam = self._view_node:getChildByName("btn_nearteam")

    self.btn_myteam:setSelected(false);
    self.btn_nearteam:setSelected(false);

    local myteamClick = function(sender,eventType)
        print("btn_myteam clickcallback")
        if eventType == ccui.CheckBoxEventType.selected then
            self:_OnCheckBos( "我的队伍" )
        elseif eventType == ccui.CheckBoxEventType.unselected then
            if self.cuttentChoose == "我的队伍" then
                self.btn_myteam:setSelected(true);
            end
        end
        -- 显示我的队伍成员列表信息
        dispatchGlobaleEvent("controler_ui_team_myteam", "setUIVisible", {visibleType="showAll"})
        -- 关闭附近队伍列表信息
        dispatchGlobaleEvent("controler_ui_team_nearteam", "setUIVisible", {visibleType="hideAll"})
    end
    -- 添加事件监听函数
    self.btn_myteam:addEventListener(myteamClick)

    
    local nearteamClick = function ( sender,eventType )
        print("btn_nearteam clickcallback")
        if eventType == ccui.CheckBoxEventType.selected then
            self:_OnCheckBos( "附近队伍" )
        elseif eventType == ccui.CheckBoxEventType.unselected then
            if self.cuttentChoose == "附近队伍" then
                self.btn_nearteam:setSelected(true);
            end
        end
        -- 关闭我的队伍成员列表信息
        dispatchGlobaleEvent("controler_ui_team_myteam", "setUIVisible", {visibleType="hideAll"})
        -- 显示附近队伍列表信息
        dispatchGlobaleEvent("controler_ui_team_nearteam", "setUIVisible", {visibleType="showAll"})
    end
    -- 添加事件监听函数
    self.btn_nearteam:addEventListener(nearteamClick)

    -- 关闭地图信息界面
    self.btn_exit = self._view_node:getChildByName("btn_exit")
    local exitClick = function (  )
        print("btn_exit clickcallback")
        -- 关闭界面
        dispatchGlobaleEvent("ui_team_layer", "close")
    end
    -- 添加事件监听函数
    self.btn_exit:addClickEventListener(exitClick)
end
function controler_ui_team_top_btn:_OnCheckBos( parame )
    
    self.btn_myteam:setSelected(false);
    self.btn_nearteam:setSelected(false);
    
    if parame == "我的队伍" then
        self.btn_myteam:setSelected(true);
    end

    if parame == "附近队伍" then
        print("===附近队伍")
        self.btn_nearteam:setSelected(true);
    end

    if parame == self.cuttentChoose then
        return;
    end
    self.cuttentChoose = parame
   
    -- self:_OnDisplayItem( self.cuttentChoose )
end

function controler_ui_team_top_btn:_onSetUIVisible( event )
    local eventUseData = event._usedata
    local visibleType = eventUseData.visibleType

    --隐藏所有
    if visibleType == "hideAll" then
        self._view_node:setVisible(false)

    --显示所有
    elseif visibleType == "showAll" then
        self._view_node:setVisible(true)
    end
end

--更新界面显示
function controler_ui_team_top_btn:updateViewShow()
    -- 获得塔防的等级
    -- local playerlv = 10;
    -- -- 等级显示的文本控件
    -- local txt_tower_lv = self._view_node:getChildByName("btn_rect"):getChildByName("info_valuse");

    --更新塔防等级
end


return controler_ui_team_top_btn
