--
-- Author: liyang
-- Date: 2016-02-15 20:00:38
-- 队伍系统

local class_ui_team_layer = import(".controler_teamUILayer.ui_team_layer")


local teamSystem = class("teamSystem")


function teamSystem:ctor()
    self:_initModels()
    self:_registGlobalEventListeners()
end


function teamSystem:_initModels()
    self._controlerMap = {}
    self:_initDynamicResConfig()
end


function teamSystem:_initDynamicResConfig()
    -- ResConfig["ui_image/guyong/widget"] = {
    --  restype = "plist",
    --  respath = "ui_image/guyong/widget/",
    --  res = {"guyong_plist"}
    -- }

    -- self._dynamicResConfigIDs = {
    --  "ui_image/guyong/widget",
    -- }
end


function teamSystem:_registGlobalEventListeners()
    -- body
    -- 注册消息便于其他系统进行调用modelName模块名称，eventName事件名称
    self._globalEventListeners = {}
    local configs = {
        {modelName = "teamSystem", eventName = "click", callBack=handler(self, self.Create)},
        {modelName = "teamSystem", eventName = "close", callBack=handler(self, self.Close)},
    }
    self._globalEventListeners = createGlobalEventListenerWithConfig(configs)
end


function teamSystem:Create()
    print("创建队伍系统")
    self.scene = APP:getCurScene()
    self.contrl_view =  class_ui_team_layer.new();
    self.scene:addChildToLayer(LAYER_ID_POPUP, self.contrl_view)
        
    -- GLOBAL_COMMON_ACTION:popupOut({node=contrl_view:getView()})
end

function teamSystem:Close(  )
    self.contrl_view:removeFromParent();
end



function teamSystem.getInstance()
    if teamSystem.instance == nil then
        teamSystem.instance = teamSystem.new()
    end

    return teamSystem.instance
end


teamSystemInstance = teamSystem.getInstance()


return teamSystem
