--
-- Author: zangqing
-- Date: 2016-01-10 10:59:38
-- 塔防升级

local class_ui_war_layer = import(".controler_warUILayer.ui_war_layer")


local warSystem = class("warSystem")


function warSystem:ctor()
    self:_initModels()
    self:_registGlobalEventListeners()
end


function warSystem:_initModels()
    self._controlerMap = {}
    self:_initDynamicResConfig()
end


function warSystem:_initDynamicResConfig()
    -- ResConfig["ui_image/guyong/widget"] = {
    --  restype = "plist",
    --  respath = "ui_image/guyong/widget/",
    --  res = {"guyong_plist"}
    -- }

    -- self._dynamicResConfigIDs = {
    --  "ui_image/guyong/widget",
    -- }
end


function warSystem:_registGlobalEventListeners()
    -- body
    -- 注册消息便于其他系统进行调用modelName模块名称，eventName事件名称
    self._globalEventListeners = {}
    local configs = {
        {modelName = "warSystem", eventName = "click", callBack=handler(self, self.Create)},
    }
    self._globalEventListeners = createGlobalEventListenerWithConfig(configs)
end


function warSystem:Create()
    print("创建角色升级系统")
    self.scene = APP:getCurScene()
    local contrl_view =  class_ui_war_layer.new();
    self.scene:addChildToLayer(LAYER_ID_POPUP, contrl_view)
        
    -- GLOBAL_COMMON_ACTION:popupOut({node=contrl_view:getView()})
end




function warSystem.getInstance()
    if warSystem.instance == nil then
        warSystem.instance = warSystem.new()
    end

    return warSystem.instance
end


towerSystemInstance = warSystem.getInstance()


return warSystem
