--
-- Author: Your Name
-- Date: 2016-01-26 09:51:12
-- 管理地图下载

local class_dowanMapImage = import(".DowanMapImage");

local ManagerMapDownload = class("ManagerMapDownload");



--[[
ClearUpZoom zoom切换清理时间设置
]]

function ManagerMapDownload:ctor()
	--唯一Ak
	self.requestInfo_ak = "HgfycSoufeCDGQtHbna4G9SN";

	--百度地图请求信息 1 普通 2高清
	self.requestInfo_scale = 2;
	self.requestInfo_w = 1024;
	self.requestInfo_h = 1024;
	 --设置地图文件路径
    self.MapFilePath = EQUIPMENT_RES_PATH.."maptile/";
    --像素与经度 10
    self.PixelToLongitude =  -0.00001 / 9.0901182;--0.000143878042697906494140625;
    --像素与纬度
    self.PixelToLatitude = 0.00001 / 1.11376;--0.000110837554931640625;--0.000109765625;
    
 --    local x1,y1 = MillierConvertion( 116.434739,39.911836 )
	-- local x2,y2 = MillierConvertion( 116.434749,39.911846 )
	-- self.PixelToLongitude = (116.434749 - 116.434739) / (x2 -x1);
	-- self.PixelToLatitude = (39.911846 - 39.911836) / (y2 -y1);
	print("ManagerMapDownload",self.PixelToLongitude,self.PixelToLatitude)
	--[[
		12 5公里
		13 2公里
		14 1公里
		15 500米
		16 200米
		17 100米
	]]
	self.requestInfo_zoom = 13;

	--请求地图信息
	self.requestMapInfo = {
		center = {0,0},
		zoom = 14,
		savename = "",
	}

	--当前中心标示信息
	self.CurrentCenterMark = {
		--center = {217.586496,29.565845},
		center = {116.434739,39.911836},
		zoom = 14,
	}

	--当前显示中心的经纬度
    self.showCenterLongitude = 0;
    self.showCenteLatitude = 0;

	--地图资源下载列表
	self.requestMapInfoList = {

	}

	

	--当前显示地图信息
	self.CurrentShowMapTile = {

	}

	self.CurrentShowLocationScope = {

	}

	--当前处理的地图列表
	self.CurrentDisposeMapTileList = {

	}

	--缓存的地图图块
	self.CurrentBufferMapTile = {

	}

	--请求完全失败列表
	self.requestFailList = {

	}

	self.GAME_UPDATA_TIME = 1;
	--切换清理时间
	self.ClearUpZoom = 0;

	--纬度差与像素的比例
	self.LatPoor = 10 / 134;

	self:setDownLoadZoom( MAP_DATA.Map_zoom );
end

--[[设置map标示信息
	params = {
		center = {self.MapDisplayMarkLoction.lon,self.MapDisplayMarkLoction.lat},
        zoom = self.Map_zoom,
        path = cacheData.path,
	}
]]
function ManagerMapDownload:setMapCenterMarkInfo( params )
	self.MapFilePath = params.path;
	self.CurrentCenterMark = params;
	--更新比例信息
	self:setDownLoadZoom( params.zoom );
end

--得到当前中心经纬度
function ManagerMapDownload:getCurrentShowCenterLongitudeLatitude(  )
	local showCenterLongitude = - MAP_DATA.CurrentPos.x * self.PixelToLongitude + self.CurrentCenterMark.center[1];
	local showCenteLatitude = - MAP_DATA.CurrentPos.y * self.PixelToLatitude + self.CurrentCenterMark.center[2];
	return showCenterLongitude,showCenteLatitude;
end

--[[更新zoom
	经度 = 经度与像素比例 * zoom比例值
	纬度 = 
]]
function ManagerMapDownload:setDownLoadZoom( zoom )
	-- print("setDownLoadZoom",zoom,self.requestInfo_zoom,MAP_DATA.CONST_ZOOM_RATION[zoom])
	self.requestInfo_zoom = zoom;
	-- print("setDownLoadZoom",self.PixelToLongitude,self.PixelToLatitude,MAP_DATA.CONST_ZOOM_NORM.PixelToLongitude,MAP_DATA.CONST_ZOOM_NORM.PixelToLatitude)
	--像素与经度 10
    self.PixelToLongitude = MAP_DATA.CONST_ZOOM_NORM.PixelToLongitude * MAP_DATA.CONST_ZOOM_RATION[zoom];
    --[[像素与纬度
    	得到当前纬度与标示纬度差的变化值 得到当前纬度与像素的比例
    ]]
    self.PixelToLatitude = (1024 +  (39.911836 - self.CurrentCenterMark.center[2]) / self.LatPoor) * MAP_DATA.CONST_ZOOM_NORM.PixelToLatitude / 1024 * MAP_DATA.CONST_ZOOM_RATION[zoom];
    
end

function ManagerMapDownload:getDownMarkByZoom( zoom )
	local lonMark = MAP_DATA.CONST_ZOOM_NORM.PixelToLongitude * MAP_DATA.CONST_ZOOM_RATION[zoom];
	local latMark = (1024 +  (39.911836 - self.CurrentCenterMark.center[2]) / self.LatPoor) * MAP_DATA.CONST_ZOOM_NORM.PixelToLatitude / 1024 * MAP_DATA.CONST_ZOOM_RATION[zoom];
	return lonMark,latMark;
end


function ManagerMapDownload:getMapPosByLonAndLat( lon , lat )
	local x = (lon - self.CurrentCenterMark.center[1]) / self.PixelToLongitude
	local y = (lat - self.CurrentCenterMark.center[2]) / self.PixelToLatitude
	return x,y;
end

--通过像素得到经纬度坐标
function ManagerMapDownload:getMapLonByPixel( x , y )
	local lon = x * self.PixelToLongitude + self.CurrentCenterMark.center[1];
	local lat = y * self.PixelToLatitude + self.CurrentCenterMark.center[2];
	return lon,lat;
end

function ManagerMapDownload:getDownloadBaiduAk(  )
	return self.requestInfo_ak;
end

--设置下载信息
function ManagerMapDownload:setDowanInfo( info )
	self.requestMapInfoList = info;
end

--得到请求下载的url
function ManagerMapDownload:getDowanUrl( info )
	local rqLongitude = info.center[1] * 1024 * self.PixelToLongitude + self.CurrentCenterMark.center[1];
	local rqLatitude = info.center[2] * 1024 * self.PixelToLatitude + self.CurrentCenterMark.center[2];
	local url = "http://api.map.baidu.com/staticimage/v2?".."ak="..self.requestInfo_ak.."&center="..rqLongitude..","..rqLatitude.."&width=512&height=512&zoom="..info.zoom.."&scale=2";
	return url;
end

function ManagerMapDownload:getSaveName( info )
	return info.center[1].."_"..info.center[2].."_"..info.zoom..".png";
end

--更新地图image
function ManagerMapDownload:UpdateMapImage(  )
	for i,v in ipairs(self.requestMapInfoList) do
		if v then
			-- print(i,v);
			local dowanTool = class_dowanMapImage.new();
			dowanTool:InitTool();
			dowanTool:executeDowanMapImage( self:getDowanUrl(v) , self.MapFilePath..self:getSaveName( v ),v);
		end
	end
end

--下载地图image
function ManagerMapDownload:dowanLoadMapImage( info )
	self:setDowanInfo( info );
	self:UpdateMapImage(  );
end

function ManagerMapDownload:saveMapNumber( number ,imagename )
	-- 保存地图编号
	self.BufferMapTile[number] = imagename;
end

function ManagerMapDownload:getMapImageByNumber( number )
	return self.BufferMapTile[number];
end

--执行地图块更新逻辑
function ManagerMapDownload:openMapTileUpdateScheduler(  )
	self.check_Scheduler = GLOBAL_SCHEDULER:scheduleScriptFunc(
            handler(self, self.executeMapTileUpdate),
            self.GAME_UPDATA_TIME , 
            false
    )
end

function ManagerMapDownload:closeMapTileUpdateScheduler(  )
	GLOBAL_SCHEDULER:unscheduleScriptEntry(self.check_Scheduler);
end

function ManagerMapDownload:executeMapTileUpdate(  )
	--print("executeMapTileUpdate ====================================================")
	self:updateLogic( MAP_DATA.Map_zoom );
end

--地图更新逻辑
function ManagerMapDownload:updateLogic( zoom )
	--判断是否改变zoom
	if zoom == self.requestInfo_zoom then
		--检查现在显示的范围
		--[[
			1.检查8个位置
			2.
		]]
		--处理列表
		self.HandleList = {};
		for k,v in ipairs(MAP_DATA.CONST_CHECK_POS) do
			local data , handletype = self:checkPosUpdateLogic( v ,k);
			if handletype == 0 then

			elseif handletype == 1 then
				self.HandleList[data.des] = data;
			elseif handletype == 2 then
				self.HandleList[data.des] = data;
				--更新当前处理列表
				self:AddRecordList_CurrentDisposeMapTileList( data );
			end
		end
		--[[进行分类型处理
			类型 1 直接加载
			类型 2 下载加载
		]]
		local downloadinfo = {};
		local count = 1
		for k,v in pairs(self.HandleList) do
			-- print("ManagerMapDownload",k,v)
			if v.handleType == 1 then
				--通知创建
				dispatchGlobaleEvent("controler_mapPage_map_layer", "updateMapImageTitle", 
					{
						imagename = "maptile/"..MAP_DATA.CurrentCacheMapCityCode.."/"..v.des,
						x = v.center[1] * 1024,
						y = v.center[2] * 1024,
					}
				)
				--添加显示列表
        		managerMapDownloadInstance:AddRecordList_CurrentShowMapTile(v);
			elseif v.handleType == 2 then
				downloadinfo[count] = v;
				count = count + 1;
			end
		end
		-- print("---------->",table.nums(downloadinfo))
		--下载
		self:dowanLoadMapImage( downloadinfo );
	else
		local jindu , weidu = self:getCurrentShowCenterLongitudeLatitude(  );
		--更zoom选择
		self.requestInfo_zoom = zoom;
		--清除所有显示的
		--重置比例
		self:setDownLoadZoom( zoom );
		--重置显示layer
		
		local pos_x = (self.CurrentCenterMark.center[1] - jindu) / self.PixelToLongitude;
		local pos_y = (self.CurrentCenterMark.center[2] - weidu) / self.PixelToLatitude;
		-- print("检查===》",jindu,weidu,pos_x,pos_y,MAP_DATA.CurrentPos.x,MAP_DATA.CurrentPos.y,self.PixelToLongitude,self.PixelToLatitude)
		--更新地图坐标
		MAP_DATA:setMapPostion( {x = pos_x,y = pos_y} );
		--更新显示坐标
		if mapSystemInstance._controlerMap.MapLayer then
			mapSystemInstance._controlerMap.MapLayer:SwitchOperateLayer({x = pos_x,y = pos_y});
		end
		self.ClearUpZoom = 4;
	end
	--检查更新去除不显示地图tile
	self:CheckShowMapTileList();
	--更新玩家位置
	MAIN_PLAYER.baseAttr:UpdateLoctionInfo( )
	MAIN_PLAYER.baseAttr:UpdateMapTileInfo();
	-- mapSystemInstance._controlerMap.MapLayer:refreshShadePostion(  );
	--检查图块地图更新
	MAP_DATA.TileDrawInfo:onCheckUpdateLogic( {
		x = MAP_DATA.CurrentPos.x,
		y = MAP_DATA.CurrentPos.y,
		zoom = self.requestInfo_zoom ,
	} )
end

--检查更新逻辑
function ManagerMapDownload:checkPosUpdateLogic( pos ,k)
	local checkpos_x = pos[1] / MAP_DATA.Map_scale - MAP_DATA.CurrentPos.x;
	local checkpos_y = pos[2] / MAP_DATA.Map_scale - MAP_DATA.CurrentPos.y;
	-- print(k,checkpos_x,checkpos_y,MAP_DATA.CurrentPos.x,MAP_DATA.CurrentPos.y)
	local image_x = math.modf(checkpos_x / self.requestInfo_w)
	if image_x == 0 then
		image_x = 0;
	end
	local surplusvaluse = math.abs(checkpos_x) % self.requestInfo_w;
	if surplusvaluse > self.requestInfo_w / 2 then
		if checkpos_x > 0 then
			image_x = image_x + 1;
		elseif checkpos_x < 0 then
			--todo
			image_x = image_x - 1;
		end
	end
	local image_y = math.modf(checkpos_y / self.requestInfo_h)
	if image_y == 0 then
		image_y = 0;
	end
	surplusvaluse = math.abs(checkpos_y) % self.requestInfo_h;
	if surplusvaluse > self.requestInfo_h / 2 then
		if checkpos_y > 0 then
			image_y = image_y + 1;
		elseif checkpos_y < 0 then
			image_y = image_y - 1;
		end
	end
    local checkname = image_x.."_"..image_y.."_"..self.requestInfo_zoom..".png";
	-- print("*********",k,image_x,image_y,checkname,self.MapFilePath..checkname)
	--判断是否已显示这张图

	if self.CurrentShowMapTile[checkname] then
		-- print("..CurrentShowMapTile")
		return nil , 0;
	end
	--判读地图缓存数据是否有这张图
	if self.CurrentBufferMapTile[checkname] then
		self.CurrentBufferMapTile[checkname].handleType = 1;
		-- self.CurrentBufferMapTile[checkname].des = checkname;
		-- print("..CurrentBufferMapTile")
		return self.CurrentBufferMapTile[checkname],1;
	end
    -- print("1111")
    if cc.FileUtils:getInstance():isDirectoryExist(self.MapFilePath) then
            print("333")
    end
	--判断缓存是否保存了次文件
	if cc.FileUtils:getInstance():isFileExist(self.MapFilePath..checkname) then
		local resInfo = {
			center = {image_x,image_y },
			zoom = self.requestInfo_zoom ,
			des = checkname,
			handleType = 1,
		};
		self.CurrentBufferMapTile[checkname] = resInfo;
		return resInfo,1;
	end
    print("222",self.MapFilePath..checkname)
	-- local jindu = image_x * 1024 * self.PixelToLongitude;
	-- local weidu = image_y * 1024 * self.PixelToLatitude;
	local reinfo = {
		center = {image_x,image_y },
		zoom = self.requestInfo_zoom ,
		des = checkname,
		handleType = 2,
	}
	return reinfo , 2;
end

--添加记录信息 当前处理的地图块信息
function ManagerMapDownload:AddRecordList_CurrentDisposeMapTileList( parame )
	self.CurrentDisposeMapTileList[parame.des] = parame;
end

function ManagerMapDownload:removeRecordList_CurrentDisposeMapTileList( parame )
	self.CurrentDisposeMapTileList[parame] = nil;
end

--添加记录信息 当前显示的地图块信息
function ManagerMapDownload:AddRecordList_CurrentShowMapTile( parame )
	self.CurrentShowMapTile[parame.des] = parame;
end

function ManagerMapDownload:removeRecordList_CurrentShowMapTile( parame )
	self.CurrentShowMapTile[parame] = nil;
end

--添加记录信息 当前缓存的地图块信息
function ManagerMapDownload:AddRecordList_CurrentBufferMapTile( parame )
	self.CurrentBufferMapTile[parame.des] = parame;
end

function ManagerMapDownload:removeRecordList_CurrentBufferMapTile( parame )
	self.CurrentBufferMapTile[parame] = nil;
end

--检查显示列表
function ManagerMapDownload:CheckShowMapTileList(  )
	if self.ClearUpZoom > 0 then
		self.ClearUpZoom = self.ClearUpZoom - 1;
	end
	--清除列表信息
	local removeSpriteList = {};
	for k,v in pairs(self.CurrentShowMapTile) do
		if v then
			if v.zoom ~= self.requestInfo_zoom then
				if self.ClearUpZoom <= 0 then
					removeSpriteList[v.des] = 1;
				end
				
			else
				--判断当前页面是否显示
				local pos = v.center;
				local checkpos_x = pos[1] * self.requestInfo_w + MAP_DATA.CurrentPos.x;
				local checkpos_y = pos[2] * self.requestInfo_h + MAP_DATA.CurrentPos.y;
				-- print("CheckShowMapTileList",v.des,checkpos_x,checkpos_y,display.width,display.height,MAP_DATA.CurrentPos.x,MAP_DATA.CurrentPos.y)
				if math.abs(checkpos_x) > display.width / MAP_DATA.Map_scale / 2 + self.requestInfo_w / 2 or math.abs(checkpos_y) > display.height / MAP_DATA.Map_scale / 2 + self.requestInfo_h / 2 then
					removeSpriteList[v.des] = 1;
				end
			end
			
		end
	end
	-- print("CheckShowMapTileList -------------->",table.nums(removeSpriteList));
	if table.nums(removeSpriteList) > 0 then
		--通知清除
		dispatchGlobaleEvent("controler_mapPage_map_layer", "checkImageSpiteShow", removeSpriteList);
		for k,v in pairs(removeSpriteList) do
			self:removeRecordList_CurrentShowMapTile( k );
		end
	end
end

--销毁
function ManagerMapDownload:clear(  )
	self:closeMapTileUpdateScheduler(  );
	--当前显示地图信息
	self.CurrentShowMapTile = {

	}

	self.CurrentShowLocationScope = {

	}

	--当前处理的地图列表
	self.CurrentDisposeMapTileList = {

	}
end


function ManagerMapDownload.getInstance()
    if ManagerMapDownload.instance == nil then
        ManagerMapDownload.instance = ManagerMapDownload.new()
    end

    return ManagerMapDownload.instance
end


managerMapDownloadInstance = ManagerMapDownload.getInstance()

return ManagerMapDownload;