--
-- Author: Li Yang
-- Date: 2016-01-09 14:40:34
-- 地图系统
--[[
	1.一次更新3张地图 13 14 15
]]

local class_ManagerMapDownload = import(".ManagerMapDownload");

local class_controler_mapPage_map_layer = import(".controller.controler_mapPage_map_layer")

local mapSystem = class("mapSystem")

function mapSystem:ctor()
	self:_initModels();
	self:_createControlerForUI();
	self:_registGlobalEventListeners();
end

function mapSystem:_initModels()
    self._controlerMap = {}
end

--创建控制器:
function mapSystem:_createControlerForUI()
    
end

function mapSystem:_registGlobalEventListeners()
    -- body
    -- 注册消息便于其他系统进行调用modelName模块名称，eventName事件名称
    self._globalEventListeners = {}
    local configs = {
        {modelName = "mapSystem", eventName = "create", callBack=handler(self, self.Create)},
        -- {modelName = "mapSystem", eventName = "update", callBack=handler(self, self.Create)}
    }
    self._globalEventListeners = createGlobalEventListenerWithConfig(configs)
end



--创建地图系统
function mapSystem:Create()
    print("创建地图系统")
    self.scene = APP:getCurScene()
    self._controlerMap.MapLayer = class_controler_mapPage_map_layer.new(self:_createMapLayer())
    self.scene:addChildToLayer(LAYER_ID_BG, self._controlerMap.MapLayer:getView())
        
    -- GLOBAL_COMMON_ACTION:popupOut({node=contrl_view:getView()})
end

--创建地图显示
function mapSystem:_createMapLayer(  )
	return cc.CSLoader:createNode("ui_instance/mainpage/ui_main_map_layer.csb");
end



function mapSystem.getInstance()
    if mapSystem.instance == nil then
        mapSystem.instance = mapSystem.new()
    end

    return mapSystem.instance
end


mapSystemInstance = mapSystem.getInstance()

return mapSystem;
