--
-- Author: li yang 
-- Date: 2015-08-26 11:20:26
-- 排行榜item


local map_piece_item = class("map_piece_item")

function map_piece_item:ctor(node)
	
	self._rootNode = node
	self._rootNode:retain();
	-- self._rootNode:setContentSize(visibleSize)
	-- ccui.Helper:doLayout(self._rootNode)
	self:init()

	self:_registUIEvent()
	self:_registNodeEvent();

end

function map_piece_item:init()
	-- body
	self._rootNode:setCascadeOpacityEnabled(true)
	self.width = self._rootNode:getChildByName("image"):getContentSize().width;

	self.effectNode = self._rootNode:getChildByName("image");
	
	self.action = cc.CSLoader:createTimeline("ui_instance/mainpage/mapparts/map_piece_node.csb")
	self.action:retain();
	-- self.effectNode:runAction(self.action)
    -- self.action:gotoFrameAndPause(0);
end

function map_piece_item:getResourceNode()
	-- body
	return self._rootNode
end

function map_piece_item:_registUIEvent()
	-- body
	-- local button1 = self._rootNode:getChildByName("Image_1")
	-- local function button_1Clicked(sender, eventType)
	-- 	-- body
	-- 	if eventType == ccui.TouchEventType.began then
	--         globalTouchEvent(sender,eventType)
	--     elseif eventType == ccui.TouchEventType.moved then
	--         globalTouchEvent(sender,eventType)
	--     elseif eventType == ccui.TouchEventType.ended then
	--         if globalTouchEvent(sender,eventType) then
				
	--         end
	--     elseif eventType == ccui.TouchEventType.canceled then

	--     end
	-- end
	-- button1:addTouchEventListener(button_1Clicked)


end

--注册节点事件
function map_piece_item:_registNodeEvent()
    local function onNodeEvent(event)
        if "exit" == event then
        	-- print("退出")
        	-- self._rootNode:release();
        	-- self.action:release();
            -- self:_removeAllGlobalEventListeners()
        end
    end
    self._rootNode:registerScriptHandler(onNodeEvent)
end

--[[更新数据
	data 显示数据
]]
function map_piece_item:update(data)
	self.data = data
	local dataInfo = GetTileCfg(data.currentstate)
	--更新图片颜色信息
	local imageInfo = dataInfo.image;
	--设置占领工会信息

	-- print("map_piece_item:",imageInfo,string.len(data.occupyname))
	self._rootNode:getChildByName("image"):loadTexture(imageInfo,ccui.TextureResType.plistType);
	self._rootNode:getChildByName("image"):setVisible(true);
	if string.len(data.occupyname) > 0 then
		self._rootNode:getChildByName("occupy"):setVisible(true);
		self._rootNode:getChildByName("nameback"):setVisible(true);
		self._rootNode:getChildByName("guildname"):setVisible(true);
		self._rootNode:getChildByName("guildname"):setString(data.occupyname);
	else
		self._rootNode:getChildByName("occupy"):setVisible(false);
		self._rootNode:getChildByName("guildname"):setVisible(false);
		self._rootNode:getChildByName("nameback"):setVisible(false);
		if data.currentstate == 1 then
			self._rootNode:getChildByName("image"):setVisible(false);
		end
	end
	self._rootNode:setScale(MAP_DATA.TileMarkInfo.markSize / self.width * MAP_DATA.TileMarkInfo.displayScale.x,MAP_DATA.TileMarkInfo.markSize / self.width * MAP_DATA.TileMarkInfo.displayScale.y);
	--播放攻击效果
	if data.actstate > 0 then
		self:setActEffect( true )
	else
		self:setActEffect( false )
	end

	
end

function map_piece_item:setShowPostion( x ,y )
	self._rootNode:setPosition(cc.p(x,y));
end

--设置战斗状态效果
function map_piece_item:setActEffect( isshow )
	if isshow then
		self.effectNode:stopAllActions();
		self.effectNode:runAction(self.action)
    	self.action:gotoFrameAndPlay(0,true);
	else
		self.effectNode:stopAllActions();
		-- local action = cc.CSLoader:createTimeline("ui_instance/mainpage/mapparts/map_piece_node.csb")
		self.effectNode:runAction(self.action)
		self.action:gotoFrameAndPause(0);
	end
end


return map_piece_item
